main

Book Cover
Microsoft® Windows® XP for Home Users Service Pack 2 Edition
By Michael Miller
...............................................
Publisher: Peachpit Press
Pub Date: July 07, 2005
ISBN: 0-321-36989-0
Pages: 568

Table of Contents | Index
Overview

Turn on your computer, and there it is--waiting for you to start using it. We're talking, of course, about Windows XP--the world's most ubiquitous operating system--and if you want to make the most of it, you need this thorough, practical guide from veteran author Michael Miller. In this thoroughly updated volume, Michael covers all the basics of installing, setting up, and getting online with Windows XP as well as all the features new to the latest edition: Windows Security Center, Windows Firewall, changes to Windows Update, Internet Explorer's pop-up blocker and download monitoring, Outlook Express security, Wireless Networking Wizard, and the revised operation and features of Windows Media Player. You'll start by getting acquainted with XP's interface before moving on to discover how to work with files, programs, and peripherals, and how to take Windows online. Along the way you'll find out how to chat online with Windows Messenger, send mail with Outlook Express, surf the Web with Internet Explorer, and more!


Table of Contents

Book Cover
Microsoft® Windows® XP for Home Users Service Pack 2 Edition
By Michael Miller
...............................................
Publisher: Peachpit Press
Pub Date: July 07, 2005
ISBN: 0-321-36989-0
Pages: 568

Table of Contents | Index

Copyright
About the Author
Introduction
 | Who Should Read This Book
 | How This Book Is Organized
 | Special Features in This Book
Part one. Getting to Know Windows XP
 | Chapter one. New Windows for Old Users: What's New, What's Changed
 |  | What Windows XP Is—and What It Isn't
 |  | Under the Hood
 |  | Windows XP's New "Look and Feel" Features
 |  | Windows XP's New Internet Features
 |  | Windows XP's New Multiuser and Multiple-PC Features
 |  | Windows XP's New Audio and Video Features
 |  | Windows XP's New System Utilities
 |  | Changing Default Applications
 |  | Windows XP's Help and Registration Features
 |  | Feature Comparison
 |  | Old Versus New: How to Do What You Used to Do
 |  | What's Next After Windows XP?
 |  | The Bottom Line
 | Chapter two. Changing the Way Windows Looks—and Acts
 |  | Understanding and Using the Control Panel
 |  | Fine-Tuning the Display
 |  | Configuring the Desktop
 |  | Working with Desktop Shortcuts
 |  | Working with Toolbars, the Taskbar, and the System Tray
 |  | Managing the Start Menu
 |  | Changing Your Cursors
 |  | Changing Your Click
 |  | Using a Screen Saver
 |  | Changing System Sounds
 |  | Adding and Removing Fonts
 |  | Configuring Other System Settings
 |  | Changing Default Applications
 |  | Even More Personalization—with Tweak UI
 |  | Making Windows XP Look Like Windows 9X/Me
 |  | The Bottom Line
Part two. Working with Files, Programs, and Peripherals
 | Chapter three. Managing Files
 |  | Understanding Files and Folders
 |  | Windows XP's File Management Tools
 |  | Configuring File and Folder Views
 |  | Basic Navigation and Operations
 |  | Essential File Management
 |  | Compressing and Decompressing Files
 |  | Working with File Types and Associations
 |  | The Bottom Line
 | Chapter four. Running Programs
 |  | Adding and Removing Software
 |  | Installing Programs from the Internet
 |  | Launching Programs
 |  | Launching Programs When Windows Starts
 |  | Switching Between Programs
 |  | Arranging Windows on Your Desktop
 |  | Closing Stuck Programs
 |  | The Bottom Line
 | Chapter five. Controlling Printers
 |  | Adding and Removing Printers
 |  | Configuring Printers
 |  | Managing the Printing Process
 |  | The Bottom Line
 | Chapter six. Adding New Hardware
 |  | Understanding Ports
 |  | Installing a New Peripheral
 |  | Updating Device Drivers
 |  | Solving Device Conflicts
 |  | Most Popular Peripherals
 |  | Working with Hardware Profiles
 |  | The Bottom Line
Part three. Taking Windows Online
 | Chapter seven. Making the Connection
 |  | Configuring Windows XP for Your Internet Account
 |  | Understanding Broadband Internet
 |  | Sharing an Internet Connection
 |  | The Bottom Line
 | Chapter eight. Surfing the Web with Internet Explorer
 |  | Introducing Internet Explorer 6
 |  | Personalizing the Browser Interface
 |  | Configuring the Browser
 |  | Surfing Safely
 |  | Blocking Pop-Ups
 |  | Speeding Up Your Browser
 |  | Working with Web Sites
 |  | Changing Browsers
 |  | The Bottom Line
 | Chapter nine. Sending and Receiving E-mail with Outlook Express
 |  | Introducing Outlook Express 6
 |  | Configuring Outlook Express
 |  | Protecting Against E-mail Viruses
 |  | Sending and Receiving E-mail
 |  | Sending Fancy Messages
 |  | Connecting to Web Mail
 |  | Working with Folders and Message Rules
 |  | Using the Address Book
 |  | Using Outlook Express with Newsgroups
 |  | The Bottom Line
 | Chapter ten. Chatting Online with Windows Messenger
 |  | Introducing Windows Messenger
 |  | Getting Connected
 |  | Finding New Contacts
 |  | One-to-One Messaging
 |  | Group Chats
 |  | Making Internet Phone Calls
 |  | Video Conferencing
 |  | The Bottom Line
 | Chapter eleven. Managing Online Security
 |  | Using the Windows Security Center
 |  | Activating the Windows Firewall
 |  | Protecting Against Computer Viruses
 |  | Protecting Against Spyware
 |  | Avoiding E-mail Spam
 |  | The Bottom Line
Part four. Sounds and Pictures
 | Chapter twelve. Working with Pictures
 |  | Working with My Pictures
 |  | Tracking Details
 |  | Different Views
 |  | Editing Picture Files
 |  | Working with Picture Files
 |  | The Bottom Line
 | Chapter thirteen. Working with Digital Cameras and Scanners
 |  | Installing and Configuring a Digital Camera or Scanner
 |  | Scanning Pictures
 |  | Uploading Pictures from a Digital Camera
 |  | Working with Pictures in the Camera
 |  | Copying Pictures from a Memory Card
 |  | The Bottom Line
 | Chapter fourteen. Using Windows Media Player
 |  | Understanding Digital Media Files
 |  | Introducing Windows Media Player
 |  | Configuring WMP
 |  | Playing Audio Files
 |  | Listening to Internet Radio
 |  | Watching DVDs
 |  | Organizing Your Media Files
 |  | Using Other Media Players
 |  | The Bottom Line
 | Chapter fifteen. Playing and Recording MP3 and WMA Audio
 |  | Introducing Digital Audio
 |  | Finding and Downloading Digital Audio Files
 |  | Copying (Ripping) CD Tracks to Your PC
 |  | Burning Audio Files to a CD
 |  | Copying Files to a Portable Music Player
 |  | The Bottom Line
 | Chapter sixteen. Playing and Editing Digital Movies
 |  | Introducing Windows Movie Maker
 |  | Assembling Your Source Material
 |  | Editing Your Video
 |  | Saving Your Movie
 |  | The Bottom Line
 | Chapter seventeen. Using Windows XP Media Center Edition
 |  | What Media Center Is
 |  | Upgrading to Windows Media Center Edition
 |  | Using a Media Center PC
 |  | Setting Up Your Media Center PC
 |  | Using Windows XP Media Center
 |  | The Bottom Line
Part five. In the Home and On the Road
 | Chapter eighteen. Working with Multiple Users
 |  | Planning for Multiple Users
 |  | Types of Users
 |  | Setting Up New Users
 |  | Editing User Settings
 |  | Switching Users
 |  | Sharing—or Not Sharing—Files and Folders
 |  | The Bottom Line
 | Chapter nineteen. Playing Games
 |  | Installing and Configuring Game Controllers
 |  | Building a Better Gaming System
 |  | Embracing DirectX
 |  | Troubleshooting Game Problems
 |  | The Bottom Line
 | Chapter twenty. Setting Up a Home or Small Business Network
 |  | Understanding Different Types of Networks
 |  | Setting Up Your Network
 |  | Running the Network Setup Wizard
 |  | Setting Up Wireless Security
 |  | Setting Up Network Sharing
 |  | Accessing Files, Printers, and Other Computers on Your Network
 |  | The Bottom Line
 | Chapter twenty one. Using Windows XP on Portable PCs
 |  | Improving Your Display with ClearType
 |  | Optimizing Battery Life
 |  | Connecting Two PCs with a Direct Network Connection
 |  | Controlling Another Computer with Remote Desktop Connection
 |  | Using Briefcase to Synchronize Files
 |  | Working with Offline Files
 |  | The Bottom Line
Part six. Maintenance and Troubleshooting
 | Chapter twenty two. Getting Help
 |  | Introducing Windows XP's New Help and Support Center
 |  | Finding More Help Online
 |  | Getting Remote Assistance
 |  | The Bottom Line
 | Chapter twenty three. Updating Windows
 |  | Picking and Choosing Windows Components
 |  | Downloading and Extracting Device Drivers
 |  | Updating Windows Online
 |  | Upgrading to Service Pack 2
 |  | Transferring Files and Settings
 |  | The Bottom Line
 | Chapter twenty four. Keeping Windows Healthy and Happy
 |  | Cleaning Up Unnecessary Files
 |  | Defragging Your Disk
 |  | Performing a Hard Disk Checkup with ScanDisk
 |  | Viewing System Performance
 |  | Viewing More System Information
 |  | Displaying Key System Properties
 |  | Managing Your Devices
 |  | Accessing More System Information—and Utilities
 |  | Scheduling Your Maintenance
 |  | Backing Up and Restoring Critical Files
 |  | Managing the Windows Registry
 |  | The Bottom Line
 | Chapter twenty five. Troubleshooting Common Problems
 |  | Basic Troubleshooting Tips
 |  | Starting in Safe Mode
 |  | Undoing Something Bad with System Restore
 |  | Troubleshooting Technical Problems with Windows' Diagnostic Tools
 |  | Simple Solutions to Common Problems
 |  | The Bottom Line
Part seven. Appendixes
 | Appendix a. Upgrading to Windows XP
 |  | The Typical Upgrade Installation
 |  | The "Clean" Installation
 |  | Activating and Registering Windows
 |  | Uninstalling Windows XP
 | Appendix b. Windows Accessories
 |  | Calculator
 |  | Character Map
 |  | Games
 |  | HyperTerminal
 |  | Notepad
 |  | Paint
 |  | Sound Recorder
 |  | WordPad
 | Appendix c. Accessibility Options
 |  | Control Panel Accessibility Options
 |  | Other Accessibility Tools
 |  | Using the Accessibility Wizard
Index


Copyright

Peachpit Press
1249 Eighth Street
Berkeley, CA 94710
510/524-2178
800/283-9444
510/524-2221 (fax)

Find us on the Web at www.peachpit.com.

To report errors, please send a note to errata@peachpit.com

Peachpit Press is a division of Pearson Education

Copyright © 2006 by Peachpit Press

All rights reserved. No part of this book shall be reproduced, stored in a retrieval system, or transmitted by any means—electronic, mechanical, photocopying, recording, or otherwise—without written permission from the publisher, except for the inclusion of brief quotations in a review.

Credits

Editor:

Wendy Sharp

Production Coordinator:

Jeff Sargent

Compositor:

Jerry Ballew

Indexer:

Julie Bess

Interior design:

Maureen Forys/Happenstance

Cover design:

Aren Howell

Cover photo:

Getty/Tom Merton

Notice of Rights

All rights reserved. No part of this book may be reproduced or transmitted in any form by any means—electronic, mechanical, photocopying, recording, or otherwise—without the prior written permission from the publisher. For information on obtaining permission for reprints and excerpts, contact permissions@peachpit.com.

Notice of Liability

The information in this book is distributed on an "As Is" basis, without warranty. While every precaution has been taken in preparation of this book, neither the author nor Peachpit Press shall have any liability to any person or entity with respect to any loss or damage caused or alleged to be caused directly or indirectly by the instructions contained in this book or by the computer software and hardware products described in it.

Trademarks

Many of the designations used by manufacturers and sellers to distinguish their products are claimed as trademarks. Where those designations appear in this book, and Peachpit was aware of the trademark claim, the designations appear as requested by the owner of the trademark. All other product names and services identified throughout the book are used in an editorial fashion only and for the benefit of such companies with no intention of infringement of the trademark. No such use, or the use of any trade name, is intended to convey endorsement or other affiliation with this book.

9 8 7 6 5 4 3 2 1

Dedication

To Ben and Alec, My two favorite nephews.

—Michael Miller


About the Author

Michael Miller is a successful and prolific author with a reputation for practical advice and technical accuracy, and an unerring empathy for the needs of his readers.

Mr. Miller has written more than 60 how-to and reference books over the past 15 years. His books include Absolute Beginner's Guide to Computer Basics, Absolute Beginner's Guide to eBay, Tricks of the eBay Masters, and The Complete Idiot's Guide to Music Theory. He is known for his casual, easy-to-read writing style and his practical, real-world advice—as well as his ability to explain a wide variety of complex topics to an everyday audience.

You can e-mail Mr. Miller directly at winxp@molehillgroup.com. His Web site is located at www.molehillgroup.com.


Introduction

IN THIS INTRODUCTION

Who Should Read This Book xxviii

How This Book Is Organized xxviii

Special Features in This Book xxx

I've used a lot of different computer operating systems over the years. The first personal computer operating system I used was CP/M, on a Kaypro II computer back in the very early 1980s. CP/M looked and worked a lot like MS-DOS, which I used in a number of versions from the mid-1980s through the early 1990s. Then I switched to Windows, which I used from version 3.0 through Windows 95, 98, and Me.

Finally, in 2001, I switched to the latest and greatest version of Microsoft's primary operating system, Microsoft Windows XP. I know that Windows XP is the latest and the greatest because that's what Microsoft tells me, but this particular version of Windows actually seems to live up to all the hype surrounding its launch. For perhaps the first time in the history of personal computing, Microsoft has created an operating system that is actually easy to use and doesn't crash all the time.

In other words, Windows XP is the operating system we've been waiting for…well, forever.

Of course, just because Windows XP is easier to use than any other Microsoft operating system doesn't mean you can figure it out by yourself. And just because it doesn't crash all the time doesn't mean that it is totally free of…well, let's be kind and call them idiosyncrasies.

In other words, even though Windows XP is the greatest thing since sliced bagels, you'll still probably need some help to learn your way around.

That is where this book comes in.

Microsoft Windows XP for Home Users, Third Edition, is your guide to all the pieces and parts of Microsoft's latest operating system. This book is designed to help you get up and running with Windows XP, and then help you keep it up and running over the long haul. There's lots here to learn, which is why a book like this is necessary—so necessary that this is the third edition of the book, updated with all the fixes and changes that come with the installation of Service Pack and Microsoft's latest official utilities and applications.


Who Should Read This Book

This book is designed for anyone using Windows XP Home Edition—although most of the information contained within these covers also applies to Windows XP Professional Edition. (The two versions are functionally identical for most end-user operations; I have both versions installed on various PCs around my home, and I can't tell you which PC is running which version without looking it up.) The book isn't for complete novices, however; I assume that you're already familiar with some older version of Windows. Maybe you're upgrading the operating system on your PC from Windows 98 or Me to Windows XP, or maybe you've just bought a new PC with Windows XP preinstalled. In any case, I focus on how Windows XP differs from the Windows you're used to, and proceed from there.


How This Book Is Organized

To make this book easy for you to use, I've organized its 25 chapters into six major sections, each focusing on a specific group of tasks or operations. This way, you can turn directly to that part of the book that contains the information you want—or you can read straight through, from front to back, to get the whole Windows XP story.

  • Part I: Getting to Know Windows XP gets you up and running with this newest version of Microsoft Windows. The first chapter tells you about everything that's new or has been changed since Windows 98 and Windows Me. The second chapter shows you how to customize the Windows XP desktop and operations to look and act the way you want them to.

  • Part II: Working with Files, Programs, and Peripherals examines all the file-management tools in Windows XP. You'll also learn how to add new software and hardware to your system, and how to control XP's printing function.

  • Part III: Taking Windows Online is all about Windows XP and the Internet. Here is where you'll learn how to connect to an ISP, share an Internet connection, use the new features in Internet Explorer 6, instant message with other users via Windows Messenger, and keep your computer safe and secure while you're online.

  • Part IV: Sounds and Pictures tells you about some of the neatest new features of Windows XP. You'll learn how Windows XP manages the task of importing and viewing pictures from digital cameras and scanners, as well as how you can listen to, rip, and burn digital audio files. You'll also learn how to use Windows XP with special Media Center PCs.

  • Part V: In the Home and On the Road is all about using Windows XP on a network or on a portable PC. You'll learn just how easy it is to set up an XP-based home network, how to fast-switch between multiple users, and how to make your notebook PC run faster and look better when you're away from home.

  • Part VI: Maintenance and Troubleshooting is the place to turn to if you're having trouble with Windows XP. Look here for advice on finding help, performing routine system maintenance, and troubleshooting common problems.

In addition, this book features three appendixes with essential information about upgrading your system to Windows XP, using XP's built-in accessory programs, and implementing XP's accessibility options.


Special Features in This Book

Besides the main text in this book, you'll find several extra features that give you even more information about getting the most out of Windows XP.

TIP

To get the most out of Windows XP, I recommend that you configure your system to at least 1024 x 768 resolution, running at least 16-bit color—and if your video card can handle it, crank the color quality all the way up to the highest setting. Windows XP looks best with 32-bit color. Naturally, you'll need a 17-inch or larger monitor to handle this resolution, which is another one of my recommendations.

Tips

These are pieces of advice—little tricks, actually—that help you use Windows XP more effectively or maneuver around problems or limitations.

Notes

Notes provide information that is generally useful but not specifically needed for what you're doing at the moment. Some are like extended tips—interesting, but not essential.

NOTE

Prior to Windows 95, filenames were limited to eight main characters plus a three-character extension. Windows no longer has this "8+3" limitation. Filenames can now include up to 255 characters, and can use spaces and special characters.

CAUTION

Installing too many fonts on your system not only consumes a lot of hard disk space, it also eats up system memory and can cause your system to run slower than normal. If your system is running sluggishly, you may want to remove some unused fonts. This enhances the performance of your system performance and frees up some disk space.

Cautions

These tell you to beware of a potentially dangerous act or situation. In some cases, ignoring a Caution could cause you significant problems—so pay attention to them!

Shortcut Key Combinations

Shortcut key combinations in this book are shown as the key names joined with plus signs (+). For example, Ctrl+W indicates that you should press the W key while holding down the Ctrl key. (This particular key combination closes the current browser window—useful if you've been plagued with a bunch of advertising pop-ups without the normal Close Window controls.)

Menu Commands

You'll see instructions, such as this, everywhere in this book:

Choose File, New.

This means that you should pull down the File menu and select New. (This particular example opens the New dialog box in most Windows applications.)

Web Addresses

There are a lot of Web addresses in this book. They're notated like this:

www.microsoft.com

In all cases, the beginning http://, not necessary with Internet Explorer 6, is assumed.


    Part one: Getting to Know Windows XP

    1 New Windows for Old Users: What's New, What's Changed

    2 Changing the Way Windows Looks—and Acts

    Previous Section < Day Day Up > Next Section


Chapter one. New Windows for Old Users: What's New, What's Changed

IN THIS CHAPTER

What Windows XP Is—and What It Isn't 4

Under the Hood 11

Windows XP's New "Look and Feel" Features 16

Windows XP's New Internet Features 23

Windows XP's New Multiuser and Multiple-PC Features 27

Windows XP's New Audio and Video Features 28

Windows XP's New System Utilities 34

Changing Default Applications 35

Windows XP's Help and Registration Features 36

Feature Comparison 37

Old Versus New: How to Do What You Used to Do 40

What's Next After Windows XP? 42

The Bottom Line 43

I've been using Windows XP since its release in 2001, and I like what I see. Performance- and stability-wise, it's a marked improvement over Windows 98 and Windows Me. It also sports a spiffy new interface, and brings out into the open a lot of common operations that used to be hidden on a pull-down or pop-up menu. Like any new version of Windows, however, it takes a little getting used to—especially if, like me, you've gotten used to the way the old Windows worked.

This chapter takes you on a guided tour of Windows XP. I tell you about all the new features of the operating system, and show you how Windows XP changes the way you perform some common tasks. I assume that you're already familiar with some previous versions of Windows, so I won't bore you with basic stuff like how to click your mouse or open a window. Instead, I try to get right to the good stuff—what you need to know to get started using Windows XP right now.


What Windows XP Is-and What It Isn't

What Windows XP Is—and What It Isn't

Microsoft Windows has been the dominant desktop operating system for almost fifteen years, now. Just to keep everyone on their toes, Microsoft brings out a new version of Windows every few years or so; sometimes the new version is a minor update, sometime it's a complete overhaul. For example, Windows 95 (released back in—you guessed it—1995) was a total rewrite of the previous 3.X version of Windows. Windows 98 (which followed in 1998) was a less-significant upgrade, and Windows 98 Second Edition (in 1999) was really no more than a minor bug fix. Windows Me (released in 2000) added a few bells and whistles, but was still basically the same operating system released back in 1995.

Through all those upgrades in the 1990s, the whole Windows 9X/Me product line was targeted toward individual computer users. Corporations were encouraged by Microsoft to use the more robust Windows NT/2000 operating system. This corporate version of Windows was built from the ground up to be a true 32-bit operating system, while the consumer-oriented Windows 9X/Me OS was saddled with legacy support for 16-bit programs.

In fact, when you opened it up and looked under the hood, you still found remnants of the old MS-DOS operating system in the Windows 9X/Me OS. This meant, unfortunately, that the consumer version of Windows was not always the most stable of operating systems.

If you wanted better stability during those years, you had to move up to the 32-bit Windows NT/2000 OS. Unfortunately, Windows 2000 (the latest in this line) wasn't exactly consumer friendly; it didn't support a lot of the peripherals that were common in home computing, and many popular games and older applications didn't run on it.

That brings us to Windows XP, which was released in 2001. With Windows XP, Microsoft combined its consumer and corporate operating systems into a single OS. Windows XP is built on the Windows 2000 engine, but includes an interface and driver support built on what was available in Windows 9X/Me. Windows XP is as stable and robust as the corporate-focused Windows 2000, and as easy-to-use as Windows 9X/Me.

All this makes Windows XP the most important operating system release since Windows 95. Although you might not have had a good reason to upgrade to Windows 98 or Windows Me, the performance and usability improvements in Windows XP makes upgrading—either on your old PC or by buying a whole new machine—a virtual necessity.

TIP

If you are upgrading to Windows XP from an older version of Windows, check out Appendix A, "Upgrading to Windows XP." I show you what you need to upgrade, how to prepare, and what to watch out for during the process.

Upgrading a really old PC, unfortunately, isn't always an easy thing to do. Mainly, this is because Windows XP has fairly stiff system requirements. (That's a result of using the Windows 2000 engine, which has always required more powerful hardware to run.) If you have a relatively new, relatively powerful computer with a lot of memory and hard disk space, you're probably okay to upgrade. If you have a computer more than five years old, you should stick with your current operating system.

Microsoft says (and I agree with them) that the best way to experience Windows XP is on a new XP-compatible computer, which is why all new consumer-grade PCs come equipped with Windows XP as the standard operating system. Buying a new PC with XP installed is certainly a more pleasant experience than going through the whole hassle of upgrading.

New and Different

When you do move up to Windows XP, you find that all those changes under the hood are just that—under the hood. The main result of the change to the Windows 2000 engine is that the OS doesn't crash nearly as often. That is a good thing, of course, but isn't readily apparent.

What is readily apparent is the new look of the OS. Although, when you get right down to it, Windows XP still looks and acts pretty much like all previous versions of Windows.

There really isn't a lot of new functionality in the core of the OS. A lot of operations that used to be accessible by right-clicking an object are now front-and-center via context- sensitive activity center panes. These panes are activated when you choose to display folders in Web view. They appear in all folder windows and contain lists of popular tasks. Just click a task when you want to get something done—much easier than right-clicking items or pulling down menus.

NOTE

Luna was one of the many code words bandied about during the development and testing of Windows XP. XP itself was code-named Whistler.

Windows XP has new features, of course. Microsoft's detractors, however, call a lot of these features unnecessary to the operating system's core functionality. They may be right.

Microsoft views these additions as "extensions" to the OS, much as the addition of a Web browser was an extension. The new features of Windows XP include such "extensions" as a more robust media player, a digital video editor, a new instant-messaging program that incorporates Internet telephony and video conferencing, and improved support for digital cameras and scanners.

Most of these new features were previously available from third-party providers, and from Microsoft as well. But now that they're built into the operating system, you don't need to obtain them separately. That's good for you (assuming you like Microsoft's versions), and bad for the third-party providers. Whether or not it's legal is up to the courts to decide.

All this functionality is given a high-tech sheen by Windows XP's new Luna interface. Luna is the biggest interface change since Windows 95's 3D icons replaced Windows 3.X's flat-screen look. Luna is bright and colorful, with attractive rounded edges and all sorts of visual cues and effects that take full advantage of today's more detailed graphics displays. It may not affect the way XP works, but the new interface makes everything look a little fresher.

Different Versions

Microsoft is selling three different versions of Windows XP, as well as a few significant variations. Windows XP Home Edition (on which this book was written) is the version of XP for home and small business users. Windows XP Professional is designed for larger businesses and corporate users, and includes the more robust networking and system administration functions required for that environment. Windows XP 64-Bit Edition is designed for workstation-class applications, such as designing bridges and making movies such as Toy Story and Shrek.

NOTE

Automated System Recovery is a new addition to the standard Backup utility, specifically designed for network system administrators

Unless you're running a large network, you don't need Windows XP Professional. And unless you're looking to upgrade a powerful workstation, and are running Intel's new Itanium processor, you don't need the 64-bit version.

Windows XP Home Edition includes all the functionality you need for typical home or small business use, including an improved Network Setup Wizard that makes it easy to set up small home networks or shared Internet connections. XP Home Edition is the version installed on most consumer-grade PCs.

Windows XP Professional is somewhat of a superset of XP Home Edition. Everything you can do with XP Home you can do with XP Pro—and then some.

In case you're curious, these are some of the "and then some" features of XP Professional (not found in XP Home Edition):

  • The ability to upgrade from Windows NT 4.0 Workstation and Windows 2000 Professional

  • Administrative tools

  • Automated System Recovery (ASR).

  • Dynamic Disk Support

  • Encrypting File System (EFS)

  • Fax support

  • File-level access control

  • Group Policy settings

  • IntelliMirror capabilities, including user data management, centrally managed software installation and updating, user settings management, and Remote Installation Services (RIS)

  • Internet Explorer 6 Administration Kit

  • Internet Information Services (IIS)/Personal Web Server

  • IPSecurity user interface

  • Kerberos authentication for enterprise resources

  • Multi-language support

  • Multi-processor support

  • NetWare client service

  • Network Monitor

  • Remote Desktop

  • Roaming user profiles

  • SAP Agent

  • SNMP support

  • System Preparation (sysprep) utility

NOTE

You can learn more about Media Center Edition in Chapter 17, "Using Windows XP Media Center Edition."

As you can see, most of these differences have to do with corporate networking and administration. They aren't necessary for typical home or small business use.

When it comes to Windows XP 64-Bit Edition, you get support for Intel's new Itanium 64-bit processor. The 64-bit version of XP includes pretty much the same feature set as XP Professional, with exceptions of infrared support, DVD support, System Restore, and selected features related to mobile computing—all of which were taken out of the 64-Bit Edition. Suffice to say, you shouldn't be running XP 64-Bit Edition unless you're running some sort of high-end professional workstation.

And the variations? The most notable variation is Windows XP Media Center Edition, which is an interface on top of an interface that makes it easier to use your computer in your home theater system or to serve up digital music and movie files. It's a great interface for both home theater and dorm room PCs.

The Latest Update

Microsoft is constantly updating its products—so much so that the Windows XP you buy today is quite a bit different from the Windows XP that went on sale back in 2001. If you're running an older version of XP, you can update it to the new version by installing Service Pack 2 (which followed on the heels—and integrates—the previous Service Pack 1). This software update upgrades your system to include all sorts of bug fixes and security patches, as well as adds the new features found on the version of XP currently distributed by Microsoft.

TIP

To see which version of Windows XP you have installed on your computer, open My Computer, and then select Help, About Windows. The About Windows dialog box shows the version number (should be 5.1) and whether Service Pack 1 or 2 has been installed. (If it doesn't mention the Service Pack, it isn't installed.)

There are several big changes noticeable with Service Pack 2. First are those changes that were initially part of Service Pack 1, most of which let you change certain components of the operating system itself. These changes—mandated by the courts, as part of the government's anti-trust action against Microsoft—are designed to reduce Microsoft's monopoly of the computer desktop by letting you configure Windows XP to use various accessory programs of your choice, instead of Windows Media Player, Internet Explorer, and the like.

Service Pack 2 also includes additional changes that build on the SP1 update. Most of these new changes have to do with improved security—making Windows and your PC safer when you connect to the Internet. There's also a new Wireless Network Setup Wizard for configuring your computers in a Wi-Fi network, and some neat changes to Internet Explorer (including a very effective pop-up blocker).

Beyond the service pack changes, Microsoft has also released a new and improved version of Windows Media Player (WMP). WMP 10 is a significant update to the media player program that makes playing, ripping, and burning music and movies that much easier to do. If you haven't yet upgraded to WMP 10, I recommend you do so ASAP.

If you've purchased a copy of Windows XP or a new PC since fall 2004, you probably have the latest version of Windows XP with Service Pack 2 already built in. If you have an older version of XP, you can upgrade it with SP2 by clicking the Windows Start button, selecting Help and Support, and when the Help and Support Center window opens, selecting Keep Your Computer Up-to-Date with Windows Update (in the Pick a Task section). Be sure you're connected to the Internet, because this selection will take you online (to Microsoft's Windows Update Web site) to find out what updates are available that haven't yet been installed on your system. Assuming you don't have SP2 installed, the Windows Update application will sense this and prompt you to download and install the Service Pack. Just follow the onscreen instructions to complete the upgrade.

TIP

You can also download SP2 directly by going to the Windows XP Service Pack 2 page, at www.microsoft.com/windowsxp/sp2/. This page is also where you order the SP2 update on CD.

Changing to a Task-Based Approach

Whichever version of Windows XP you use, you notice one extremely important change in the way this new operating system works. Put simply, Windows XP is much more task-based than its predecessors. Where older versions of Windows forced you to choose an item and then find the desired operation on a pull-down menu (or right-click an item to display a pop-up menu), Windows XP provides a list of likely tasks every time you select an item.

For example, when you select a file in My Computer or the My Documents folder (shown in Figure 1.1), the activity center pane displays a list of possible File Tasks. In this instance, the suggested tasks include Rename this file, Move this file, Copy this file, Publish this file to the Web, E-mail this file, Print this file, or Delete this file. You can still choose an operation from the menu bar (or right-click the file and choose an operation from the pop-up menu), but your most likely actions are listed in the activity center.

Figure 1.1. The File and Folder Tasks list in the topic bar drives Windows XP's new task-based approach.

[View full size image]

Windows XP carries this task-based approach throughout the operating system, using what Microsoft calls an "intelligent user interface." The revamped Start menu, for example, groups together your most frequently used files and applications for quick and easy access. The new Search Companion asks you what you want to search for, in plain English (as opposed to requiring wildcards and file extensions, such as the old Find utility did) and then offers additional suggestions to help refine your search. The My Pictures folder displays image thumbnails and tasks associated with image management. The My Music folder displays album covers for ripped CDs and tasks associated with digital music playback and recording, and so on.

This whole task-based approach is designed to make Windows work more like you work. It's kind of nice, for a change, to see an operating system adapt to my way of doing things, instead of the other way around!


Under the Hood

Of all the changes in Windows XP, the biggest one is invisible to the eye. The guts of Windows XP aren't the same guts that were in Windows 9X/Me. Instead, Windows XP uses the underlying engine that is used in the Windows 2000 operating system. If you ignore IBM's old OS/2 Warp (and most people did), this marks the first time a corporate-grade OS has been made available to home users.

A True 32-Bit Operating System

All previous Microsoft home operating systems have evolved from the old 16-bit MS-DOS operating system. The very first version of Windows wasn't much more than a pretty face—a graphical user interface, or GUI—grafted onto the underlying DOS command structure. Subsequent versions of Windows improved on the original, but still retained the original MS-DOS underpinnings. This was done to ensure compatibility with older applications and believe it or not, a fair number of DOS-based applications are in use today.

Windows NT was Microsoft's first operating system not based on MS-DOS. NT was designed for corporate use, where system stability was more important than MS-DOS compatibility. By using a 32-bit kernel, Windows NT (and its successor, Windows 2000) was less crash-prone and more reliable.

Windows XP completely abandons the 16-bit engine used in Windows 9X/Me. Instead, it uses the same 32-bit operating system last utilized in Windows 2000. The interface on top of the OS is different, but the guts are pretty much the same.

Improved Stability

The result of this switch to a 32-bit engine is that Windows XP has all the stability of Windows 2000. Which is to say that Windows XP should crash a lot less frequently than Windows 9X/Me did.

If you were used to rebooting your computer at least once a day, or of having frozen programs bring down your whole system, then get used to a better way of doing things. Not that system crashes are completely a thing of the past, but when a program crashes in XP, the rest of your system usually stays up. You find yourself rebooting much less frequently, with far fewer crashes, freezes, and the like.

In short, Windows XP features the type of stability and reliability that you've always wished for. Finally, a somewhat-reliable operating system for home use!

System Requirements

This improved performance comes at a price. Like Windows NT and Windows 2000 before it, Windows XP requires some powerful hardware just to get up and running. If you have an older PC, you probably don't have the muscle to run XP. Any PC manufactured in the last four years or so, however, should have more than enough horsepower to run Windows XP and compatible applications.

So how do you know if your old PC can run this new operating system? Table 1.1 describes Microsoft's minimum system requirements, along with my own practical recommendations.

Table 1.1. Windows XP System Requirements

Requirement

Microsoft Recommendation

Miller Recommendation

Microprocessor

233MHz or higher

500MHz or higher

Memory (RAM)

128MB

256MB

Available hard disk space

1.5GB

5GB

Monitor resolution

800 x 600 pixels

1024 x 768 pixels

TIP

For best viewing, I recommend either a 15-inch LCD or 17-inch CRT monitor—and bigger is definitely better.

Microsoft also recommends (and I concur) that you have a CD-ROM or DVD drive. Note, however, that these basic system requirements are just for running XP for traditional computer applications (word processing Internet surfing, and so on). If you want to perform other types of tasks, you need to have the right peripherals installed on your system. For example:

  • For Internet access, you need either a dial-up connection (with traditional modem) or faster broadband connection (via cable or DSL). Here the faster connection is almost a necessity, given Microsoft's propensity for forcing huge updates down to your computer at least once a month; these updates are often so large as to choke a slow dial-up connection.

  • For networking, you need either a network interface card (NIC) or wireless network adapter, and the proper connections to a network infrastructure.

  • For Internet telephony (voice over IP), instant voice conferencing, or video conferencing, you need a broadband Internet connection or a network connection, along with a microphone, sound card, speakers or a headset, and a PC camera (if you're doing the video thing).

  • For DVD video playback or recording, you need a DVD drive.

  • For digital video editing, you need a FireWire connection (for a digital video camera) or video capture card (for older analog cameras), along with a fast microprocessor (2GHz or more), high-end video card, and tons of hard disk space (200GB bare minimum).

Hardware Support

You'll find that Windows XP is compatible with almost any type of hardware or peripheral you can throw at it. In particular, XP now includes full support for the following technologies:

  • DVD-RAMs with FAT32 formatting

  • IEEE 1394 FireWire connections

  • IEEE 802.11a and 802.11b WiFi wireless networking

  • Image Mastering API (IMAPI) for mastering CD-R and CD-RW discs via drag-and-drop

  • Infrared Data Association (IrDA) wireless connections

  • Intel Itanium 64-bit processor (also supported by the 64-bit version of Windows XP)

  • Internet Connection Sharing to share a single Internet connection among multiple computers

  • Network bridging, which enables home networks to combine different connection technologies

  • Universal Disk Format (UDF) 2.01 for DVD-ROM discs and DVD videos

  • Universal Plug and Play (UPnP), to support zero-configuration networking and automatic device discovery

  • Universal serial bus (USB), including USB interface keyboards, USB microphones, and array microphones (for video conferencing and telephony); SP1 and SP2 add support for the USB 2.0 standard

  • Windows Image Acquisition (WIA) for still-image devices

Basically, Windows XP should be compatible with just about any recent piece of hardware you might own—or any new hardware you might be in the market to buy. This is primarily due to the fact that XP is built on the Windows 2000 engine. Windows 2000 has been on the market long enough to have built up an ample and battle-tested library of device drivers. Any hardware driver that works on Windows 2000 should work on Windows XP.

TIP

You may be able to use the Windows 2000 drivers that came on your device's installation disk. If not, Windows 2000-compatible drivers should be available for downloading from the manufacturer's Web site.

However—and this is important—you may need to upgrade older device drivers to the Windows 2000/XP versions of those drivers. I found that when I upgraded from Windows Me to XP, several of my old devices quit working, obviously because I'd installed the Windows 9X/Me drivers. When I installed the Windows 2000 drivers, everything worked fine.

Windows XP also includes a new AutoPlay feature, which should simplify the use of removable media. AutoPlay lets you connect a new device or media—including flash cards, Zip disks, and CDs—and start using it right away. When you insert the item, AutoPlay determines the content and automatically starts the application. You don't have to start the association applications manually any more.

Learn more about adding new peripherals to Windows XP in Chapter 6, "Adding New Hardware."

Software Compatibility

Where hardware support shouldn't be much of a problem with Windows XP, software compatibility could be a different story—especially if you're still running some older applications. You see, many consumer applications that were designed for Windows 9X/Me simply don't run under Windows XP. (They wouldn't run under Windows 2000, either, which is the crux of the problem.) If a Windows 2000 version of a program does not exist, chances are good that you will have problems running it under Windows XP. This is especially true with DOS-based programs, and many older PC games.

If you run into an application that's incompatible with Windows XP, it's probably because many older applications incorrectly detect which operating system is running. Because Windows XP is based on Windows 2000, these Windows 9X-based programs assume they're installed under Windows 2000—and thus refuse to work.

Microsoft tries to get around this version—sensing problem with Windows XP's Compatibility Mode. The Compatibility Mode uses a new technology called AppFixes, which automatically detects these older applications and tries to fool them into thinking that they're running on an older, more compatible version of Windows.

TIP

You can also use the AppFixes technology to manually fool applications that it doesn't catch automatically. Just right-click the application's shortcut, select Properties, select the Shortcut tab, check the Run in Compatibility Mode option, and select which OS you want to emulate. You can also apply Compatibility Mode through XP's Program Compatibility Wizard. You launch this wizard by clicking the Start button, then selecting All Programs, Accessories, Program Compatibility Wizard.

Microsoft has also specifically addressed potential compatibility problems with DOS-based PC games. Windows XP includes SoundBlaster-compatible sound support and high-resolution VESA video support, which should help to run these older games.

Adding up the pluses and minuses, Windows XP is probably more compatible with legacy applications than was Windows 95, the last big OS upgrade. Even when you have a program crash, XP seldom brings down the entire operating system. You should be able to move, resize, minimize, or close a frozen application so that you can continue working in other applications. You can also use the old three-fingered salute (Ctrl+Alt+Del) to open up the Windows Task Manager, which now includes more options than you had in Windows 9X/Me, including the often necessary option of ending the current task.

NOTE

Learn more about using Windows XP with various types of software in Chapter 4, "Running Programs."


Windows XP's New "Look and Feel" Features

You know that Windows XP is more stable, thanks to its 32-bit Windows 2000 engine. You know that Windows XP employs a more user-friendly, task-based approach to things. Now it's time to delve into the details, and examine all the new features of the operating system.

Let's look first at how Windows XP has changed the desktop and user interface. What follows is a list of some of the most important changes to the operating system's look and feel.

Welcome Screen

The first new feature of Windows XP that you see is the new Welcome screen. This screen replaces the old Logon screen, used in previous versions of Windows.

The new Welcome screen is a friendlier, more visual way to handle multiple users. It displays a list of users currently set up on your system, along with an associated image. Click the image to log in as that user—no typing involved—or click the Guest icon to log on as a guest.

User Interface

When Windows XP starts, you see the biggest change to the operating system's look and feel. The entire user interface has changed, but in a good way.

Microsoft calls the new interface Luna, and it's much more attractive than any of the previous Windows interfaces. As you can see in Figure 1.2, it features brighter colors, rounder edges, and bigger buttons and icons.

Figure 1.2. Windows XP's new Luna interface—bigger, brighter, and rounder.

[View full size image]

You can make Luna look even snazzier by activating a bevy of animation and 3D effects. These effects include watermarks, fading or scrolling menu transitions, icon text transparency, and drop shadows.

NOTE

Learn more about customizing the look and feel of Windows XP (including the Start menu, the Control Panel, folder views, and ClearType) in Chapter 2, "Changing the Way Windows Looks—and Acts."

Some of these effects can be activated from the Display Properties dialog box, which you can open from the Windows Control Panel. (Select the Settings tab and click the Effects button.) Other effects have to be activated from the System Properties dialog box, also accessible from the Control Panel. (Select the Advanced tab and click the Settings button in the Performance section.)

Although not much about the new Luna interface changes improves XP's usability, I find that it's a nice change of pace from the traditional hard-edged Windows interface. Notice the visual cues, such as the Start button being green (for "go"), and selected buttons being surrounded with an orange glow. If you don't like Luna, you can return to the classic Windows interface from the Display Properties dialog box. Just select the Themes tab and choose the Windows Classic theme, and XP superficially resembles Windows 98.

Desktop

I've seen a lot of desktops on a lot of PCs. Most of them are cluttered to the max, with every type of icon imaginable stuck here and there and everywhere. Windows XP tries to clean up this clutter by removing almost all the icons on initial installation.

You can reclutter your desktop manually, of course. But every few days a Desktop Cleanup Wizard runs and drops any icons you haven't used in awhile back into an Unused Desktop Icons folder. The result is a much cleaner desktop, whether or not you like it. I like it, because I'm a complete desktop slob. This is like having a digital maid!

ClearType

For some reason, this new feature doesn't get a lot of play from Microsoft or the tech press. In fact, it's almost buried in XP's Display Properties dialog box.

That's a shame, because ClearType is one of the most impressive—and most useful—new features of Windows XP.

ClearType is a technology that effectively triples the horizontal display resolution on LCD displays. If you use a portable PC or have one of those expensive flat-panel monitors sitting on your desk, you'll find that ClearType makes Windows XP a must have operating system.

The difference between ClearType and traditional LCD display technologies is amazing, and is noticeable on every application you use. After you turn on ClearType, you wonder how you ever did without it!

Control Panel

Microsoft has attempted to make the Control Panel easier to use. It now groups applets by type, in what it calls a Category view. In this view, you don't see the applets right off. Instead, you're encouraged to "pick a category" from 10 different areas, such as Appearances and Themes, User Accounts, and Performance and Maintenance.

When you click a category, you then see the traditional applets—accompanied by a list of tasks under the "pick a task" heading. You can click an applet icon or a task, which then opens the appropriate applet.

Although this Category view may be a more task-based approach, it results in more clicking for experienced users. Fortunately, you can turn off the Category view by clicking the Switch to Classic View option in the Control Panel's activity center pane.

Folder Views

The folders used to display your computer's files have been completely redesigned in Windows XP.

First, each folder by default displays a context sensitive pane that Microsoft calls an activity center. The activity center lists details about the selected file or folder, and displays a list of common tasks you can perform.

You can also customize the look of each folder in a number of ways, including grouping files by type or most-recent use. Choosing custom icons for any folder on your system is also possible and you can customize folders that contain music or images with a thumbnail of the album art or images they contain.

My Computer

As you can see in Figure 1.3, My Computer looks radically different in Windows XP, primarily because of the ever-present activity center pane. In addition, the Tasks list contains links that start up the most common system tasks, such as searching for files or folders, or adding or removing programs. These changes work to make My Computer a lot more useful than it was in previous versions of Windows.

Figure 1.3. Windows XP's My Computer—more useful than in previous versions.

[View full size image]

Start Menu

Windows XP's Start menu is quite different from the Start menu in previous versions of Windows. It still opens when you click the Start button, but the similarities stop there.

As you can see in Figure 1.4, the new Start menu is greatly simplified. The left side of the menu includes icons for your Web browser and e-mail program, as well as the last six programs used. The right side of the menu contains smaller icons for your essential folders (My Computer, My Documents, My Music, My Pictures, and so on) and key system utilities (Control Panel, Help and Support, and so on).

Figure 1.4. Windows XP's Start menu—the place to start all your programs.

All your other programs are accessible from the All Programs link. Just click (or hover over) the green arrow, and the traditional menu of programs pops up.

You can personalize the Start menu by forcing the menu to display programs of your choosing. Whether you use the Start menu as-is or customize it to your liking, I think it's a vast improvement over the cluttered Start menu of old.

System Tray

The big change in Windows XP's System Tray is that it isn't nearly as cluttered as it used to be.

In all previous versions of Windows, just about any utility running in the background showed up in the System Tray. The Tray then expanded to the left to take up valuable display space. In most cases you didn't need to see all those little icons, so the Tray became a big waste of space.

Windows XP takes the System Tray and divides its content into two groups. If it's important for you to see the status of an icon, that icon is placed on the right side of the tray, which is always visible. If an icon doesn't really need to be seen, it's placed on the left side of the tray, which is hidden by default. You can display all the icons by clicking the left-arrow button (actually a chevron) to expand the visible area. As you can see in Figure 1.5, though, you'll probably prefer this condensed version of the Tray.

Figure 1.5. The icons in Windows XP's System Tray.

Taskbar

The Taskbar in Windows XP has also been redesigned to reduce clutter. With the old Taskbar, every single application and document that you opened appeared in its own Taskbar button. That meant if you opened five Microsoft Word documents, five buttons would be displayed. This got to be a real pain if you kept a lot of windows open—those Taskbar buttons could get mighty small!

With Windows XP, when you get to a certain number of buttons, the operating system starts to group them by type. For example, those five Word documents are combined into a single button. Click the button and each of the documents is displayed in a pop-up menu. Select a document from the menu to switch to that document.

Windows XP also arranges the Taskbar buttons by similar functions. With previous versions of Windows, Taskbar buttons were arranged in the order they were opened. In Windows XP the buttons are arranged by type—so if you open My Computer, Microsoft Word, and My Documents, the buttons are displayed in this order: My Computer, My Documents, and then Microsoft Word.

TIP

Interestingly, Windows XP lets you mix and match which interface features you use. For example, if you want to use the old My Computer look and feel with the new Start menu—or vice versa—you can. I tell you how to do this in the next chapter, if you can hold on until then.

This is a small change, but it's a good one.


Windows XP's New Internet Features

Windows XP, like the last few versions of Windows, comes with a Web browser, e-mail client, and instant messaging program. With XP, you get the latest versions of each, complete with a slew of new features and functionality. You also get improved Internet connection sharing features, and a built-in firewall to protect your system from outside dangers.

NOTE

You don't have to have Windows XP to run Internet Explorer 6. This latest version of IE is available for downloading (for free) from the Web, at www.microsoft.com/windows/ie/.

However, XP's Internet integration doesn't stop with browsing, e-mail, and messaging. You have to connect to the Internet to activate Windows XP (you can also activate via a voice call, but that's a real time-waster), and it uses the Internet to automatically update itself through the AutoUpdate and Windows Update features. XP also enables you to e-mail or publish files directly to the Web from any folder, using options on the folder's Tasks list.

Truth be told, you miss a lot if you don't have a regular Internet connection. You don't have to stay connected all the time, but you definitely need to be connected in some way.

Internet Explorer 6

Windows XP includes Internet Explorer 6, the latest version of Microsoft's market-leading Web browser. As you can see in Figure 1.6, IE6 assumes the look and feel of XP's Luna interface, with new graphics for all its toolbar buttons. It incorporates several new and improved features, including the following:

  • An improved Search Companion for Web searching

  • Better handling of Web page images, including a new Image toolbar for saving and printing pictures, and Auto Image Resizing for fitting big images in small browser windows

    NOTE

    Learn more about Internet Explorer 6 in Chapter 8, "Surfing the Web with Internet Explorer."

  • The ability to add your own Explorer Bars (those panes that display on the left side of the browser window, such as Favorites and History)

  • A new pop-up blocker function that effectively blocks almost all of those annoying web pop-up ads (available with the SP2 update)

Figure 1.6. XP includes the latest version of Internet Explorer, with pop-up blocker technology.

[View full size image]

Of course, IE6 includes support for all the latest Web development standards, including Document Object Model (DOM) Level 1 and Cascading Style Sheets (CSS). It also incorporates the new Platform for Privacy Preferences (P3P) privacy standard, which gives you more control of how Web sites use your personal data.

NOTE

Learn more about Outlook Express 6 in Chapter 9, "Sending and Receiving E-mail with Outlook Express."

Outlook Express 6

Outlook Express 6 (OE6) is included with Windows XP and is also available for free as part of the Internet Explorer 6 download. The biggest change in this version is improved virus detection, which is accomplished by blocking the downloading of specific types of file attachments. (Not everyone thinks that this is a plus, however, as OE6 blocks downloads of all executable files—and you can't override the block!)

Windows Messenger

One of the bigger deals in Windows XP is the Windows Messenger program, shown in Figure 1.7. Windows Messenger is identical to MSN Messenger and incorporates many of the features from Microsoft's Netmeeting program. It functions as an all-in-one program for instant messaging, Internet telephony, and video conferencing.

Figure 1.7. Send and receive instant messages with Windows Messenger.

Windows Messenger enables you to do a lot of communicating from a single program. You can send instant messages to other Messenger users, engage in multiuser online chats, make voice calls to anyone with a telephone or Internet connection, send text messages to cell phones and pagers, and participate in video conferences with anyone connected to the Web.

NOTE

Learn more about Windows Messenger in Chapter 10, "Chatting Online with Windows Messenger."

Internet Connection Sharing

NOTE

Learn more about Internet connection sharing in Chapter 7, "Making the Connection."

As more and more users connect to the Internet through high-speed broadband connections, it becomes important to share those fast (and expensive!) connections between multiple computers. Windows XP makes it easy to set up a small wired or wireless network for Internet connection sharing, via the new Network Setup Wizard. This feature lets you share either a dial-up or broadband connection, without a lot of hassle.

Windows Firewall and Other Security Features

NOTE

Learn more about the Windows Firewall and other security features in Chapter 11, "Managing Online Security."

If you have a broadband connection in your home, you need to install some sort of firewall software to protect your computers from Internet-based attacks. Plenty of third-party firewall programs are available just for this purpose, and now Windows XP includes its own built-in Windows Firewall. This is not a bad little firewall, and it does the trick for most home users. (Larger business users might want to invest in a more robust firewall, however.)

Service Pack 2 adds additional security features, the most prominent being the new Windows Security Center. This utility, accessible from the Control Panel, centralizes all of Windows XP's online security features into a single location. From here you can monitor and manage the Windows Firewall, Windows XP's automatic updates (necessary for new security patches), and your PC's virus protection.


Windows XP's New Multiuser and Multiple-PC Features

NOTE

Learn about Windows XP's user accounts in Chapter 18, "Working with Multiple Users."

Because Windows XP is built on the Windows 2000 engine, and because Windows 2000 was designed to be a multiuser network-enabled operating system, it makes sense that XP would include a bevy of multiuser and networking features. Chief among these features are XP's new user accounts, the new Network Setup Wizard, and the even newer (included with SP2) Wireless Network Setup Wizard.

XP also includes the capability to set up a single network card with two separate network configurations (great for portable PCs used both at home and at work). You can also use XP's "network bridge" capability to connect two separate network segments—even if those segments use different networking technologies. (For example, you can use XP to "bridge" a wireless network to a wired Ethernet network.)

User Accounts

Windows XP is designed as a multiuser operating system. To that end, XP makes it very easy to set up multiple user accounts, and to switch from one user to another.

You can establish any number of users within Windows XP. Each user can define his own personalizations, documents, and security settings. You choose a user on initial logon, and can switch users at any time by clicking the Log Off button on the Start menu, and choosing a new user from the Welcome screen.

You can also have multiple users logged on at the same time, thanks to the new Fast User Switching feature. Fast User Switching enables you to log on additional users without shutting down the first user's applications. This is a good way to share a single PC among multiple family members—although you need a lot of system memory to make this truly "fast" switching.

Network Setup Wizard

NOTE

Learn about Windows XP's networking features in Chapter 20, "Setting Up a Home or Small Business Network."

Setting up a network is made easy by Windows XP's Network Setup Wizard. Thanks to this feature, you don't have to fiddle with a lot of protocols and configurations. Just answer the questions in the wizard, and you can easily connect two or more computers in a local area network. You can also use this wizard to set up Internet connection sharing, or even simple printer and peripheral sharing.

Wireless Network Setup Wizard

If you're contemplating setting up a wireless network, Windows XP supports the IEEE 802.11b and 802.11g standards (also known as WiFi). Setting up a secure home network is made easier by SP2's Wireless Network Setup Wizard, which lets you configure your wireless network with secure authentication. And if you're using a laptop PC with built-in Wi-Fi, Windows XP enables you to quickly and easily connect to public Wi-Fi hotspots.


Windows XP's New Audio and Video Features

Today's PCs are used for more than just personal computing. PC use now includes a variety of multimedia activities, from simple picture viewing to advanced CD burning and digital video editing. Windows XP builds the necessary multimedia features into the operating system, so you no longer have to rely on third-party software to perform essential tasks.

Digital Picture Management

Windows XP builds on Windows Me's enhanced support for digital imaging and fully integrates image management into the operating system. This makes Windows XP an ideal environment for working with digital cameras and scanners.

XP's My Pictures folder is where you store all your digital picture files. This folder includes a number of image-specific functions that simplify the process of transferring, browsing through, printing, and otherwise manipulating images. By default, My Pictures shows all pictures as thumbnails, as shown in Figure 1.8. You can hover over any image and see key details, such as resolution, format, and size. You can even display all the pictures in the folder as an onscreen slideshow, or set a picture to be your desktop background.

Figure 1.8. The My Pictures folder is where you store, view, and manage all your digital images.

[View full size image]

Windows XP incorporates the WIA standard. WIA integrates compatible imaging devices, such as digital cameras and scanners, directly into the OS shell. In effect, this lets you see and use any imaging device just as if it was a removable drive on your system. So, for example, you could be working in a graphics-editing program and open an image file stored on your digital camera, without first saving it to your hard drive.

XP also features the Scanner and Camera Wizard (first included in Windows Me). This wizard lets you easily choose images to download. You can also use the wizard to set up subfolders, delete files directly from your imaging device, and so on.

NOTE

Learn more about Windows XP's digital picture management in Chapter 12, "Working with Pictures," and Chapter 13, "Working with Digital Cameras and Scanners."

Finally, XP includes a new Windows Picture and Fax Viewer. When you click a picture in the My Pictures folder, that file is opened from within the Picture and Fax Viewer. From there you can view, rotate, zoom in or out, or print the image file.

Online Photo Finishing

The My Pictures folder includes a section on the task pane titled Photo Tasks. One of the tasks in this section is labeled Order Prints Online. When you click this link, XP displays the Online Print Ordering dialog box that lets you send selected image files over the Internet to a professional photo printer.

Microsoft has cut deals with several major firms for online photo-finishing services. Although some might question whether photo finishing should be part of a computer operating system, it is nice to be able to arrange professional printing with a few clicks of the mouse.

Windows Media Player

Playing audio and video files on your PC is a commonplace activity, especially when you're online. To play media files you need a media player, and Windows Media Player (WMP) for Windows XP is a pretty good one.

The latest version of Windows Media Player is WMP 10 (shown in Figure 1.9), and it's a solid improvement over older versions of the program. You can easily playback all types of digital music and movie files, as well as rip music from CDs and burn your own music CDs. As with older versions, the XP version of WMP lets you change the player's look and feel with optional "skins."

Figure 1.9. Use WMP to play back and record a variety of media formats—including MP3 audio and DVD video.

[View full size image]

NOTE

Learn about Windows Media Player, including the new WMP 10, in Chapter 14, "Using Windows Media Player."

Because WMP for XP can rip at the full speed of your CD drive, copying files from a CD is faster than with older versions, which were limited to 2X speed. The process of creating a playlist is also enhanced. You can now see how much free space you have left while you're in the process.

When you copy music from an audio CD onto your system, the containing folder displays the album art for the CD that was ripped, assuming that you're connected to the Internet to download the cover graphic. If you group CDs in subfolders under a master folder for a particular artist, the artist's folder displays up to four CD album cover images. This is a nice touch that enables you to see at a glance which folder contains which music.

You also find that this new version of WMP has improved sound and picture quality over previous versions and, as discussed next, now includes support for both DVD video and MP3 audio playback.

MP3 Support

With the initial release of Windows XP, Microsoft added rudimentary support for the MP3 format to Windows Media Player. WMP has always supported Microsoft's proprietary WMA format, as well as a variety of streaming audio and video formats. However, this was the first time the player supported the competing (and vastly more popular) MP3 format.

NOTE

Learn more about MP3s in Chapter 15, "Playing and Recording MP3 and WMA Audio."

Unfortunately, the initial MP3 support was a little on the lame side, as it only supported MP3 playback, not encoding. (You had to purchase an add-on software utility to enable MP3 encoding.) However, WMP 10 has been upgraded to include full MP3 support, for both playback and recording. This gives you full flexibility when ripping your songs from CD; you can choose to rip in either WMA or MP3 format. (In addition, WMP 10 includes the option of lossless WMA encoding, which lets you create digital files with no loss in fidelity from the originals.)

DVD Support

The Windows XP version of WMP also includes full-screen playback for DVD videos. Just insert a DVD movie into your PC's DVD drive, and the movie will play back from within Windows Media Player.

CD Burning

You can use Windows Media Player to burn audio files to a CD-R or CD-RW, or you can burn your own CDs directly from any Windows folder. Just open My Computer (or any folder, actually), right-click a file, and select Send To, Recordable CD. (You can also drag files directly to the CD-R/RW drive icon.) When you're done selecting files, use My Computer to open the CD-R/RW drive and select the Burn CD task.

Yes, it's that simple. No confusing utility programs to open, no special configuration to set up. Just click and burn.

Windows Movie Maker

NOTE

The latest version of Windows Movie Maker, version 2, is discussed in Chapter 16, "Playing and Editing Digital Movies."

Windows XP supports the IEEE 1394 FireWire standard, which enables the super-fast transfer of files from a digital video camera and your PC. XP also includes Windows Movie Maker (WMM), a digital video editing program that first appeared in Windows Me.

Windows Movie Maker, shown in Figure 1.10, enables you to capture both analog and digital video, edit it, add simple transitions and title screens, and then save the final product in Windows Media format. You can then send the saved file back to your VCR, for recording on tape.

Figure 1.10. Perform simple digital video editing with Windows Movie Maker.

[View full size image]

Although WMM doesn't include a lot of fancy features, it's fine for simple video editing. If you have more sophisticated needs, you need to use a more full-function program.


Windows XP's New System Utilities

Windows XP includes pretty much the same complement of system utilities found in Windows 98 and Windows Me, with a few significant additions and improvements.

NOTE

Learn more about System Restore in Chapter 25, "Troubleshooting Common Problems."

System Restore

System Restore was one of the most important additions to Windows Me. Fortunately, this utility continues into Windows XP.

The System Restore utility is a major-league safety net in case you ever experience a catastrophic problem with your computer. Before System Restore, you may have been forced to reinstall your complete operating system. With System Restore, reinstallations are a thing of the past. The utility can automatically restore your system to the state it was in before the problem cropped up.

System Restore works by actively monitoring your system and noting changes made when you install new applications. Each time it notes a change, it automatically creates a snapshot of the key system files on your system. If an installation goes bad, you can run System Restore and undo any changes made to your system by the installation. This restores your system to the pre-installation state, which should get you up and running again.

Although it isn't perfect, I thought that System Restore was one of the most important selling points for Windows Me. If you're still using Windows 98 or Windows 95, this utility alone might make it worthwhile to upgrade to Windows XP.

Compressed Folders

File compression, in the form of "zipped" files, has been around since the days of MS-DOS. Until recently, though, you had to do your compressing with a third-party utility, such as the venerable WinZip.

Starting with the Windows 98 Plus! Pack, and continuing into Windows Me, file compression was built into the operating system through what Microsoft calls compressed folders. The compressed folders feature has been enhanced in Windows XP with a new Extraction Wizard. When you right-click a compressed folder and select Extract All from the pop-up menu, the Extraction Wizard starts, and walks you through the process of extracting some or all the files from the compressed folder.

NOTE

Learn more about compressed folders in Chapter 3, "Managing Files."

NOTE

Learn more about the Files and Settings Transfer Wizard in Chapter 23, "Updating Windows."

This might sound like a small thing, but the Extraction Wizard effectively eliminates the need for any third-party compression software. Because the Extraction Wizard does everything WinZip and other programs do, including the creation and extraction of multiple-disk zip files, you don't need another utility.

Files and Settings Transfer Wizard

NOTE

Learn more about changing your default applications in Chapter 2.

This final new utility in Windows XP was designed to help users move between different computers. The Files and Settings Transfer Wizard walks you through the process of transferring important documents, files, and settings to another computer. This is a great way to take all your good stuff with you when you upgrade to a new computer system and you can even run the wizard from the Windows XP CD on a non-XP system.


Changing Default Applications

With the latest version of Windows XP (or earlier versions with Service Pack 1 installed), Microsoft lets you change the default programs you use for various operations. You do this via a new Set Program Access and Defaults tool, which is added to the Add or Remove Programs utility. You can use this tool to disable Microsoft's default applications for Web browsing, e-mail, media playback, and so forth. If you've purchased a computer with Windows XP (with either SP1 or SP2) preinstalled, you can also use this tool to make non-Microsoft programs installed by your computer manufacturer the default applications. It's all part of Microsoft's agreement with the government to settle their ages-old antitrust suit, and it's great if you want to use something other than a Microsoft application for key tasks.


Windows XP's Help and Registration Features

NOTE

Learn about Windows XP's Help and Support system in Chapter 22, "Getting Help."

The final changes in Windows XP are to the Help and registration systems. Windows Help has never been something to write home about, and it's still far from great, but at least Microsoft is trying to make it better.

NOTE

Learn more about Remote Assistance in Chapter 22.

Revamped Help System

The Help system in Windows XP builds on the new Help system that was introduced in Windows Me. Windows XP Help (now called Help and Support) has been enhanced with a better search system, automatic updating with new content from the Internet, and a new user-friendly interface.

Microsoft has also integrated a number of system tools into the Help system, including the System Configuration Utility, Advanced System Information, and Windows Update. This puts all the system's troubleshooting tools in one place, which is far superior to the scattershot approach embraced by previous versions of Windows.

Remote Assistance

Another new component of the Windows XP Help system is called Remote Assistance. This utility lets you turn over control of your computer to another computer, which enables a technician to troubleshoot your system's problems without actually being there. All you have to do is connect your computer to the Internet, and Remote Assistance enables the other person do the driving.

Online Registration and Activation

Finally, if you've already installed Windows XP, you've no doubt noticed that an Internet connection is almost a necessity to complete the installation. For the first time in Windows history, you actually have to get Microsoft's approval to activate Windows on your system. (This is in addition to the normal product registration, which can also be done online.)

NOTE

For a more detailed discussion of Windows Product Activation, see Appendix A.

Windows XP Product Activation has caught a lot of flack from users afraid that Microsoft is gathering personal information during the activation process. Microsoft claims that isn't so and that it merely encodes information about your system hardware and combines it with the product code on your Windows XP installation CD to create a unique activation code. This machine-specific activation code is meant to prevent you from using a single copy of Windows XP on multiple PCs.

The problem with this Product Activation is that it might also prevent you from reinstalling the operating system on a single PC—especially if you've dramatically changed the configuration of your system. This means that if you have to reinstall Windows, you may need to call Microsoft and sweet-talk a support person into letting you reinstall a program that you already paid good money for.

It remains to be seen if Product Activation really works, or what kind of problems it might cause. It might be a good idea to keep Microsoft's tech support number handy—just in case!


Feature Comparison

So, how do all these new and changed features help Windows XP stack up with previous versions of Windows? See for yourself in Table 1.2, which compares the key features of Windows XP with both Windows 98 and Windows Me.

Table 1.2. Key Differences Between Windows XP, Windows 98, and Windows Me

Feature

Windows XP

Windows Me

Windows 98

32-bit Windows engine

•

Activity center panes

•

ClearType display technology

•

Compressed folders

• (improved)

•

Customized folder views

•

Desktop Cleanup Wizard

•

Direct folder-to-CD-R/RW copying

•

DVD video playback

•

Fast user switching

•

Files and Settings Transfer Wizard

•

Hidden icons in System Tray

•

Image Preview utility

•

Internet Connection Sharing

• (improved)

•

•

Internet Explorer 6

•

Luna user interface

•

MP3 encoding

• (WMP 10)

Multiple-user Welcome screen

•

My Music folder

• (improved)

•

My Pictures folder

• (improved)

•

Network Setup Wizard

• (improved)

•

Online photo finishing

•

Online support services

• (improved)

•

•

Outlook Express 6

•

Personalized Welcome screen

•

Pop-up blocker (Internet Explorer)

• (SP2)

Product Activation

•

Redesigned Control Panel

•

Redesigned My Computer

•

Redesigned Start menu

•

Remote Assistance

•

Scanner and Camera Wizard

• (improved)

•

Search Companion

•

System Restore

•

•

Task-based approach

•

Taskbar button grouping

•

Thumbnail image file display

•

•

User accounts

•

Web Publishing Wizard

•

•

Wireless Network Setup Wizard

• (SP2)

Windows Firewall

•

Windows Image Acquisition for digital pictures

•

•

Windows Media Player

• (improved)

•

Windows Messenger

•

Windows Movie Maker

• (improved)

•

Windows Security Center

• (SP2)

Windows Update

• (improved)

•

•


Old Versus New: How to Do What You Used to Do

Everything you used to do with Windows 98 or Windows Me, you can still do with Windows XP. In fact, in most instances you can still perform the same tasks the same way. Windows XP, more often than not, just provides a more efficient way to accomplish your familiar tasks.

This is most apparent when you're working with files and folders. Because all Windows XP folders include an activity center pane, you can use the links on this pane to accomplish your most frequent file management tasks.

Doing It All from a Single Folder

With previous versions of Windows, if you wanted to perform some action on a file, you'd have to pull down the Edit menu or right-click the file to access the pop-up menu. (Most users didn't know about the right-click menus—one of the more productive "hidden" features in Windows 98 and Windows Me.) Now all those right-click options are out in the open, in the activity center's Tasks list.

You might be used to dragging and dropping file icons, or pulling down the Edit menu, or right-clicking. Using the Tasks list is a much faster way to get most things done. You have to get used to some new wording, but when the task is right in front of you like that, it really speeds up things.

In fact, XP really makes a big shift away from the old "drag-and-drop" paradigm. Although XP is still very much mouse-driven, the new paradigm is "select and do." Everything you need to do appears in a single window, so all you have to do is select a file and then choose what you want to do—with no interim menu pulling to get in the way.

The other big change with Windows XP is that you probably, at last, end up abandoning the directory-tree way of doing things, typified by the old Windows Explorer. I've never been a big fan of Windows Explorer, but most power users I know lived inside Explorer, because of its powerful tree view. Well, with Windows XP's new folder views and the creation of the extremely useful activity centers, Windows Explorer has been eliminated. That's right, no more Windows Explorer. Get used to it!

The bottom line is that Windows XP makes a lot of tasks a lot easier than they used to be. You don't have to change the way you do things—right-clicking still opens the old pop-up menu—but all the shortcuts and work arounds that Windows power users taught themselves over the years no longer give them any advantage.

In other words, Microsoft finally got it mostly right.

Taking Advantage of the New Utilities

Microsoft also included a handful of new system tools and utilities in Windows XP. These built-in utilities make it easier to do common tasks within Windows, without reverting to third-party programs.

To me, chief among these new utilities is the Extraction Wizard. Over the years I got very used to launching WinZip whenever I needed to compress some files—even after compressed folders were introduced in the Windows 98 Plus! Pack. The Extraction Wizard, however, finally makes compressed folders as easy to use as WinZip, so I don't use the WinZip utility any more. It saves me a little time, and it's more convenient.

Depending on your particular needs, you might say the same thing about XP's integrated folder-to-CD-R/RW file copying, or Windows Media Player's ripping and burning, or the online photo finishing feature, or the Windows Picture and Fax Viewer. More and more common operations are built into the operating system, which reduces the number of application-specific utility programs you need to run. True, some of these XP utilities don't include all the features you might find in a third-party program, but not all users need all those features. You can still use third-party utilities if you like, but you might not need to.

Where Things Are

TIP

Depending on your setup, username might be your user name, or it might be "default" or "default user."

One last thing about Windows XP: If you go looking for certain files on your hard disk, you find that the location of some important files and folders are different from where they were in previous versions of Windows.

The biggest change is where Windows stores your documents. In Windows 9X/Me, your documents were stored in the My Documents folder, which was one level down from the root directory. In Windows XP, such as in Windows 2000, each user has his own My Documents folder, which is stored several levels down. You find the My Documents folder in the following location: c:\Documents and Settings\username\My Documents\. Within the My Documents folder are the My Music, My Pictures, My Videos, and My Webs subfolders.

Your Favorites folder is also located within the c:\Documents and Settings\username\folder. Most templates and configuration files for Microsoft applications (such as Office) have been moved to subfolders within the c:\Documents and Settings\username\Application Data\Microsoft\ folder.

In short, look for any user-specific files to be somewhere in the folder with your name on it.


What's Next After Windows XP?

Windows XP may be new to you, but it's been on the market almost four years now—which means that it's time to start thinking about what comes after Windows XP. Microsoft's next Windows upgrade is codenamed Longhorn, and it promises new operating and interface features—including a possible new file management system and a nifty 3D desktop. Longhorn has been promised for release some time in 2006, but I'll believe it when I see it. (And remember, a 2006 release could mean that the software ships on New Year's Eve.) Given Microsoft's track record of vaporware and software delays, I think we'll be using Windows XP for a couple more years before it's time to switch to whatever they dub Longhorn in its official release. After all, Windows XP works pretty well; what's the hurry to upgrade?


The Bottom Line

One of Microsoft's big themes for Windows XP is, "it just works." I'd have to agree with that statement. This is the operating system I've been waiting for since the release of Windows 95.

So if you remember nothing else about Windows XP, remember these key points:

  • Windows XP is a 32-bit operating system that melds the stability of Windows NT/2000 with the user friendliness of Windows 9X/Me.

  • You need a relatively new and relatively powerful PC to run Windows XP—and the more memory, the better.

  • Three different versions of Windows XP exist. Windows XP Home Edition contains all the features you need for home and small business use and Windows XP Professional contains additional functionality for corporate networks. The third version, Windows XP 64-Bit Edition, isn't a consideration for most users—unless you have Intel's new Itanium 64-bit processor.

  • The latest version of Windows XP—or older versions with Service Pack 1 or 2 installed—lets you change the default programs you use for various activities.

  • Most of your old hardware and software should work fine with Windows XP, although some software might have to be run in Compatibility Mode and extremely old scanners and peripherals might be a problem.

  • Windows XP introduces a task-based approach to common operations. Activity center panes in My Documents and other folders list the most common tasks you're likely to perform.


Chapter two. Changing the Way Windows Looks-and Acts

Chapter two. Changing the Way Windows Looks—and Acts

IN THIS CHAPTER

Understanding and Using the Control Panel 46

Fine-Tuning the Display 50

Configuring the Desktop 53

Working with Desktop Shortcuts 60

Working with Toolbars, the Taskbar, and the System Tray 65

Managing the Start Menu 72

Changing Your Cursors 78

Changing Your Click 79

Using a Screen Saver 80

Changing System Sounds 82

Adding and Removing Fonts 83

Configuring Other System Settings 85

Changing Default Applications 87

Even More Personalization—with Tweak UI 88

Making Windows XP Look Like Windows 9X/Me 90

The Bottom Line 92

If you're like me, one of the first things you do when you install a new version of your operating system is fiddle around with the desktop and display settings. You want to personalize Windows so that it looks and feels more comfortable to you.

The good news is that Windows XP includes a number of new customization options so that you can personalize your system in ways you couldn't before. The bad news is that these options are scattered all over the operating system. You cannot go to one place to do all your customizing.

Some customization options are accessed from the Display Properties utility. Other options are accessed from the System Properties utility. Still more are found in the Taskbar and Start Menu Properties dialog box and in the Folder Options dialog box.

I'm not sure why Microsoft did such a poor job in drawing attention to all these neat ways to personalize their operating system. They did a great job in bringing formerly hidden features to the forefront in other areas of the OS, but took a giant step backward with their configuration options. What were they thinking?

Well, if Microsoft doesn't make it easy for you, I will. In this chapter I show you all the different ways to personalize your Windows XP desktop and interface. The only customization I don't cover here is folder customization. For that, you have to turn to Chapter 3, "Managing Files."


Understanding and Using the Control Panel

Most—but not all—of Windows XP's configuration settings are found somewhere within the Control Panel.

By default, the Control Panel includes a variety of standard Windows XP configuration utilities, such as Add New Hardware and User Accounts. In addition, many applications and utilities install their own Control Panel items. Because of this, the contents of my Control Panel might look slightly different from your Control Panel, although both Control Panels contain the same essential utilities.

When you click an icon in the Control Panel, a dialog box opens that lets you configure settings specific to that item. For example, clicking the Date and Time icon opens the Date and Time Properties utility that enables you to set the date and time of the Windows XP system clock.

Opening the Control Panel

You open the Control Panel by clicking the Start button and then clicking the Control Panel icon. As you can see in Figure 2.1, the Control Panel in Windows XP looks a lot different from the one in previous versions of Windows.

Figure 2.1. The Windows XP Control Panel in Category View. The configuration tasks are organized by category.

[View full size image]

To launch a particular Control Panel applet, you start by picking a category. When the Pick a task…page appears (shown in Figure 2.2), either click a task or click an icon to open a specific configuration utility. (When you click a task, the appropriate configuration utility is launched.)

Figure 2.2. After you pick a Control Panel category, you have to pick a task, or click an icon to directly launch a configuration utility.

[View full size image]

If you want to bypass all the category and task steps, you can display all the Control Panel utilities at once—just like the way it used to be in Windows 9X/Me. To switch to the so-called "classic" view (shown in Figure 2.3), click the Switch to Classic View link in the Control Panel's activity center. (That's the big pane on the left of the Control Panel window.)

Figure 2.3. Switch to Classic view to display the Control Panel the way it used to be displayed.

[View full size image]

Control Panel Items

What can you find in the Control Panel? Table 2.1 details some of the more typical Control Panel icons and their related configuration utilities.

Table 2.1. Typical Control Panel Items

Icon

Name

Description

Accessibility Options

Configures your system for users with various disabilities. (See Appendix C, "Accessibility Options.")

Add Hardware

Adds new hardware devices to your system. (See Chapter 6, "Adding New Hardware.")

Add or Remove Programs

Adds new software to your system, or removes old software programs. (See Chapter 4, "Running Programs.")

Automatic Updates

Configures Windows XP to automatically download periodic updates and patches. (See Chapter 23, "Updating Windows.")

ClearType Tuning

Adjusts display text for easier reading on LCD monitor screens. (See "Fine-Tuning the Display," later in this chapter.)

Date and Time

Adjusts Windows XP's time and date settings. (See "Resetting the Time and Date," later in this chapter.)

Display

Configures settings for your desktop display and monitor. (See "Fine-Tuning the Display," later in this chapter.)

Folder Options

Configures the look and feel of My Documents and other system folders. (See Chapter 3.)

Fonts

Manages your system's fonts. (See "Adding and Removing Fonts," later in this chapter.)

Game Contollers

Configures any joysticks or game controllers connected to your system. (See Chapter 19, "Playing Games.")

Internet Options

Manages the settings for the Internet Explorer Web browser. (See Chapter 8, "Surfing the Web with Internet Explorer.")

Keyboard

Configures your PC's keyboard. (See Chapter 6.)

Mouse

Configures the operation of your mouse and other pointing devices. (See Chapter 6.)

Network Connections

Displays all your current wired and wireless network connections. (See Chapter 20, "Setting Up a Home or Small Business Network."

Network Setup Wizard

Configures your PC's connection to a local area network. (See Chapter 20.)

Phone and Modem Options

Configures your PC's modem and telephony settings. (See Chapter 7, "Making the Connection.")

Portable Media Devices

View and manage the contents of any portable digital media player connected to your computer. (See Chapter 14, "Using Windows Media Player.")

Power Options

Determines how and when your computer powers down when not in use. (See Chapter 21, "Using Windows XP on Portable PCs.")

Printers and Faxes

Configures Windows XP to work with your printer. (See Chapter 5, "Controlling Printers."

Regional and Language Options

Adjusts currency and number formats for where you live. (See "Changing Your Locality," later in this chapter.)

Scanners and Cameras

Configures Windows XP for digital camera and scanner use. (See Chapter 13, "Working with Digital Cameras and Scanners.")

Scheduled Tasks

Schedules selected system maintenance activities. (See Chapter 24, "Keeping Windows Healthy and Happy.")

Security Center

Helps you view and manage your Internet-related security settings. (See Chapter 11, "Managing Online Security.")

Sounds and Audio Devices

Changes the sounds you hear when you initiate certain operations, and configures your system's audio settings. (See "Changing System Sounds," later in this chapter.)

Speech

Configures your system for text-to-speech translation. (See Appendix C.)

System

Lets you view and configure technical aspects of your computer system. (See Chapter 24.)

Taskbar and Start Menu

Configures the Windows Taskbar and Start menu. (See "Working with Toolbars and the Taskbar" and "Managing the Start Menu," later in this chapter.)

User Accounts

Sets up your computer to be used by multiple users. (See Chapter 18, "Working with Multiple Users.")

Windows Firewall

Lets you turn on and configure the Windows Firewall. (See Chapter 11.)

Wireless Network Setup Wizard

Lets you add levels of security to your wireless home network. (See Chapter 20.)

Most of these configuration utilities should work fine without additional configuring. In fact, you may never have to open some of these utilities. On the other hand, when you want to reconfigure any part of your system, chances are you find what you need right here in the Control Panel.


Fine-Tuning the Display

Windows has always enabled you to change the resolution and number of colors displayed on your computer screen. Windows XP works like previous versions in this regard, and adds the capability to improve the look of LCD displays via the new ClearType technology.

Changing the Display Resolution

Assuming you have a powerful enough video card, you can configure your computer's display to run at a variety of screen resolutions. Be sure you've selected the proper display setup for your video card; however if you set up your display to run at a higher resolution than your card is capable of, you could end up with a lot of gibberish on your screen, and could even damage your monitor.

To change the resolution of your desktop display, follow these steps:

1.
From the Control Panel, click the Display icon. (You can also right-click anywhere on the desktop and select Properties from the pop-up menu.)

TIP

To get the most out of Windows XP, I recommend that you configure your system to at least 1024 x 768 resolution, running at least 16-bit color—and if your video card can handle it, crank the color quality all the way up to the highest setting. (Windows XP looks best with 32-bit color.) Naturally, you'll need a 17-inch or larger CRT monitor or 15-inch or larger LCD flat-screen display to handle this resolution, which is another one of my recommendations.

2.
When the Display Properties utility appears, select the Settings tab (see Figure 2.4).

Figure 2.4. Access the Display Properties utility from the Control Panel, or by right-clicking the desktop and choosing Properties.

3.
To change the resolution of your display, adjust the Screen Resolution slider. (The sample display changes to reflect your new settings.)

4.
To change the number of colors displayed (more is better), choose the desired setting from the Color Quality drop-down list.

5.
Click OK to activate your new display settings.

TIP

To confirm your video card configuration, click the Advanced button to display the Advanced Display Properties dialog box, and then click the Adapter tab.

Some video drivers add new tabs to the Display Properties dialog box. If so, you need to click this driver-specific tab to make changes to certain video and display properties.

Enabling ClearType

ClearType is a new display technology that effectively triples the horizontal resolution on LCD displays. (In other words, it makes things look sharper—and smoother.) If you have a flat-panel monitor or a portable PC, you definitely want to turn on ClearType.

TIP

Some computers (laptops, especially) come with additional ClearType fine tuning. If you find a ClearType Tuning icon in your Control Panel, click it to display the ClearType Settings utility. From here you can run the ClearType Tuning Wizard, which takes you step-by-step through some basic ClearType calibration—similar to the "which looks better?" tests of a typical eye exam.

To turn on ClearType, follow these steps:

1. | From the Display Properties utility, select the Appearance tab.
2. | Click the Effects button.
3. | When the Effects dialog box appears, check the Use the Following Method to Smooth Edges of Screen Fonts option, and select ClearType from the pull-down list.
4. | Click OK, and then click OK again.

Setting Up Windows for Two Monitors

Some computer-related activities are easier if you can see two things at once. For example, programmers might like to see their code on one monitor, and the results of that code on a second screen. If you're running a PowerPoint presentation, you could use one monitor to display your presentation, and a second monitor to display your private notes.

If you have two monitors—and two video cards—installed in your system, you can configure Windows XP to run two separate displays. Just follow these steps:

1. | Be sure that when you install Windows XP, you have only one video card installed in your system. After Windows XP installation is complete, shut down your computer and add the second display card to your system, following the installation instructions from the card's manufacturer.
2. | From the Control Panel, click the Display icon.
3. | After you've installed your second video card, the Display Settings dialog box has a new tab, labeled Monitors, that replaces the standard Settings tab. Select the Monitors tab.
4. | Your primary monitor should already be configured properly. Select the secondary display/monitor combination, and choose to Use This Device as Part of the Desktop. Set the other properties as appropriate, dragging the screen images to set relative screen placement for the two monitors.
5. | To change the resolution of the second monitor, click the Settings button and make the appropriate changes.
6. | Click OK to register your changes.


Configuring the Desktop

Windows XP presents a lot of different ways to personalize the look and feel of your desktop. In fact, one of the great things about Windows XP is how quickly you can make the desktop look like your desktop, different from anybody else's.

Assuming you know where to make the changes, of course.

Changing Your Desktop Theme

Desktop themes are specific combinations of background wallpaper, colors, fonts, cursors, sounds, and screen savers—all arranged around a specific look or topic. When you choose a new theme, the look and feel of your entire desktop changes.

To change desktop themes, follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility appears, select the Themes tab (shown in Figure 2.5).

Figure 2.5. Choose from one of several desktop themes available with Windows XP.

3.
Select a new theme from the Theme pull-down list; the new theme is displayed in the Sample window.

4.
Click OK to accept the new theme and close the dialog box.

Although changing themes is the fastest way to change the look of all your desktop elements, you can also change each element separately.

Personalizing the Desktop Background

To keep your desktop interesting, you can easily change your desktop's background pattern or wallpaper. You can choose from the many patterns and wallpapers provided by Windows XP, or select a graphic of your own choosing.

To select a new pattern or wallpaper, follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility appears, select the Desktop tab (shown in Figure 2.6).

Figure 2.6. Change the background of your Windows XP desktop.

3.
To choose one of XP's built-in backgrounds, make a selection from the Background list. Your new background is shown on the example screen.

4.
To select your own graphics file, click the Browse button and navigate to the file you want to use. Click the Open button to add this file to the Background list.

5.
To determine how the image file is displayed on your desktop, choose one of the options from the Position pull-down list: Center, Tile, or Stretch.

6.
If you'd rather display a solid background color with no graphic, select None from the Background list and select a color from the Color list.

7.
Click OK to register your changes.

Using a Web Page as a Background

You can also choose to display a Web page as your desktop background. When you do this, your desktop background functions like a live Web page whenever you're connected to the Internet. (This is a great way to put your favorite Web page or list of links at your fingertips.)

Follow these steps:

1. | From the Control Panel, click the Display icon.
2. | When the Display Properties utility appears, select the Desktop tab and click the Customize Desktop button.
3. | When the Desktop Items dialog box appears, select the Web tab.
4. | To use your home page as the desktop background, select it from the Web pages list.
5. | To use another page as the desktop background, click the New button to display the New Active Desktop Item dialog box. Enter the URL of the page into the Location box, and then click OK.
6. | To automatically update the content of this Web page, click the Properties button and select the Schedule tab. Check the Using the Following Schedules option, and then click the Add button. When the New Schedule dialog box appears, set a time for updating, check the If My Computer Is Not Connected… option, and then click OK.
7. | Click OK to close the remaining dialog boxes.

Changing the Appearance of Windows and Buttons

By default, Windows XP uses the rounded windows and buttons of the new Luna interface. If you'd rather go back to the square windows and buttons of Windows 9X/Me, you can make that change from within the Display Properties dialog box.

To change the appearance of XP's windows and buttons, follow these steps:

1. | From the Control Panel, click the Display icon.
2. | When the Display Properties utility appears, select the appearance tab.
3. | Pull down the Windows and Buttons list and select a different style.
4. | Choose OK to use the new windows and button style.

Changing the Color Scheme

The default Windows XP desktop uses a predefined combination of colors and fonts. If you don't like this combination, you can choose from several other predefined schemes.

To change to a new color scheme, follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility appears, select the Appearance tab (shown in Figure 2.7).

Figure 2.7. Change the way Windows XP looks by selecting a new color scheme.

3.
Pull down the Color Scheme list and select a new theme. (The new color scheme is shown in the example window.)

4.
Choose OK to use the displayed color scheme.

In previous versions of Windows you could change the color of each screen element individually. You can't do this in Windows XP. You have to use one of the preselected schemes.

However, if you click the Advanced button on the Appearance tab, you open an Advanced Appearance dialog box that makes it seem like you can change the colors of individual screen elements. This is not the case. This dialog box changes the individual colors if you've switched to Classic-style windows and buttons, but not if you're using XP-style elements. (This dialog box lets you change the size of some elements, however.)

This is a little confusing, but just get used to using the standard XP color schemes as-is—and ignore the Advanced button.

Adding Special Effects

All sorts of special effects are included with Windows XP. These effects are applied to the way certain elements look, or the way they pull down or pop up onscreen.

Some of these special effects can be changed from the Display Properties utility. Others are changed from the System Properties utility.

Let's look first at the special effects available with the Display Properties utility. To change these special effects, follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility opens, select the Appearance tab and click the Effects button.

CAUTION

If you have a slower PC, enabling some of these special effects will make your PC run slower. If you experience a performance hit, experiment with turning off some of these effects.

3.
When the Effects dialog box appears, as shown in Figure 2.8, make the following choices:

  • Make menus and ToolTips scroll or fade in and out by checking the Use the Following Transition Effect for Menus and Tooltips option, and selecting either Scroll Effect or Fade Effect from the pull-down list.

  • Display drop shadows under all Windows menus by checking the Show Shadows Under Menus option.

  • Display large icons on your desktop by checking the Use Large icons option.

  • Display the contents of windows when they're being dragged by checking the Show Window Contents While Dragging option.

  • Hide those underlined letters on menu items by checking the Hide Underlined Letters for Keyboard Navigation… option.

Figure 2.8. Add menu transition and shadow effect in the Effects dialog box.

4.
Click the OK button to register your changes.

Now let's look at the much longer list of effects available from the System Properties utility.

1.
From the Control Panel, click the System icon.

2.
When the System Properties utility opens, select the Advanced tab and click the Settings button (in the Performance section).

TIP

Not all these effects are turned on by default. If you want to get the full effect of the new Windows XP interface, you have to manually turn on those settings that are turned off by default.

3.
When the Performance Options dialog box appears, click the Visual Effects tab (shown in Figure 2.9) and choose from the following effects. Most of these effects are self-explanatory, although some are extremely subtle. All degrade the performance of your system to some degree.

  • Animate windows when minimizing and maximizing

  • Draw gradient in window captions

  • Enable per-folder type watermarks

  • Fade in taskbar

  • Fade out menu items after invocation

  • Fade or slide menus into view

  • Fade or slide ToolTips into view

  • Hot-track menu items and other elements

  • Show alpha blended selection rectangle

  • Show shadows under menus

  • Show translucent selection rectangle

    NOTE

    If your system is running sluggishly, click the Best Performance button to turn off all the resource-draining visual effects.

  • Show window contents while dragging

  • Slide icons over background images in folders

  • Slide open combo boxes

  • Slide taskbar buttons

  • Smooth edges of screen fonts

  • Smooth-scroll list boxes

  • Use drop shadows for icon labels on the desktop

  • Use visual styles on windows and buttons

  • Use Web view in folders

Figure 2.9. Turn on and off a variety of visual effects from the Performance Options dialog box.

4.
Click OK to register your changes.

As you can see, some of these settings duplicate the settings in the Effects dialog box. Turning them off or on in one place turns them off or on in the other, as well.

XP offers an even easier way to select visual effects in the Performance Options dialog box. When you select the Adjust for Best Appearance option, all the effects are turned on. When you select the Adjust for Best Performance option, all the effects are turned off. (You also have the option of having Windows figure it out for you, by selecting the Let Windows Choose What's Best for My Computer option.)

If your system has the horsepower—especially enough RAM and a powerful enough graphics card—you should try turning on all these special effects. They really make Windows XP a lot more enjoyable to use!


Working with Desktop Shortcuts

Desktop icons, called shortcuts, are just that—shortcuts for starting applications and opening documents. Placing a shortcut on your desktop is an alternative to launching items from the Start menu or a Windows folder.

Changing Desktop Icons

Tired of the default icons for My Computer, the Recycle Bin, and other basic desktop items? Then change them!

Just follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility opens, select the Desktop tab and click the Customize Desktop button.

3.
When the Desktop Items dialog box appears, select the General tab (shown in Figure 2.10).

Figure 2.10. Change your desktop icons—or run the Desktop Cleanup Wizard.

4.
Check those icons you want to display on your desktop; uncheck those items you don't want to display.

5.
To change an icon, select the icon and click the Change Icon button.

6.
When the Change Icon dialog box appears, select a new icon from those listed, or click the Browse button to select another file full of icons.

7.
Click OK when done.

You can return to the original icons by clicking the Restore Default button.

Creating New Shortcuts on the Desktop

TIP

You can also create a shortcut by right-dragging a file icon directly to the desktop, or by right-clicking on the desktop and selecting New, Shortcut from the pop-up menu.

To put a new shortcut on your desktop, follow these steps:

1. | From within My Computer or any Windows folder, navigate to the application or document for which you want to create a shortcut.
2. | Right-click the file icon, and then select Send To, Desktop (Create Shortcut).

To remove a shortcut icon from the desktop, just drag it into the Recycle Bin.

Changing the Name of a Shortcut

NOTE

Not all properties are available for all shortcuts.

When you create a new shortcut icon, its name is automatically prefixed with the words "Shortcut to…." To change the name of a shortcut, follow these steps:

1. | Right-click the shortcut on your desktop.
2. | When the pop-up menu appears, select Rename.
3. | The shortcut's name is now highlighted on your desktop. Use the Delete or Backspace keys to erase parts of the existing name, and then type a new name. Press Enter when you've finished entering the new name.

Changing Shortcut Properties

You can change certain things about the way a shortcut behaves. To change the properties of a shortcut, follow these steps:

1.
Right-click the shortcut icon and select Properties from the pop-up menu.

2.
When the Shortcut Properties dialog box appears, click the Shortcut tab (see Figure 2.11).

Figure 2.11. Right-click a shortcut icon to change its properties.

3.
Choose the property you want to change, as detailed in Table 2.2.

Table 2.2. Shortcut Properties

Property

Description

Target

Identifies the file that the shortcut opens.

Run In

Determines whether an older program should run in XP's Compatibility Mode.

Start In

Identifies the specific folder from which the program starts.

Shortcut Key

Identifies the shortcut keys that activate the shortcut.

Run

Determines whether the program is launched in a normal, maximized, or minimized window.

Comment

Information about the file.

Find Target

Click this button to find the specific program file for this shortcut, if not correctly listed in the Target box.

Change Icon

Click this button to change the icon used for the shortcut.

Advanced

Click this button to run this shortcut as another user, or to run in separate memory space.

4.
Click OK to accept the changes and close the dialog box, or click Apply to make the changes while keeping the dialog box open.

NOTE

The Align to Grid command does nothing if the Auto Arrange option is toggled on because auto arranging keeps the icons aligned automatically. Turn Auto Arrange off if you want to spread your icons across the desktop, not crowded to the left side. Then use the Align to Grid command to line them up on the invisible grid in their same general vicinity.

Arranging Icons on the Desktop

Desktop shortcut icons give you easy access to your programs, especially when you arrange them in a way that works best for you. To arrange your icons, right-click a blank area of the desktop and choose from the options presented in Table 2.3.

Table 2.3. Options for Arranging Icons on Your Desktop

Command

Action

Name

Sort items alphabetically by filename.

Size

Sort items by file size, from smallest to largest.

Type

Sort items by file type. Files with the same extension are grouped together.

Modified

Sort items by date, from oldest to the most recent.

Auto Arrange

When checked, this choice automatically arranges icons at the left side of the desktop.

Align to Grid

When checked, your icons automatically snap to an invisible grid. (This is a good option if you have lots of icons scattered around your desktop.)

Show Desktop

Displays the icons for My Computer, My Documents, items the Recycle Bin, and other essential desktop items.

Lock Web Items

Locks the items on your desktop, so you can't change them accidentally.

Cleaning Up Your Desktop Shortcuts

By default, Windows XP runs the Desktop Cleanup Wizard every 60 days. This wizard sweeps all your unused desktop icons into an Unused Desktop Icons folder, thus cleaning up a cluttered desktop. If you don't like this automated housecleaning, you can turn off the wizard, or choose to clean up your desktop manually.

To clean up your desktop manually, follow these steps:

1. | From the Control Panel, click the Display icon.
2. | When the Display Properties utility opens, select the Desktop tab and click the Customize Desktop button.
3. | When the Desktop Items dialog box appears, select the General tab.
4. | To turn off the Desktop Cleanup Wizard, uncheck the Run Desktop Cleanup Wizard Every 60 Days option. You can't change how often it runs; you can only turn it on and off.
5. | Click the Clean Desktop Now button to run the Wizard now.


Working with Toolbars, the Taskbar, and the System Tray

By now you're probably familiar with the Windows Taskbar; the solid bar that typically sits at the bottom of your screen and holds buttons for any applications that are open at the time. You're probably less familiar with Windows toolbars, which look kind of like the Taskbar, but hold specific groups of icons.

Read on to learn how to customize the Taskbar, the toolbars, and the System Tray that sits to the right of the Taskbar at the bottom of the screen.

Moving the Taskbar

The default position for the Taskbar is horizontally across the bottom of the screen. If you don't like it there, you can move it to the top or to either side of the screen.

Just follow these steps:

1. | Point to a part of the Taskbar where no buttons appear.
2. | Click with the left mouse button and drag the Taskbar to another edge of the screen. You see a shaded line that indicates the new position of the Taskbar.
3. | Release the mouse button.

Windows XP introduces the concept of locking the Taskbar. When the Taskbar is locked, you can't move it. To lock or unlock the Taskbar, right-click an open area of the Taskbar, and either check or uncheck the Lock the Taskbar option.

TIP

If you'd rather have the Taskbar constantly visible, check the Keep the Taskbar on Top of Other Windows option.

Hide the Taskbar

If you're running Windows XP on a small display (640 x 480 resolution, for example), you might not want the Taskbar taking up screen space all the time. For these situations, Windows XP lets you hide the Taskbar and recall it only when you need it.

1.
Right-click an open area of the Taskbar and select Properties from the pop-up menu.

2.
When the Taskbar and Start Menu Properties dialog box appears, select the Taskbar tab, shown in Figure 2.12.

Figure 2.12. Change the appearance of the Taskbar from the Taskbar and Start Menu Properties dialog box.

3.
Check the Auto-Hide the Taskbar option.

4.
Click OK to close the dialog box.

This configuration automatically hides the Taskbar so that your applications can use the entire screen. To display the Taskbar again, all you have to do is move your cursor to the very bottom of the screen. The Taskbar then pops up for your use.

Resizing the Taskbar

You may have noticed that when the Taskbar is positioned horizontally, the Taskbar buttons become smaller the more applications you open. If you open too many applications, the Taskbar buttons become so small that you can't read the whole name of each application.

TIP

If you make a vertical Taskbar narrow enough, only the application icons show, without words. (If you point to the icon, a ToolTip pops up to show you its name.)

By adjusting the size of the Taskbar, you can create a taller Taskbar so that multiple buttons can stack on top of each other. In addition, if you choose to position the Taskbar along one of the sides of the desktop, you may want to adjust the Taskbar width to display wider or narrower buttons.

However your Taskbar is positioned, you can resize it by following these steps:

1. | Position your cursor at the edge of the Taskbar, where the pointer becomes a double arrow. (If the Taskbar is at the bottom of the screen, just point to the upper edge of the Taskbar.)
2. | Click the left mouse button and drag the edge to the size you want.
3. | Release the mouse button.

Grouping Taskbar Buttons

The old problem of having too many buttons on too small a Taskbar has been addressed by a new feature in Windows XP. By default, similar buttons are grouped together and multiple documents (for the same application) are stacked together on a single button.

If you'd rather not use this button-grouping feature, open the Taskbar and Start Menu Properties dialog box, select the Taskbar tab, and uncheck the Group Similar Taskbar Buttons option.

Adding Toolbars to the Taskbar

Windows XP also lets you dock additional toolbars to the Taskbar. Each toolbar contains a group of icons that enables you to perform selected tasks, such as launching programs or connecting to Web sites.

TIP

You can resize any toolbar you've added to the Taskbar. Just move your cursor to the far left of the toolbar until the cursor changes to a double-arrow, click the left mouse button, and drag the toolbar to the desired size. You can also stack toolbars on top of one another, as shown in Figure 2.13.

Figure 2.13. The four toolbars built into Windows XP (plus the standard Taskbar), all stacked on top of each other.

[View full size image]

Windows XP has several predesigned toolbars, including the following (all shown in Figure 2.13):

  • Address. This toolbar is an URL box. Type the address for any Web page into this box, press Enter, and Windows connects to the Internet, launches Internet Explorer, and displays the Web page you entered.

  • Links. This toolbar displays five selected links (by default, five links on Microsoft's Web site).

  • Desktop. This toolbar displays all the shortcut icons currently on your desktop. It's a good way to have ready access to your shortcuts if your desktop is perpetually cluttered.

  • Quick Launch. This toolbar displays three icons for basic Internet use: Internet Explorer, Outlook Express, and my personal favorite, Show Desktop (which minimizes all open windows on your computer, so you can actually see your desktop).

To dock a toolbar to the Taskbar, follow these steps:

1. | Right-click anywhere on the Taskbar.
2. | When the pop-up menu appears, select Toolbars, and then select the toolbar you want to display.

To remove a toolbar from the Taskbar, follow these steps:

1. | Right-click anywhere on the toolbar to display the pop-up menu.
2. | Select Toolbars, and then deselect that particular toolbar.

Adding Icons to the Quick Launch Toolbar

Microsoft lets you add your own icons to the Quick Launch toolbar. I use this to add those programs I use most often to that toolbar, so they are always a single-click away. (In my case, I've added icons for Lotus Notes and my virtual private network to the toolbar.)

The easy way to add an icon to the Quick Launch toolbar is to grab a program icon from the Programs menu or My Computer and drag it onto the toolbar. You can also add icons by using My Computer to open the Documents and Settings\username\Application Data\Microsoft\Internet Explorer\Quick Launch\ folder, and then selecting File, Create Shortcut. Note that this is a hidden folder—you have to tell Windows to show hidden folders to use this method.

Creating a New Toolbar

In addition to the four preselected toolbars I just told you about, you can also create your own personal toolbars. Just follow these steps:

1. | Right-click anywhere on the Taskbar.
2. | When the pop-up menu appears, select Toolbars, and then select New Toolbar.
3. | When the New Toolbar dialog box appears, choose a disk or folder or enter a Web address and click OK.
4. | The new toolbar now appears, docked to the Taskbar. If you selected a disk or folder, the contents of that disk or folder appear in the toolbar. If you entered a Web address, that address appears in the toolbar.

You can also create a toolbar by dragging a disk or folder from My Computer onto the Taskbar. If you drag a disk or folder from My Computer to another side of the screen, a new toolbar is created there instead of on the Taskbar.

Configuring Toolbars

TIP

To move a toolbar to another side of the screen, simply drag the toolbar to the desired spot and then release the mouse button. If you drop the toolbar into the middle of your screen, it becomes an open window on your desktop.

Windows XP provides several ways for you to customize how your toolbars are displayed. You can adjust the size of the icons and how the icons appear.

1. | Right-click in an open area of the toolbar you want to configure. This displays a pop-up menu.
2. | To display the title of the toolbar, check Show Title. Uncheck this option to hide the name of the toolbar.
3. | To display large icons on the toolbar, select View and check Large. To display small icons, select View and check Small.
4. | To display a label for each icon, check Show Text. Uncheck this option to hide labels.

Manage the System Tray

The System Tray is that part of the screen that displays icons for utilities that Windows runs in the background. Sometimes other applications put their own icons in the System Tray, too. These third-party icons sometimes indicate that a program is running, and sometimes make it easier to launch that program (by clicking on the icon in the Tray).

The problem with the System Tray is that it gets abused. If you have a lot of little utilities running and a lot of programs that have installed their own icons in the Tray, the Tray gets awfully crowded and starts to expand. The more icons in the Tray, the wider the Tray. If the Tray gets too wide, it starts borrowing space from the Taskbar, which is also prone to overcrowding. You only have so much space along the bottom of the screen, after all.

Windows XP introduces a solution to this overcrowding problem by hiding those System Tray icons that you really don't need to see. The important icons, such as the system clock, remain visible in what Microsoft now calls the Notification Area. The other icons are now hidden until you click the left-arrow button at the edge of the Tray (shown in Figure 2.14).

Figure 2.14. Click the arrow to expand the System Tray.

TIP

By default, the system clock is always displayed in the Notification Area. If you'd rather not display the clock, uncheck the Show the Clock option

If you don't like hiding your icons, you can turn off this feature by following these steps:

1. | Right-click an open area of the Taskbar and select Properties from the pop-up menu.
2. | When the Taskbar and Start Menu Properties dialog box appears, select the Taskbar tab.
3. | Uncheck the Hide Inactive Icons option.
4. | Click OK.

If you're really into the details, you can configure the "hide when inactive" status for each icon in your system tray. Just go to the Taskbar tab in the Taskbar and Start Menu Properties dialog box and click the Customize button. When the Customize Notifications dialog box appears (as shown in Figure 2.15), select a particular icon and set its Hide When Inactive behavior. Check the item to hide it, uncheck it to make sure that it's always visible.

Figure 2.15. Choose to hide or display every icon in the System Tray on an item-by-item basis.

    Previous Section < Day Day Up > Next Section


Managing the Start Menu

The Start menu in Windows XP is a lot different than the Start menu you got used to in previous versions of Windows. It does a good job of hiding things you don't use that often, while keeping your most frequently used programs front and center.

Changing the Way the Start Menu Works

Windows XP applies a handful of special effects to the Start menu. You can animate the Start menu when it opens, force submenus to open when you hover over them, and highlight new applications.

To change these special effects, follow these steps:

1.
Right-click the Start button and select Properties from the pop-up menu.

2.
When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab and click the Customize button.

3.
When the Customize Start Menu dialog box appears, select the Advanced tab (shown in Figure 2.16).

Figure 2.16. Change the way the Start menu behaves—and what it displays.

4.
To animate the Start menu, check the Animate Start Menu As It Opens option.

5.
To make submenus open when you point at them, check the Open Submenus on Hover option.

6.
To highlight the newest applications, check the Highlight Newly Installed Programs option.

7.
Click OK when done.

Changing the Size of Start Menu Icons

You can also choose from two sizes of icons in the Start menu. Follow these steps:

1.
Right-click the Start button and select Properties from the pop-up menu.

2.
When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab and click the Customize button.

3.
When the Customize Start Menu dialog box appears, select the General tab (shown in Figure 2.17).

Figure 2.17. Change the size of the Start menu icons, as well as how many programs the menu displays.

TIP

If you want to start the Start menu with a clean slate, click the Clear List button. This opens the Start menu with no programs displayed.

4.
Check Small Icons to display smaller icons than normal. Check Large Icons to display the default, large icons.

5.
Click OK.

Displaying More—or Fewer—Programs

By default, the Start menu displays the five most-recent applications you've run. You can reconfigure the Start menu to display more (up to nine) or fewer (as few as zero!) applications at a time.

To display more or fewer programs, follow these steps:

1. | Right-click the Start button and select Properties from the pop-up menu.
2. | When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab and click the Customize button.
3. | When the Customize Start Menu dialog box appears, select the General tab.
4. | Select a new number from the Number of Programs on Start Menu list.
5. | Click OK.

Hiding (or Changing) the Browser and E-mail Icons

Also by default, the Start menu displays icons for your Web browser and e-mail client. For most users, that's probably Internet Explorer and Outlook Express. (If you have Office installed on your PC, Microsoft Outlook may be displayed as the e-mail client.)

You don't have to display these icons and you don't have to link them to Microsoft programs.

Follow these steps to delete or reconfigure these two items:

1. | Right-click the Start button and select Properties from the pop-up menu.
2. | When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab and click the Customize button.
3. | When the Customize Start Menu dialog box appears, select the General tab.
4. | To display the icons for other browser or e-mail clients, go to the Show on Start Menu section and select new programs from the Internet and E-mail lists.
5. | To not display one or both of these icons, uncheck the Internet and/or E-mail options.
6. | Click OK when done.

Selecting Which Icons to Display—and How

The default Start menu also displays icons for the Control Panel, My Computer, My Documents, My Pictures, My Music, Network Connections, Help and Support, and the Run command. You can configure Windows XP to not display any of these icons or to display some of the icons as menus.

Follow these steps:

1. | Right-click the Start button and select Properties from the pop-up menu.
2. | When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab and click the Customize button.
3. | When the Customize Start Menu dialog box appears, select the General tab.
4. | In the Show These Items on the Start Menu box, click As Link to display an icon as a link to the main item; As Menu to display a pop-up menu when an icon is clicked; or Never to not display an item.
5. | Click OK when done.

TIP

You can use this same method to add any program file to the Start menu, even if it doesn't appear on the Programs menu. Just use My Computer to navigate to an application file, and then right-click the file and select Pin to Start Menu from the pop-up menu.

When you choose the As Link option, clicking an icon displays the related item. For example, when you click the My Documents icon, the My Documents folder opens in a separate window.

When you choose the As Menu option, clicking an icon displays a pop-up menu that contains all the options in the selected item. For example, when you click the My Documents icon, a pop-up menu appears that lists all the folders and files in the My Documents folder.

Which option you choose depends on how you work. If you like to work from folders, choose the As Link option. If you like to work from menus, choose the As Menu option.

Adding a Program to the Start Menu Permanently

If you're not totally comfortable with the way programs come and go from the Start menu, rest assured the tried-and-true Programs menu still exists. Just click the All Programs link on the Start menu, and the Programs menu appears, just like you remember it.

If you'd rather display a program on the Start menu than on the Programs menu, but don't want the icon going away if you don't use it, you're in luck. You can add any program to the Start menu permanently. Just follow these steps:

1. | From the Start menu, click the All Programs link to display the Programs menu.
2. | Navigate to the program you want to add to the Start menu, and right-click that program.
3. | From the pop-up menu, select Pin to Start Menu.

The program you selected now appears on the Start menu, just below the browser and e-mail icons.

To remove a program you've added to the Start menu, right-click its icon and select Unpin from Start Menu.

Changing Back to the Old Style Start

If you don't like Windows XP's new Start menu, you can easily switch back to the "classic" Windows 9X/Me version.

Follow these steps:

1.
Right-click an open area of the Taskbar and select Properties from the pop-up menu.

2.
When the Taskbar and Start Menu Properties dialog box appears, select the Start Menu tab (shown in Figure 2.18).

Figure 2.18. Switch between new and classic Start menus.

3.
Check the Classic Start Menu option.

4.
Click OK.


Changing Your Cursors

Another item you can personalize with Windows XP is the cursor scheme that appears onscreen. Different schemes use different kinds of cursors. You can choose from normal cursors, 3D cursors, extra-large cursors, animated cursors, and so on.

To change your cursor scheme, follow these steps:

1.
From the Control Panel, click the Mouse icon.

2.
When the Mouse Properties utility opens, select the Pointers tab (shown in Figure 2.19).

Figure 2.19. Choose a new cursor scheme with the Mouse Properties utility.

3.
Select a new cursor scheme from the Scheme pull-down list. Alternatively, you can change a specific cursor by highlighting the cursor in the Customize list and clicking the Browse button to select a new cursor from the Cursor folder.

4.
Click OK when you've finished.

While you're in the Mouse Properties utility, you might want to check the Enable Pointer Shadow option. This puts a drop shadow under your cursor, similar to the one you can display under all your Windows menus.


Changing Your Click

How do you click? Do you like to double-click the icons on your desktop? Would you prefer to single-click your icons, the same way you click hyperlinks on a Web page? Should the names of your icons be plain text, or underlined like a hyperlink?

However you like to click, Windows XP can accommodate you. You just have to know where the configuration options are for desktop clicking because they're not in an obvious place.

Believe it or not, the XP's click options for the entire operating system are buried in the Folder Options dialog box. I certainly wouldn't have thought to look for them there. If you're like me, you would have thought that a Folder Options dialog box controlled the way My Documents and other folders look and feel. You would have only been partially right.

So, how exactly do you change the way Windows clicks? Just follow these steps:

1.
Open My Documents, My Computer, or any other system folder.

2.
Select Tools, Folder Options to open the Folder Options dialog box, shown in Figure 2.20.

Figure 2.20. You have to open a folder to change your click.

3.
If you want to use traditional double-clicking, check the Double-Click to Open an Item option.

4.
If you want to use Web-like single-clicking, check the Single-Click to Open an Item option.

5.
If you select single clicking, you can choose to underline the titles of all desktop icons (Underline Icon Titles Consistent With My Browser) or only underline titles when an item is hovered over (Underline Icon Titles Only When I Point At Them).

6.
Click OK to register your settings.

This is probably one of the most important Windows settings, and it's buried in a place (and described in a way) that most users never find. Why would anyone want to hide this important setting? I have no idea, but now that you know where it is—use it!


Using a Screen Saver

Screen savers display moving designs on your computer screen when you haven't typed or moved the mouse for a while. This prevents static images from burning into your screen.

Although screen burn-in is rarely a problem with newer monitors, screen savers can still be entertaining and hide any work you have on your screen when you leave your desk. You can even assign a password to the screen saver so that only you can reactivate the screen.

To activate one of the screen savers included with Windows XP, follow these steps:

1.
From the Control Panel, select the Display option.

2.
When the Display Settings utility opens, select the Screen Saver tab, shown in Figure 2.21.

Figure 2.21. Put on a fancy show with a Windows XP screen saver.

3.
Select a screen saver from the Screen Saver drop-down list. A sample of the screen saver appears on the sample display. For a full-screen view, click the Preview button and click the screen to return from the preview.

4.
Change the properties of the selected screen saver by clicking the Settings button. The options available differ for each screen saver you choose, but usually include things such as speed and colors. Make your selections and then choose OK.

5.
In the Wait section, select the number of minutes you want the screen to be idle before the screen saver activates.

6.
If you want your system to display the Welcome screen when the screen saver stops, check the Return to Welcome Screen option. (Select this option if you want to require a password for reactivating your system after a nap.)

7.
Click OK when done.


Changing System Sounds

Just as you can change the way Windows XP looks, you can also change the way it sounds.

Every operation in Windows can or does have a sound associated with it. When you first turn on your computer and launch Windows, you hear a sound. When you get dinged with an error message, you hear another sound. When you open and close applications, you hear even more sounds.

When you take all the sounds together, you have a sound scheme—which is similar to a color scheme, but with sounds. (Naturally.)

Windows XP lets you change the entire sound scheme, or individual sounds within the scheme. Just follow these steps:

1.
From the Control Panel, select the Sounds and Audio Devices icon.

2.
When the Sounds and Audio Devices Properties utility opens, select the Sounds tab (shown in Figure 2.22).

Figure 2.22. Personalize the sounds you hear when something happens onscreen.

3.
To change sound schemes, pull down the Sound Scheme list and select a new scheme.

4.
To change an individual sound, select an item in the Program Events list and then select a new sound from the Sounds list. (You can choose from a wider variety of sounds by clicking the Browse button and navigating to any sound file stored on your hard disk.)

5.
Click OK when done.


Adding and Removing Fonts

Windows XP comes with a large number of common fonts pre-installed for use in your favorite software programs. You use these fonts to both display text onscreen and to print text from your printer.

Previewing Fonts

To see what fonts are installed on your system, follow these steps:

1.
From the Control Panel, click the Fonts icon.

2.
When the Fonts window is displayed, as shown in Figure 2.23, double-click any font icon to view a sample of that font at various type sizes.

Figure 2.23. Manage all your system fonts from the Fonts window.

[View full size image]

3.
Click the Print button to print a sample of the font.

4.
Click the Done button to close the display window.

TIP

To select multiple fonts, hold down the Ctrl key while clicking additional listings.

Installing New Fonts

Although Windows XP installs many font files during setup, you may want to add additional fonts from third-party vendors or Web sites. To install a new font, follow these steps:

1. | From the Control Panel, click the Fonts icon.
2. | When the Fonts window appears, select File, Install New Font. TIP You can also install fonts directly from My Computer. Simply copy the new font files from an installation disk and paste them into the WindowsFonts folder.
3. | When the Add Fonts dialog box appears, select the drive and folder that holds the fonts you want to install.
4. | Fonts available at the location you specified are listed now. Select the font(s) you want to add.
5. | Select the Copy Fonts to Fonts Folder check box.
6. | Click OK to add the fonts you selected.

Removing Unwanted Fonts

TIP

You can also delete fonts directly from My Computer. Just select a font file from the WindowsFonts folder and select Delete This File.

If you find you have too many fonts installed on your system or have fonts that you seldom use, if ever, you can use the Control Panel to delete these font files from your system.

1. | From the Control Panel, click the Fonts icon.
2. | When the Fonts window appears, right-click the icon for the font you want to delete and select Delete from the pop-up menu.
3. | Windows asks if you're sure you want to delete this font. Choose Yes to delete, and the font file is uninstalled from your system and sent to the Recycle Bin.

Installing too many fonts on your system not only consumes a lot of hard disk space, it also eats up system memory and can cause your system to run slower than normal. If your system is running sluggishly, you may want to remove some unused fonts. This enhances the performance of your system performance and frees up some disk space.


Configuring Other System Settings

TIP

You can also access the Date/Time Properties utility by double-clicking on the time in the System Tray.

While that takes care of the major system settings, there are a handful of other settings you probably need to know about, just in case. Chances are they're fine as-is—but you never know!

Resetting the Time and Date

The time and date for your system should be automatically set when Windows XP is first installed. If you find that you need to change or reset the time or date settings, follow these steps:

1.
From the Control Panel, click the Date and Time icon.

2.
When the Date and Time Properties utility opens, select the Date & Time tab (shown in Figure 2.24).

Figure 2.24. Click the Date and Time icon to set your system's date and time.

3.
Choose the correct month and year from the pull-down lists, click the correct day of the month on the calendar, and set the correct time on the clock.

4.
Now select the Time Zone tab. Select the correct time zone from the pull-down list. For most states, you should also select Automatically Adjust Clock for Daylight Saving Changes.

TIP

Changing the language and country formats does not change the language used in Windows menus and dialog boxes. (For that you need a local-language version of Windows.) It does, however, affect the data in applications that take advantage of these regional features.

5.
If you want to automatically set your PC's clock from a time server on the Internet, select the Internet Time tab and check the Automatically Synchronize With an Internet Time Server option. You can choose from several different servers listed in the Server pull-down list. This is one of my favorite new features, because it always seems like one of my systems has a dying battery, and the clock is never right.

6.
Click OK when done.

Changing Your Locality

Copies of Windows XP sold in English-speaking countries, by default, are configured for American-style currency and number formats. By changing XP's regional settings properties, you can switch between different international character sets, number formats, currency formats, and date and time displays. This essentially sets up Windows XP for use in other countries.

To change the regional settings of Windows XP, follow these steps:

1. | From the Control Panel, click the Regional and Language Options icon.
2. | When the Regional and Language Options utility opens, select the Region Options tab to select your region.
3. | Select the Languages tab to select a different input language.
4. | Select the Advanced tab to select languages for non-Unicode programs and code page conversion tables.
5. | Click OK when done.


Changing Default Applications

New with Windows XP Service Pack 1 is the capability to change which applications perform certain key tasks, by default. For example, Internet Explorer is the default Web browser; if you like, you can now make Netscape or Opera your default browser.

TIP

If you simply want to disable the current application as your default, uncheck the Enable Access to This Program option.

To change one of Windows XP's default applications, you should first install an alternate application. Then follow these steps:

1.
Click the Start button and select All Programs, Set Program Access and Defaults; the Add or Remove Programs utility opens, with the Set Program Access and Defaults button selected, as shown in Figure 2.25.

Figure 2.25. Changing Windows XP's default applications.

[View full size image]

2.
Click the down arrow next to Custom.

3.
Scroll to the configuration you want to change.

4.
Select the application you want to use.

5.
Click OK.


Even More Personalization-with Tweak UI

Even More Personalization—with Tweak UI

Now it's time for me to let you in on one of my favorite Windows utilities. Tweak UI for Windows XP is a "power toy" from Microsoft that lets you further customize your desktop beyond what Windows XP normally lets you do. Microsoft says that Tweak UI is for so-called power users, but I think anyone reading this book will find it indispensable.

Even though it's developed by Microsoft engineers, Tweak UI isn't included with Windows XP. Instead, you have to download it from Microsoft's Web site and install it separately. (You can download Tweak UI—and other power toys—from this page: www.microsoft.com/windowsxp/downloads/powertoys/xppowertoys.mspx.)

Tweak UI for Windows XP lets you customize a variety of system settings that aren't otherwise accessible in Windows XP. To launch the utility, click the Start button and select All Programs, Accessories. Power Toys for Windows XP, Tweak UI. From here you can access a variety of Windows settings by clicking the appropriate parameter in the left-hand pane, as shown in Figure 2.26. Table 2.4 describes what you'll find.

Figure 2.26. Tweaking Windows XP with Tweak UI.

[View full size image]

Table 2.4. Tweak UI Settings

Setting

Description

About

Provides tips on how to use Tweak UI, as well as access to the Group Policy Editor (in Windows XP Professional Edition).

General

Turns on or off various Windows effects (such as window animation and smooth scrolling). Also prevents applications from stealing focus.

Mouse

Calibrates your mouse's speed and double-clicking and dragging sensitivity. You can also choose to have whichever window the mouse is over be your active window (the Activation Follows Mouse option), and select how you use your mouse wheel for scrolling.

Explorer

Changes the way shortcuts are displayed on the desktop (with small arrows, large arrows, no arrows, or a custom icon), turns on or off the "Shortcut to" prefix on new shortcuts, programs shortcut command keys, and lets you configure slideshows in picture folders.

Common Dialogs

Turns on or off various universal dialog box settings, as well as lets you customize Windows XP's Places Bar.

Taskbar and Start menu

Enables customization of the Start menu, as well as controlling various settings for the taskbar.

Desktop

Determines which standard system icons are displayed on your desktop. This is the way to get rid of pre-installed icons that you can't delete normally.

My Computer

Determines which drives are displayed in the My Computer window, as well as the location of special Windows folders. This is also where you can turn on or off Windows' AutoPlay feature.

Control Panel

Determines which icons are displayed in the Windows Control Panel—a great way to hide little-used utilities.

Templates

Adds or removes items from the New submenu displayed when you right-click the desktop. The New submenu lets you create new documents of the selected types.

Internet Explorer

Turns on or off various Internet Explorer settings, including the detection of accidental double-clicks. Also lets you customize the background of the IE toolbar.

Command Prompt

Lets you customize the workings of Windows' filename completion feature in various dialog boxes.

Logon

Enables you to log on to your network automatically at system startup and eliminates the need to type your username and password every time you start your computer.

Access Control

Lets you control which users have access to various system operations.

Repair

Rebuilds any damaged icons on your desktop, as well as repairs any corrupted or overwritten system files, resets Registry Editor to its default parameters, and restores the default file type icons and associations. This is a great tool in case things go wrong with your system that you can't fix.

I could have devoted a chapter of this book to Tweak UI. I use this utility myself, and I find it quite handy. If you're an experienced and interested user, I recommend you install Tweak UI and play with it awhile. Then you can discover for yourself all the power it adds to your system!


Making Windows XP Look Like Windows 9X/Me

My final tip in this chapter is for all you older-Windows users who don't like the new look and feel of Windows XP. If you're dead set against embracing change, you don't have to. You can make the Windows XP interface look like the "classic" interface you're used to using.

This is how you do it:

1.
Open the Display Properties utility, select the Themes tab, select Windows Classic from the pull-down list, and click Apply.

2.
Select the Desktop tab, select the Windows 2000 Background, and then click Apply.

3.
Select the Appearance tab, select Windows Classic Windows and Buttons and the Windows Classic Color Scheme, and then click Apply.

4.
Click the Effects button and uncheck the following options: Use the Following Fade Effect for Menus and Tooltips, Use the Following Method to Smooth Screen Fonts, Show Shadows Under Menus, and Hide Underlined Letters…. Click OK when done.

5.
If you want to change the colors of individual desktop items, click the Advanced button to display the Advanced Appearance dialog box, shown in Figure 2.27. Make changes to individual items, and then click OK.

Figure 2.27. When you select the Windows Classic theme and color scheme, you can change the color for each desktop element separately.

6.
Click OK to close the Display Properties utility, and then open the System Properties utility.

7.
Select the Advanced tab, and then click the Settings button (in the Performance section). When the Performance Options dialog box appears, select the Visual Effects tab and click the Best Performance button. Click OK to close this dialog box, and then click OK again to close the System Properties utility.

8.
Open the Control Panel and click the Switch to Classic View option.

9.
From the Control Panel, select Tools, Folder Options. Select the General tab and check the Use Windows Classic Folders and Double-Click to Open an Item options, and then click Apply.

10.
Select the View tab and uncheck the following options: Show Pop-Up Animation for Folder and Desktop Items, and Use Search Companion for Searching. Click the Like Current Folder button, and then click OK.

11.
Right-click the Start button and select Properties. When the Taskbar and Start Menu Properties dialog box appears, select the Start tab, check the Classic Start Menu option, and then click Apply.

12.
Select the Taskbar tab and uncheck the following options: Group Similar Taskbar Buttons, and Hide Inactive Icons. Click OK when done.

13.
Open My Documents, right-click anywhere in the files area, select Arrange Items By from the pop-up menu, and uncheck Show In Groups.

If you perform all these steps, Windows XP looks and behaves pretty much the same way Windows 98 or Windows Me did. The fact that you have to reconfigure so many settings tells you how much Microsoft changed in Windows XP. (A lot!)


The Bottom Line

Here are some of the most important things to remember about configuring your copy of Windows XP:

  • Most configuration settings for Windows XP are found somewhere in the Control Panel. (The Display Settings utility is a good place to look.)

  • With Windows XP you can change the overall desktop theme, the desktop background, and the color scheme. You can't change the colors of individual desktop elements.

  • By default, Windows XP groups like items on the Taskbar—and hides inactive icons in the System Tray.

  • By default, the Start menu displays the last five active programs. You can customize the Start menu to display more or fewer programs, and to permanently add your favorite programs to the Start menu. (Right-click the Start button and select Properties to display the Taskbar and Start Menu Properties dialog box.)

  • You can configure Windows XP for either single-clicking or double-clicking of icons and files. (Open My Computer and select Tools, Folder Options.)

  • To gain even more control over the way Windows XP looks and acts, install the Tweak UI utility (available from Microsoft's Web site).


    Part two: Working with Files, Programs, and Peripherals

    3 Managing Files

    4 Running Programs

    5 Controlling Printers

    6 Adding New Hardware

    Previous Section < Day Day Up > Next Section


Chapter three. Managing Files

IN THIS CHAPTER

Understanding Files and Folders 96

Windows XP's File Management Tools 97

Configuring File and Folder Views 104

Basic Navigation and Operations 112

Essential File Management 115

Compressing and Decompressing Files 119

Working with File Types and Associations 121

The Bottom Line 124

Every computer user has to work with files. Whether you're downloading MP3 files from the Internet or sharing Word documents with a friend or colleague, you need to know several essential file-related tasks. You have to know how to copy files, delete files, move files, and rename files. And you have to know which file management tools to use to perform these tasks.

Windows XP really doesn't add anything new in terms of what you can do with your files. What it does add is a much easier way to perform essential file management tasks. Everything you need to do is out in the open, instead of being hidden behind pull-down menus or obscure right-click commands.

In addition, Windows XP tries to anticipate what you want to do when you select a file. If you select an image file, for example, you are presented with a list of image-related operations. If you select an MP3 file, you are presented with a list of audio-related operations. This context sensitivity isn't perfect, but it does a pretty good job of helping you do what needs to be done.

I think that these improvements to file management offer a compelling reason to upgrade to Windows XP. The simple addition of an activity center panel in My Computer doesn't sound like that big of a deal, but its impact is tremendous. That one little panel makes so many things so much easier to accomplish. It's amazing.

My only wish is that Microsoft had incorporated this type of file management years ago. This is the kind of thing that should have been in Windows from the beginning. Fortunately for us, it's here now. A few years late, perhaps, but welcome nonetheless.


Understanding Files and Folders

NOTE

Prior to Windows 95, filenames were limited to eight main characters plus a three-character extension. Windows no longer has this "8+3" limitation. Filenames can now include up to 255 characters, and can use spaces and special characters.

Before I get into Windows XP's new method of file management, let's spend a little space on a files-and-folder refresher course. (Just in case you forgot, of course.)

The files and folders on your computer are like the files and folders in a typical filing cabinet. Your computer is the filing cabinet, and it contains folders that contain individual files.

On your computer, every file and folder has a unique name and occupies a distinct location. A filename consists of a main name and a three character "extension," separated by a period. A typical filename looks something like this: main name of this file.ext.

Extensions are typically identified with specific types of files. For example, Microsoft Word documents have a .doc extension. Whenever you see a file ending in .doc, you know it's a Word document.

NOTE

What current versions of Windows call "folders," Windows 3.x and MS-DOS called "directories." Some older computer users—like me—occasionally slip and refer to folders as directories. Don't get confused. A folder and a directory are the same thing.

Files are stored on your disk in folders. A folder can contain both files and additional folders. (A folder within a folder is called a subfolder.)

The exact location of a file is called its path and contains all the folders leading to the file. For example, a file named filename.doc that exists in the system folder that is contained in the windows folder on your c: drive has a path that looks like this: c:\windows\system\filename.doc.

Learning how to use files and folders is a necessary skill for all computer users. You may need to copy files from one folder to another, or from your hard disk to a floppy disk. You certainly need to delete files every now and then.

Any time you have to work directly with files or folders, you use one of Windows XP's file-management tools or upper-level Windows folders. I show you how to use each of these tools in the next section.


Windows XP's File Management Tools

All the key file management tools in Windows XP look and work very similarly. Whether you're using My Computer or My Documents (or any other system folder), everything looks and works pretty much the same. It's like you have a single tool with multiple interfaces—and each interface is customized for its own particular task!

My Computer

The main file-management tool in Windows XP is My Computer. You can open My Computer from its desktop icon or from the Start menu.

My Computer lets you manage your hard drive(s), mapped network drives, peripheral drives, folders, and files. As you can see in Figure 3.1, Windows XP's version of My Computer looks quite a bit different from the My Computer in previous versions of Windows.

Figure 3.1. Use My Computer to access all the devices attached to your system.

[View full size image]

By default, all the devices on your computer are displayed, and arranged by type in the right pane. The left pane is the activity center that displays core Tasks, a list of Other Places (other file management tools), and Details about a selected item.

TIP

You can adjust the width of the activity center pane by grabbing the right edge of the pane with your mouse and dragging it to resize.

You can open any device, drive, or folder by clicking its icon. When you open an item, its contents are displayed in the right pane.

When you hover your cursor over an icon, My Computer displays details about that item in the Details section of the activity center. The Tasks list also changes to reflect tasks specific to the selected item.

The toolbar at the top of My Computer is the same one displayed in all Windows XP's file management tools. From this toolbar you can perform the following operations:

  • Go back to the last item you were looking at

  • Go forward to the next item

  • Go up one level in the folder hierarchy

  • Search for files or folders (displays the Search Companion)

  • Display a list of folders in a hierarchical "file tree"

  • Change the view of the items in the right pane

You also can use My Computer as a Web browser by entering the URL for a Web page into the Address box. When you enter a URL and press Enter, Windows connects to the Internet (if you're not already connected) and takes you to the specified page.

Windows Explorer

In previous versions of Windows, Windows Explorer was a file-management tool that displayed files in a hierarchical "tree." In Windows XP, however, Windows Explorer no longer exists. That is, there's no icon for it anywhere, and no place for it on the Start menu.

That's because the old Windows Explorer hierarchical tree can now be displayed within My Computer. All you have to do is click the Folders button on the My Computer toolbar. As you can see in Figure 3.2, the activity center pane slides out of the way and is replaced with a "file tree" that lists all the devices, folders, and files on your system.

Figure 3.2. Change My Computer to look like Windows Explorer by displaying the Folders pane.

[View full size image]

Many users prefer this hierarchical approach to managing folders and files because it gives them two panes worth of folders and files to work with. The left Folders pane contains all the devices and folders on your system, in a tree-like structure. The right pane displays the contents of any item selected in the Folders pane.

In the Folders pane, drives or folders that contain other folders have a "+" beside them. Click the "+" to expand the folders. When the drive or folder is fully expanded, the "+" changes to a "–"; click the "–" to collapse the contents again.

My Documents and Other Windows Folders

Windows XP tries to group related types of user files into master folders. Basic documents (for Word, Excel, and other applications) are grouped into the My Documents folder. Image files are grouped into the My Pictures folder. MP3 and other audio files are grouped into the My Music folder. Digital video files are grouped in the My Videos folder. And user-created Web pages are grouped into the My Webs folder.

These upper-level Windows folders have several interesting things about them. First, they all look and act just like My Computer, including the new activity center panes. Second, besides the standard Tasks list, some of these folders (My Music and My Pictures, in particular) include an additional list of tasks specific to their type of files. Third, like My Computer, you can choose to display a Folders pane instead of the normal activity center pane.

Let's look at My Documents first. Figure 3.3 shows a typical My Documents folder. In this screen shot, the subfolders contained in My Documents are grouped by name. (I show you how to do this in the "Grouping Files and Folders" section later in the chapter.) Select a folder and key details are displayed in the Details section of the activity center.

Figure 3.3. My Documents looks and acts just like My Computer, except that it displays key user-created files and folders.

[View full size image]

Figure 3.4 shows another folder displayed from within My Documents. Here you can see how different files look, and how the Tasks and Details sections of the activity center have adapted. In this view, My Documents is identical to My Computer. (They really are the same tool!)

Figure 3.4. Individual files in the My Documents folder.

[View full size image]

My Pictures, shown in Figure 3.5, is a subfolder of the My Documents folder. As you can see, image files are displayed as thumbnails (instead of the typical boring file icons). A new Pictures Tasks section is in the activity center pane, and the Details section also displays the selected thumbnail—along with key image information.

Figure 3.5. My Pictures is a variation of My Documents, specific to image files.

[View full size image]

NOTE

For more information about My Pictures, see Chapter 11, "Working with Pictures."

The other upper-level folders (My Music, My Videos, and My Webs) are similar to My Pictures in that they're customized for their specific types of files.

The Command Prompt

There's one more file-management tool in Windows XP that bears mentioning—even though it really isn't related to My Computer and the other tools. This tool is the Command Prompt that you can use to execute old DOS commands.

Even though Windows XP isn't built on the MS-DOS engine (like Windows 9X/Me), you still might have some old DOS applications installed on your system. Or you may have learned how to use a computer in those ancient pre-Windows days, and can't quite give up that old command-line orientation. Whatever the case, XP still includes a DOS-emulation utility for you to use.

You access the Command Prompt by selecting Start, All Programs, Accessories, Command Prompt. As you can see in Figure 3.6, the Command Prompt window looks pretty much like the old MS-DOS window in Windows 9X/Me, and works pretty much the same way, too. You enter a DOS command at the prompt, and then press Enter. (To close the window, just enter EXIT.)

Figure 3.6. It's still there—the Windows XP Command Prompt window.

You old-timers out there will be pleased to know that a good number of MS-DOS commands are still available in Windows XP, which means you can COPY and DEL and DIR to your heart's content.


Configuring File and Folder Views

Leaving DOS behind (hopefully forever!), let's return to Windows XP's other file management tools. All these tools are basically the same, and all can be customized in the same ways. You can change a lot about My Computer, My Documents, and the other system folders, to create a truly personalized file management environment.

Changing the Way Files Are Displayed

You can choose to view the contents of a folder in a variety of ways. Just click the Views button (in the folder's toolbar) and choose from the following options:

  • Thumbnails. Best for image files, as shown in Figure 3.7.

    Figure 3.7. Displaying files as thumbnails.

    [View full size image]

  • Tiles. Big icons with selected file details, shown in Figure 3.8.

    Figure 3.8. Displaying files as tiles.

    [View full size image]

  • Icons. Small icons with no file details, shown in Figure 3.9.

    Figure 3.9. Displaying files as icons.

    [View full size image]

  • List. Filenames only with no details, shown in Figure 3.10.

    Figure 3.10. Displaying files in a list.

    [View full size image]

  • Details. Filenames only with selected details, shown in Figure 3.11.

    Figure 3.11. Displaying files in a list with details.

    [View full size image]

NOTE

If you have moved, copied, or deleted some files and folders but don't see the changes, you need to update your display. Select View, Refresh, or press the F5 key.

TIP

You also can sort your icons by right-clicking in an open area of the folder and selecting Arrange Icons By.

If you choose Details view, you can select which details are displayed. Select View, Choose Details to display the Detail Settings dialog box. Check those settings you want to display, and use the Move Up and Move Down keys to place the settings in the order you want. Click OK to lock in your new configuration.

Sorting Files and Folders

When viewing files in My Computer or My Documents, you can sort your files and folders in a number of ways. To do this, select View, Arrange Icons By, and then choose from the following options:

  • Name. Sorts files by filename, alphabetically.

  • Size. Sorts files by size, smallest to largest.

  • Type. Sorts files by file type: applications, configuration files, and so on.

  • Modified. Sorts files by date and time last modified.

If you're viewing your files in Details view, you can manually sort your files by any setting you've chosen to display. Just click the top of a column to sort by that column. (Click the column a second time to reverse the order of the sort.)

Grouping Files and Folders

I'm not done with displaying files and folders just yet. Windows XP includes another option that I really like—the ability to display files and folders in similar groups.

You've already seen what grouping looks like. My Computer groups items by device type, with a title and thin line above each group. If you like this type of organization, you can apply similar grouping to any and all your folders.

To turn on grouping, select View, Arrange Icons By, and then check the Show In Groups option. Windows now groups your files and folders by the criteria you used to sort those items. For example, if you sorted your files by date, they'll now be grouped by date, as shown in Figure 3.12. (Actually, by Today, Last Week, Last Month, and so on.) If you sorted your files by type, they'll be grouped by file type. And so on, for all the different ways of sorting your files.

Figure 3.12. Configure Windows XP to group your files by date, type, name, or size.

[View full size image]

Individual or Universal Views

NOTE

While you're in the Folder Options dialog box, take a look at the Advanced Settings list on the View tab. As you can see, this list contains a number of more obscure configuration settings, such as hiding file extensions and displaying the full path in the title bar. Remember this list if you need to change one of these settings.

The neat thing about selecting various views, sorts, and groups is that you can combine all these options in a lot of different ways. For example, you can display details sorted and grouped by date, or tiles sorted and grouped by file type. However you want to view your files, you can.

You need to know one more thing about all these different folder views. You can select different views for different folders, or you can choose to apply a custom view to all your folders.

By default, when you customize a folder, that view is specific to that folder. To apply a folder view to all the folders on your system, follow these steps:

1.
Open the folder that looks the way you want it to look, and then select Tools, Folder Options.

2.
When the Folder Options dialog box appears, select the View tab (shown in Figure 3.13).

Figure 3.13. Make all your folders look like the current folder.

3.
Click the Apply to All Folders button.

4.
Click OK.

To return your folders to their default states, click the Reset All Folders button.

Changing Folder Icons

You're not through customizing folders just yet. Windows XP also lets you change the icon used to represent a folder. Just follow these steps:

1.
From within the folder, select View, Customize This Folder.

2.
When the Properties dialog box appears, select the Customize tab, shown in Figure 3.14.

Figure 3.14. Change the properties of the current folder, including the folder's icon.

3.
To select a new icon for the folder, click the Change Icon button and select a new icon from the New Icon dialog box.

4.
To select a picture to use when this folder is displayed in thumbnail view, click the Choose Picture button and browse to the desired image file. (If you don't choose a picture, up to four thumbnails from this folder's documents are displayed.)

5.
Click OK.

Personalizing the Send To Menu

With the advent of Windows XP's activity center pane, you'll probably find that you're doing less right-clicking. (In older versions of Windows, you had to right-click to access many of the common tasks. These same tasks are now on the activity center Tasks list.)

That doesn't mean that you should give up right-clicking entirely. The pop-up menu that appears when you right-click a file or folder still contains the Send To menu, which is one of the fastest ways to send a file from one place to another. You can use the Send To menu to send a file to another disk, to another folder, to another user via e-mail, or to a printer for printing.

Because using the Send To menu is a quick way to work with files, you might want to add other actions to the menu. For example, you might want to create a Send To item for a Zip drive or commonly used folder. This way you can right-click a file and use the Send To command to copy the file automatically.

This is how you add options to the Send To menu:

1. | Use My Computer to navigate to the Documents and Settings\username\Send To\ folder.
2. | Select File, New, Shortcut.
3. | When the Create New Shortcut wizard appears, enter the name of the file, folder, or drive you want to add to the Send To menu. (Click the Browse button to search your system for the item.) Click Next to proceed.
4. | Enter the name you want to appear on the Send To menu, and then click Finish.

The next time you right-click a file and select Send To, your new item appears in the list of Send To options.

Because I use the Send To menu a lot, this is one of my favorite tips. I hope you can use it!


Basic Navigation and Operations

Now that you've looked at how to customize the look and feel of Windows XP's folders, let's turn our attention to some basic drive and folder navigation and operations.

Navigate Disks and Folders

You can navigate through disks and folders My Computer, My Documents, and other folders in several ways:

  • To view the contents of a disk or folder, click the selected item.

  • To move up the hierarchy of folders to the next highest folder or disk, click the Up button on the toolbar.

  • To move back to the disk or folder previously selected, click the Back button on the toolbar.

  • To choose from the history of disks and folders previously viewed, click the down arrow on the Back button and select a disk or folder. View the complete history by selecting the History icon on this pull-down menu.

  • If you've moved back through multiple disks or folders, you can move forward to the next folder by clicking the Forward button.

  • Go directly to any disk or folder by entering the path in the Address Bar (in the format x:foldersubfolder) and pressing Enter or clicking the Go button.

You can also go directly to any folder by clicking the Folders button to display the Folders pane, and then selecting the folder in the Folders list.

Selecting Files and Folders

Sometimes you want to perform an action on a single file. To select a single file, just hover your cursor over the file until it is highlighted; the filename and icon change color, and information about the selected file appears in the Details section of the activity center pane. (If you're using double-click mode, you have to single-click a file to display the Details.)

At other times, however, you want to perform a single action on multiple files. To select multiple files, hover your cursor over the first file you want to select, and then hold down the Ctrl key on your keyboard. Select additional files by hovering your cursor over them until they are highlighted. Keep holding down the Ctrl key until you've selected all desired files.

NOTE

Just as you could with the old Find utility, you can use "wildcard" characters when searching with the Search Companion. For example, if you use an asterisk (*) in place of multiple characters, searching for file* finds filename, filetype, and files. If you use a question mark (?) in place of a single character, searching for file? finds only files.

Creating Folders

Folders act kind of like drawers on your hard drive to hold other folders or files. They enable you organize your hard drive by putting common files or subfolders together.

This is how you create new folders:

1. | Navigate to the current drive or folder that contains the new folder.
2. | Select File, New Folder or click the Make a New Folder task in the File and Folder Tasks panel of the activity center pane.
3. | A new, empty folder appears, with the filename "New Folder" highlighted. Type a name for your folder (which overwrites the "New Folder" name) and press Enter.

One of Microsoft's most important "little" changes is the addition of the "make new folder" command in so many places within each folder window. Used to be you could only access this command from the File menu. Now you can create a new file directly from the activity center pane, or by right-clicking anywhere in the folder window.

Thanks, Microsoft!

Finding Files

Locating a file on your system can be difficult, especially with today's extra-large hard disk drives. Windows XP includes a new Search Companion utility that makes it relatively easy to find specific files on your system.

The Search Companion replaces the old Find utility, found in previous versions of Windows. Not only do you get the companionship of an animated dog (named Rover), you also get some decent help and advice on how to fine-tune your search.

TIP

While it's nice to have the Search Companion as part of Windows, it's more than a little slow—especially if you have a big hard disk. A much better search solution for all the files on your PC is Google Desktop Search, which searches your hard drive the same way Google searches the Web. (It even uses the familiar Google interface.) Google Desktop Search is a free download that works great with all Windows XP systems, available at desktop.google.com.

To search for a particular file, follow these steps:

1.
Open the Start menu and click the Search icon. (Alternatively, you can click the Search button found on the toolbar in any Windows folder.) This displays the Search Companion pane, as shown in Figure 3.15.

Figure 3.15. Use the new Search Companion to find files on your hard disk.

2.
Select what type of file you want to search for. If you're not sure what file type to select, select All Files and Folders.

3.
The pane that appears next depends on which type of file you wanted to search for. In most cases, you can choose to search by all or part of the filename, as well as choose where (what drive or folder) you want to look for the file.

4.
If available (and if relevant to your search), select one or more of the advanced search options, such as when the file was last modified, or the file size.

5.
Click the Search button to start the search.

NOTE

Folder and filenames can include up to 255 characters, including many special characters. Some special characters, however, are "illegal," meaning that you can't use them in folder or filenames. Illegal characters include the following: / : * ? " < > |.

6.
The Search Companion now displays a list of files that meet your search criteria—along with advice on how to refine the search. To narrow your results, click one of the suggestions, and follow the onscreen advice.

By the way, you can change the animated character that appears in the Search Companion pane—or get rid of it completely. To change the animated character, click the Change Preferences link and then click With a Different Character. Windows XP comes with four characters built in.

To remove the Search Companion character, click the Change Preferences link and then click Without an Animated Screen Character. Bye, bye Rover!


Essential File Management

Now it's time to address the most common things you do with files—renaming, deleting, copying, and moving them. Virtually all these activities can now be accessed directly from the activity center pane in any Windows folder.

TIP

An even faster way to rename a file is to select the file and press F2 to automatically highlight the filename. (This is one of my favorite tips in the whole book!)

Renaming Files and Folders

Naming your files and folders in a way that somehow describes their contents is a good idea. Sometimes, however, you may need to change the name of a file or folder. Fortunately, it's relatively easy to rename an item.

To rename a file or folder, just follow these steps:

1. | Select the file or folder you want to rename.
2. | Click Rename This File from the File Tasks list (or Rename This Folder from the Folder Tasks list).
3. | The filename is now highlighted. Type a new name for your folder (which overwrites the current name) and press Enter.

Deleting Files and Folders

NOTE

You also can delete a file by dragging it from the folder window onto the Recycle Bin icon on the desktop, or by highlighting it and pressing the Del key.

Because disk space is a resource you don't want to waste, you should delete files and folders you no longer need.

1. | Select the file or folder you want to delete.
2. | Click Delete This File from the File Tasks list (or Delete This Folder from the Folder Tasks list).

Restoring Deleted Files

If you delete a file and later decide you made a mistake, you're in luck. For a short period of time, Windows XP stores deleted files in a special file called the Recycle Bin. If you've recently deleted a file, it should still be in the Recycle Bin.

This is how you can restore a deleted file:

1.
Open the Recycle Bin by clicking its icon on the desktop.

2.
When the Recycle Bin opens (see Figure 3.16), select the file or folder you want to restore.

Figure 3.16. Bring a deleted file back to life from the Recycle Bin.

[View full size image]

3.
Click Restore This Item from the Recycle Bin Tasks list.

Managing the Recycle Bin

TIP

You can also delete all files from the Recycle Bin by right-clicking the Recycle Bin icon and selecting Empty Recycle Bin from the pop-up menu.

The Recycle Bin is where deleted files are stored after you delete them. Files do not stay in the Recycle Bin indefinitely, however.

By default, the deleted files in the Recycle Bin can occupy 10 percent of your hard disk space. When you've deleted enough files to exceed this 10 percent, the oldest files in the Recycle Bin are automatically and permanently deleted from your hard disk.

If you want to manually remove files from the Recycle Bin, follow these steps:

1. | Click the Recycle Bin icon on your desktop.
2. | When the Recycle Bin opens, select Empty the Recycle Bin from the Recycle Bin Tasks list.
3. | When the Confirm File Delete dialog box appears, click Yes to completely erase the files, or click No to continue storing the files in the Recycle Bin.

NOTE

You can copy a file in several other ways. You can select the file and then select File, Copy to Folder. You can right-click it and select Send To from the pop-up menu. You can hold down the Ctrl key and drag it from one location to another. You can even drag the file with the right mouse button—when you drop the file into a new location, you see a pop-up menu that asks whether you want to move it or copy it.

Copying Files and Folders

Copying a file or folder is how you place a copy of it at another location, while still keeping the original where it is.

Copying is different than moving. When you copy an item, the original remains. When you move an item, the original is no longer present in the original location.

This is how you copy a file or folder with Windows XP:

1. | Select the file or folder you want to copy.
2. | Click Copy This File from the File Tasks list (or Copy This Folder from the Folder Tasks list).
3. | When the Copy Items dialog box appears, navigate to and select the new location for the item, and then click the Copy button. (If you want to copy the item to a new folder, click the New Folder button first.)

Moving Files and Folders

NOTE

You can move a file several other ways. You can select the file and then select File, Move to Folder. You can drag the file from one location to another. You can even do the right-drag trick discussed earlier. When you drop the file into a new location, you see a pop-up menu that asks whether you want to move it or copy it.

Moving a file or folder is different than copying it. Moving cuts the item from its previous location and places it in a new location. Copying leaves the original item where it was and creates a copy of the item elsewhere.

In other words, when you copy something you end up with two of it. When you move something, you only have the one thing.

To move a file or folder, follow these steps:

1. | Select the file or folder you want to move.
2. | Click Move This File from the File Tasks list (or Move This Folder from the Folder Tasks list).
3. | When the Move Items dialog box appears, navigate to and select the new location for the item, and then click the Move button. (If you want to move the item to a new folder, click the New Folder button first.)

Unprotecting Read-Only Files

If you have a file that you want to edit or delete but you can't, chances are the file is designated as read-only.

Read-only files can't be changed or deleted. You can read these files, but you can't touch them.

If you need to edit or delete a read-only file, you need to change that file's attributes—such as whether it's hidden, or read-only. Follow these steps:

1.
Select the file or folder you want to change and select File, Properties.

2.
When the Properties dialog box appears (see Figure 3.17), select the General tab and then check or uncheck the desired attributes. For example, to make a read-only file editable, uncheck the Read-only check box.

Figure 3.17. You can change the attributes of a file from the Properties dialog box.

3.
After you've made the desired changes, click OK.

You can change the following file attributes in the Properties dialog box:

  • Read-only files are files you can read but not edit or delete.

  • Hidden files are files—typically sensitive system files—that you normally can't view from My Computer.

  • Archive files are files that have changed since last backed up.


Compressing and Decompressing Files

Files are getting bigger.

If you want to transfer a really big file to another computer, you can run into all sorts of problems. If you're copying the file to floppy disk, the file might be too big to fit on a single floppy disk. If you're sending the file via e-mail, the file might be so big it exceeds your ISP's limits on attachment size.

No matter how you look at it, big files are a bother.

Fortunately, Windows XP includes a way to make big files smaller. Compressed folders take big files and compress them in size, which makes them easier to copy or move. After the file has been transferred, you uncompress the file to its original state.

NOTE

If you install a third-party compression program on your system, Windows removes Compressed Folders from the Send To menu and replaces it with a link to the new compression program.

Compressing a File

Compressing a file is a relatively easy task from within any Windows folder. You can even compress multiple files into a single compressed folder.

Just follow these simple steps:

1. | Select the file(s) you want to compress. TIP To better identify compressed folders, you can configure Windows XP to display them in blue. Just open the Folder Options dialog box, select the View tab, and check the "Show Encrypted or Compressed Files in Color" option.
2. | Right-click the selected file(s) and select Send To, Compressed Folder.

That's it—that's all you have to do! Windows creates a new folder, such as the one in Figure 3.18, which contains compressed versions of the file(s) you selected. You can now copy, move, or e-mail this folder, which is a lot smaller than the original file(s).

Figure 3.18. A compressed folder—notice the little "zipper" on the folder icon.

The compressed folder is actually a file with a .zip extension, so it can be used with other compression/decompression programs, such as WinZip. You can add files to a compressed folder by dragging and dropping them onto the compressed folder icon.

One thing to keep in mind about XP's compressed folders: Although the Extraction Wizard can extract multiple-disk .zip files, Windows XP cannot create multiple-disk files. If you need to create a compressed folder that's too big to fit on a single floppy disk, you have to use a third-party utility, such as WinZip. (By the way, you can download WinZip from www.winzip.com.)

Extracting Files

NOTE

If the compressed folder comprised a multiple-disk set, the Extraction Wizard prompts you to insert each disk in the set, as needed.

The process of decompressing a file is actually an extraction process. That's because you extract the original file(s) from the compressed folder.

In Windows XP, this process is eased by the use of the Extraction Wizard. This is how it works:

1. | Right-click the compressed folder and select Extract All.
2. | When the Extraction Wizard launches, click the Next button.
3. | When the Select a Destination page appears, select which folder you want to extract the files to, and then click the Next button.
4. | The wizard now extracts the files, and displays the Extraction Complete page. Click the Finish button.


Working with File Types and Associations

As you browse the files and folders on your system, you notice that some files have specific icons. These icons enable you know what type the file is. The file type determines more than just the icon, however. It also determines the application that is used to open the file.

Displaying or Hiding File Types

Windows XP can (and does) hide certain types of files—specifically sensitive system files. Because you don't want to accidentally delete or change a system file, hiding these files is probably a good idea.

You may, however, run into a situation where you need to edit one of these system files. If this happens to you, you need to know how to unhide the file.

To unhide all the hidden files on your system, follow these steps:

1. | From the Control Panel, click the Folder Options icon.
2. | When the Folder Options dialog box appears, select the View tab.
3. | Open the Hidden Files and Folders item and check the Show Hidden Files and Folders option.
4. | Click OK to register your changes.

Associating a File Type with an Application

When you install a new application, it usually registers its file types automatically. That is, Windows associates that file type with a specific application. You may also need to reassociate a file type, however, if you install a new program that hijacks the original file associations for itself—and you'd rather go back to the default associations.

To associate a file type with a particular application, follow these steps:

1. | From the Control Panel, click the Folder Options icon.
2. | When the Folder Options dialog box appears, select the File Types tab and click the Change button.
3. | When the Open With dialog box appears, select the application you want to associate with the file type. (If the program you want isn't listed, click the Click Here link to search for and select another program.)
4. | Click OK.

Changing Icons for File Types

Each file type is represented by a specific icon. If you don't like a particular icon, you can easily choose another icon for any file type.

Follow these steps:

1.
From the Control Panel, click the Folder Options icon.

2.
When the Folder Options dialog box appears, select the File Types tab.

3.
Choose the file type you want to change from the Registered File Types list, and then click the Advanced button.

4.
When the Edit File Type dialog box appears, click the Change Icon button.

5.
When the Change Icon dialog box appears (see Figure 3.19), select a new icon or click the Browse button to choose an icon from another file.

Figure 3.19. Change the icon associated with a particular file type.

6.
Click OK to register your change.

Removing File Types

Sometimes you find file types registered that don't even exist on your system. This can happen after you uninstall a program and its associated files.

To clean up your system by removing unused file types, follow these steps:

1. | From the Control Panel, click the Folder Options icon.
2. | When the Folder Options dialog box appears, select the File Types tab.
3. | Choose the file type you want to remove from the Registered File Types list, and then click the Remove button.
4. | Click OK.


The Bottom Line

When you're working with files and folders, here are the most important things to remember:

  • Use My Computer to manage all the drives and devices attached to your system. Use My Documents to manage your documents.

  • When Web view is activated, My Computer and other folders display an activity center pane. This pane contains a context-sensitive Tasks list that makes it easy to perform most common file operations.

  • In Windows XP, My Computer, My Documents, and other system folders are all essentially the same tool; because Windows Explorer has been removed from Windows XP, you can display a "file tree" view by clicking the Folders button in My Computer or My Documents.

  • Windows XP lets you display different icon views, and group icons by type, date, size, or name.

  • All files you delete are sent to the Recycle Bin folder. Until the Recycle Bin is filled up, you can restore any file you've recently deleted.


Chapter four. Running Programs

IN THIS CHAPTER

Adding and Removing Software 126

Installing Programs from the Internet 129

Launching Programs 132

Launching Programs When Windows Starts 135

Switching Between Programs 135

Arranging Windows on Your Desktop 136

Closing Stuck Programs 138

The Bottom Line 140

What use is an operating system if you don't have any software to run on it?

In many ways, the operating system exists as the infrastructure that enables you to run various software programs on your PC. If the operating system is doing its job, you almost forget that it's there. You use the OS to launch your programs, but after they're launched, it stays out of your way.

In this chapter I show you how to use Windows XP to launch your programs. I also show you how to use Windows XP to install and remove programs from your computer system. I even give you a few tips on what to do if a program freezes on you.

When you get your programs up and running, however, you're on your own!

TIP

If you're installing from floppy disks, you launch a program's setup program by inserting the first floppy disk into your PC's disk drive, selecting Start, Run, typing a:setup into the Run dialog box, and then clicking OK.


Adding and Removing Software

Even though most new computers come with a decent selection of software installed, at some point in time you're going to want to add something new. When you need to add a new program—or remove an old one—you'll find that Windows XP works pretty much the same way Windows 9X/Me did. That means, of course, that if you already know how to add and remove software, you don't have much to learn.

Installing New Programs

Almost all software programs have their own built-in installation utilities. Installing the software is as easy as running this built-in program.

If the program you're installing comes on a CD-ROM or DVD, all you have to do is insert the program's main or installation disc in your computer's CD-ROM/DVD drive. The program's installation program should then start automatically, and all you have to do is follow the onscreen instructions.

If the installation program doesn't start automatically, you have to launch it manually. To do this, click the Start button, click the Run icon, and then type x:setup into the Run dialog box. (Replace x with the letter of your CD-ROM/DVD drive.) Click OK to run the installation program. (If this doesn't work, know that some older programs name their installation programs "install" instead of "setup," so change the filename if necessary.)

If the program you're installing doesn't have an automated setup program, or if you prefer to install a new program manually, you can run Windows XP's Add or Remove Programs utility.

Follow these steps:

1.
From the Control Panel, click the Add or Remove Programs icon.

2.
When the Add or Remove Programs utility opens, click the Add New Programs button (shown in Figure 4.1), and then click the CD or Floppy button.

Figure 4.1. Manually installing a new program.

[View full size image]

3.
When the Install Program from Floppy Disk or CD-ROM dialog box appears, insert the program's installation disk or CD in the appropriate drive and click the Next button.

4.
Windows now searches for the installation program and displays the command line in the Run Installation Program dialog box. If the Wizard did not find the installation program, click the Browse button to locate the program manually.

5.
Click the Finish button to run the program's installation program and be sure you follow all the onscreen instructions to complete the installation.

Removing Old Programs

Removing a software program from your system can be easy—or it can be complicated.

Most newer Windows programs include their own utilities to uninstall the program automatically. If you want to uninstall a program, you should use this publisher-supplied utility when it exists. You can generally find the program's uninstall utility in the folder where the program's other files reside.

TIP

A well-behaved uninstall program should not remove your personal files, even if they are stored in the application's folders. Just to be safe, however, you should move any personal files you want to keep to a new folder before removing the application.

If you want to remove a Windows application that doesn't include its own uninstall utility, you should use Windows' Add or Remove Programs located in the Control Panel. This utility identifies every component of the application you want to remove, and automatically deletes them from your hard disk.

To remove a software program from your PC, follow these steps:

1.
From the Control Panel, click the Add or Remove Programs icon.

2.
When the Add or Remove Programs utility opens, click the Change or Remove Programs button (shown in Figure 4.2). This part of the dialog box looks a bit different from the one in Windows 9X, in that it provides more detail about the programs listed. It works the same way as the old Windows 9X version, however.

Figure 4.2. Choose a program to remove from your system.

[View full size image]

3.
Select the program's name from the Currently Installed Programs list, and then click the Change/Remove button. (For some applications, this is a single Remove button.) If prompted, confirm that you want to continue to uninstall the application.

TIP

If you've manually created any Start menu or desktop shortcut icons for the deleted program, the uninstall program might not know they exist—and thus might not delete them. If this is the case, you have to delete these icons manually.

4.
Answer any other prompts the uninstall utility presents for removing the program. Some programs, such as Microsoft Word, may require you to insert the original installation disks or CD to perform the uninstall.

5.
After the uninstall routine is completed, click the Close button to close the Add or Remove Programs utility.

If the program you want to remove does not have an automatic uninstall utility, you have to delete the program's files manually, using My Computer. The problem with trying to delete a program in this way is that miscellaneous files associated with the program are often scattered throughout various folders on your hard disk. You may want to purchase a third-party uninstall program (such as Norton Systemworks, which includes the Norton CleanSweep utility; learn more at www.symantec.com) to find and remove all program remnants from your system.


Installing Programs from the Internet

Nowadays many software publishers make their products available via download from the Internet. Many users like this because it provides immediate gratification via instant download. However, it only works if the download is a relatively small file, or if you have a fast broadband connection to the Internet. If you try to download a big file over a slow connection, you're going to get really tired of waiting for the download to complete.

Downloading Commercial Programs

When you download a program from a major software publisher, the process is generally fairly easy to follow. You probably have to read a page of dos and don'ts, agree to the publisher's licensing agreements, and then click a button to start the download. After you specify to which folder on your hard disk you want to save the downloaded file, the download begins.

A dialog box should alert you when the download is complete. From this point, installing the program is almost identical to installing from CD or DVD. Use My Computer to navigate to where you saved the downloaded file, and then launch the file. The software's installation program should then take over, and lead you through the rest of the process step-by-step.

TIP

If you expect to do a lot of downloading, you might want to create a dedicated My Downloads folder in your My Documents folder, and use this folder to hold all your downloaded files. It wouldn't hurt to have your antivirus program do a scan on this folder after you download a file, just in case.

Downloading Shareware and Freeware

You can also find a wealth of shareware and freeware programs that you can download free-of-charge. (If it's a shareware program, you typically receive some sort of free evaluation period, after which you need to pay to continue using the program.) These programs are typically found in large Web-based archives, and can be easily downloaded with your Web browser.

WEB-BASED ARCHIVES

The biggest of these download archives includes thousands of applications and utilities of all different types. You'll want to search for programs that are Windows XP-compatible, of course—although any program that works on Windows 2000 should also work on Windows XP with few, if any, problems.

NOTE

If you download a lot of files, check out the Go!Zilla Download Manager (www.gozilla.com). Go!Zilla lets you schedule your downloads for low traffic periods, organize and categorize your downloaded files, and even resume broken downloads without having to start over.

If you're searching for freeware and shareware, these are some of the best software archives to check out:

  • CNET's Download.com (www.download.com)

  • Jumbo (www.jumbo.com)

  • SnapFiles (www.snapfiles.com)

  • Tucows (www.tucows.com)

  • ZDNet Downloads (downloads-zdnet.com.com)

All these archives offer typical Web-based downloading. Some other file sites use a different protocol, called File Transfer Protocol (FTP) for file downloading.

FTP SERVERS

TIP

If you prefer to download with a dedicated FTP client, check out CuteFTP (www.globalscape.com/cuteftp/), LaplinkFTP (www.laplinkftp.com), or WS_FTP (www.ipswitch.com/Products/WS_FTP/).

FTP servers can be accessed via special FTP client software, or with your Internet Explorer browser (IE). You access an FTP site with IE by entering the address of the FTP site into the Address box, but with FTP (instead of HTTP) in front of the address. For example, the full address of the Microsoft FTP server looks like this: ftp://ftp.microsoft.com.

When you access an FTP site with Internet Explorer, the directories and subdirectories on the server are displayed as folders and files in the browser's main window, as shown in Figure 4.3. (This makes Internet Explorer look—and work—just like My Computer or My Documents.) Downloading is as simple as clicking on the icon for a specific file.

Figure 4.3. Viewing the folders and files on Microsoft's FTP site with Internet Explorer.

[View full size image]

TIP

If an FTP site asks for your ID and password, it doesn't support anonymous login. Any site that doesn't support anonymous logins is likely to be off-limits to the general public and reserved for private use.

Checking for Viruses

TIP

Sites that specialize in providing bootleg software and hacked code are sometimes called warez sites. (That's pronounced "wares," as in "softwares.")

A computer virus is a malicious program that can infect other files, and do untold damage to your computer system. One of the most common ways of contracting a computer virus is through program files downloaded from the Internet.

If you're downloading from a commercial software publisher or major software archive, you probably don't have to worry about accidentally downloading a computer virus. Almost all publishers and archives virus-check their files before they're posted for download.

NOTE

Learn more about antivirus programs in Chapter 11, "Managing Online Security."

If you download from a smaller or independent site, however, the possibility exists that you could be downloading infected files. Sites that offer games or pirated software for download, or quite openly cater to hackers, are high-risk for viruses.

Unfortunately, Windows XP provides no built-in defense against computer viruses, which means you need to install a third-party antivirus program. Whichever antivirus program you choose, you need to go online periodically to update the program's virus definition database. New viruses are being created every week—and they need to be tracked!


Launching Programs

After you have all your software installed, you can use Windows XP in several ways to launch your programs. You should use the method that's most convenient to you.

Launching from the Start Menu

Using the Start menu is probably the simplest way to launch an application. If you've used the program recently, it appears on the left side of the Start menu. If not, you need to open the Programs menu and launch the program from there. Just follow these steps:

1.
Click the Start menu and select All Programs. The Programs menu now appears next to the Start menu, as shown in Figure 4.4.

Figure 4.4. Launching an application from the Programs menu.

TIP

To learn how to place a permanent shortcut icon on the Start menu, see the "Managing the Start Menu" section in Chapter 2, "Changing the Way Windows Looks—and Acts."

2.
Point to the application's folder or name on the menu. When you point to a menu item with an arrow, a submenu opens. If the item you want is on that submenu, point to it. The item you point to is highlighted.

3.
Click the highlighted item to launch the application.

TIP

You can also launch an application by right-clicking an application file and selecting Open from the pop-up menu.

Launching from My Computer

Another way to launch applications is to click the application file from My Computer.

Follow these steps:

1. | From within My Computer, navigate to the folder that contains the program you want to start.
2. | Click the folder icon to display the files stored within that folder.
3. | Click the icon for the application file that you want to open. The application starts automatically.

Launching from a Desktop Shortcut Icon

TIP

To learn how to create a desktop shortcut, see the "Working with Desktop Shortcuts" section in Chapter 2.

Although Windows XP tries to force you into an uncluttered desktop, you can still create desktop shortcuts to launch your favorite programs. Many users feel that using a desktop shortcut is the fastest way to launch those programs they use all the time. Clicking an icon is certainly a lot quicker than wading through layers and layers of menus and folders.

To launch a program from a desktop shortcut, all you have to do is click the program's icon.

Launching from the Run Command

If you know the name and location of the program you want to run, you can use Windows XP's Run command to launch the program. The Run command is the Windows equivalent of the old DOS command line, when it comes to launching programs.

To use the Run command, follow these steps:

1.
Click the Start button and then click the Run icon.

2.
When the Run dialog box appears, as shown in Figure 4.5, enter the path and name of the application file into the Open box. If you don't know the location of the file, click the Browse button to find it.

Figure 4.5. Use the Run command to launch a program directly.

3.
Click the OK button to launch the program.


Launching Programs When Windows Starts

TIP

You can also add a program to the Startup menu by dragging the icon for that program onto the Startup folder.

If you want a particular program to always launch whenever you turn on your computer, you can add that program to Windows' Startup menu. Any file in the Startup menu launches whenever Windows starts.

This is how you do it:

1. | From My Computer, navigate to the Documents and Settings\All Users\Start Menu\Startup\ folder.
2. | Select File, New, Shortcut.
3. | When the Create Shortcut wizard opens, enter the location of the program you want to launch, or use the Browse button to navigate to and select that file. Click Next.
4. | Enter a name for the shortcut, and then click the Finish button.


Switching Between Programs

After you've launched a program, it's easy to switch between that program and other open programs. You can

  • Click the application's Taskbar button.

  • Click the application's title bar.

  • Click any visible part of the application's window.

  • Hold down the Alt key and then press the Tab key repeatedly until the application window you want is selected. (This cycles through all open windows.) When you're at the window you want, release the Alt key.

If you have multiple windows open at the same time, you can determine which is currently the active window by its title bar. The title bar for the active program is brighter, and the title bar text is bright white. An inactive title bar is duller, with off-white text. If you have overlapping windows on your desktop, the window on top is always the active one. The active application's Taskbar button looks like it's pressed in.


Arranging Windows on Your Desktop

Some users like to run all their programs full-screen. Others like to look at all their open programs at once, in overlapping windows. Still other users like to arrange their windows neatly on their desktop.

If you're a neatnik, it's easy to have Windows arrange your windows for you. All you have to do is right-click an open area of the Taskbar and then select one of the following options from the pop-up menu:

  • Cascade Windows. Creates a stack of windows starting at the top-left corner of your screen and continuing diagonally down and to the right, as shown in Figure 4.6.

    Figure 4.6. Arrange your windows in a cascade effect.

    [View full size image]

  • Tile Windows Horizontally. Creates horizontal rows of windows on your desktop, as shown in Figure 4.7.

    Figure 4.7. Arrange your windows in horizontal rows.

    [View full size image]

  • Tile Windows Vertically. Creates vertical columns of windows, as shown in Figure 4.8.

    Figure 4.8. Arrange your windows in vertical columns.

    [View full size image]


Closing Stuck Programs

TIP

You can also open the Windows Task Manager by right-clicking the Task bar and selecting Task Manager from the pop-up menu.

As robust as Windows XP is, there still are occasions where a program freezes on you. This is typically a less serious situation than with older versions of Windows, when a stuck program could bring down your entire system. Now when a program freezes, it seldom affects anything else. All you have to worry about is closing the stuck program.

The first thing to look at is whether the program is really stalled, or whether it's just slow. If your computer is low on memory, some programs might take forever to do some complex operations. You can run into this situation if you have a lot of programs open at the same time, or if you're printing a large file while you're trying to do something else.

You should probably wait a minute or so to see if the program eventually responds. If it doesn't, you should try switching to another open program, either from the Windows Taskbar or by pressing Alt+Tab to shuttle through all open programs.

If the program is definitely frozen, press Ctrl+Alt+Del (what old-timers call the "three- fingered salute") to display the Windows Task Manager. This is a souped-up version of the old Close Program dialog box found in previous versions of Windows, and it offers a lot more functionality. I discuss this utility in more depth in Chapter 24, "Keeping Windows Healthy and Happy," but for now let's just focus on using it to close frozen programs.

When the Windows Task Manager opens, select the Applications tab (shown in Figure 4.9). This tab displays a list of all programs currently running on your system.

Figure 4.9. Use the Windows Task Manager to unstick stuck software.

If a program is frozen, this might be indicated in the Status column. Or it might not. In any case, you want to select the frozen program, and then click the End Task button. Nine times out of ten, this should take care of your problem.

TIP

If you're forced to use the "end processes" method to shut down a program, you probably should restart Windows to clear up any loose ends still floating around system memory.

If this doesn't make the program close, go back to the Windows Task Manager and click the Processes tab. Find the file that's frozen, select it, and then click the End Process button.

The worst-case scenario is that you can't close the frozen program no matter what you try, and it then starts to affect the rest of your system. If this happens to you, you need to restart Windows. If things get so bad you can't restart the operating system, you have to reboot your computer by pressing Ctrl+Alt+Del twice.

Occasionally, that doesn't work either.

Then it's time to turn to sterner stuff. Try pressing your computer's on/off button. If that doesn't work, unplug your computer, or if you have a notebook, unplug it and remove the battery. That should work.


The Bottom Line

Installing, removing, and launching programs with Windows XP are all fairly common-sense activities. Just remember these important points:

  • Whenever possible, use the built-in installation program that comes with a new software program.

  • If you have to install a program manually, use Windows XP's Add or Remove Programs utility; you can also use this utility to uninstall programs from your hard disk.

  • If you're looking for freeware or software programs to download, be sure they're Windows XP/2000-compatible. If you're not downloading from a major software archive, be sure you check the files for viruses.

  • With Windows XP, you can launch programs from the Start menu, from My Computer, from a desktop shortcut icon, or from the Run command.

  • To switch between open programs, click the appropriate Taskbar button—or press Alt+Tab to cycle through all open programs.

  • To manually close a frozen program, press Ctrl+Alt+Del to open the Windows Task Manager, and then select the program and click the End Task button.


Chapter five. Controlling Printers

IN THIS CHAPTER

Adding and Removing Printers 142

Configuring Printers 145

Managing the Printing Process 148

The Bottom Line 151

Windows has been pretty good at printer management for several versions now. You install the proper printer drivers, tell Windows which is your main (default) printer, and then you're ready to print. Unless you run into problems during a particular print job, printing is as simple as clicking the Print button from inside your favorite application.

Yes, you can still pause and cancel print jobs in progress. Yes, you can still install multiple printers on your system, and choose between them when it's time to print. (I show you how to do all these things, of course.) But, more often than not, I just click and print.

One relatively new feature in Windows XP is the ease in which you can set up a small network, and then share a printer between several different computers. If you're interested in this type of printer sharing, go directly to Chapter 20, "Setting Up a Home or Small Business Network." In that chapter I show you how to use Windows XP's Network Setup Wizard. You use this to set up all your networked peripherals.

TIP

If your printer is not on the list, either choose the Generic Manufacturer and Generic/Text Only printer or click the Have Disk button and follow the instructions to install a vendor-supplied driver.


Adding and Removing Printers

Windows XP lets you hook up as many printers to your system as you have ports. You can even install virtual printers (such as fax software) that enable you to "print" to a file or program instead of to a physical printer.

In most cases, adding a new printer to your computer is as simple as plugging it in. Read on and I'll tell you all about it.

Adding a New Local Printer

If you have a Plug and Play-compatible printer with a USB connection, Windows XP (in most cases) recognizes your new printer as soon as you plug it in. If your printer is not Plug and Play-compatible, Windows XP uses the Add Printer Wizard to assist you with installation.

To run the Add Printer Wizard, follow these steps:

1.
From the Control Panel, click the Printers and Faxes icon.

2.
When the Printers and Faxes utility opens, click the Add Printer icon to start the Add Printer Wizard. When the first screen of the wizard appears, click the Next button.

3.
If you're adding the printer to this PC, check the Local Printer option. If it's a PnP printer (and it probably is), you should also check the Automatically Detect and Install My Plug and Play Printer. Click the Next button.

4.
When the next screen of the Wizard appears, select the printer's manufacturer in the Manufacturer list box (see Figure 5.1). Select the specific model of the printer in the Printers list box, and then click Next.

Figure 5.1. To install a new local printer, pick the correct make and model.

5.
When the next screen of the wizard appears, select the port to which the printer is connected, and then click Next.

TIP

If the test page does not print correctly, you can work through any potential problems with the Print Troubleshooter. Just click the Start button and select Help and Support. When the Help and Support Services window appears, click the Printing and Faxing link, click Printing, and then click Fix a Printing Problem. Follow the onscreen steps to track down and fix your specific problem.

6.
In the Printer Name text box, type a name for the printer or keep the name that is displayed. Select the Yes option button if you want this to be your default printer. (If a different printer is the default printer, choose No.) Click the Next button.

7.
The Printer Sharing page now appears. If you want to share this printer with other computers on the network, check the Share Name option and enter a "share name" for the computer. (This is the name other users see when they print to this printer.) If you don't want to share, check the Do Not Share This Printer option. Click Next.

8.
When the next page appears, select Yes if you want to print a test page, and then click Next.

9.
The test page prints (if you selected Yes). Click the Finish button, and the proper drivers are installed to your system, and your installation is complete.

Adding a Connection to a Network Printer

If your computer is part of a network (even a small home network), you need to add a connection to the network printer.

If the printer has been configured, on its host computer, as a "shared" printer, your work may have already been done for you. In many cases, shared printers automatically show up in the Printers list of all computers connected to the network.

NOTE

This section assumes that the printer is connected to another computer on your network. If the printer is connected to the current computer, you don't have to do anything beyond the normal printer installation.

If the shared printer doesn't appear in your Printers list, this is what you need to do:

1.
From the Control Panel, click the Printers and Faxes icon.

2.
When the Printers and Faxes utility opens, click the Add Printer icon to start the Add Printer Wizard. When the first screen of the wizard appears, click the Next button.

NOTE

Only those printers that have been designated for printer sharing are available in the Add Printer Wizard. As described in Chapter 20, you set printer sharing from the computer that the printer is physically attached to.

3.
To set up a connection to a network computer, check the Network Printer option and then click Next.

4.
When the Specify a Printer screen appears (shown in Figure 5.2), click the Browse for a Printer option, and then click Next.

Figure 5.2. Choose a printer on your network that you want to share.

5.
When the Browse for Printer screen appears, select the printer you want to connect to, and then click the Next button.

6.
Follow the onscreen instructions to finish connecting to the network printer.

Deleting an Existing Printer

If you no longer need to have a particular printer installed, you can delete it from your system by following these steps:

1. | From the Control Panel, click the Printers and Faxes icon.
2. | When the Printers and Faxes utility opens, select the printer you want to delete.
3. | Click Delete This Printer in the activity center Tasks list.
4. | Windows asks if you are sure that you want to delete the printer. Choose Yes. The printer icon is deleted.
5. | Windows then asks if it can remove files that were used only for this printer. Choose Yes. (However, if you plan to reattach this printer in the future, choose No.)

That's that. Just be sure that you physically disconnect the printer, or else Windows "rediscovers" the printer and tries to reinstall it.


Configuring Printers

Normally you don't have to do any configuration to your printers beyond what takes place during installation. However, it is possible to configure your printers for specific types of printing and it's relatively easy to do.

Setting Printer Properties

After you install a printer in Windows XP, you can make changes to the configuration to customize it for different printing requirements. You make these changes in the printer's Properties dialog box.

1.
From the Control Panel, click the Printers and Faxes icon.

2.
When the Printers and Faxes utility opens, select the printer you want to reconfigure, and then click Set Printer Properties in the activity center Tasks list.

3.
The Properties dialog box opens, as shown in Figure 5.3. This dialog box contains several tabs. Select each tab to view the various settings, as explained in Table 5.1. Properties vary according to each printer's capabilities.

Figure 5.3. Use the Properties dialog box to configure your printer.

Table 5.1. Printer Properties

Tab

Properties

General

Enters comments about this printer. Click the Print Test Page button to test your printer's output. Click the Printing Preferences button to set orientation, page order, and default tray for the printer.

Sharing

Determines whether your printer is shared by other users on your network.

Ports

Selects and configures which port your printer uses.

Advanced

Sets printer availability, print spooling, and other advanced settings.

Device Settings

Determines settings specific to your model printer, such as print density, print quality, and printer memory.

4.
Change settings as desired, and then choose OK to save the new settings. Choose Cancel if you prefer to abandon all changes.

Renaming an Existing Printer

The Add Printer Wizard gives you an option to name the printer when you install it. You can rename the printer later without reinstalling it. The name is changed throughout Windows after you rename the printer.

1. | From the Control Panel, click the Printers and Faxes icon.
2. | When the Printers and Faxes utility opens, select the printer you want to rename, and then click Rename This Printer in the activity center Tasks list.
3. | Type a new name to replace the highlighted name and press Enter.

NOTE

The tabs in the Properties dialog box may vary, depending on the type of printer you have. For example, many color printers have a Color Management tab you can use to set the printer's color options. Please adjust my instructions dependent on the tabs present in your specific configuration.

Selecting the Default Printer

NOTE

The default printer appears with a check mark next to its icon in the Printers and Faxes window.

The default printer is the printer that your applications automatically use when you choose to print a document. If you have multiple printers hooked up to your computer—including printers shared over a network—you need to select one of them as your default printer.

Follow these steps:

1. | From the Control Panel, click the Printers and Faxes icon.
2. | When the Printers and Faxes utility opens, right-click the printer you want as your default printer.
3. | When the pop-up menu appears, select Set as Default Printer.

Choosing Between Multiple Printers

When you go to print a document from any Windows application, the document is automatically printed to the default printer. (This happens when you click the Print button, or select File, Print.)

If you want to print to another printer, you have to do a little extra work. Just follow these steps:

1. | From within your application, select File, Print.
2. | When the Print dialog box appears, pull down the Name list (in the Printer section) and select the printer you want to use.
3. | Make any other selections from this dialog box, and then click the OK button to begin printing.


Managing the Printing Process

After you've started printing, the print job is first sent to a buffer on your computer, and then to a buffer in your printer. If it's a particularly long print job, this arrangement enables you to pause or cancel the job in midstream.

Managing Print Jobs from Print Manager

Print Manager is used to control print jobs sent to a printer. A separate manager for each printer is installed on your system. If the jobs you have sent to a printer aren't so small that they go directly to the printer, you should have time to double-click the printer icon that appears in the Windows System Tray. After the printer icon disappears from the System Tray, you can only control the print job at the printer itself.

You can open the Print Manager by clicking a particular printer icon in the Printers and Faxes utility, or by double-clicking the printer icon in the System Tray.

Checking the Status of a Print Job

After you open the Print Manager, you can quickly check the status of any print jobs in process.

First, you can look at the jobs in the queue and view their status (printing, paused, or spooling) in the Status column, as shown in Figure 5.4. You can also view the status bar to see the number of jobs remaining to be printed. Select View, Status Bar to turn the status bar on and off.

Figure 5.4. Use Print Manager to view the status of all current print jobs.

[View full size image]

TIP

To pause a document quickly, right-click its entry in the print queue and then choose Pause from the pop-up menu.

Pausing a Print Job

If you have multiple print jobs on a single printer, you can choose to pause specific print jobs and continue printing all jobs that are not paused.

To pause a print job, follow these steps:

1. | Double-click the printer icon in the System Tray to open the Print Manager.
2. | Select one or more documents from the print queue list.
3. | Select Document, Pause.

Pausing a specific print job is not the same as pausing all printing. To pause all current print jobs from Print Manager, select Printer, Pause Printing.

Resuming a Paused Print Job

Usually you pause a print job so that you can restart it later. Maybe you want to change to a different paper stock or change the toner. The job remains paused in Print Manager until you restart it or cancel it.

To continue printing a paused print job, follow these steps:

TIP

To cancel printing a document quickly, right-click its entry in the print queue and then choose Cancel from the pop-up menu. When you cancel a print job, it disappears immediately from the print queue. You may want to try pausing the job first to be sure you are canceling the right job.

1. | Double-click the printer icon in the System Tray to open the Print Manager.
2. | Select the paused document.
3. | Select Document, Pause. The selected document no longer displays a Paused status and begins printing in its place in the queue.

Canceling a Print Job

You can cancel a print job in the print queue even if it has started to print.

Follow these steps:

1. | Open the Print Manager by double-clicking the printer icon on the System Tray.
2. | Select one or more documents from the print queue list.
3. | Select Document, Cancel.

Purging All Print Jobs

Purging removes all the queued print jobs. You can purge all the jobs that have not started to print.

Follow these steps:

1. | Double-click the printer icon in the System Tray to open the Print Manager.
2. | Select Printer, Cancel All Documents.


The Bottom Line

I told you that printing was easy with Windows XP! Here are the most important points to remember:

  • You can install multiple printers on a single PC, although you have to select one of these printers as your default printer.

  • Use the Add Printer Wizard to add new printers—both local printers and printers installed on other computers on a network—and to enable sharing of a printer across the network.

  • When you have more than one computer connected to your system, use your application's Print dialog box to select what printer to use.

  • The Windows Print Manager enables you to manage all print jobs in progress. You can open the Print Manager by clicking a printer's icon in the Printers and Faxes dialog box, or by double-clicking the printer icon in the Windows System Tray.

  • To temporarily pause a print job, double-click the printer icon in the System Tray, select the print job, and then select Document, Pause Printing; to resume a paused print job, double-click the printer icon in the System Tray, select the print job, and then select Document, Pause Printing.


Chapter six. Adding New Hardware

IN THIS CHAPTER

Understanding Ports 154

Installing a New Peripheral 157

Updating Device Drivers 160

Solving Device Conflicts 161

Most Popular Peripherals 162

Working with Hardware Profiles 172

The Bottom Line 174

In the early days of personal computing (not that long ago, really), adding new hardware to a computer system was a pain in the rear. You had to work with jumpers and manually install device drivers and get your hands dirty with all sorts of system configuration files. And then, after all that hassle, half the time the new hardware still wouldn't work.

I don't miss those days—at all.

Fortunately, technology has improved. And the operating system has improved. So now it's relatively easy to plug in something new, and have it work like it should—first time out.

A lot of this improvement is due to better device recognition and compatibility in Windows. Microsoft introduced Plug-and-Play (PnP) technology several years ago, with the express purpose of easing installation headaches. And, although early versions were more like "plug and pray," PnP works pretty well in Windows XP—especially if you're connecting an external peripheral via USB or FireWire.

That's a good thing, given all the peripherals we plug into our PCs these days. It's not unusual to soup up a factory-standard machine with a printer or two, a scanner, a PC camera, a digital still camera, a joystick, a CD burner, and a network connection. That's a lot of stuff to hook up to a single PC, but Windows XP will handle it.

Read on and I'll tell you how.


Understanding Ports

Everything that's hooked up to your PC is connected via some kind of port. A port is simply an interface between your PC and another device—whether that connection is internal (inside your PC's system unit) or external (via a connector on the back of the system unit).

There are many different kinds of ports, each optimized for a different type of data communication. Different types of hardware connect via different types of ports.

You can take a look at all the ports on your PC, and the devices connected to them, with Windows XP's Device Manager utility. As you can see in Figure 6.1, the Device Manager displays all your devices by type. When you double-click a device type, you see the specific devices of that type that are installed on your system. Double-click a specific device to display the Properties dialog box for that device.

Figure 6.1. Use the Device Manager to examine all the ports and devices on your system.

[View full size image]

Open the Device Manager like this:

1. | From the Control Panel, click the System icon to open the System Properties utility. TIP You can also open Device Manager by right-clicking on My Computer and selecting Properties from the pop-up menu.
2. | Select the Hardware tab, then click the Device Manager button.
3. | When the Device Manager opens, select View, Devices by Type.

Serial Ports

NOTE

The original shipping version of Windows XP supported the original USB 1.0 standard. Service Pack 1 and 2 add support for the newer USB 2.0 standard—which ups the transmission speed beyond FireWire and SCSI levels.

A serial port is an interface that allows communication one bit at a time. That means that a device can't send multiple streams of data, and it also means that data can only flow in one direction at a time. Serial ports used to be used to connect modems, printers, mice, and similar peripherals, although they've pretty much been supplanted by the easier-to-use USB ports.

Parallel Ports

A parallel port is an interface that can handle communications going in two directions at once. Parallel ports are typically used to connect printers and scanners, and are often referred to as printer ports—although many new scanners and printers today (inkjets especially) connect via USB.

USB Ports

A Universal Serial Bus (USB) port is a newer, faster, more intelligent type of serial port. USB devices can be added while the computer is still running, and be automatically recognized by the operating system. These days practically all external peripherals connect via USB — printers, scanners, modems, CD-ROM/DVD drives, hard drives, Zip drives, PC cameras, digital still cameras, keyboards, mice, joysticks, and so on. This is the preferred method for connecting new devices to your PC, and it works pretty well.

FireWire Ports

FireWire (also called IEEE 1394) is an interface that enables hot-pluggable high-speed data transmission. It's typically used to connect digital video cameras and recorders—although some external hard drives and CD burners are coming out with FireWire connections, as well. I expect FireWire devices to become even more popular—eventually supplanting USB as the most common external device interconnection port.

SCSI Ports

The Small Computer System Interface (SCSI, pronounced "skuzzy") port is a high-speed parallel interface. You use SCSI ports to connect hard disks, CD-ROM and DVD drives, Zip drives, tape backups, and other mass storage media, as well as some scanners and printers. You should know, though, that SCSI isn't used as often these days; most components that used to connect via SCSI now connect via USB or FireWire.

PCMCIA Ports

The Personal Computer Memory Card International Association (PCMCIA) established the standard for the PC Card interface used on most of today's portable PCs. On a portable PC, the PC Card slot can be used to connect everything from modems, miniature hard disks, and additional system memory.


Installing a New Peripheral

In the old days, adding new devices to your system was a major-league undertaking—and apt to cause any number of new problems. Fortunately, those days are long gone; Windows XP makes upgrading your system extremely easy.

Installing USB or FireWire Peripherals

Most external devices today connect to your PC via USB; those that don't connect via USB typically connect via FireWire. Connecting via either USB or FireWire is an extremely simple operation that goes something like this:

1. | Connect the new device. (You don't have to turn your PC off first.)
2. | Windows automatically recognizes the new device, and either installs the proper drivers automatically or asks you to supply the device drivers (via CD-ROM or disk).
3. | Windows installs the drivers and informs you that your new device is now operational.

That's it—USB and FireWire devices are truly plug and play.

Installing Non-USB/FireWire Peripherals

If you're connecting via a serial or parallel connection or installing a new internal card, then the operation is a little more complicated. Here's how it typically goes:

1. | Close Windows and turn off your PC.
2. | Connect the new device.
3. | Restart your computer.
4. | As Windows starts, it should recognize the new device, and either install the proper drivers automatically or ask you to supply the device drivers (via CD-ROM or disk).
5. | Windows installs the drivers and finishes the startup procedure. Your new device should now be operational.

This procedure should work with both external devices and boards that you insert into your PC's internal slots.

Using the Add Hardware Wizard

There are still occasions, however, where Windows doesn't recognize a new peripheral. There are many causes for this. The device might be an older one that isn't PnP-compatible. Windows might not have a record of that particular device in its internal database. Or it could just be that the moon and the stars aren't aligned quite right.

Whatever the cause, if Windows doesn't recognize your new device, you have to install the device manually. With Windows XP, even manual installation is automated, thanks to the Add Hardware Wizard.

This wizard walks you step-by-step through the installation process. It starts by trying to recognize the new device itself. If it still doesn't recognize the device, it asks you to identify the device, and to supply the proper device driver. After the driver is supplied, the wizard completes the installation for you.

To use the Add Hardware Wizard, follow these steps:

1.
From the Control Panel, click the Add Hardware icon.

2.
When the Add Hardware Wizard opens, click the Next button.

3.
The wizard now asks if the new hardware is connected. Assuming you've already installed or connected the hardware, select the Yes, I Have Already Connected the Hardware option and click the Next button.

NOTE

A device driver is a small software program that enables your PC to communicate with and control a specific device. Windows XP includes built-in device drivers for many popular peripherals. If Windows doesn't include a particular driver, you can typically find the driver on the peripheral's installation disk, or on the peripheral manufacturer's Web site.

4.
Windows now evaluates your system and displays a list of installed devices, as shown in Figure 6.2. To add a new device, scroll down the list and select Add a New Hardware Device, and then click the Next button.

Figure 6.2. The Add Hardware Wizard starts by identifying all the hardware installed on your PC.

5.
When the next screen appears, select Search For and Install the Hardware Automatically, then click Next.

6.
Windows now looks for new PnP hardware. If it can identify the new hardware, the wizard will continue with the installation. If it can't find a new device, it will tell you so. If this is your situation, click Next to begin a manual installation.

7.
Select the type of device you want to install, then click Next.

8.
On the next screen, select the manufacturer and specific device. If you want to install the drivers that came with the device, click the Have Disk button. To use a built-in Windows driver, click the Next button.

9.
When the necessary files have been loaded, follow the onscreen instructions to complete the installation.

TIP

If you think you need an updated device driver (of any type), go to WinDrivers.com (www.windrivers.com) or DriverGuide.com (www.driverguide.com). Both of these sites contain massive databases of drivers and related resources, all available for easy download.


Updating Device Drivers

The most appropriate drivers for your hardware are installed when Windows XP is first installed, or when you install a new peripheral. You can upgrade your drivers at any time, however—if new drivers are available. (Manufacturers constantly update their drivers, typically to fix bugs or incompatibilities.)

To upgrade a specific device driver:

1.
From the Control Panel, click the System icon.

2.
When the System Properties utility opens, select the Hardware tab and then click the Device Manager button.

3.
When the Device Manager utility opens, select View, Devices by Type, and then navigate to the device you want to update.

4.
Double-click the device's icon to open the Properties dialog box.

5.
When the Properties dialog box appears, click the Driver tab, and then click the Update Driver button.

6.
When the Hardware Update Wizard appears (as shown in Figure 6.3), check the Install the Software Automatically option and click the Next button.

Figure 6.3. Use the Hardware Update Wizard to find and install updated device drivers.

7.
Follow the onscreen instructions to find and install the updated driver. If you have the latest version of the driver already installed, the wizard will tell you this.

NOTE

For more detailed infor mation on finding and fixing system problems, see Chapter 25, "Troubleshooting Common Problems."


Solving Device Conflicts

The Device Manager also can be used to review hardware settings and to determine where devices may have conflicts. A conflict happens when two devices try to use the same port, and get in each other's way. You can generally resolve these conflicts by assigning one of the devices to another port.

When you open the Device Manager, look for items that have an exclamation point displayed next to their names. These are the devices that are currently acting up.

Double-click the problematic device to display the Properties dialog box, and then click the General tab. You'll see a message indicating the basic problem, and advising what steps to take to fix it. (If the dialog box displays a Troubleshooting button, click this button to initiate a more comprehensive troubleshooting procedure.)

Following the instructions provided in this dialog box will generally solve your problem. If not, be sure you write down any problem code or number displayed in the Properties dialog box. They might come in useful if you have to deal with technical support.

If you've just installed a new device and run into immediate problems, chances are that the new driver is the cause. Windows XP provides a way to back your way out of new installation problems, by "rolling back" the driver to a previous version. Just select the Driver tab in the driver Properties dialog box, and then click the Roll Back Driver button. Windows will now uninstall the new driver and reinstall the old one, which should put your system back in the same working shape it was before.

If you still have problems, click the Uninstall button to completely delete the problematic driver, and then start the installation process again from scratch. Sometimes you have to do things twice to get them to work.

CAUTION

Even if Windows automatically identifies your new video card, it might not always uninstall your old card. You may need to do this manually, from the old video card's Properties dialog box (accessible from the Device Manager).


Most Popular Peripherals

When it comes to adding stuff to your PC, what are the most popular peripherals? Here's a list of hardware you can add to or upgrade on your system, along with some tips on how Windows XP might handle the new devices.

Video Cards

If you want to display a higher-resolution picture on your computer screen, play the latest graphics-intensive PC games, or add advanced video editing capabilities to your system, you need to upgrade to a higher-performance video card. This procedure is as simple as swapping out the old card for a new one. Windows should recognize your new video card on restart, and make the necessary configuration changes automatically.

You can also install additional video cards to use with multiple monitors. To learn more about the multiple-display capabilities of Windows XP, turn to the "Setting Up Windows for Two Monitors" section in Chapter 2, "Changing the Way Windows Looks—and Acts."

Sound Cards

If you play high-end games, listen to a lot of CDs, watch surround-sound DVD movies, or mix and record digital audio, you may want to upgrade your PC's sound card. While the replacement is a simple procedure, you may need to tweak your system's audio configuration to take advantage of all the functionality of the new card.

You can configure all sorts of audio properties by clicking the Sounds and Audio Devices icon in the Control Panel. This displays the Sounds and Audio Devices Properties utility.

Select the Audio tab (shown in Figure 6.4) to select and configure specific devices for sound playback, sound recording, and MIDI music playback. Select the Voice tab to select and configure devices for voice playback and recording. Select the Hardware tab to configure the properties for specific multimedia drivers.

Figure 6.4. Use the Sounds and Audio Devices Properties utility to configure your new sound card.

Keyboards

Installing a new keyboard is as simple as unplugging the old one and plugging in the new one. You may want to replace your PC's standard keyboard with a more ergonomic model, or with a wireless keyboard—or both.

After you install a new keyboard, you can set various properties that affect the way it works. In particular, you can set the character repeat rate, cursor blink rate, the language, and the keyboard type. You can also select multiple languages for your keyboard and switch between them.

You change keyboard properties by opening the Control Panel and clicking the Keyboard icon. This opens the Keyboard Properties utility, as shown in Figure 6.5. Most of what you want to adjust can be found on the Speed tab.

Figure 6.5. Use the Keyboard Properties utility to change various keyboard options, such as repeat rate and delay.

Mice

Replacing your mouse is as easy as replacing your keyboard. If you're still using the generic mouse that came with your PC, you should definitely take a look at the newer models available today. You'll find optical mice, wireless mice, and alternative mice (trackballs, and so on). I guarantee that you'll find some kind of input device that you like better than the one you're currently using!

Because some mice have extra buttons or wheels, it's likely that the mouse will come with its own installation program. When you run this program, the proper device drivers will be installed—and additional features added to Windows' Mouse Properties utility.

You open the Mouse Properties utility by clicking the Mouse icon in the Control Panel. As you can see in Figure 6.6, all mice share the same basic tabs (Buttons, Pointers, Pointer Options, and Hardware). Some mouse models add their own proprietary tabs for their own specific features. It might be worthwhile to click through the tabs to see what kinds of functionality your specific mouse offers and select the desired settings, as appropriate.

Figure 6.6. Configure your mouse with the Mouse Properties utility.

NOTE

Learn more about using Windows XP with games and gaming devices in Chapter 19, "Playing Games."

Joysticks and Game Controllers

There are many brands and types of joysticks and game controllers available for use with PC games. Connecting a new device is as simple as plugging it in (and running the installation program, if there is one). Go with a USB joystick and you get the immediate gratification of using it as soon as you plug it in.

You can configure a new game controller by clicking the Game Controllers icon in the Control Panel. This opens the Game Controllers dialog box. Select the Settings tab to calibrate your joystick and configure additional settings.

TIP

If you intend to use your modem from another location, or from a hotel room, click the New button on the Dialing Rules tab to create a new location with different dialing rules.

Modems

Many new PCs come with an internal 56.6Kbps modem installed. This is the fastest dial-up modem available today, so you probably won't have any need to install a new one.

If you do need to install a new modem, you can choose from an internal or an external model. Internal modems are less hassle, even though you have to open up your system unit to plug them in. External modems take up valuable desk space, need to be plugged in to a power supply, and are sometimes more difficult to configure. If you have a choice, go with an internal modem.

When you need to change the settings for your modem, click the Phone and Modem Options icon in the Control Panel. This opens the Phone and Modem Options utility, where you can set a number of configuration options.

To set driver, performance, and other settings specific to your modem, select the Modems tab, select the modem, and click the Properties button. To configure how your modem dials, select the Dialing Rules tab, select your location, and click the Edit button. This opens the Edit Location dialog box (shown in Figure 6.7), which lets you specify which number the modem dials to get an outside line, whether to disable call waiting, and so on.

Figure 6.7. Don't forget to set the dialing rules for your modem—or create new rules for a new location.

Of course, more and more users are migrating to faster Internet connections and dumping the dial-up modem completely. If you're setting up your system for use with a broadband Internet connection—via DSL or a cable modem—the setup is completely different. Yes, you'll still use a modem (an external model typically supplied by your Internet service provider), but the modem will either connect to a network card in your PC or through your PC's USB port. See Chapter 7, "Making the Connection," for more information on this type of hookup.

NOTE

Recordable CDs are designated CD-R, and rewritable CDs are designated CD-RW. Most drives can burn both recordable and rewritable CDs, and are designated as CD-R/RW drives.

DVD and CD-ROM Drives

Most PCs come with either a CD-ROM or a DVD drive as standard. (A DVD drive also reads CD-ROM discs.) If you have a CD-ROM drive, you may want to upgrade to or add a DVD drive. You may also want to add a recordable/rewritable drive to burn your own CDs or DVDs.

After you add a new DVD or CD drive to your PC, there's not a lot of configuring to do. It either works or it doesn't. If it works, great. If it doesn't, you need to do some troubleshooting.

When a DVD or CD drive is properly installed, it should appear in My Computer as a new Device with Removable Storage, alongside any removable drives on your system. You can access the contents of the drive from My Computer as you would any other drive. If you have a CD-R/RW drive, you can copy files and folders to a blank disc by using Windows' normal copy command or by dragging and dropping files onto the CD-R/RW drive icon.

CAUTION

After you convert from FAT32 to NTFS, you can't go back. Also, if you're using NTFS, you can't boot your computer from DOS. In addition, you can't convert to NTFS if you're using a dual-OS box, like if you're running both Linux and Windows from the same hard disk or running an older version of Windows along with XP.

Hard Drives

Managing new hard drives is easier in Windows XP than in Windows 9X/Me, because there are fewer options. In most instances you don't have to do a lot of formatting or partitioning, because XP recognizes and works with today's large hard disks.

Windows XP recognizes three different hard disk file systems: NTFS, FAT, and FAT32. NTFS is Microsoft's preferred file system, because it works best with ultra-large hard disks. It's also compatible with Microsoft's Active Directory service, which is used by network administrators to manage network security. Know, however, that most current disk utilities don't work with NTFS yet, although this is bound to change over time.

If you want to convert an older hard disk to NTFS, the process is surprisingly easy. If your hard disk is blank (or if you don't mind losing all the data on it), you can format the disk as NTFS. If you want to retain the disk's data, you can convert the drive from FAT or FAT32 to NTFS.

TIP

I recommend using an external hard drive as a backup device for all your important files. Hard disk drives have become relatively inexpensive; you can configure most external drives to automatically back up your entire hard disk at specified intervals. It's cheap insurance in case something happens to your system.

To convert an existing drive, you have to open the Command Prompt utility and then run the following command:

convert x: /fs:ntfs

Naturally, you replace x with the letter of the drive you want to convert.

Formatting a drive is a more destructive process—although it's amazingly simple to do. Just follow these steps:

1.
From within My Computer, select the drive you want to format, then select File, Format.

2.
When the Format Disk dialog box appears (as shown in Figure 6.8), confirm the drive's capacity, select NTFS as the File System, and select Default Allocation Size as the Allocation Unit Size.

Figure 6.8. Formatting a hard disk is easy—too easy, if you're not careful!

3.
Click Start to begin the formatting process.

CAUTION

Formatting a drive permanently erases all data stored on the drive. You cannot format the hard disk that contains your PC's system information (typically drive c:).

Flash Drives

A flash drive (also known as a keychain drive or USB drive) is a small, keychain-sized device that uses flash memory to store computer data. Flash drives come in any number of storage sizes, from 32MB to 1GB or more, and connect to your computer via a USB port. When connected, your computer views the device just like another disk drive; you can then transfer files from your computer to the flash memory and back again.

Using a flash drive is easy with Windows XP. All you have to do is plug the drive into the nearest open USB port, and Windows automatically recognizes the device as a new drive. You can then use My Computer or My Documents to navigate and manage the contents of the drive, just as you would any system storage device.

Digital Media Card Readers

Many new PCs now come with digital media card readers standard, typically located in a front panel bay. If you have an older PC, you can add a low-priced external media reader via USB; it's a plug and play operation.

Media card readers typically offer a variety of different slots to read the most popular types of removable media cards—Compact Flash, Smart Media, Secure Digital, MultiMediaCard (MMC), xD Picture Card, and Sony Memory Stick. Insert a media card and Windows XP recognizes the contents as it would with any type of removable media drive. You can use My Computer or My Documents to navigate and manage the contents of the media card.

Digital Cameras

Most digital cameras store their digital photos on removable media cards, which you can insert into a media card reader attached to your PC. Alternately, you can connect most digital cameras directly to your PC, typically via a USB connection.

When you first connect your digital camera, Windows XP should recognize it and begin the driver installation process. If you're lucky, Windows will have a device driver for your camera. If not, you'll have to insert the camera's installation disc to download the proper driver.

If Windows doesn't recognize your camera, you can add the camera to your system via the new Scanners and Cameras utility. Just click the Scanners and Cameras icon in the Control panel, and when the utility opens, click the Add Device icon. This starts the Scanner and Camera Installation Wizard, which walks you step-by-step through the installation.

NOTE

To learn more about using Windows XP with scanners and cameras, see Chapter 13, "Working with Digital Cameras and Scanners."

Once your digital camera is properly installed and connected, you can work with it from My Computer as you would any other device.

Scanners

A desktop scanner is an essential part of many users' PC systems. Scanners have come down in price so they're quite affordable, and they're relatively easy to install and use.

If you have the option, go with a scanner that connects via your computer's USB or FireWire port. USB and FireWire scanners require very little setup. In fact, connecting a scanner is very similar to connecting a digital camera; the installation should be automatic, and if not, you can use the Scanner and Camera Wizard to do the job.

When your scanner is installed, you can link the scanner to a particular program. For example, you can configure Windows to automatically open a specific image-editing program when you click a scanned image anywhere on your system.

Follow these steps:

1. | From the Control Panel, click the Scanners and Cameras icon to open the Scanners and Cameras utility.
2. | Select the scanner you want to configure, then click View Device Properties from the activity center Tasks list.
3. | When the Properties dialog box appears, select the Events tab. NOTE There's another peripheral that could be included on this list—the network interface card. Instead, I devote an entire chapter to installing network cards and setting up a home network. Flip forward to Chapter 20, "Setting Up a Home or Small Business Network," to learn more.
4. | In the Scanner Events section, select the event you want to link to a program.
5. | In the Send to This Application section, select the program you want to link to the selected event.
6. | Click OK.

PC Cameras

A PC camera is a small camera that sits on top of or beside your computer monitor, and transmits live video images directly to your computer. You can use PC cameras to take digital photographs or videos of yourself, which you can then send via e-mail or post on your Web site. You can also use a PC camera to create a Webcam, which is a live stream of photographs, updated every few minutes, which are transmitted over the Web for all to see.

Webcams are very popular these days, partly because PC cameras are so cheap and easy to use. If you buy a USB model, installing it is as easy as plugging it in. Windows handles the PC camera as it would any other type of input device, such as a digital still camera. Your chief chores are interfacing the camera with your Webcam software, configuring your Webcam software to work with your Web site, and coding your Web site to display your Webcam pictures.


Working with Hardware Profiles

After you get all the hardware and peripherals on your system set up and ready to go, you should be set, right? That might be true if your PC is a desktop model, but if you have a laptop that you use both at work and at home, you're faced with a new problem. You can configure your laptop for all the peripherals you use at work, but what do you do when you bring the computer home? Now you have to hook it up to a completely different set of peripherals, which can be a royal pain to reconfigure.

Fortunately for laptop users, Windows XP lets you create multiple hardware profiles for your PC, each with a different configuration, for the changing equipment you use. A laptop used with and without a docking bay is a prime system for creating additional profiles—one profile for docked operation, and a second for undocked mode.

I'll level with you. Hardware profiles are notoriously difficult to use. So difficult that few people use them. (I know I don't!) The reality is that Windows XP does a pretty good job recognizing what's hooked up and what's not, so that you really don't need to create separate profiles for different locations.

Still, if you want to play around with profiles, be my guest. Read on and I'll tell you how.

Creating New Hardware Profiles

You create a new profile by copying and renaming an existing profile. When a hardware profile is highlighted and copied, its exact configuration is assumed by the new copy. All you have to do is assign a new name to reflect the new configuration.

Here's how you create a new hardware profile:

1.
From the Control Panel, click the System icon to open the System Properties utility.

2.
Select the Hardware tab and then click the Hardware Profiles button.

3.
When the Hardware Properties dialog box appears (see Figure 6.9), select a hardware profile (such as Original Configuration) and click the Copy button.

Figure 6.9. Create a new hardware profile for a laptop computer.

4.
When the Copy Profile dialog box appears, type a new name for the profile over the original name in the To field, then click OK.

Configuring Hardware Profiles

After you've created a new profile, you can configure it by selecting which devices are used by that profile. Here's how to do it:

1. | Open the Device Manager and double-click a device.
2. | When the device Properties dialog box appears, select the General tab and pull down the Device Usage list. If you want to use this device in the current profile, select Use This Device; if you don't want to use this device, select Do Not Use This Device In the Current Hardware Profile.
3. | Repeat Step 2 for any devices you want to activate or deactivate for the current hardware profile.

You can also configure some general settings for each of your hardware profiles.

1. | In the Hardware Profiles dialog box, select the profile you want to configure, then click the Properties button.
2. | When the Properties dialog box appears, check if you're configuring a portable computer, then select the docking state for this profile. You should also check the Always Include This Profile As an Option When Windows Starts option, then click OK.
3. | Back in the Hardware Profiles dialog box, select whether Windows should wait until you select a hardware profile, or select the first profile listed if you don't make a choice.
4. | Click OK when done.


The Bottom Line

Adding new hardware doesn't have to be a hassle. Just remember these key points:

  • You can add all sorts of peripherals to your computer, including video cards, sound cards, keyboards, mice, joysticks, modems, DVD and CD-ROM drives, hard drives, scanners, digital cameras, and PC cameras.

  • When you have a choice, go with a FireWire or USB connection—both are fast and intelligent, and you don't have to restart your PC when you add a new device.

  • In most cases, Windows XP's Plug-and-Play function will recognize a new peripheral as soon as you restart your computer; if Windows doesn't recognize a new device, use the Add Hardware Wizard to install the device manually.

  • If you think you have a conflict between two drivers, use the Device manager to help troubleshoot the problem.

  • Windows XP lets you "roll back" a new driver to its previous version—very useful if you upgrade a driver and start experiencing problems.


    Part three: Taking Windows Online

    7 Making the Connection

    8 Surfing the Web with Internet Explorer

    9 Sending and Receiving E-mail with Outlook Express

    10 Chatting Online with Windows Messenger

    11 Managing Online Security

    Previous Section < Day Day Up > Next Section


Chapter seven. Making the Connection

IN THIS CHAPTER

Configuring Windows XP for Your Internet Account 178

Understanding Broadband Internet 181

Sharing an Internet Connection 183

The Bottom Line 187

The Internet has been around long enough to be an important part of most people's lives. Can you imagine trying to get by without e-mail, or without your favorite Web sites? I certainly can't.

You might not remember this, but Microsoft was slow to embrace the Internet. It wasn't until Bill Gates personally got turned on to the Net—and then forced everyone who worked for him to open their eyes to the online world—that Microsoft started taking the Internet seriously.

That was then, this is now.

Today, if Microsoft had their way, they'd own the entire Internet. (You can never accuse Bill Gates and crew of thinking small!) The entire company is in the midst of their .NET initiative, which aims to turn all their traditional software programs into Web-based applications. To date, they've tried to integrate the Internet into as many of their products as possible—in whatever ways they can come up with.

This Web integration is everywhere in Windows XP. From the initial installation, where Windows uses the Internet to both activate and register the operating system, to the Help and Support section (covered in Chapter 22, "Getting Help"), which kicks you out to the Web when you need advanced help, Windows depends on the Internet.

In fact, it's hard to imagine using Windows XP without being hooked up to the Internet. If you're not connected, there's so much you can't do. You can't get automatic updates to the OS. You can't search for missing or outdated drivers. You can't contact Microsoft if you need help. (Okay, you could try calling them—but good luck getting through on those overloaded technical support lines!)

Most importantly, if you're not connected to the Internet, you can't do everything else you've grown accustomed to doing online, which is as good a reason as any for Microsoft to make it as easy as possible for you to get connected—directly from the operating system.


Configuring Windows XP for Your Internet Account

If you upgraded an existing system to Windows XP, your old Internet connection should still be there, waiting for you to make a connection. There is nothing in the upgrade process that should screw up any existing connection information.

If you just purchased a new PC, you need to set up a new Internet connection from within Windows XP. You do this with the New Connection Wizard, a special utility that automates the creation and configuration of new Internet connections.

You can use the New Connection Wizard to set up a completely new Internet account, or to configure your system for an existing account with your Internet Service Provider (ISP). All you need to do is input the appropriate information, and the wizard does the rest of the job, including setting up your e-mail and Usenet newsgroup accounts.

Working with Your Current ISP

NOTE

If the Show All Connections option doesn't appear on your Start menu, open My Computer, select Network Places, and then select View Network Connections.

Assuming that you already have an account with an Internet Service Provider, you can use the New Connection Wizard to configure Windows XP to work with your ISP. You use this same technique to set up a cable or DSL connection, or a connection made through your company's local area network. All you have to do is follow these steps:

1.
Click the Start button, then select Connect To, Show All Connections.

2.
When the Network Connections window opens, select Create a New Connection from the Network Tasks panel.

3.
When the New Connection Wizard dialog box appears, click the Next button.

4.
When the Network Connection Type screen appears, check the Connect to the Internet option and then click the Next button.

TIP

If you've already set up a home network with its own Internet connection, select Set Up a Home or Small Office Network and follow the instructions from there.

5.
When the Getting Ready screen appears (see Figure 7.1), check the Set Up My Connection Manually option then click the Next button.

Figure 7.1. Use the New Connection Wizard to set up your Internet connection.

TIP

If your ISP provided you with an installation CD, check the Use the CD I Got From an ISP option, and follow the onscreen instructions from there.

6.
When the Internet Connection screen appears, select which type of connection you have—dial-up broadband with user name and password, or always-on broadband—then click the Next button.

TIP

If you haven't yet signed up for Internet service, select Choose From a List of Internet Service Providers and follow the instructions from there. You can subscribe to Microsoft's own MSN service, or select from a list of other available ISPs.

7.
If prompted, enter the name of your Internet service provider and then click the Next button.

8.
If you have a dial-up ISP, enter the provider's dial-up phone number and then click the Next button.

9.
If prompted, enter your username and password (as provided by your ISP), then click the Next button.

10.
Click the Finish button to complete the process.

You can view details of each connection on your PC by clicking the Internet Options icon from within the Control Panel, and then selecting the Connections tab. Select a connection from the Dial-Up Settings list, then click the Settings button.

NOTE

If you selected the always-on broadband connection option, you won't be prompted for any information about your ISP, user name, or password.

Transferring an Existing Account to This PC

If you already have an account with an ISP (but on another PC), you'll need to transfer those settings to your new Windows XP PC. With previous versions of Windows, you'd have to do this manually—by writing down all your settings from your old PC, and then re-entering them by hand into your new machine.

With Windows XP this entire process is automated as part of the File and Settings Transfer Wizard. When you use this wizard to transfer key settings from one PC to another.

To learn how to use the File and Settings Transfer Wizard, see the "Transferring Files and Settings" section of Chapter 23, "Updating Windows."


Understanding Broadband Internet

Even the best dial-up connection to the Internet can be maddeningly slow. This gets to be a real problem as more and more Web sites add more and larger graphics and multimedia files. Because every single item on a Web page must be downloaded to your computer before you can view it, the typical 56.6Kbps dial-up pipeline just isn't big enough to download everything instantaneously.

This is why it takes such a long time to access some Web pages. And even longer to download large files, or receive e-mails with large attachments.

Fortunately, there's a way you can speed up your connection to the Internet. All you have to do is dump your dial-up connection and subscribe to a broadband Internet service.

A broadband connection is an end-to-end digital connection, at least 10 times faster than a typical analog dial-up connection. Although DSL and cable modems are the most popular methods of Internet broadband, there are actually three main types of broadband connections that are popular today: DSL, digital cable, and digital satellite access.

Whichever type of broadband you choose, Windows XP can handle it. In the case of DSL and cable, XP handles the Internet connection as it would a network connection. Then you run the Internet Connection Wizard and tell it that you're connecting via a local area network. It's easy, and it's fast.

DSL

DSL (Digital Subscriber Line) is the fastest-growing broadband technology worldwide. (It's slightly less popular than cable broadband in the U.S., but leads cable by a wide margin elsewhere in the world.) DSL piggybacks on your existing telephone lines, and is relatively easy to install and configure.

DSL Internet connections provide speeds of at least 384Kbps—and more typically in the 500Kbps–1Mbps range. For just $30–$50 per month (which includes the cost of an ISP), it's easy to see why DSL is so popular.

Digital Cable

Cable modems are also very popular, because they connect to the same digital cable lines that are working their way into homes across the country. That makes for a very easy—and a very fast—connection.

Digital cable delivers an even faster connection than that which you typically get with home DSL. Even the slowest connections will hit somewhere around 500Kbps, and it's not unusual to clock downstream rates of 2Mbps or more. Cable internet service is priced competitively with DSL, and is typically much easier to install and set up.

Digital Satellite

The same company that offers DIRECTV digital satellite service also offers DIRECWAY satellite-based Internet access. With DIRECWAY (www.direcway.com) you get the latest two-way service, where you use your satellite dish to receive fast signals from the satellite and send fast signals from your dish into outer space.

As a plus, you can use the same dish for both your digital Internet and your digital television services. Downstream connection speeds average around 500Kbps. DIRECWAY service is priced around $60 a month (plus the cost of the dish)—a bit more than either DSL or cable broadband.


Sharing an Internet Connection

TIP

If you're just now setting up your home network, you can activate ICS via the Network Setup Wizard. Make sure you choose the This Computer Connects Directly to the Internet option, select which Internet connection you want to share, and specify which of your two network cards are connected to what. (One card connects to your broadband modem, the other card connects to your home network—probably through a hub.)

Do you have more than one PC in your home? If so, you probably want them both to be connected to the Internet.

This is particularly true if you have a broadband connection coming into your home. With a broadband connection you have enough bandwidth to connect multiple computers to the Internet at the same time—by sharing a single Internet connection.

Windows XP includes special Internet Connection Sharing (ICS) technology, which enables a single "gateway" computer to manage a shared Internet connection for other computers on your home network. You activate ICS via the Network Setup Wizard, which I discuss in more detail in Chapter 20, "Setting Up a Home or Small Business Network." With ICS, the gateway computer is called the host, and all the other computers on the network are called clients. The host computer and the clients have to be set up separately.

Sharing a Connection via Ethernet

If you have a wired Ethernet network connected in your home, you can share your Internet connection between any computer connected to the network. Assuming that all your computers are already connected to the network, you don't even have to run the Network Setup Wizard to set up Internet Connection Sharing.

You start by configuring your host computer by following these steps:

1.
Open the Control Panel and click the Network Connections icon.

2.
When the Network Connections utility launches, right-click the icon for the Internet connection that you want to share, and select Properties from the pop-up menu.

3.
When the Properties dialog box appears (as shown in Figure 7.2), select the Advanced tab and check the Allow Other Network Users to Connect Through This Computer's Internet Connection option.

Figure 7.2. Activating Internet Connection Sharing is as easy as checking a check box.

TIP

If any of the computers on your network are running older versions of Windows, you'll need to run the Network Setup Wizard directly from your Windows XP installation CD. Insert the installation CD and, when the setup program launches, click the Perform Additional Tasks option. When the next screen appears, select Set Up a Home or Small Office Network, then follow the onscreen instructions to activate Internet Connection Sharing.

4.
Click OK to activate ICS.

You also have to configure each client computer on your network to share your Internet connection. If the computers are all running Windows XP, the process is fairly straightforward. All you have to do is run the New Connection Wizard, choose the Set Up My Connection Manually option, and then choose the Connect Using a Broadband Connection That Is Always On option. Follow the onscreen instructions and you'll be all set.

Repeat these steps for each client computer (but not your gateway computer!) on your network.

Sharing a Connection via Wi-Fi

Sharing an Internet connection via a wireless network is even easier than sharing over a wired network. That's because when you set up your wireless router, it functions as an active Wi-Fi hotspot. Any computer with a wireless network adapter should be able to receive the Wi-Fi signals, and thus share the Internet connection.

This assumes that you haven't enabled any Wi-Fi security for your network—which, of course, you should. As you'll learn in Chapter 20, Windows XP SP2 includes a new Wireless Network Setup Wizard that lets you add wireless security to your network, enabling wireless access only for those computers that share the same protected access code. The thing to do is run the Wireless Network Setup Wizard on every computer connected wirelessly to your network; this way, only your computers can connect to your wireless network, so you won't be sharing your connection with everyone within receiving range.

To connect a Wi-Fi-enabled computer to any Wi-Fi network (including public Wi-Fi hotspots), follow these instructions:

1.
Click the Start button and select Connect To, Wireless Network Connection.

2.
The Wireless Network Connection window now appears, as shown in Figure 7.3, and displays all wireless networks in receiving range.

Figure 7.3. Connecting to a wireless network or hotspot.

[View full size image]

3.
Select the network you want to connect to, then click the Connect button.

To change the order in which you connect to various wireless networks, click Change the Order of Preferred Networks in the Wireless Network Connection window. When the Wireless Network Connection Properties dialog box appears, as shown in Figure 7.4, click the Wireless Networks tab. You can then select a network from the Preferred Networks list and click the Move Up or Move Down button appropriately. (This is a big help if you connect to a lot of public hotspots—especially in locations where more than one hotspot is within range.)

Figure 7.4. Configuring the order of wireless network connections.

    Previous Section < Day Day Up > Next Section


The Bottom Line

Configuring Windows XP for any type of Internet connection is much, much easier than it used to be. Gone forever are the days where you have to manually install and configure the TCP/IP protocol stack—and, boy, am I glad! Hooking up to the Internet shouldn't be a major production. In my opinion, Windows XP does it right. Just remember these key points:

  • If you already have an account with an ISP, you can use the New Connection Wizard to create a new connection with your existing settings; make sure you have all the necessary information from your ISP before you get started.

  • If you want a faster Internet connection, dump your dial-up and go with a broadband connection, via DSL or a cable modem.

  • If you have a high-speed Internet connection, you can share it with all the computers in your home via Internet Connection Sharing, which you set up via Windows XP's Network Setup Wizard.

  • Sharing a wireless connection is even easier, as Windows XP automatically seeks out all available Wi-Fi networks within range.


Chapter eight. Surfing the Web with Internet Explorer

IN THIS CHAPTER

Introducing Internet Explorer 6 190

Personalizing the Browser Interface 192

Configuring the Browser 194

Surfing Safely 199

Blocking Pop-Ups 204

Speeding Up Your Browser 204

Working with Web Sites 206

Changing Browsers 210

The Bottom Line 212

Most computer users spend more time surfing the Internet than they do working with traditional computer applications. This is why Microsoft includes the Internet Explorer Web browser as part of its operating system. And Windows XP features the latest and greatest version of Internet Explorer—Internet Explorer 6 (IE6).

IE6 is a sleek and versatile program, updated to reflect XP's Luna interface, and crammed full of new and useful features. If you're like most users, IE6 will be the browser you use to surf the Web. It's not the only browser available (see later in this chapter for some other options), but it's the most popular one.

Of course, that begs the question—is Internet Explorer popular because it's the best browser, or because it's included with every copy of Windows? In the case of IE6, the answer is probably "both." Yes, it's easy to default to IE6 because it's right there. But IE6 is also a darned good browser, one that's earned its number-one position.

I think you'll like the latest changes in IE6. The apparent changes are relatively minor (which is a good thing), so the basic browser operation is similar to what it was with previous versions. The new and changed features actually make the browser easier to use, which is a good thing.

Read on to learn more about the latest version of this popular Web browser.


Introducing Internet Explorer 6

Before we get into all the fancy features of IE6, let's take a few pages for a brief refresher course on Internet Explorer basics.

The Internet Explorer Interface

Internet Explorer 6 (shown in Figure 8.1) looks like most previous versions of the program, but with a slicker look and feel and some new icons and graphics. By default, the toolbar buttons are displayed with minimal text, so the new look might take a little getting used to. (I'll show you how to change the button display later in this chapter.) Figure 8.2 details the various parts of the IE6 interface.

Figure 8.1. Internet Explorer 6, with the new-look buttons and menus.

[View full size image]

Figure 8.2. The parts of the Internet Explorer 6 interface.

[View full size image]

As you will see, other than the look of the buttons, there's not much new here.

Basic Web Surfing

TIP

To change Internet Explorer's home page, select Tools, Internet Options, select the General tab, and enter a new URL into the Address box in the Home Page section. Even easier, you can simply drag a page's icon from the Address box onto the Home button on the toolbar.

If you're at all familiar with the Internet, you already know how to use IE6 to surf the Web. If you need a quick refresher course, follow these steps:

1. | When you first launch Internet Explorer, it loads your predefined home page.
2. | Enter a new Web address in the Address box and press Enter (or click the Go button). Internet Explorer loads the new page.
3. | Click any link on the current Web page. Internet Explorer loads the new page.
4. | To return to the previous page, click the Back button. If you've backed up several pages and want to return to the page you were on last, click the Forward button.
5. | To return to your start page, click the Home button.

Printing

To print the currently displayed Web page (as-is), click the Print button. To see a preview of the page before it prints, select File, Print Preview.

TIP

If you want to display a completely clean Web page, with the minimal amount of browser interface, use IE6's full-screen mode. Just press F11 (or select View, Full Screen), and your Web page will be displayed full screen, with only a minimal toolbar visible. Press F11 again to return to normal mode.

To print only a selected frame or selected text within a page, select File, Print to display the Print dialog box. Make the appropriate selections there, then click the OK button to initiate printing.


Personalizing the Browser Interface

There are several ways you can change the look of the IE6 interface. You can add or delete buttons from the toolbar, add your own personal links to the Links bar, or decide which of the many sidebar panels—what IE6 calls Explorer Bars—to display.

Move the Bars Around

The easiest change you can make to the interface concerns all the different "bars" displayed on screen. By default, you have a Toolbar, an Address bar, and a Taskbar. You can choose not to display any of these bars—or to display them in a different order.

Before you can fiddle with any of the toolbars, you first have to unlock them. (This is a new feature of IE6.) You unlock all the toolbars at once by selecting View, Toolbars, and then unchecking the Lock the Toolbars option. When this option is checked, you can't move or edit any of IE6's onscreen elements.

Moving a toolbar is as easy as grabbing the little dotted line at the far left of the toolbar, and then dragging the bar to a new position. You can stack the toolbars on top of each other, or move them so that they share a single row. You also can resize them within a row, also by dragging the left side of the toolbar.

To choose which toolbars are displayed, select View, Toolbars and then check or uncheck the Standard Buttons, Address Bar, or Links options. (Standard Buttons is how IE6 refers to the main toolbar.)

Customizing the Toolbar

Don't like the standard Internet Explorer toolbar buttons? Then change them!

The first thing you can change is how the buttons are displayed. With IE6, you have the option of displaying large icons (shown in Figure 8.3), small icons (see Figure 8.4), text labels, or selected text on right (see Figure 8.5). You access these options by selecting View, Toolbars, Customize, and then making the appropriate changes in the Customize Toolbar dialog box (shown in Figure 8.6).

Figure 8.3. Large icons with text labels.

[View full size image]

Figure 8.4. Small icons with text labels.

[View full size image]

Figure 8.5. Small icons with selected text on right.

Figure 8.6. The Customize Toolbar dialog box—where you make desired changes to the IE6 toolbar.

[View full size image]

You also can use the Customize Toolbar dialog box to add, remove, or rearrange toolbar buttons. To add a button, select the button from the left list and click the Add button. To remove a button, select it from the right list and click the Remove button. To rearrange buttons, select the button to move in the right list and click either the Move Up or Move Down buttons. Click the Close button when you're done messing with things.

Adding Links

The Links bar is your opportunity to put your favorite links right in front of your face. When you add a Web site to the Links bar, you can jump to that site with the click of a button.

To add a site to the Links bar, all you have to do is drag the site's icon from the Address bar onto the Links bar. You can rearrange buttons on the Links bar by dragging them from one position to another.


Configuring the Browser

You can change many options in Internet Explorer to make it better suit your personal needs. For example, you may want to change the color of links you have visited—or, if you're concerned about security, you may want to turn on warnings when entering an unsecured site.

To change Internet Explorer's default configuration:

1. | From within Internet Explorer, select Tools, Internet Options. (You also can open the Control Panel and click the Internet Options icon.)
2. | When the Internet Options dialog box appears, configure the appropriate options.
3. | After you have Internet Explorer configured as you like, click the OK button.

I'll explain some of these options in the following sections.

General Options

The General tab in the Internet Options dialog box (as shown in Figure 8.7) will be the tab you use most often. Here is where you can:

  • Set the default start page (what IE6 calls your Home page) for your browser

  • Delete all the cookie files from your computer

  • Delete all temporary Internet files, and select how much disk space is kept for these temporary files

  • Select how many days to store the history of Web sites you've visited—or clear your history completely

  • Change your browser's default background, text, and link colors

  • Change the default fonts displayed in your browser

  • Change the default language for your browser display

  • Configure selected accessibility options

Figure 8.7. Manage your home page, temporary files, and browser history from the Internet Options General tab.

Security Options

The Security tab (shown in Figure 8.8) is where you assign so-called "content zones" for your browser. You use content zones to ensure your system's security while you're browsing individual Web pages. (See the "Security Zones" section later in this chapter for more information.)

Figure 8.8. Configure your system's security zones from the Internet Options Security tab.

Privacy Options

The Privacy tab (shown in Figure 8.9) is where you set the privacy level for the sites you visit, as well as turn on the new Pop-up Blocker. (See the "Privacy Preferences" section later in this chapter for more information.)

Figure 8.9. Manage your browser's privacy protection from the Internet Options Privacy tab.

Content Options

The Content tab (shown in Figure 8.10) lets you manage the Web content that can be viewed with your browser. You can enable the Content Advisor to make certain types of Web sites inaccessible, which is a good way to protect younger users from inappropriate content. (See the "Content Advisor" section later in this chapter for more information.)

Figure 8.10. Configure IE6 to block inappropriate content from the Internet Options Content tab.

Connections Options

The Connections tab (shown in Figure 8.11) is where you manage all the Internet connections installed on your PC. You can change the settings for any existing connection, or click the Setup button to create new connections using the New Connection Wizard. You can also use this tab to have your system never dial a connection (if you're connected via a LAN or always-on broadband modem), dial whenever a networking connection isn't present, or always dial a specific connection.

Figure 8.11. Manage all your Internet connections from the Internet Options Connections tab.

Programs Options

The Programs tab (shown in Figure 8.12) designates which "helper" programs are used for which Internet-related functions. For example, you can use this tab to designate FrontPage as your HTML editor and Outlook Express as your e-mail client.

Figure 8.12. Designate default helper programs from the Internet Options Programs tab.

Advanced Options

The Advanced tab (shown in Figure 8.13) might be one you naturally shy away from—even though it contains some of the most useful configuration settings.

Figure 8.13. Configure all sorts of useful settings from the Internet Options Advanced tab.

Basically, this tab lists, using a tree structure, all manner of configuration settings. The options are too numerous to mention them all here, but include everything from automatically checking for browser updates to turning on or off IE6's Java console. If you can't find a particular option anyplace else, chances are it's somewhere on this tab!


Surfing Safely

Three of the tabs in the Internet Properties dialog box deal with safer surfing. In particular, IE6 includes features that help you increase your privacy and security, and shield your children from inappropriate Web-page content.

Content Advisor

Let's start with that last point, because kid-safe browsing is a major issue for anyone with children using the Web. Far too many Web sites include content that just isn't appropriate, especially for younger kids. If this is an area of concern to you, you need to look into IE6's content-filtering features.

IE6 includes the Content Advisor, which can be used to block access to sites that meet specified criteria. For example, you might configure Content Advisor to block all sites that include nudity, or that contain bad language. Content Advisor enables you to set your own tolerance levels for various types of potentially offensive content, and then blocks access to sites that don't pass muster.

Here's how to activate and configure the Content Advisor:

1.
From the Internet Options dialog box, select the Content tab.

2.
From within the Content Advisor section, click the Enable button. (If you're prompted for a password, enter it now.)

3.
When the Content Advisor dialog box appears, as shown in Figure 8.14, select the Ratings tab and select a category (Language, Nudity, Sex, or Violence).

Figure 8.14. Use the Content Advisor to filter out inappropriate language, nudity, sex, and violence.

4.
Adjust the ratings slider to the right to increase the tolerance for this type of content. (Leaving the slider all the way to the left is the least tolerant level.) Click OK when done.

5.
To create a list of Web sites that are either always viewable or never viewable, select the Approved Sites tab. Enter the URL in the Allow This Web Site box, and then click the Always button (to always view the site, regardless of its rating) or the Never button (to completely block access to the site).

6.
Click OK, and you'll be prompted to create a supervisor password. After you enter a password and click OK, the Content Advisor will be activated.

7.
To disable Content Advisor, return to the Content tab in Internet Options dialog box and click the Disable button. (You'll again be prompted for your Supervisor Password; enter your Windows password and click OK.)

You should know that although Content Advisor is a great way to protect your kids, you might find it annoying when you surf the Web. That's because Content Advisor (especially when set to the least tolerant levels) is likely to block access to a lot of sites you're used to visiting on a normal basis. News sites, in particular, include stories about sex, violence, and hatred that can activate the Content Advisor filter.

NOTE

IE6's Content Advisor settings are specific to the user currently logged in. If you switch users (via Windows XP's Fast User Switching, discussed in Chapter 18, "Working with Multiple Users") the Content Advisor settings change to reflect that user's preferences. This means you'll need to set separate Content Advisor settings for each of your kids, if they log on as different users.

If you find that Content Advisor is blocking too many sites, try turning down the tolerance level. You can also add your favorite sites to the list on the Approved Sites tab.

Security Zones

Internet Explorer incorporates a technology called ActiveX. ActiveX, developed by Microsoft, enables Web designers to add a variety of active and multimedia content to their pages. Unfortunately, ActiveX also provides a potential "hole" into your computer system.

ActiveX controls can be automatically downloaded from a Web page to your PC, in the background and without your knowledge. Most of the time ActiveX controls are good things, adding functionality to your Web pages. On occasion, however, ActiveX controls can be configured to use your system's resources and even write to your hard disk. The result is that crafty developers can use ActiveX to breach your system, upload personal information, and download viruses and other harmful programs.

Microsoft's workaround for these ActiveX security issues is to enable you to set different security zones for different Web sites. Each security zone is assigned either a Low, Medium, or High security level.

Low security provides no warning if you're about to run potentially damaging ActiveX content. Medium security prompts you before running questionable items. High security simply won't let you run anything potentially dangerous.

These security levels are applied to different Web page by assigning each page to a specific security zone. IE6 lets you assign four different zones:

  • Internet Zone. This is IE6's default zone. Any site not previously visited falls into this zone. The default security level is Medium.

  • Local Intranet Zone. This zone is dedicated to pages on your company's local intranet. You can't manually add sites to this zone. The default security level is Medium.

  • Trusted Sites Zone. This zone contains sites that you know are completely safe. The default security level is Low.

  • Restricted Sites Zone. This zone contains sites you don't trust. The default security level is High.

TIP

If you select Local Intranet Zone, you'll see a dialog box pertaining to various intranet/proxy server/ firewall options. Click the Advanced button to add the current page to this zone.

By default, all Web sites are assigned to the Internet Zone. To assign a Web site to either the Trusted Sites or Restricted Sites zone, follow these steps:

1. | From the Internet Options dialog box, select the Security tab.
2. | Select either the Trusted Sites or Restricted Sites icon and then click the Sites button.
3. | When the zone dialog box appears, enter the URL for the new site in the Add This Web Site To the Zone box, then click the Add button.
4. | Click OK when done, then click OK again to close the Internet Options dialog box.

The security zone for the current Web page is always shown on the right side of the Internet Explorer status bar.

Privacy Preferences

Internet privacy relates to what personal information of yours is shared by a particular Web site. This personal information can be stored in a cookie, or on a Web site's database.

NOTE

A cookie is a small file, stored on your computer's hard disk, that contains information about your visits to a particular Web site. An e-tailing site, for example, might store your user name and password in a cookie. The next time you visit that site, your cookie information is read and processed.

If you're concerned about how your personal information is used, go to the Privacy tab of the Internet Options dialog box. Here you can set your allowable Privacy Preferences. There are three settings from which to choose:

  • Low. At this setting, your browser allows cookies from all sites, and doesn't check for any other privacy policies or reporting. In other words, every site is accessible, no matter what.

  • Medium. This is the default privacy setting for IE6. At this setting, your browser allows cookies from all sites, but does not allow any unsatisfactory third parties to save cookies on your system. The browser also checks for a site's privacy policy, and compares that policy to your preferences.

  • High. This setting offers the highest level of protection, but also blocks access to a large number of sites. At this setting, your browser prohibits any cookies from being saved to your system. (Because many sites depend on cookies to function properly, you may not be able to enter these sites at this setting.)

As much as some users rail against the use of cookies, not accepting cookies will severely limit your use of the Web. It's kind of like the issue some people have with credit cards. Yes, obtaining a credit card creates a credit file that follows you everywhere, for the rest of your life. But trying to exist without a credit card is simply impractical. Most people trade off some degree of privacy for the convenience of using a credit card.

It's the same thing with cookies. You make the trade off between complete privacy and the convenience of accessing and using a broad variety of Web sites.

In other words, cookies aren't as bad as some people make them out to be—and really aren't worth worrying about.


Blocking Pop-Ups

With SP2 installed on your machine, there's a new feature in Internet Explorer that you're really going to like—especially if, like me, you're easily annoyed by the proliferation of pop-up advertising on the Web. This new feature is the Pop-up Blocker; when activated, it does a darned good job of blocking most of those annoying pop-up windows.

You activate the Pop-up Blocker by opening the Internet Options dialog box, selecting the Privacy tab, and checking the Block Pop-ups option. When activated, every time IE encounters and successfully blocks a pop-up window, IE will display a bar at the top of the offending Web page telling you that it's just blocked a pop-up, like the one in Figure 8.15.

Figure 8.15. Blocking a pop-up window with IE's new Pop-up Blocker.

[View full size image]

If you want to allow the pop-up, just click the bar and select either Temporarily Allow Pop-ups or Always Allow Pop-ups from This Site from the pop-up menu. (This lets you work with those sites—few and far between—that actually have beneficial pop-up windows.)


Speeding Up Your Browser

While we're on the topic of configuring IE6, there are a handful of settings you can adjust to speed up your Web browsing. If you connect through a particularly slow connection, you should consider reconfiguring these settings.

Set a Larger Cache

IE6 uses a section of your hard disk to hold previously viewed Web pages and graphics. This disk space is called a cache, and the bigger it is, the faster your browser will be in reloading older pages. The most significant speed enhancement you can make comes from resizing this cache. The bigger the cache, the faster your browser is when visiting pages you've already been to.

TIP

If you have a large (40GB+) hard disk with lots of free space, consider assigning between 500MB and 1GB to the cache.

Of course, if you select too large a cache, you'll eat up valuable hard disk space. So you have to choose some sort of compromise between size and performance. If you're continually waiting for your favorite pages to load, your cache may be too small. Choose a larger setting and see how that affects performance.

TIP

If your hard disk is getting too full (or if your browser keeps loading old versions of certain pages), you should clear your browser cache. You do this by clicking the Delete Files button on the General tab of the Internet Options dialog box.

To change the IE6's cache size, follow these steps:

1.
From the Internet Options dialog box, select the General tab.

2.
In the Temporary Internet Files section, click the Settings button.

3.
When the Settings dialog box appears (as shown in Figure 8.16), go to the Temporary Internet Files section and adjust the slider to the desired size, in MB.

Figure 8.16. Use the Settings dialog box to adjust IE6's disk cache.

4.
Click OK to accept this new cache size.

Don't Check for Updates

Of course, a cache is no good if your browser downloads every single element every time you visit a page. Forcing your browser to use the cache helps faster performance. This way IE6 only checks for new content periodically.

CAUTION

If you turn off page verification entirely, you run the risk of not always loading the latest Web page content.

To configure this Web page verification, follow these steps:

1. | From the Internet Options dialog box, select the General tab, and then click the Settings button.
2. | When the Settings dialog box appears, go to the Check For Newer Versions of Stored Pages section, and make your desired selection. You can choose from Every Visit to the Page, Every Time You Start Internet Explorer (this is the default setting), Automatically, or Never.
3. | Click OK to activate your new settings.

Turn Off the Graphics

Another, more drastic, thing you can do to speed up your browser is to not load graphics. Although this approach definitely reduces the appeal of most Web pages, it can help you cope with an extremely slow Internet connection.

Here's how you prevent IE6 from loading Web-page graphics:

1. | From within the Internet Options dialog box, select the Advanced tab.
2. | Scroll down to the Multimedia section, and uncheck the Show Pictures option.
3. | Click OK.


Working with Web Sites

After you have IE6 configured to your liking, it's time to start browsing the Web. There are some specific features of IE6 that help you keep track of the sites you visit—or to find those sites in the first place—and I'll talk about those features next.

Managing Your Favorite Sites

When you find a Web page you like, you can add it to IE6's Favorites list. With this feature, you can access any of your favorite sites just by choosing them from the list.

TIP

If you add a lot of pages to your Favorites list, it can become unwieldy. To reorganize the Favorites list, use your mouse to drag a favorite page into a new folder or position. To delete a favorite, just highlight it and press Delete.

To add a page to your Favorites list:

  1. Go to the page you want to add.

  2. Select Favorites, Add to Favorites to display the Add Favorite dialog box.

  3. Confirm the page's name, and then click the Create In button to extend the dialog box.

  4. Select the folder where you want to place this link, and then click OK.

To view a page in your Favorites list:

  1. Click the Favorites button. The browser window automatically splits into two panes. Your favorites are displayed in the left pane, as shown in Figure 8.17.

    Figure 8.17. Click the Favorites button to display the Favorites pane; click on any link to display that page in the right pane.

  2. Click any folder in the Favorites pane to display the contents of that folder.

  3. Click a favorite page and that page will be displayed in the right pane.

  4. Click the Favorites button again to hide the Favorites pane.

Revisiting History

Internet Explorer has two ways of keeping track of Web pages you've visited, so that you can easily revisit them without having to reenter the URL.

To revisit one of the last half-dozen or so pages you've visited, click the down-arrow on the Back button. This drops down a menu containing the last nine pages you've visited. Highlight any page on this menu to jump directly to that page.

TIP

To sort the sites in the History pane by site, by most visited, or by most visited today, pull down the View menu within the pane and make a new selection. To increase or decrease the number of days' history displayed, select Tools, Internet Options and then go to the History section of the General tab and enter a new value for Days to Keep Pages in History. (The default value is 20, which may be too much history for you!)

To revisit pages you've viewed in the past several days, you use IE6's History pane. Just follow these steps:

1.
Click the History button. The browser window automatically splits into two panes, with your history for the past several days displayed in the left pane (see Figure 8.18).

Figure 8.18. Click the History button to revisit pages you've recently viewed, organized by day and by site.

2.
Your history is organized into folders for each of the past several days. Click any folder in the History pane to display the sites you visited that day.

3.
Each site you visited on a particular day has its own subfolder. Click a subfolder to display the pages you visited within that particular site.

4.
Click a specific page to display that page in the right pane.

5.
Click the History button again to hide the History pane.

TIP

To select which search service is used when you search from the Address bar, click the Search button to open the Search Companion, and then click the Customize button to display the Customize Search Settings window. Now click the Autosearch button, and select which search service you want to use.

Searching for Sites

Internet Explorer has two features that make Web searching easier. In both cases, you can initiate your searches from within the browser, without having to go directly to Yahoo! or Google or any other search site.

AUTOSEARCHING FROM THE ADDRESS BAR

The first feature to take note of is called Autosearch, which enables you to enter a search query directly into the Address bar. Just enter a question mark followed by one or more search words (like this: ? red balloon), then press Enter. IE6 now initiates a search and displays the results in the browser window.

SEARCHING FROM THE SEARCH COMPANION PANE

The second IE6 search feature is the Search Companion. When you click the Search button, IE6 displays the Search Companion pane, shown in Figure 8.19. Enter your query in the text box, then click the Search button to begin the search.

Figure 8.19. Click the Search button to initiate in-browser Web searching.

The Search Companion now returns results from your favorite search engine—along with some other suggested activities, all listed in the Search Companion pane. Probably the most useful activity, if the first set of results isn't to your liking, is to automatically send your results to other search engines. Click this option and the Search Companion displays a list of other search engines, and displays results from the first engine on the list. Click any other search engine to use it for a further search.

TIP

To customize the search services used by the Search Companion, click the Change Preferences option in the Search Companion pane, then select Change Internet Search Behavior. When the Internet Search Behavior pane appears, you can select which search service you want to use by default, or you can choose to turn off the Search Companion and go back to the old-style Classic Internet search.


Changing Browsers

That pretty much does it for the new and cool features of Internet Explorer 6. You should know, however, that Internet Explorer is not the only Web browser available. Even though IE6 comes included with Windows XP, you can choose not to use it, and use another Web browser, instead.

With Service Pack 1 or 2 installed, you have the option of unassigning Internet Explorer as your default browser. To disable access to Internet Explorer, follow these steps:

1. | Click the Start button, and then select Control Panel.
2. | Double-click the Add or Remove Programs icon.
3. | When the Add or Remove Programs dialog box appears, click Set Program Access and Defaults, on the left side of the window.
4. | Click the down arrow next to the Custom option.
5. | Scroll to the Choose a Default Web Browser section and uncheck the Enable Access to This Program option.
6. | Click OK.

Internet Explorer is now disabled as your default browser, and you can choose another Web browser to use. There are essentially two competing browsers to choose from—Firebox and Opera.

Firefox

The most popular competitor to Internet Explorer is Firefox, a browser built on the old Netscape/Mozilla platform. Firefox incorporates some pretty neat features, such as tabbed browsing, pop-up blocking, and a built-in Google search button that make it quite attractive to those wanting a state-of-the-art Web browser. It's also a bit more secure than IE, which makes surfing that much safer. And, in case it matters, Firefox is also highly customizable—and very compatible with Internet Explorer. (For example, it's quite easy to import IE Favorites into the Firefox browser.)

Like IE, Firefox is a free download. Get it at www.mozilla.org/products/firefox/.

Opera

Although Internet Explorer and Firefox are far and away the two most-used Web browsers, there is a third browser that has gained a lot of attention among the techie crowd. Opera, developed by Opera Software, is known for its speed and small file size, and is available for all versions of Windows, Linux, BeOS, OS/2, and the Macintosh.

Unlike Internet Explorer and Firefox, Opera is not free—you'll pay $39 for the latest version of the browser. Go to www.opera.com for more information and to download the software.


The Bottom Line

If you're like most users, you browse the Web for at least an hour every day, which means that you'll get a lot of use out of the new Internet Explorer 6 included with Windows XP. Just be sure you remember these key points:

  • Windows XP includes a new version of Internet Explorer, version 6, which features the new Luna interface and some improved functionality.

  • Before you can customize IE6's toolbars, you first have to unlock them. (Select View, Toolbars, then uncheck Lock the Toolbars.)

  • Most of IE6's configuration options are found in the Internet Options dialog box (select Tools, Internet Options—or click the Internet Options icon in the Windows Control Panel); the most-used settings are found on the General tab.

  • You can save your favorite Web sites to the Favorites list. Click the Favorites button to select a site from your Favorites list.

  • You can search directly from the browser by entering a query (preceded by a ?) into the Address bar; to query multiple search engines, click the Search button to display the Search Companion.

  • To disable Internet Explorer as your default browser, open the Add or Remove Programs applet, select Set Program Access and Defaults, then uncheck the Enable Access to This Program option under the Choose a Default Web Browser section.


Chapter nine. Sending and Receiving E-mail with Outlook Express

IN THIS CHAPTER

Introducing Outlook Express 6 214

Configuring Outlook Express 215

Protecting Against E-mail Viruses 219

Sending and Receiving E-mail 221

Sending Fancy Messages 224

Connecting to Web Mail 227

Working with Folders and Message Rules 228

Using the Address Book 230

Using Outlook Express with Newsgroups 232

The Bottom Line 237

As popular as the Web is, the true "killer app" for the Internet is e-mail. More people use the Internet to communicate than they do for any other purpose. And for most users, communication means e-mail.

When it comes to communicating, Windows XP includes a good all-purpose program in the form of Outlook Express. Outlook Express is used both for e-mail and for accessing Usenet newsgroups. It's similar to the version of Microsoft Outlook included with Microsoft Office, except without all the contact management and scheduling functions. That makes it an easier program to learn, and an easier program to use.

The latest version of Outlook Express, version 6, isn't a lot different from the previous version 5. The big differences are the adoption of XP's Luna interface and slightly more effective protection against e-mail viruses.


Introducing Outlook Express 6

The basic Outlook Express window is divided into four panes, as shown in Figure 9.1. The pane on the top left is called the Folder list, and it's where you access your Inbox and other message folders. The pane on the bottom left is your Contacts list, and it contains all the names in your Address Book. The top-right pane is the Message pane, and it lists all the messages stored in the selected folder. The bottom right pane is the Preview pane, and it displays the contents of the selected message.

Figure 9.1. The main Outlook Express window, divided into four panes.

[View full size image]

You access incoming e-mail messages by clicking the Inbox icon in the Folder List. Message headers for your Inbox are displayed in the Message pane. Select a message header and the contents of that message are displayed in the Preview pane.


Configuring Outlook Express

Before you can use Outlook Express, you have to configure it for your current e-mail and newsgroup accounts. You can also reconfigure the interface to look a little more sophisticated, like the interface for the Microsoft Outlook program.

Setting Up E-mail Accounts

Outlook Express has to be set up for each and every e-mail account you might have. If you used the Internet Connection Wizard to create a new Internet connection, Outlook Express was automatically configured at that time. If you didn't use the Internet Connection Wizard, you'll need to configure Outlook Express manually. You'll also have to manually configure Outlook Express if you add a new e-mail account to your portfolio.

To add a new e-mail account to Outlook Express, you'll need to have the following information handy:

  • Your e-mail address (in the form of xxx@xxx.xxx) for the new account

  • The names of the new account's incoming and outgoing e-mail servers (may be the same)

  • The new e-mail POP account name and password

After you have the proper information in hand, follow these steps to set up a new account:

1. | From within Outlook Express, select Tools, Accounts.
2. | When the Internet Accounts dialog box appears, select the Mail tab, and then click the Add button and select Mail.
3. | Outlook Express now launches a subset of the Internet Connection Wizard. Follow the onscreen instructions to complete your new account's configuration.

If you have more than one e-mail account, or accounts with multiple ISPs, repeat these steps to add your additional accounts.

Setting Up Usenet Accounts

While you're setting up Outlook Express, you also need to configure it to access Usenet newsgroups from your ISP's newsgroup server. As with the e-mail setup, if you used the Internet Connection Wizard to create your Internet connection, Outlook Express was automatically configured at that time. If you didn't, you'll need to configure Outlook Express manually for your newsgroup server.

NOTE

The first time you use Outlook Express, a wizard launches automatically to walk you through the new account setup.

Follow these steps:

1. | From within Outlook Express, select Tools, Accounts to display the Internet Accounts dialog box.
2. | Select the News tab, click the Add button, and then select News.
3. | Outlook Express now launches a subset of the Internet Connection Wizard. Follow the onscreen instructions to complete your account configuration.

TIP

Outlook Express lets you access multiple news servers. For example, you may want to access the newsgroup server at your ISP for standard newsgroups, but access Microsoft's news server (msnews.microsoft.com) for discussions specific to Microsoft software. This is a good strategy when you find newsgroups that aren't available on a specific server.

Personalizing the Interface

The Outlook Express window can be configured for a number of different views. For example, you may want to change the traditional "tree" view of the Folders list into an icon-driven sidebar more like the one used in Microsoft Outlook.

Figure 9.1 showed the Outlook Express window in standard configuration. Figure 9.2 shows a different configuration, with the Outlook bar to the left, folder bar to the top, and preview pane underneath the message pane.

Figure 9.2. An alternate configuration for Outlook Express, mimicking Microsoft Outlook's look and feel.

[View full size image]

To configure the Outlook Express window:

1.
Select View, Layout to display the Window Layout Properties dialog box, shown in Figure 9.3.

Figure 9.3. Use the Windows Layout Properties dialog box to customize the program's look and feel.

2.
To display or hide various other parts of the interface, check or uncheck the options in the Basic section of the dialog box.

3.
To display a preview pane, check the Show Preview Pane option. You also can choose to display the preview pane below or beside your messages, and to display a header for the preview pane.

4.
To add, delete, or rearrange the buttons on the toolbar, click the Customize Toolbar button. When the Customize Toolbar dialog box opens, make your selections. (You also can configure how the buttons are displayed—with large or small icons, no labels, normal labels, or selected text to the right.)

5.
Click OK when done.

You also can select which columns are displayed in the Message pane. Select View, Columns to display the Columns dialog box. Check those columns you want to show, and uncheck those you want to hide. Use the Move Up and Move Down buttons to rearrange the columns to your liking, then click OK.


Protecting Against E-mail Viruses

One of the big problems with the Internet is that all the near-instant communication makes it easy for computer viruses to spread quite rapidly. Every way you can communicate online is also a way for viruses to spread.

NOTE

Learn more about protecting your system from computer viruses in Chapter 11, "Managing Online Security."

E-mail is not exempt from this. One of the more popular ways of spreading viruses is through attachments to e-mail messages. I'll discuss attachments in more detail later in this chapter, but for this discussion all you need to know is that an attachment is a file, of any type, that hitches a ride on an e-mail message. Because a virus is just a computer file, it's quite easy for viruses to tag along on e-mail messages. It's just too easy to receive an e-mail message with a file attached, click the file to open it, and then launch the virus file. Boom! You're infected.

TIP

Worried that a file—even a Word .DOC file—might contain a virus? Then open the file in Notepad or WordPad. Both these programs open any program as plain text, so you can read what's there— without activating any potential virus code.

Viruses can be found in many different types of files. The most common file types for viruses are .EXE, .VBS, .BAT, .COM, and .PIF. Viruses can also be embedded in Word or Excel files, using VisualBasic macro code. You can't catch a virus from a picture file, so viewing .JPG, .GIF, .TIF, and .BMP files is completely safe.

If you think about it, it should be fairly easy to avoid catching a virus. Just don't open any .EXE, .VBS, .BAT, .COM, or .PIF files you receive via e-mail—especially if they come from people you don't know.

The problem is that people are curious. When you see an e-mail with the subject line "Nude pictures of your neighbor's wife" or "I love you," you might be tempted to take a look. That temptation is what gets you.

It gets worse when the virus developers try to "hide" the file's extension. What would you think if you saw a filename that looked like this: nude pictures.jpg.vbs? You might think it's a .JPG file—especially if the file name was so long that the ".VBS" part was hidden off to the side. And, because .JPG files are safe, you might open it, even though it's not really a .JPG. (It's a .VBS—VisualBasic Script—file with a ".JPG" in the middle of the filename.)

You can see how tricky the virus developers are. They've even developed viruses that implant themselves in your machine and then use Outlook Express to e-mail copies of themselves to all the contacts in your Address Book. Then your friends see an e-mail from you, with some sort of file attached, and naively open the file. (If it's from you, it must be safe—right?) Boom! Another system infected. And another. And another.

The only way to completely protect yourself against e-mail viruses is to never open any e-mail attachments. That's probably too drastic for most users, so Outlook Express 6 has added some virus-protection features that you should find useful.

You access Outlook Express' virus-protection by selecting Tools, Options to display the Options dialog box, then selecting the Security tab. As you can see in Figure 9.4, the top half of this tab is devoted to virus protection.

Figure 9.4. Configure Outlook Express to protect you from e-mail viruses.

The key features here are the two checkboxes. The first one, Warn Me When Other Applications Try to Send Mail As Me, protects you from viruses hijacking Outlook Express to e-mail themselves to your contacts. The second option, Do Not Allow Attachments To Be Saved or Opened That Could Potentially Be a Virus, blocks the receipt of any .EXE, .VBS, or .PIF file.

For the best protection, you should check both these options. The only problem you might have with that is if you ever need to receive a legitimate application file (.EXE extension) from another user. With the second option enabled, you couldn't receive the program.

NOTE

The block images option is one that I normally don't select, as too many legitimate e-mail messages depend on graphics to deliver their message. Blocking all graphics renders these harmless messages virtually unreadable; I prefer not to throw out the baby with the bathwater.

The solution, of course, is to leave the option checked until you know you're going to receive an .EXE file. Then you can uncheck the option, receive the file, and then go back and turn the option back on.

There's one more option on the Security tab that warrants your attention. When you check the Block Images and Other External Content in HTML E-Mail option, Outlook Express will not display any graphics included as part of an e-mail message. This serves three purposes. First, blocking image downloads will speed up the reading of your messages; you don't have to wait for external images to download to read the message. Second, some viruses and spyware attach themselves to e-mail images, so you can increase your protection by simply not displaying these images. Third, graphic e-mail is often a sign of spam; while blocking the images won't eliminate the spam, it will reduce the bandwidth associated with the problem.


Sending and Receiving E-mail

In case you're new to e-mail, it's time to present a quick Outlook Express e-mail how-to. Read on to learn how to use Outlook Express' most common operations.

Reading an E-mail Message

If you've received new e-mail messages, they will be stored in Outlook Express' Inbox. To read a new message:

1. | Click the Inbox icon in the Folder list. All waiting messages will now appear in the Message pane.
2. | Click the message header of the message you want to read. This displays the contents of the message in the Preview pane.
3. | To display the message in a separate window, double-click the message in the Message pane.

Replying to an E-mail Message

TIP

Unless reconfigured otherwise, Outlook Express does not automatically send your new messages out over the Internet when you click the Send button. The Send button only "sends" the message to your Outbox. To send all waiting messages from your Outbox out over the Internet, click the Send and Receive button on the main Outlook Express toolbar.

Replying to an e-mail message is as easy as clicking a button. Just follow these steps:

1.
Select the message in the Message pane, then click the Reply button on the toolbar. (Alternatively, you can click the Reply to All button to reply to all recipients of the message—or you can click on the Forward button to send the message to a completely different recipient.)

2.
A Re: window appears, as shown in Figure 9.5. The original message sender is now listed in the To: box, with the original message's subject referenced in the Subject: box. The original message is "quoted" at the bottom of the text area of the window.

Figure 9.5. Replying to a message is similar to creating a new one—but with the original message's text automatically quoted.

[View full size image]

3.
Type your reply in the text area above the quoted text.

4.
Click the Send button to send this reply to your Outbox.

Creating a New E-mail Message

NOTE

Separate multiple addresses in the To: or Cc: fields with a semicolon (;) but no spaces, like this: fflintstone@bedrock.com;gjetson@sprockets.com.

Creating a new e-mail message is similar to replying to a received message. Follow these steps:

1.
Click the New Mail button.

2.
When the New Message dialog box appears, enter the e-mail address of the recipient(s) in the To: field and the address of anyone you want to receive a carbon copy into the Cc: box.

3.
You also can select names from your Address Book by clicking the Address Book icon next to the To: or Cc: fields. When the Select Recipients dialog box appears (as shown in Figure 9.6), select the name(s) of whomever you want to send the message to and click the To: button. Select the name(s) of whomever you want to send a carbon copy of the message to and click the Cc: button. Click OK when done.

Figure 9.6. Use the Address Book to automatically add recipients to your new message.

TIP

If you type a standard Web URL into an HTML e-mail message, Outlook Express will automatically create a hyperlink for you—you don't have to do it manually

4.
Enter the subject of the message in the Subject: field.

5.
Move your cursor to the main message area and type your message.

6.
You can choose to send your message in either plain text or HTML format. (HTML messages are discussed in the next section.) If you choose to send it in HTML format, you can use the formatting buttons on the toolbar to add boldface, italic, underlined, or aligned text. To select HTML formatting, select Format, Rich Text (HTML).

7.
If you're sending the message in HTML format, you can add background colors and graphics. If you simply want to use a background color, select Format, Background, Color, and then pick a color from the color list. If you want to use a background picture, select Format, Background, Picture, and then enter the name of the graphics file you want to use. You also can add a background sound to your message by selecting Format, Background, Sound.

CAUTION

Some older or corporate-oriented e-mail programs will not be able to display fancy HTML formatting—and might reject HTML e-mail outright. So if you're sending message to a user and you don't know whether they can receive HTML e-mail, you'll want to send that message as a text-only (not HTML!) message.

8.
When your message is complete, send it to the Outbox by clicking the Send button.


Sending Fancy Messages

You're probably used to e-mail messages containing nothing but boring, plain text. It doesn't have to be that way. Outlook Express lets you send e-mail with fancy HTML formatting, personalized signatures, and attached files.

Creating HTML Mail

Most e-mail messages are just plain text—because that's all you're sending, in most cases. But Outlook Express can also send and receive fully formatted text, with backgrounds and colors and embedded HTML hyperlinks.

You turn on HTML formatting for a specific message by selecting Format, Rich Text (HTML) from the message window. You turn off HTML formatting by selecting Format, Plain Text.

You can configure Outlook Express so that all your messages are sent in HTML, by default. Just select Tools, Options to display the Options dialog box, then select the Send tab and choose the HTML option in the Mail Sending Format section. If you'd rather send all your messages in text-only format, choose the Plain Text option instead.

Using Stationery

Outlook Express lets you create custom backgrounds and text for your messages. When your create this stationery, it is used as the default background for all your new HTML- formatted messages.

To create a default stationery for your new messages:

1. | Select Tools, Options to display the Options dialog box.
2. | Select the Compose tab.
3. | Check the Mail option in the Stationery section, then click the Select button.
4. | When the Select Stationery dialog box appears, choose a format and click OK.

Adding a Signature

An important part of any e-mail message is your "signature," a two- or three-line message that is added to the bottom of all your messages. To create a signature in Outlook Express, follow these steps:

1. | Select Tools, Options to display the Options dialog box.
2. | Select the Signatures tab.
3. | Click the New button and add the text for your signature in the Edit Signature box.
4. | Check the Add Signatures to All Outgoing Messages option. (If you don't want to add your signature to replies and forwards, check the Don't Add Signatures to Replies and Forwards option.)
5. | Click OK.

Signatures are not HTML-dependent. They can be added to any e-mail message, plain text or HTML.

Working with Attachments

Some e-mail messages have additional files "attached" to the mail message. Attaching files to an e-mail message is a way to send files from user to user over the Internet.

What kind of files can you attach to e-mail messages? Here's a short list:

  • Graphics, such as pictures of your kids and family

  • Audio, such as MP3 song files or audio clips from your favorite television programs

  • Video clips, such as files captured from your videotaped home movies

  • Documents, such as word processing files from Microsoft Word or spreadsheets from Microsoft Excel

As you read earlier, you can also attach virus files to e-mail messages, but the less said about that the better.

If a message contains an attachment, you'll see a paperclip icon in the message header and a paperclip button in the preview pane header. When you receive a message with an attachment, you can open it or save it to your hard disk.

To view or open an attachment, click the paperclip button in the Preview pane header, then click the attachment's filename. This will open the attachment in its associated application. (If you're asked whether you want to save or view the attachment, select view.)

To save an attachment to your hard disk, click the paperclip button in the preview pane header, then select Save Attachments. When the Save Attachments dialog box appears, select a location for the file and click the Save button.

If you want to attach a file to an outgoing e-mail message, start with a new message and then click the Attach button in the message's toolbar. When the Insert Attachment dialog box appears, locate the file you want to send and then click Attach. The attached file is now listed in a new Attach: field below the Subject: field. When you click the Send button, the e-mail message and its attached file are sent together to the Outbox.


Connecting to Web Mail

If you're like me, you have a standard POP e-mail account with your ISP, and an auxiliary e-mail account with a Web-based e-mail provider, such as Hotmail or Yahoo! Mail. The advantage of a Web mail account is that you can check that account from any computer, using any Web browser. It's also a great way to establish a second identity on the Internet, for those times you want to be someone other than yourself.

CAUTION

In almost all cases the URL of your service's e-mail server is not the URL you use to access the service. You'll need to obtain the server address from your Web mail service before you configure Outlook Express—and be sure to enter the full address, including the http://.

Outlook Express lets you add your Web-based e-mail accounts to its basic configuration. This way you can use Outlook Express to send and receive e-mail to and from Hotmail and other Web mail services.

Here's how you set it up:

1. | From within Outlook Express, select Tools, Accounts to display the Internet Accounts dialog box.
2. | Select the Mail tab and click Add, Mail.
3. | When the Your Name screen of the Internet Connection Wizard appears, enter your Display Name and click Next.
4. | On the Internet E-Mail Address screen, select I Already Have an E-Mail Address That I'd Like to Use, enter that address, and click Next.
5. | On the E-Mail Server Names screen, pull down the My Incoming Mail Server list and select HTTP.
6. | If you're setting up Outlook Express for Hotmail, pull down the My HTTP Mail Server Provider list and select Hotmail. If you're setting up another service, select Other.
7. | Enter the URL of your service's e-mail server into the Incoming Mail Server box, then click Next.
8. | When the Internet Mail Logon screen appears, enter your account name and password into the appropriate blanks, select the Remember Password option, then click Next.
9. | When the Congratulations screen appears, click Finish.

When you return to Outlook Express, you'll find a new listing for your Web mail provider in the Folder List. You can now access this Web mail account just as you do your POP e-mail account


Working with Folders and Message Rules

Receiving e-mail is a simple task—until you start getting a lot of it. Every time I log on to my ISP I have to slog through dozens and dozens of e-mail messages. And most of them are nothing but junk!

Fortunately, e-mail has a way to organize and manage that avalanche of messages. All you have to do is separate the messages into folders, just like the ones in your physical file cabinets.

Managing Folders

Outlook Express lets you store messages in folders. The Inbox, for example, is a folder. You can create as many folders as you like, and use them to organize your messages however you want.

To create a new folder, go to the Folders list and select Local Folders. Select File, New, Folder to display the Create Folder dialog box, then enter a name for the new folder and click OK.

You can nest folders in subfolders by selecting a different folder and then going through the preceding procedure. You also can choose which folders you display on the Outlook bar (if you have the Outlook bar displayed) by right-clicking the folder and selecting Add To Outlook Bar.

Using Message Rules

Okay, now you have a bunch of folders. Maybe you've assigned them labels by letter of the alphabet, or by sender ("Messages From Uncle Bob"). In any case, the folders are there, and waiting to be used.

Outlook Express includes a set of message rules that let you determine what to do when you receive messages from certain senders. You could set up a rule, for example, that automatically sends any message from Uncle Bob to the "Messages From Uncle Bob" folder, completely bypassing your normal inbox. If you manage your message rules right, you'll really clear up a lot of that inbox clutter.

To create a new message rule, follow these steps:

1.
From within Outlook Express, select Tools, Message Rules, Mail to open the Message Rules dialog box.

2.
Select the Mail Rules tab, then click the New button to open the New Mail Rule dialog box, shown in Figure 9.7.

Figure 9.7. Create message rules to manage the messages you receive.

3.
Select a condition from the top list. For example, to manage mail from particular senders, you would select Where the From Line Contains People.

4.
Select an action from the second list. For example, to send messages to a particular folder, you would select Move It To the Specified Folder.

5.
The rule you've created now appears in the Rule Description box—but you're not done yet. You still have to specify the senders or folders that you want the rule to apply to. Click any blue underlined text to make specific selections.

6.
Enter a name for the rule in the Name of the Rule box, then click OK.

Blocking Spam

When it comes to unwanted e-mail, spam ranks just below viruses. In fact, you'll get a lot more spam than you'll ever get viruses. If you're like me, not a day goes by that you don't get a half-dozen junk e-mails in your inbox. It's a huge bother, at the least.

TIP

For more effective spam blocking, consider using a dedicated anti-spam program, such as Norton AntiSpam (www.symantec.com) or SpamKiller (www.mcafee.com).

Although it's impossible to completely eliminate spam, it is possible to configure Outlook Express to block messages from identified offenders. You also can use this feature to block messages from real people that you don't want to hear from anymore.

TIP

If you want to start receiving e-mail from someone you've previously blocked, return to the Blocked Senders tab, select the sender, and click the Remove button.

At your request, Outlook Express can add specific users (or entire Internet domains) to its Blocked Senders list, through a kind of built-in message rule. When e-mail is received from any address on this list, it's sent immediately to the Deleted Items folder. You never see it.

When you receive a message from someone that you want to block, all you have to do is highlight the message in the Message pane, then select Message, Block Sender. That sends the sender to the Block Senders list, and you won't have to worry about them again.

You also can manually add addresses to the Block Sender list. Select Tools, Message Rules, Blocked Senders list to display the Message Rules dialog box with the Blocked Senders tab displayed. Click the Add button to display the Add Sender dialog box, enter the user's address or an entire domain name (such as microsoft.com), then click OK. That sender or domain will now be blocked from your inbox.

TIP

If this person can't receive HTML mail, check the Send E-Mail Using Plain Text Only option.


Using the Address Book

The Windows Address Book is a handy way of keeping track of everyone's addresses. It also lets you assign simple names in place of complicated e-mail addresses. You can use the Address Book to store names and e-mail address information for those people you send e-mail to most often.

To add a new contact to the address book, follow these steps.

TIP

You quickly can add the name of anyone who sends you an e-mail to your Address Book by right-clicking his or her name and selecting Add Sender to Address book from the pop-up menu.

1.
From within Outlook Express, click the Addresses button on the toolbar. (You also can select Tools, Address Book.)

2.
When the Address Book window appears, as shown in Figure 9.8, click the New button and then select New Contact.

Figure 9.8. Use the Windows Address Book to manage all your e-mail recipients.

[View full size image]

3.
When the Properties dialog box appears, select the Name tab (shown in Figure 9.9). Enter the first and last name of the new contact, as well as the name you want to show in the Address Book's Display. Now enter the person's e-mail address (or addresses). Click the Add button to register each new e-mail address.

Figure 9.9. Add new contact names to your Address Book.

TIP

If you type the first few letters of a contact's name in the To: or Cc: fields of a new message, Outlook Express will automatically fill in the rest of the contact's name and e-mail address from the Address Book.

4.
If you want to enter other information about the contact (street address, phone number, business info, and so on), select the appropriate tabs and enter the information.

5.
Click the OK button when done.

The contents of your Address Book appear in the Outlook Express Contacts list. Your contacts also will be available when you compose new e-mail messages.


Using Outlook Express with Newsgroups

Besides being an e-mail program, Outlook Express also functions as a newsreader for Usenet newsgroups. Newsgroups are online discussion boards where you can read and post messages (called articles) about specific topics. There are more than 40,000 different newsgroups, each focused on a specific topic.

Earlier in this chapter I showed you how to configure Outlook Express for a specific newsgroup server. Most ISPs host their own newsgroup servers, and provide access for all their subscribers. When you want to access a specific newsgroup, you'll probably be connecting to your ISP's newsgroup server.

Selecting and Subscribing to Newsgroups

After you're connected to a newsgroup server, you can then access specific newsgroups. You can simply go to a newsgroup manually, or you can "subscribe" to selected groups. When you subscribe to a newsgroup, there is no formal registration process. All this means is that you've added this newsgroup to a list of your favorites. It's easier to jump to one of a small list of subscribed groups than it is to search for one group out of the 40,000 or so total groups offered by Usenet.

To find and access a newsgroup, follow these steps:

1.
From within Outlook Express, click the icon in the Folder for your particular newsgroup server.

2.
If you are not currently subscribed to any newsgroups, you'll be prompted to view a list of all newsgroups. Click Yes and proceed to Step 4.

3.
If you have already subscribed to one or more newsgroups, you'll now see a list of your subscribed newsgroups. Double-click on a newsgroup to view its contents, or click the Newsgroups button on the toolbar to view a list of all available newsgroups.

4.
When the Newsgroup Subscriptions dialog box appears (see Figure 9.10), click the All tab (at the bottom of the dialog box) and select a newsgroup from the main list. You can scroll through the list or search for a specific group by entering key words in the Display Newsgroups Which Contain box.

Figure 9.10. Searching for specific newsgroups with Outlook Express.

[View full size image]

5.
If you want to add this newsgroup to your subscribed list, click the Subscribe button, or double-click the newsgroup item.

6.
To choose a newsgroup from your subscribed list, click the Subscribed tab and select the newsgroup you want to read.

7.
To go directly to the selected newsgroup, click the Go To button.

After you've entered a newsgroup, you can then view articles, respond to articles, and create and post your own articles.

Reading Newsgroup Articles

Within Outlook Express, articles from the selected newsgroup are displayed in much the same fashion as are e-mail messages. As you can see in Figure 9.11, all the articles from a newsgroup are displayed in the Message pane; the selected message is displayed in the Preview pane. You can read a message in the Preview pane, or double-click on the message header to view the article in its own window.

Figure 9.11. Reading newsgroup articles with Outlook Express.

[View full size image]

TIP

If you'd rather read newsgroup articles offline (without tying up your phone line), you can choose to download all the articles from your favorite newsgroups. All you have to do is select a subscribed newsgroup, click the Settings button, and then select either All Messages or New Messages Only. When you click the Synchronize Account button, messages from your selected newsgroups will be downloaded for your offline reading pleasure.

Creating and Posting New Newsgroup Articles

To create and post new newsgroup articles with Outlook Express, follow these steps:

1.
From within a specific newsgroup, click the New Post button.

2.
When the New Message window appears, as shown in Figure 9.12, the selected newsgroup is displayed in the Newsgroups field.

Figure 9.12. Composing a new newsgroup article in Outlook Express

[View full size image]

3.
To post to other newsgroups, click the icon in the Newsgroups field. When the Pick Newsgroups dialog box appears, select one or more newsgroups from the list, click the Add button, then click OK. (To display all newsgroups, unclick the Show Only Subscribed Newsgroups button.)

4.
Enter a subject in the Subject field, then type the text of your article in the main window.

5.
Click the Send button to post this article to the selected newsgroup(s).

Take care before you click the Send button. Once an article is posted, it's out there for all the world to see!

Viewing, Saving, and Posting Attached Files

Like e-mail messages, newsgroup articles also can include attached files. Outlook Express lets you view the contents of attached files right in the Preview pane. You also can save attached files to your hard disk.

NOTE

Unlike the way e-mail attachments work, Outlook Express does not automatically display the paperclip icon in a newsgroup article's header. The paperclip icon only appears after you've viewed the article's attachment.

Most attachments to newsgroup articles are graphics files. To view a graphics attachment, all you have to do is select the article header in the Message pane. The attached graphic should automatically display in the Preview pane.

To save an attachment to your hard disk, click the paperclip button in the Preview pane header, then select Save Attachments. When the Save Attachments dialog box appears, select the file(s) you want to save and click Save.

TIP

Many newsgroups exist primarily for users to exchange graphics and sound files. These files are stored in binary format, and are typically located in newsgroups that start with alt.binaries.

You also can choose to view attached files through their associated programs. Just click the paperclip icon in the Preview pane header and select the file you want to view. The associated application automatically launches and displays the selected file.

You also can attach files to newsgroup articles you post. All you have to do is click the Attach button in the New Message window, and then select your file from the Insert Attachment dialog box.


The Bottom Line

Of all the auxiliary programs included with Windows XP, Outlook Express is probably the one you'll use most often. Just remember these key points:

  • You can use Outlook Express for both e-mail and Usenet newsgroups.

  • You don't have to settle for Outlook Express' default interface. Select View, Layout to make Outlook Express look more like Microsoft Outlook.

  • Outlook Express includes built-in protection against e-mail viruses. (You should still remember not to open any attachments with .EXE, .VBS, or .PIF extensions, however.)

  • If you want to block all e-mail from a specific spammer, select Message, Block Sender.

  • You can use Outlook Express' message rules to automatically sort incoming messages into separate folders.

  • Outlook Express can be configured to receive normal POP e-mail (from your ISP account) and Web-based e-mail, such as Hotmail.

  • An easy way to send a file to another user is to attach the file to an e-mail message. With Outlook Express, this is as easy as clicking the Attach button and selecting the file you want to attach.

  • Use the Address Book to store names and e-mail addresses of people you communicate with most often. You can add a recipient from your Address Book by clicking the To: or Cc: buttons when you're composing a new e-mail message.


Chapter ten. Chatting Online with Windows Messenger

IN THIS CHAPTER

Introducing Windows Messenger 240

Getting Connected 242

Finding New Contacts 242

One-to-One Messaging 245

Group Chats 247

Making Internet Phone Calls 248

Video Conferencing 249

The Bottom Line 250

If you're like a lot of Internet users, you like to chat online with your friends, family, and co-workers. And if you like to chat, you probably do a lot of your chatting via instant messaging.

Instant messaging lets you communicate one-on-one, in real time, with your friends, family, and colleagues. It's faster than e-mail and less chaotic than chat rooms. It's just you and another user—and your instant messaging software.

Windows Messenger is a instant messaging program pretty much like AOL Instant Messenger (AIM), ICQ, and Yahoo! Messenger—but with some online conferencing features thrown in. (The conferencing features come from Microsoft's older NetMeeting program.) It's identical in functionality to the MSN Messenger program that you get if you're a subscriber to Microsoft's MSN service. The only difference between the two is that MSN Messenger carries more of the MSN interface, while Windows Messenger has a cleaner Windows XP-like interface. If you're an MSN subscriber, you'll probably be prompted to download the latest version, which will have the MSN Messenger interface. No big deal; it works the same as Windows Messenger.


Introducing Windows Messenger

Most users will use Windows Messenger, shown in Figure 10.1, as an instant messaging program. It's totally compatible with MSN Messenger, so you can talk online with anyone who's using either one of the two programs. (As is common with instant messaging services, you can't use Windows Messenger to talk to anyone using AIM, ICQ, or Yahoo! Messenger. None of these programs talk to one another.)

Figure 10.1. Windows Messenger, the instant messaging client in Windows XP.

What Windows Messenger Does

What can you do with Windows Messenger? Here's a short list:

  • Send instant messages to other Windows Messenger and MSN Messenger users

  • Conduct group conversations with other Messenger users

  • Conduct live conversations—either one-on-one or in a group—using sound and video

  • Create and track contacts lists of other Messenger users

  • See who on your contact list is online at any given time

  • Send and receive files to and from other Messenger users

  • Make a phone call to another computer

  • Make a phone call to anyone with a telephone (for an extra charge)

  • Invite another Messenger user to play an online game

  • Invite another Messenger user to operate your computer by remote control (using Windows XP's Remote Assistance feature, discussed in Chapter 22, "Getting Help")

  • Receive a notice when you receive new Hotmail e-mail

  • Receive notices regarding the status of your stocks and securities

What You Need to Use Windows Messenger

To use the basic instant messaging features, you don't need anything more than you already have—a computer, an Internet connection, and a copy of Windows XP. To use the telephony features, you need a full-duplex sound card and speakers, as well as a microphone of some sort connected to your computer. (You can substitute a headset for the speakers and microphone.) To make video calls or hold video conferences, add a PC camera to the mix.

In addition, if you want to use Windows Messenger, you need to sign up for a Microsoft Passport. Of course, if you subscribe to any other Microsoft service, such as Hotmail, you already have a Passport. It's Microsoft's way of keeping track of you, wherever you go. (Or, to be positive about it, it makes it easy to use multiple services with a single ID and password.)


Getting Connected

To launch Windows Messenger and sign in to the service, follow these steps:

1. | Click the Start button and select All Programs, Windows Messenger.
2. | When Windows Messenger opens, click the Click Here To Sign In link. (After you've initially signed in, you won't have to repeat the sign-in process.)
3. | When the .NET Messenger Service dialog box appears, enter your Passport (Hotmail) e-mail address and password, check the Sign Me In Automatically option, then click OK.

That's it. You're now signed in and logged in and connected to the service. You can now send messages to other users, or receive messages from other users.

Be aware that closing the Windows Messenger program does not sign you out of the service. Messenger stays running in the background, looking for messages and alerts, even when it's closed. Unless, that is, you manually sign out by selecting File, Sign Out. (You can also click the Windows Messenger icon in the Windows taskbar, and then click Sign Out from the pop-up menu.)


Finding New Contacts

Windows Messenger is all about making contacts, and communicating with them. The best way to do this is to create a contact list of the people you talk to most often.

Adding Contacts

To add a contact to your list, follow these steps:

1.
Click the Add a Contact link to open the Add a Contact Wizard, shown in Figure 10.2.

Figure 10.2. Use the Add a Contact Wizard to add names to your contact list.

2.
If you know the user's sign-in name or e-mail address, check the By E-Mail Address or Sign-In Name option, then click the Next button. When the next screen appears, enter the name or address and click Finish.

NOTE

When you search for another user, you're only searching through the list of Hotmail users. Because all Messenger users should have a Passport, and all Passport users should have a Hotmail address, this should be a good method to use. Just remember that you're not searching the entire Internet—just the universe of Hotmail users.

3.
If you don't know the name or address of the person, check the Search for a Contact option and click the Next button. When the next screen appear, enter as much information as you can, select where you want to search (either in your personal Address Book or in the Hotmail member directory), and click the Next button. The wizard then returns a list of matching names. Select the person you want, then click Next to finish adding him or her to your contact list.

If you try to add a contact who isn't yet a Messenger user, you get a message telling you that Microsoft can't disclose a person's e-mail address to others. You then have the option of having Microsoft send an e-mail to that person inviting them to install Messenger, sign up for the service, and contact you.

After you add contacts to your list, they appear in the main Messenger window. Contacts who are currently online are listed in the Online section. Those who aren't are listed as Not Online. To remove a contact from your list, all you have to do is right-click the name and then select Delete Contact.

Becoming Someone Else's Contact—or Not

If you'd like to see who has added you to their contact list, select Tools, Options to display the Options dialog box. Select the Privacy tab, and then click the View button. The Which Users Have Added? dialog box will list all the other contact lists that you're a part of.

By default, you have to give approval before you can be added to another user's contact list. You can change this by going to the Options dialog box, selecting the Privacy tab (shown in Figure 10.3), and then unchecking the Alert Me When Other Users Add Me To Their Contact Lists option.

Figure 10.3. Use the Privacy tab to control who sees you and who doesn't.

NOTE

When you're "offline" like this, you can't send or receive messages from other users. You'll need to right-click your name again and select Online to go back online to communicate.

It's possible that you'll come across someone online who you don't want to talk to. Whether you're being stalked or just hiding from your boss, you can block this person from seeing you and contacting you.

To block someone, go to the Options dialog box, select the Privacy tab, and select that user's name in your Allow list. Click the Block button, and you've added this person to your Block list.

In a similar fashion, you can hide from everyone by clicking the All Other Users listing and then clicking the Block button. This blocks anyone on the service from seeing you or contacting you.

When you block a user (or all users), you become invisible. You don't appear as either online or offline, you just don't appear at all.

If you'd rather appear as being offline when you're really online (so you can see others without being seen), go back to the main Messenger window and right-click the link for your name. Select Appear Offline from the pop-up menu, and everyone will think you're away from your computer—even though you're still there!

There are other options available when you right-click your name in the main window. You can choose to tell people that you're Busy, Away, On the Phone, Out to Lunch, or that you'll Be Right Back. These messages appear next to your name in other users' contact lists.


One-to-One Messaging

Windows Messenger lets you send basic one-to-one messages, or use Messenger to send files and e-mails.

Send a Message

To send an instant message to another user, follow these steps:

1.
Double-click the name of the contact you want to message.

2.
When the Conversation window opens (see Figure 10.4), enter your message in the lower part of the window, then click the Send button (or press Enter).

Figure 10.4. Carrying on a conversation via instant messages.

[View full size image]

3.
Your message appears in the top part of the window, as does your contact's reply.

Continue talking like this, one message after another. Your entire conversation will be displayed in the top part of the window, and you can scroll up to reread earlier messages.

You can change the font face, color, style, and size of your message by clicking the Font button. When the Change My Message Font dialog box appears, select the settings you want, then click OK. The next message you send will reflect the new formatting you selected.

NOTE

If you don't have a Hotmail account, this technique will instead launch your normal e-mail program.

Receive a Message

When someone else sends you an instant message, Windows lets out with a little bleeping sound and then displays an alert in the lower-right corner of your screen. To open and reply to the message, click the alert.

If you happen to miss the alert, Windows will display a flashing message button in the taskbar. You can click this button to read your message.

Send an E-mail

You're not limited to sending instant messages to people on your contact list. You can also send e-mail messages directly from Windows Messenger.

Just right-click a name on your list and select Send E-mail from the pop-up menu. This launches Internet Explorer, sends it to the Hotmail site, and loads the Compose page. Write your message and send it as you would any Hotmail message.

Send a File

Another feature of Windows Messenger is the capability to send a file direct to another user. It's easy to do:

1. | Right-click a name in your contact list.
2. | Select Send a File or Photo from the pop-up menu.
3. | When the Send a File dialog box appears, select the file you want to send, and then click Open.

NOTE

Conversations can take place between a maximum of five people (that's four plus you).

Windows Messenger now sends, to your contact, a request to transfer the file. When the contact accepts the file, you're notified.

Open a File

If one of your contacts sends you a file, you'll receive a message informing you that you have a file waiting. Click the link within the message to open the file.

Alternatively, you can select File, Open Received Files from the main Messenger window. This opens a folder that contains all the files sent to you. Find the file you want to open, then click it.


Group Chats

When you send instant messages back and forth between two users, it's called a conversation. Just as you can carry on real-world conversations with more than two people, Windows Messenger also lets you add other users to your conversation.

When you want to have a group conversation, you have to start with a one-on-one conversation. After you've exchanged messages with one other person (and opened a Conversation window), you can then add other users to that conversation.

To add another user to an existing conversation, make sure the I Want To… pane is expanded, click Invite Someone to This Conversation, and then select a name. That's all there is to it. When the new user responds to your invitation, his or her messages will appear in the existing Conversation window.


Making Internet Phone Calls

TIP

Alternatively, you can right-click a contact in your Online list and select Start a Voice Conversation.

It's easy to use Windows Messenger to make a PC-to-PC Internet phone call. As far as Messenger is concerned, a phone call is just a conversation with sound.

If you're already in a messaging conversation and want to add sound, click the Start Talking link in the Conversation window.

To start a new conversation with sound, click the Make a Phone Call link, then select the contact you want to call. Click Computer from the pop-up menu, and you're ready to start talking.

NOTE

The first time you try to make a voice call, Messenger runs a wizard to test and adjust your speakers and microphone.

Naturally, both you and the other user must have speakers and microphones (or headsets) to carry on a voice conversation.

When you turn on Messenger's voice feature, a set of audio controls appears in the Conversation window's sidebar, as shown in Figure 10.5. You can use these controls to adjust the volume of the conversation, or to mute your microphone. To end the voice part of the conversation, click Stop Talking.

Figure 10.5. Use the audio controls to adjust your system for voice conversations.

    Previous Section < Day Day Up > Next Section


Video Conferencing

When you add sound to a text-based conversation you get an Internet phone call. When you add live video to a conversation, you get a video conference.

Put another way, a video conference is a normal Messenger conversation with video added.

To add video to an existing conversation, click the Start Camera link. This displays a monitor window, where the other user's picture appears. Your picture appears in a similar window in the other user's Conversation window. (Figure 10.6 shows a video conference in progress.) If you want to see your picture, too, click the Options link and check the Show My Video as Picture-in-Picture option.

Figure 10.6. You and another user can conduct a video conference from within Windows Messenger.

    Previous Section < Day Day Up > Next Section


The Bottom Line

The nice thing about Windows Messenger is how easy it makes everything. There's no big production about adding and configuring cameras and microphones. All you do is send a message, start a conversation, and then add sound and picture as desired. Just remember these key points:

  • Windows Messenger is an instant messaging program that also offers Internet telephony and video conferencing, and is functionally identical with Microsoft's companion program, MSN Messenger.

  • To use Windows Messenger, you need a Microsoft Passport.

  • You create a list of contacts you want to talk to. You can fill this list by searching the contacts in your personal Address Book, or the Microsoft Hotmail subscriber list.

  • To send an instant message, double-click a name in your contact list; to conduct a group chat, start a conversation with the first user, and then invite other users to join you.

  • You're not limited to sending instant messages to your contacts. You can also send files and e-mail messages.


Chapter eleven. Managing Online Security

IN THIS CHAPTER

Using the Windows Security Center 252

Activating the Windows Firewall 253

Protecting Against Computer Viruses 255

Protecting Against Spyware 259

Avoiding E-mail Spam 261

The Bottom Line 262

When you connect your computer to the Internet, you open up a whole new world of adventure and information for you and your family. Unfortunately, you also open up a new world of potential dangers—viruses, spyware, spam, computer attacks, and more.

Unfortunately, there's not much that Windows XP can do to protect you against all of these dangers and annoyances. Fortunately, there are steps you can take on your own—and these steps are relatively easy and inexpensive. All you need are a few software utilities—and a lot of common sense!


Using the Windows Security Center

Windows XP provides the Windows Control Panel to help you monitor your system's online security. (This is new in SP2, by the way.) As you can see in Figure 11.1, the Security Center displays the current status of three key functions: your system's firewall, virus protection, and Windows' automatic updates. These functions are important for the following reasons:

  • You use a firewall to block outside attackers from accessing your computer or wireless network.

  • You use an antivirus program to protect your PC against computer viruses.

  • You use Windows' automatic updates (discussed in Chapter 23, "Updating Windows") to keep Windows up-to-date with the latest security patches and bug fixes.

Figure 11.1. Use Windows XP's new Security Center to monitor key system security functions.

[View full size image]

To access the Security Center, open the Windows Control Panel and select Security Center.


Activating the Windows Firewall

NOTE

The Windows Firewall was originally called the Internet Connection Firewall. It got a name change (and some beefing up) with Service Pack 2.

When you connect to the Internet via a broadband connection, your connection is always on. Unlike a dial-up connection, where you have to dial up every time you want to go online, a broadband connection keeps you constantly connected to the Internet. No dialing, no waiting, just an always-on connection.

The downside to an always-on connection is that it's much easier for hackers and crackers to break into your system from the Internet. In fact, if you have multiple computers sharing a connection, a dedicated cracker can attack your entire network and access data on all your computers.

You can protect against this type of Internet-based attack by installing a firewall between your gateway computer and the Internet. A firewall is a type of software program that acts as a kind of gatekeeper to keep undesirable users out. It works by checking all communications that travel between your computer/network and the Internet. It's selective about what information is passed through, and it also works to keep the addresses of your network's client computers hidden from other users on the Internet. In effect, your computers are protected because they can't be seen from the other side of the firewall.

Microsoft has recognized the issue of Internet-based attacks (and acknowledged the growth of broadband Internet connections) and provided a fairly good solution, in the form of its own built-in firewall. The Windows Firewall is a basic firewall that should do an adequate job of protecting the average home or small business network from outside attack.

The Window Firewall is automatically activated when you set up a shared Internet connection via the Network Setup Wizard. You can also activate (or deactivate) the firewall manually, by following these steps:

1.
Click the Start button and select Connect To, Show All Connections. (Or open the Control Panel and click the Network Connections icon.)

2.
When the Network Connections window appears, click Change Windows Firewall settings.

TIP

Windows Firewall isn't the only—and it's certainly not the best—firewall out there. There are lots of excellent third-party firewall programs available, including BlackICE PC Protection (blackice.iss.net), McAfee Firewall (www.mcafee.com), Sygate Personal Firewall (www.sygate.com), Norton Personal Firewall (security.symantec.com), and ZoneAlarm (www.zonelabs.com). If you install one of these programs, make sure to disable the Windows Firewall; running two firewall programs at the same time is apt to cause all manner of operational problems.

3.
When the Windows Firewall dialog box appears, as shown in Figure 11.2, click the General tab.

Figure 11.2. Activating and configuring the Windows Firewall.

4.
To turn on the firewall, check the On option. To turn it off, check the Off option.

5.
Click OK to activate the firewall.

After you have the Windows Firewall activated, there are a number of advanced settings you can configure. Most users shouldn't have to bother with these settings. But if you're running your own Web site or just like to fiddle with power user settings, you might want to take a look at these settings.

You access the firewall settings from the Advanced tab of the Windows Firewall dialog box. Here's the thing, though—you shouldn't mess with these settings if you're not familiar with them. (And you're probably not.) If you are familiar with them, you don't need me to go through all the details. Consult your Windows XP manual or the Microsoft Knowledge Base if you need more information.


Protecting Against Computer Viruses

An outside computer attack isn't the only bad thing that can happen to your system. Far more likely is an attack from within, in the form of a computer virus infection.

In many ways, a computer virus actually is similar to a biological virus. A biological virus invades your body's system and replicates itself, causing all sorts of damage to the host (you). Likewise, a computer virus invades your computer's system, replicates itself, and causes untold damage to the host (your computer).

Like biological viruses, computer viruses can be destructive, or they can simply be annoying. Just as you try to protect your own body from biological viruses and find a cure when you become infected, you want to protect your computer from computer viruses—and find a cure if its system ever becomes infected.

Bottom line? A computer virus is a computer program that places copies of itself in other programs on your system, or somehow manipulates other files on your system.

Are You Infected?

Computer viruses can infect program files, the macro code found in some data files, or the HTML code used to create a Web page. Plain-text e-mail messages are not capable of being infected, although HTML e-mail and e-mail attachments can contain viruses.

How do you know whether your computer system has been infected with a virus? You may notice one or more of the following symptoms:

  • Your system begins to act sluggish.

  • Your system fails to boot.

  • Normally well-behaved programs start operating erratically or crash intermittently.

  • Friends report that they've received a strange e-mail message from you—and the message came with a suspicious file attached.

  • Files you know you haven't erased turn up missing.

  • Common program files appear to have grown in size since your last analysis.

  • Strange messages or graphics appear on your computer's screen.

If your computer exhibits one or more of these symptoms—especially if you've just downloaded a file or received a suspicious e-mail message—the prognosis is not good. Your computer is probably infected.

How to Catch a Virus

Whenever you share data with another computer or computer user, you risk exposing your computer to potential viruses. There are many ways you can share data, and many ways a virus can be transmitted, including:

  • Opening files attached to an e-mail message—even a message that appears to come from someone you know

  • Opening a file that was downloaded from the Internet

  • Reading an HTML e-mail message

  • Viewing a Web page in your Web browser

  • Sharing a file with someone else on your network

  • Sharing a data disk with another user

In other words, practically anything you do with your computer on a regular basis can be a means to transmit a virus.

Scary, isn't it?

Practicing Safe Computing

Because you're not going to completely quit doing any of these activities, you'll never be 100% safe from the threat of computer viruses. There are, however, some steps you can take to reduce your risk:

  • Don't open unsolicited e-mail attachments, especially from people you don't know. If you get an unsolicited e-mail message from someone you've never heard of, and that message includes an attachment (a Word document, or an executable program), don't open the attachment! The attached Word file could contain a macro virus, and the attached program could wipe out your entire hard disk. In fact, I caution against opening unsolicited attachments from anyone—even people you know. That's because some viruses are set up to replicate themselves through e-mail messages that are sent out without the user's knowledge; the message might look like it's coming from a friend or colleague, but in reality be from a virus-infected computer. (In other words, don't open any attachments you weren't expecting.) And if you want to be even safer, configure Outlook Express to reject any potentially virus-bearing attachments.

  • Download programs only from reliable sites. If you're connecting to a non-commercial Web site run out of some guy's basement, avoid the temptation to download any files from that site. If you must download files from the Internet, use only those established and reliable Web sites (such as CNET's Download.com or the ZDNet Software Library) that actually check their files for viruses before they post them for downloading.

  • Don't execute programs you find in Usenet newsgroups. Newsgroup postings often contain attachments of various types. Executing a program "blind" from an anonymous newsgroup poster is just asking for trouble.

  • Don't execute programs sent to you via instant messaging or in chat rooms. Along the same lines, virus writers like to use instant messaging to spread their infectious programs—or send viruses to unwitting users in online chat rooms. This is especially dangerous, because you often don't know who exactly it is you're chatting with. The best approach is to just say no—and never, ever accept files when chatting.

  • Use antivirus software. Antivirus programs protect you against all types of viruses—including both executable and macro viruses. Purchase, install, and run a program such as Norton AntiVirus or McAfee VirusScan, and then let the antivirus program check all new files downloaded to or copied to your system.

  • Share disks and files only with users you know and trust. If you don't know where a disk comes from, don't stick it in your computer's disk drive. The same with files sent over your network, or via e-mail. Unless you know for sure that the file is safe, delete it.

These precautions, taken together, should provide good insurance against the threat of computer viruses.

Using an Antivirus Program

Antivirus software programs are capable of detecting known viruses and protecting your system against new, unknown viruses. These programs check your system for viruses each time your system is booted, and can be configured to check any programs you download from the Internet.

Unfortunately, Windows XP doesn't include a built-in antivirus utility. (It includes everything else—and I'd much rather have antivirus protection than online photo finishing!) Fortunately, you can find several popular antivirus programs at your local computer software retailer, or online. My favorites are McAfee VirusScan (www.mcafee.com) and Norton AntiVirus (www.symantec.com). But installing the antivirus program isn't enough—you also have to religiously download the program's definition updates, to keep the database of known viruses up-to-date. With new viruses being written every week, it's no good to have an antivirus program that's several months out of date!

Recovering from a Virus Attack

What should you do if a virus has infected your computer? A lot depends on the type of virus you've been blessed with, and the damage that it has done.

TIP

One way to avoid spyware is to not use peer-to-peer file trading networks; their file-trading software is often infested with spyware.

If your system is still working and you have full access to your hard disk, you can use one of the antivirus programs to "clean" infected files on your system. If specific files can't be cleaned, then they should be deleted.

If you can't start your system or access your hard disk, then you'll have to take your system into a repair center that can use a hard disk utility program to repair/rebuild/restore your hard disk. After your system is up-and-running again, you should also run an antivirus program to perform additional cleaning.

Even if you can get your system up-and-running again, you still run the risk of losing key data files. If your system has been hit, you may have to essentially start from scratch with a "fresh" system, meaning you'd lose any data that wasn't previously backed up. That's one of the main reasons everyone hates viruses.


Protecting Against Spyware

Another growing nuisance is the proliferation of spyware programs. These are programs that install themselves on your computer and then surreptitiously send information about the way you use your PC to some interested third party. Spyware typically gets installed in the background when you're installing another program.

A spyware infection often looks and feels just like a virus infection. Your computer might start to act and feel sluggish, or Internet Explorer might start behaving strangely (replacing your home page with another page, not being able to access search engines or other sites, and so on), or you might get deluged with a bevy of unwanted and unexpected pop-up windows. These are all signs that a spyware program is installed and running on your machine—totally without your knowledge.

Most users are surprised to discover that antivirus software doesn't track or block spyware. In most users' minds, spyware and viruses are pretty much the same thing (they're both equally annoying, that's for sure), but in technical reality they're quite different. This is why you need different tools to fight the two different menaces.

TIP

Other popular (and free) anti-spyware programs are Ad-Aware (www.lavasoftusa.com) and Spybot Search & Destroy (www.safer-networking.org).

Just as Windows XP doesn't include an antivirus utility, it also offers no help for the spyware problem. Fortunately, there are lots of third-party anti-spyware programs available, most of them downloadable for free.

My absolute favorite anti-spyware program just happens to come from Microsoft. Microsoft AntiSpyware (shown in Figure 11.3) offers robust anti-spyware protection; it scans your system and updates itself nightly, and runs in the background to prevent spyware infection. Even better, you can download it for free, at www.microsoft.com/athome/security/spyware/software/.

Figure 11.3. Using Microsoft AntiSpyware (not part of Windows, unfortunately) to protect your system against spyware.

[View full size image]


Avoiding E-mail Spam

If you're like most computer users today, well over half the messages delivered to your e-mail inbox are unsolicited, unauthorized, and unwanted—in other words, spam. These spam messages are the online equivalent of the junk mail you receive in your postal mailbox, and it's a huge problem.

While Windows XP's Outlook Express includes some rudimentary spam-blocking capabilities, it's no substitute for a full-featured anti-spam program. If you're especially inundated with spam e-mails, install and run one of these anti-spam programs, such as Norton AntiSpam (www.symantec.com) or SpamKiller (www.mcafee.com).

Of course, you'll get less spam if spammers don't harvest your e-mail address for their nefarious purposes. Here are some tips for keeping your inbox relatively free of spam:

  • Don't post your email address in public forums, message boards, blogs, or on your personal or business Web page.

  • To confuse email address-harvesting software, you can insert a spamblock into your address. For example, if your email address is johnjones@myisp.com, you might change the address to read johnSPAMBLOCKjones@myisp.com.

  • Another trick is to use two e-mail addresses—a public one you use when you post on the web or register on websites, and a private one you give out only to friends and relatives.

Obviously, if your ISP offers spam-blocking services, avail yourself of them. The more roadblocks between the spammers and you, the better!


The Bottom Line

With the profusion of computer attacks, viruses, spyware, and the like, computing online can be hazardous—although it doesn't have to be. Protecting yourself online is really a matter of simple caution and common sense, especially if you remember these key points:

  • You can use the Windows Security Center to monitor key security functions—firewall settings, virus protection, and automatic system updates.

  • The simplest way to protect your system from outside attack is to activate the Windows Firewall.

  • Computer viruses can be avoided by not opening unexpected e-mail attachments—and by running a third-party antivirus program.

  • Antivirus programs don't protect against spyware, so you'll also need to run an anti-spyware program—such as Microsoft AntiSpyware.

  • Less dangerous but equally annoying is the problem of e-mail spam; again, there are anti-spam programs you can use to minimize the deluge of unwanted messages in your inbox.


    Part four: Sounds and Pictures

    12 Working with Pictures

    13 Working with Digital Cameras and Scanners

    14 Using Windows Media Player

    15 Playing and Recording MP3 and WMA Audio

    16 Playing and Editing Digital Movies

    17 Using Windows XP Media Center Edition

    Previous Section < Day Day Up > Next Section


Chapter twelve. Working with Pictures

IN THIS CHAPTER

Sounds and Pictures 263

Working with My Pictures 266

Tracking Details 267

Different Views 268

Editing Picture Files 272

Working with Picture Files 273

The Bottom Line 276

If you're like me, you have a lot of pictures on your computer. I have a digital camera, and I transfer all the pictures I shoot to my hard drive. I also have a scanner, and I'm constantly scanning in old photos that I took before I bought my digital camera. Then there are the pictures I download from the Web, and the photos that friends and family send me via e-mail.

I have a lot of pictures on my computer.

Working with those pictures—editing them, storing them, sending them on to other users—takes up a lot of my time. And, prior to Windows XP, it wasn't easy. I had to use a ragtag assortment of third-party programs and utilities just to do the simplest tasks, and I didn't get any help from my operating system.

That all changes with Windows XP. Building on a handful of new features first introduced in Windows Me, Windows XP is Microsoft's first operating system to take digital pictures seriously.

In Chapter 13, "Working with Digital Cameras and Scanners," I'll tell you how Windows XP works with scanners and digital cameras. This chapter focuses on the picture management capabilities of the operating system—how you can use Windows XP to view, store, and print your digital pictures.


Working with My Pictures

The key to Windows XP's picture management is the My Pictures folder. This is a file folder like My Documents, but customized for image-related operations.

The default My Pictures folder, shown in Figure 12.1, displays all your image files as thumbnails. This is so much better than displaying image files as stock icons or file listings—you can actually see the file that you're working with!

Figure 12.1. Windows XP's My Pictures folder—all your image files are displayed as thumbnails.

[View full size image]

Naturally, the My Pictures folder includes a custom Tasks list, like the one found in every Windows XP folder. But it also includes a special Picture Tasks list. These Picture Tasks are operations specific to image management, such as ordering photo prints and viewing the image files as a slide show.

The My Pictures folder also includes a number of viewing options that should appeal to people who work a lot with digital pictures. I'll discuss the various My Picture views in the "Different Views" section, later in this chapter.

NOTE

Windows XP can only track that information that was recorded by your digital camera. Most digital cameras collect this information (called EXIF information) and store it along with each picture file.


Tracking Details

If you're serious about digital photography, you'll appreciate all the image details that Windows XP tracks and displays. With a few clicks of your mouse, Windows XP will display an impressive amount of information about your image files, including when the photo was shot, with what kind of camera, at what settings, and so on.

Here are some of the details that Windows XP tracks for each of your digital images:

  • File type (.JPG, .TIF, and so on)

  • Image dimensions (in pixels)

  • Horizontal and vertical resolution

  • Bit (color) depth

  • Make and model of camera used

  • Lens aperture

  • Subject distance

  • Flash mode

  • Focal length

  • F-number

  • Exposure time

  • Date created

To display basic details about a file, all you have to do is hover your mouse over the file icon or thumbnail. XP displays a ToolTip-type pop-up that lists the image dimensions, the date the picture was taken, what camera was used, and the file size and type. (This data is only displayed if it was recorded by the camera, of course.)

NOTE

If the advanced details are not visible, click the Advanced button on the Summary tab.

To display complete details about a specific file, right-click the file and select Properties from the pop-up menu. When the Properties dialog box appears, select the Summary tab, as shown in Figure 12.2. Here is where you'll find all the information you could ask for. (It's certainly a lot better than trying to remember what F-stop you used when you shot that one great photo!)

Figure 12.2. Windows XP stores a tremendous amount of information about the photos you shoot.

    Previous Section < Day Day Up > Next Section


Different Views

Although the default view in the My Pictures folder is perfect for most users, there are other viewing options you might want to check out. You also can access many of these viewing options in any folder that contains image files, including any subfolders you create within the My Pictures folder.

Displaying Thumbnails

If My Pictures is displaying icons instead of thumbnails, it's a simple job to switch back to the thumbnail view. Just select View, Thumbnails, and all your images will be thumbnailed within the folder.

If you prefer a more traditional file view, it's easy enough to switch to something other than the thumbnail view. Just pull down the View menu and select from Filmstrip, Tiles, Icons, List, or Details.

TIP

If you choose to display your image files as tiles, icons, or filenames, the selected file will still be displayed as a thumbnail in the Details section of the activity center pane.

Displaying (and Sorting by) Details

If you choose the Details view for My Pictures, the details listed are specific to the types of files you're viewing. As you can see in Figure 12.3, My Pictures' Details view includes the standard columns for file Name, Size, Type, and Date Modified. It also includes image-specific columns for Date Picture Taken and Dimensions.

Figure 12.3. Use the Details view to display the dimensions of each picture, and when each picture was taken.

[View full size image]

You can sort the files in Details view by clicking on any column header. Click a second time to reverse the order listed.

Even if you're not displaying in Details view, you can still sort your files by the Date Picture Taken or Dimensions fields. Just select View, Arrange Icons By, and select either Date Picture Taken or Dimensions. (This option works even better if you turn on the Show In Groups feature.)

Viewing a Filmstrip

If thumbnails are too small for you, there's another My Pictures viewing mode you ought to check out. Select View, Filmstrip to display My Pictures' Filmstrip mode. As you can see in Figure 12.4, the selected picture is displayed in a large window at the top of the pane, along with a selection of image-viewing controls.

Figure 12.4. View your pictures big in My Pictures' Filmstrip mode.

[View full size image]

Click the Next button to advance to the next image in the folder, or just hover over an image to display it in the large window.

TIP

If you want to see a really sophisticated slide show, complete with (optional) music, narration, and special effects, invest in Microsoft Plus! Digital Media Edition, which I examine in Chapter 16, "Enhancing Windows XP with Microsoft Plus! Digital Media Edition."

Viewing a Slide Show

One cool though not particularly practical feature of the My Pictures folder is the capability to display the entire contents of the folders as an onscreen slide show. All you have to do is click the View as a Slide Show option in the Picture Tasks panel, and the first picture in the folder is displayed in full-screen mode. Every five seconds the picture will change, as the show cycles through all the pictures in the folder—and then starts again at the beginning.

If you want to manually run the show, all you have to do is move your mouse. This displays a small toolbar in the top-right corner of the screen. You can click the buttons on this toolbar to pause and restart the show, move back and forward manually, and exit the show and return to normal mode.

Previewing an Image

NOTE

The Windows Picture and Fax Viewer replaces the somewhat cranky Imaging for Windows utility included in previous versions of Windows.

So far all the image viewing has taken place within the My Pictures Folder. What if you want to really view a picture, at full size?

Windows XP includes its own Windows Picture and Fax Viewer utility. Whenever you click a file in My Pictures, the Picture and Fax Viewer is launched and the selected picture is displayed. As you can see in Figure 12.5, the Picture and Fax Viewer includes the same functions as the Filmstrip viewer, with the addition of buttons for resizing, rotating, zooming, printing, editing picture info, saving the file (under a new name), and deleting the file.

Figure 12.5. View a full-size picture with the Windows Picture and Fax Viewer.

[View full size image]


Editing Picture Files

Microsoft doesn't include an image-editing program in Windows XP—unless you count the old warhorse Microsoft Paint as an image-editing program. (I don't; it's way too old and feature-poor for any practical use.)

This means that you'll have to use a third-party graphics program to edit your picture files. There are a lot of these programs on the market, and you probably have one or two already installed on your system. (Every digital camera or scanner you install invariably comes with its own image-editing utility.)

If you're in the market for a graphics editor, my favorite programs include

  • Adobe Photoshop CS2 (www.adobe.com/products/photoshop/)

  • Adobe Photoshop Elements (www.adobe.com/products/photoshopelwin/)

  • CorelDRAW Essentials (www.corel.com)

  • CorelDRAW Graphics Suite (www.corel.com)

  • IrfanView (www.irfanview.com)

  • JASC Paint Shop Photo Album (www.corel.com)

  • JASC Paint Shop Pro (www.corel.com)

  • Microsoft Picture It! Digital Image Pro (www.microsoft.com/products/imaging/)

  • Microsoft PictureIt! Premium (www.microsoft.com/products/imaging/)

  • Roxio PhotoSuite (www.roxio.com)

You can load your image files into any of these programs manually, or you can configure Windows XP to launch one of these programs instead of Image Preview when you click on an image file.

CAUTION

This procedure affects all files of the selected type, not just the selected file.

To reset what program opens a specific file, follow these steps:

1. | Right-click any file of a specific type and then select Properties from the pop-up menu.
2. | Select the General tab and click the Change button.
3. | When the Open with dialog box appears, select a program to associate with this type of file. If the program you want isn't listed, click the Click Here link and navigate to the program you want to use.
4. | Click OK when done.

The next time you click a file of this type, the program you selected will launch, with the selected file displayed.

Unfortunately, if you want to return to using the Image Preview utility, it's not a simple procedure. You have to select Tools, Folder Options to display the Folder Options dialog box, then select the File Types tab. Select the file type you want to edit, then click the Restore button. (Whew!) This should restore Image Preview as the default viewer for that file type.


Working with Picture Files

We're not done yet—My Pictures has a few more functions up its sleeve. Read on and I'll tell you about some more image-specific tasks integrated into the My Pictures folder.

Printing Pictures

If you have a color printer, you can make good-quality prints of your image files. In fact, some manufacturers sell photo printers specifically designed for making photographic prints. If you take a lot of digital photos, one of these printers might be a good investment.

Printing a picture from within the My Pictures folder is as easy as clicking a link. All you have to do is select the picture(s) you want to print, then click the Print Pictures link in the Picture Tasks pane. Windows XP now launches the Photo Printing Wizard, which walks you step-by-step through the printing process. You get to select which printer you want to use, what type of paper you'll be printing on, and how many (and what size) prints to print on a page (see Figure 12.6). When you complete the wizard, the printing starts, just as you specified.

Figure 12.6. Use the Photo Printing Wizard to determine what size and how many pictures to print on a page.

[View full size image]

Ordering Prints

If you don't have your own photo-quality printer, you still need to use a professional photo-finishing service. There are a number of ways you can create prints from your digital photos:

  • Copy your image files to disk or CD-ROM and deliver the disk by hand to your local photo finisher

  • Go to the Web site of an online photo-finishing service and transfer your image files over the Internet

  • Use the Order Prints Online option in Windows XP's My Pictures folder

The first option is the most traditional, and perhaps the most convenient for a lot of people. There also are no shipping charges involved.

The second option should appeal to those of you plugged into the online world. You may even find that prices are a tad cheaper, although you will have to pay shipping charges to get your prints sent back to you.

The third option is Microsoft's favorite, and perhaps the most convenient of all. Microsoft has arranged with a number of online photo-finishing sites to provide services to Windows users. Microsoft links to these sites from within the My Pictures folder—and receives a cut of the revenue generated. Although that fee doesn't come out of your pocket (it's a kind of commission that the partner sites pay), if you're adverse to lining Microsoft's pockets any more than you have to, you might want to bypass the My Pictures option and deal directly with the sites, instead.

If you do want to order prints from within Windows XP, it's a simple procedure. All you have to do is select the files you want to print, and then click the Order Prints Online option in the Picture Tasks panel. This launches the Online Print Ordering Wizard. The wizard lets you pick which service you want to use (as shown in Figure 12.7), as well as what kind of and how many prints to make. You'll have to fill in all the normal shipping and payment information, of course. But then you'll receive your prints in a few days, just like you would if you ordered from that site without Microsoft's assistance.

Figure 12.7. Use the Online Print Ordering Wizard to order photo-finishing services from within the My Pictures folder.

[View full size image]

Turning a Picture into a Desktop Background

There's one final thing you can do from within the My Pictures folder. With a few clicks of your mouse, you can select any picture in the folder to be your Windows desktop background.

All you have to do is select a file, then click the Set as Desktop Background option in the Picture Tasks pane. Minimize the My Pictures window so you can see your desktop, and you can see that the selected file is now your desktop background.

(You can change the background to another image through the traditional Display Properties dialog box method, as discussed in Chapter 2, "Changing the Way Windows Looks—and Acts.")


The Bottom Line

As you can see, Windows XP makes it easy to work with your digital image files. Just remember these key points:

  • You should store all your picture files in the My Pictures folder, or in a subfolder within My Pictures.

  • You can configure My Pictures to display thumbnails of all your image files.

  • Display the Properties dialog box to view detailed information about the file, including when the photo was shot, what type of camera you used, and what its settings were.

  • To view a full-size version of a file, click the file to launch the Windows Picture and Fax Viewer utility.

  • Simplify printing digital photos with the Photo Printing Wizard—and, if you want, you can order professional prints of your files from within My Pictures, by using the Online Print Ordering Wizard.


Chapter thirteen. Working with Digital Cameras and Scanners

IN THIS CHAPTER

Installing and Configuring a Digital Camera or Scanner 278

Scanning Pictures 279

Uploading Pictures from a Digital Camera 280

Working with Pictures in the Camera 282

Copying Pictures from a Memory Card 282

The Bottom Line 283

In the previous chapter I told you about the new image-management functions of the My Pictures folder. In this chapter I'll show you how to fill up that folder with image files from digital cameras and scanners.

Windows XP incorporates a new standard, first available in Windows Me, called Windows Image Acquisition (WIA). WIA enables compatible imaging devices to integrate directly into the Windows shell. Under Windows XP, any WIA digital camera or scanner can be accessed from the Open dialog box of any application. So, for example, you could launch Microsoft Paint or Paint Shop Pro, select File, Open, and see the contents of your digital camera or scanner listed in the Open dialog box. This way you can work on digital images without first copying them to your PC's hard disk.

Any digital camera or scanner that is attached to your computer is visible from My Computer, and can be viewed and accessed as you would a normal hard drive. You can also use Windows XP's new Scanner and Camera Installation Wizard to choose which pictures you want to copy to your PC.


Installing and Configuring a Digital Camera or Scanner

Installing a digital camera or scanner is extremely easy, especially if the device is Plug and Play-compatible and you use a USB connection. With this type of setup, Windows will recognize your camera or scanner as soon as you plug it in, and install the appropriate drivers automatically.

If Windows does not recognize your camera or scanner, you can use the Scanners and Cameras utility to install the new device on your system. Just follow these steps:

1.
From the Control Panel, click the Scanners and Cameras icon.

2.
When the Scanners and Cameras utility appears, click Add an Imaging Device in the Task Pane.

3.
When the Scanner and Camera Installation Wizard appears, follow the onscreen instructions to identify the make and manufacturer of your device (as shown in Figure 13.1), and install the proper drivers.

Figure 13.1. Use the Scanner and Camera Installation Wizard to manually install a new image capture device.

[View full size image]

When you exit the wizard, your new camera or scanner will appear as a device in the Scanners and Cameras window.

If you want a particular graphics-editing program to launch whenever you copy pictures from your camera or scanner, right-click on the device's icon and select Properties from the pop-up menu. When the Properties dialog box appears, select the Events tab, select an event from the Select An Event list, click the Start This Program option, and then select the application you want to link to the event.


Scanning Pictures

The Microsoft engineers have fancy phrases for even the simplest activities. What you or I would call "scanning a picture," the engineers call a "scan event." (They call the act of connecting a digital camera to your PC a "connect event.")

TIP

If you don't like the preview scan, reposition the item on your scanner and click the Preview button to start a new scan.

Well, when Windows senses a scan event—that is, when you start a scan—it launches the Scanner and Camera Wizard. As you can see in Figure 13.2, the scanner part of this wizard lets you control how your picture is scanned. All you have to do is follow these steps:

1. | Select one of the Picture Type options: Color Picture, Grayscale Picture, Black and White Picture or Text, or Custom.
2. | Click the Preview button; the wizard now displays a preview of what you're scanning.
3. | If you want to crop the item you're scanning, use the handles around the preview area to crop to a smaller area.
4. | If you like what you see, click the Next button, then enter the name, file format, and location for this group of scans.
5. | Click the Next button to complete the scan.
6. | When the next screen appears, select Nothing if you're done with this scan, then click Next.
7. | Click Finish to exit the wizard.

Figure 13.2. Using Windows XP to scan a photograph—preview your scan before you accept it.

[View full size image]


Uploading Pictures from a Digital Camera

Making your digital camera and PC work together used to be a pain in the rear. You were lucky if Windows even recognized your camera, and then you had to use the camera's proprietary software to copy all your pictures to your hard disk, all at once.

Well, Windows XP makes it easier. You can view the contents of your digital camera from My Computer, or you can use the Scanner and Camera Wizard to manage your photos for you.

When you connect your digital camera (typically via a USB connection), Windows displays the Removable Disk dialog box. You have several options here, but the one you want is Copy Pictures to a Folder on My Computer Using Microsoft Scanner and Camera Wizard. When the Scanner and Camera Wizard opens, it presents you with thumbnails of all the photos currently stored in your camera, as shown in Figure 13.3. You don't have to copy all these photos to your hard drive—although you can, by clicking the Select All option. Just select which photos you want to copy, then click the Next button.

Figure 13.3. Select which photos you want to copy to your hard disk.

[View full size image]

Now you're presented with the Picture Name and Destination screen, as shown in Figure 13.4. This is where you select the destination folder and filenames for your folders.

Figure 13.4. Select a name and location for your photos.

[View full size image]

Windows XP names all your photos with a common filename, followed by a unique number. So, for example, if you entered Vacation as the picture name, your photos would be named Vacation 001, Vacation 002, Vacation 003, and so on.

You can also select which folder you want to copy these pictures to. By default, Windows XP copies your pictures to the My Pictures folder. I recommend you create a subfolder within the My Pictures folder for each new group of pictures you copy. This makes it easier for you to keep track of all the different photos on your hard disk.

This screen also has two other interesting options. The first option is to copy your pictures to the Internet. Select this option if you want to post these photos as-is to your Web site.

The second option is to delete pictures from your camera after you've copied them to your hard disk. This is a good option to choose, as it automatically cleans up your digital camera storage, so you don't have to delete old pictures manually.

After you've entered all this information, click the Next button. The wizard now copies your selected pictures to your hard disk. You can now use all the features of the My Pictures folder (discussed in Chapter 12, "Working with Pictures") to view, edit, and otherwise manage your pictures.


Working with Pictures in the Camera

Interestingly, you don't have to copy photos from your camera to your hard disk to work with them. Windows XP includes some basic picture management functionality that can be used with the pictures currently stored in your digital camera.

As you recall, when you connected your camera to your computer you were presented with four different options. (You can also display these options by selecting the camera icon in the Scanners and Cameras utility and clicking the Get Pictures option in the activity center pane.) You choose the Acquire Pictures option to copy pictures to your hard disk, but you can choose one of the other options to work with the pictures while they're still in your camera.

If you want to print selected photos from your camera, choose the Print the Pictures option. All the photos in your camera will be displayed, and all you have to do is choose which photos you want to send to your picture.

If you want to delete or rename the pictures in your camera, select the Open Folder to View Files option. This displays the contents of your camera or media card in a My Pictures-like folder. You can use the commands in this folder to perform a full range of file-management tasks with your pictures.

If your camera contains any movie files, you can play these movies on your PC by selecting the Play the Video Files option. Because many digital still cameras also let you record short MPEG movies, this option is a nice way to view your movies without first copying them to your hard disk.


Copying Pictures from a Memory Card

If your PC includes a memory card reader, you don't have to bother with connecting your camera to your PC. It's much faster and easier to insert your camera's memory card into your PC's memory card reader than it is to go through the typical cable connections. When you insert a memory card, your PC recognizes the card as if it were another disk on your system. You can then copy files from the memory card to your computer's hard disk.

All you have to do is insert the memory card, open My Computer, and click the drive icon for the memory card. This displays the card's contents, typically in a subfolder labeled DCIM. You can then move, copy, and delete the photos stored on the card, as you would with any other type of file in Windows.


The Bottom Line

Windows XP makes working with cameras and scanners so easy; assuming you make the right choices in the Scanner and Camera Wizard, it's tough to screw up anything. Just make sure you remember these key points:

  • Windows XP includes new Windows Image Acquisition technology that makes it easy to work with images from digital cameras and scanners.

  • If Windows doesn't recognize your camera or scanner when you first connect it, open the Scanners and Cameras utility and click Add an Imaging Device to run the Scanner and Camera Installation Wizard.

  • When you scan an image with your scanner, Windows XP's Scanner and Camera Wizard lets you preview and configure the scanned image.

  • The Scanner and Camera Wizard also launches whenever you connect a digital camera to your PC. You can choose from a variety of tasks, including copying pictures to your PC, printing pictures directly from your camera, running a full-screen slide show, or performing typical file-management operations while the pictures are still in the camera.

  • After you've copied your photos to your hard disk, you can use the commands in the My Pictures folder to view, edit, and manage your pictures.

  • You can also insert your camera's memory card into your PC's card reader (if it has one). You can then use My Computer to manage the photo files, just as you would with any other drive.


Chapter fourteen. Using Windows Media Player

IN THIS CHAPTER

Understanding Digital Media Files 286

Introducing Windows Media Player 286

Configuring WMP 288

Playing Audio Files 294

Listening to Internet Radio 295

Watching DVDs 296

Organizing Your Media Files 298

Using Other Media Players 302

The Bottom Line 303

You might not think of your PC as a full-featured audio/video playback and recording system, but it is. You can use your PC to listen to your favorite compact discs, tune in to radio broadcasts from around the world, watch movies on DVD, and record your own custom music collections.

Lots of third-party software is available various playback and recording operations, but Windows XP includes a single program that can perform all these tasks. Windows Media Player (WMP) is an all-in-one playback and recording utility that handles everything from CD and DVD playback to Internet radio and MP3 encoding.

And, if you've used a previous version of WMP, you'll be pleasantly surprised by the improvements in the Windows XP player. New features include MP3 compatibility, a better-looking interface, new visualizations, and improved information storage for your digital media files.

I'll discuss basic player operation (for both audio and video) in this chapter. If you're interested in using WMP to record digital audio files, go straight to Chapter 15, ">Playing and Recording MP3 and WMA Audio."

NOTE

The version of WMP originally included in Windows XP was version 8, but it has since been supplanted by the newer versions 9 and (most recently) 10. If you're still using an older version, go to the Windows Media Web site (www.microsoft.com/windows/windowsmedia/) to learn more about and download the newer version.


Understanding Digital Media Files

In the world of computers, all data has always been stored in digital format. (In a digital file, information is assembled from a series of 0 and 1 bits.) Digital is better than its counterpart (called analog) in that noise and distortion aren't introduced into the process. A digital copy, if recorded properly, can be an exact copy. It's impossible to make an exact copy using analog methods.

In the audio and video world, music and movies used to be stored non-digitally. (Vinyl records and VHS videotapes are both analog formats.) However, with the advent of compact discs (CDs) and digital video discs (DVDs), music and movies began to be stored digitally.

When music and movies are digital, it's easy to incorporate them into the computer environment. To a computer, one digital file is pretty much the same as another—especially when it comes to storage.

So if you can store digital music and movies on your PC, why not use your PC for playback, too? Well, you can—if you have the right media player software. There are many different file formats for storing digital audio and video, and different media players are compatible with different formats.

The Windows Media Player included with Windows XP can read and write the majority of today's most popular digital media files. To find out if your format of choice is compatible with WMP, check out Table 14.1. As you can see, there are only a handful of popular formats (chief among them Apple's AAC and QuickTime files, as well as RealNetwork's RealMedia files) that can't be viewed with the Windows Media Player.

Table 14.1. Windows Media Player-Compatible Digital File Formats

Format

File Extension(s)

CD audio

.CDA

Indeo (Intel) Video Technology

.IVF

Macintosh AIFF audio

.AIF, .AIFC, .AIFF

Windows Media (audio and video)

.ASF, .ASX, .WAX, .WMA, .WMV, .WVX, .WMP, .WMX

Native Windows formats (audio and video)

.AVI, .WAV

Moving Picture Experts Group (audio and video)

.MPEG, .MPG, .M1V, .M3U, .MP2, .MP3, .MPA, .MPE, .MPV2

Musical Instrument Digital Interface (MIDI)

.MID, .MIDI, .RMI

UNIX AU audio

.AU, .SND


Introducing Windows Media Player

You launch the Windows Media Player by clicking the Start button and selecting All Programs, Windows Media Player. WMP starts in its Full mode, as shown in Figure 14.1.

Figure 14.1. Windows Media Player 10 for Windows XP—use WMP for all your audio and video playback and recording needs.

[View full size image]

NOTE

Think of a visualization as a kind of "live" wallpaper that moves along with your music.

If you're using WMP to watch a movie or other video file, the picture displays in the video window in the center of the player. If you're using WMP to listen to music, this area can be used to display what Microsoft calls "visualizations" or to display information about the currently playing song, album, or artist.

WMP's playback controls are always at the bottom of the window. Here you'll find the normal transport buttons, including Play/Pause, Stop, Rewind, and Fast Forward. WMP also includes Next and Previous track buttons, along with a volume control and mute button.

To the right of the window is the Playlist area. Individual tracks of a CD or DVD are listed here. This area also displays the songs in any playlists that you create.

Between the playback controls and the video/visualization window is an area called the Now Playing Tools area. This area can display controls specific to the type of file you're playing. For example, if you're playing a DVD, this area can display the Variable Play Speed and Next Frame controls.

Finally, tabs along the top of the window link to key features of the player. Click a tab and the entire player interface changes to reflect the selected feature—Now Playing, Library, Rip, Burn, Sync, and Guide.


Configuring WMP

WMP is a very customizable device. Not only can you resize it, as you can any Windows application, but you also can display it in the compact Skin mode, or with completely different looks and feels.

Changing the Size of the Player

The default display mode for WMP is the Full mode. If you'd rather display the player without all the extraneous controls, you can switch to Skin mode. As you can see in Figure 14.2, Skin mode focuses your attention on the video/visualization window. Some controls are shrunk and others are hidden.

Figure 14.2. Windows Media Player in Skin mode.

NOTE

Skin mode is sometimes called Compact mode. You switch to Skin mode by clicking the Switch to Skin Mode button at the lower-right of the WMP window, or by selecting View, Skin Mode.

Whether you're in Full or Skin mode, you can manually resize the main WMP window. When you resize the main window, the size of the video/visualization window also changes. All you have to do is use your mouse to grab any side or corner of the window, and then drag it to a new size.

TIP

Resize the WMP window to view a DVD movie at a larger size.

You also can resize the size of the video window when you're playing a DVD movie. Select View, Zoom, and then select a new zoom percentage.

Or, if you prefer, you can view a DVD using your entire computer screen. Just click the Full Screen button (at the top-right corner of the video window) or select View, Full Screen, and the movie will fill your entire screen. Press Esc to return to normal viewing mode.

Finally, with WMP 10, you can switch to an ultra-compact display called the Mini Player whenever you minimize the WMP window. To enable the Mini Player (shown in Figure 14.3), right-click an empty area of the Windows taskbar to display the pop-up menu, then select Toolbars, Windows Media Player.

Figure 14.3. The new Mini Player.

The Mini Player offers the basic playback controls, as well as a Quick Access Panel that displays a pop-up menu with access to your favorite playlists and radio stations. (You display the Quick Access Panel by clicking the down-arrow button on the far left of the Mini Player controls.) You also can display a small video/visualization window (by clicking the button at the top right of the Mini Player controls), or return to full display mode (by clicking the button at the top left of the toolbar).

TIP

You change skins when you're in the Skin mode by clicking the Anchor window and selecting Select a New Skin from the pop-up window.

Changing Skins

If you don't like the default look and feel of WMP, you can change it. WMP lets you change its basic interface by applying new "skins" to its Skin mode. A skin is a complete interface that includes the window frame and background and all the controls. In fact, some skins have fewer controls than the default WMP interface.

To give you an idea of how different skins can change the way WMP looks, check out Figures 14.4 and 14.5. Compare these two skins to WMP's default skin in Figure 14.2. It's a great way to put your personal stamp on your media player.

Figure 14.4. WMP with the Quicksilver skin.

Figure 14.5. WMP with the Headspace skin.

To change skins, follow these steps:

1.
With WMP in Full mode, select View, Skin Chooser.

2.
Select a skin from the left-side list. The skin you choose will be previewed in the right-side window, as shown in Figure 14.6.

Figure 14.6. Choosing a new skin for the media player.

[View full size image]

3.
Click the Apply Skin button. WMP now switches to Skin mode with the new skin applied.

Windows XP includes a fair selection of skins built-in, but there are a lot more skins available from the Internet at Microsoft's WindowsMedia.com Web site (www.windowsmedia.com). Just click the More Skins button (in the Skin Chooser window), and WMP launches Internet Explorer and connect to the WindowsMedia.com Web site. Pick a new skin and follow the onscreen instructions to download it to your system.

Changing Visualizations

The default view for WMP is the Info Center view. (This is the one with the big picture of the album cover.) If you get bored looking at that album cover, you can choose to display something a little more visually interesting—what Microsoft calls visualizations. A visualization is a splash of colors and shapes that move to the beat of the music; these visualizations are displayed where the video picture would normally be displayed.

WMP includes a slew of visualizations you can watch while you're listening to music. The visualizations are grouped into collections based on specific themes. You can pick a specific visualization to watch, and even (for some visualizations) configure individual visualization properties.

To select a visualization, be sure you're in the Now Playing screen in Full mode, then select View, Visualizations. Choose a collection and then select an individual visualization.

TIP

You can cycle through all available visualizations by simply clicking the Previous Visualization and Next Visualization buttons directly underneath the visualization window.

As you might suspect, additional visualizations are available online. Just select View, Visualizations, Download Visualizations to go to the WindowsMedia.com Web site and browse for new visualization collections.

Changing Audio and Video Settings

Besides skins and visualizations, there are a number of useful settings in WMP that you might want to configure.

For example, you can use WMP's built-in graphic equalizer to fine-tune your PC's audio playback. Select View, Enhancements, Graphic Equalizer to display the equalizer below the video/visualization window (see Figure 14.7). Be sure the equalizer is clicked On, then drag the equalizer controls to shape the sound to your liking.

Figure 14.7. Fine-tune your bass and treble with WMP's graphic equalizer.

[View full size image]

WMP also includes a variety of digitally processed audio effects—or what Microsoft calls SRS WOW Effects. (It sounds cooler.) You access these effects by selecting View, Enhancements, SRS WOW Effects. Be sure the control is clicked On, then adjust the controls as follows:

  • To enhance the bass, drag the TruBass slider to the right. To minimize the bass, drag the slider to the left.

  • To widen the stereo effect, drag the WOW Effect slider to the right. To collapse the stereo effect, drag the slider to the left.

  • To optimize the sound for your particular speakers or headphones, click Turn On and then click the adjacent link to select from Headphones, Normal Speakers, or Large Speakers.

If you're playing a DVD, you can adjust the picture's brightness, contrast, and color hue and saturation. Just select View, Enhancement, Video Settings to display these video controls, and adjust the sliders as appropriate.

Configuring Player Options

Finally, there are a bunch of general program options you can configure. These are available on separate tabs in the Options dialog box. (You open this dialog box by selecting Tools, Options.)

Table 14.2 details what configuration settings you can adjust.

Table 14.2. Windows Media Player Options, By Tab

Tab

Options

Player

Frequency of automatic software updates, Internet settings, and how the player is displayed on your desktop

Rip Music

Location of stored files, which file format (Windows Media or MP3) is used for copying/recording, and quality of copied music

Devices

Playback and copy settings for audio CDs and portable audio devices

Performance

Connection speed and buffering for streaming media, as well as settings for video hardware acceleration

Library

Automatically add and delete items in the Library, as well as update information about media files

Plug-ins

Add and configure various plug-ins, including visualizations, backgrounds, and DSPs

Privacy

Specify various privacy settings, including whether WMP sends your usage data back to the Microsoft mothership

Security

Determines whether script commands are automatically run

File Types

Sets for which file formats WMP should be the default player

DVD

Sets parental controls and language/audio settings for DVD playback

Network

Configures network protocols and proxy settings for streaming media playback


Playing Audio Files

TIP

If you'd rather not use these transport controls, just pull down the Play menu and select either Play/Pause or Stop.

Now that we have all that messy configuration and customization out of the way, let's get down to the important stuff—using WMP to play audio files!

Normal Playback

You can use WMP to play audio files that are stored on your computer or downloaded from the Internet, or to play back songs from a normal audio CD.

CD playback should start automatically when you insert a CD into your PC's CD drive. To play back a digital audio file, you first have to load that file into the player by selecting File, Open, or by double-clicking on a file in WMP's Library.

The player's transport controls are located at the bottom of the main window. You start playback by clicking the Play button, or pause playback by clicking the Pause button. (It's the same button—it says Play when playback is paused or stopped, and Pause when a song is playing.) You stop playback completely by clicking the Stop button.

You don't have to play the entire song from start to finish. The Seek slider indicates where you are in a song. You can move the slider anywhere in the song, and playback resumes from the point you selected.

You also can choose to play the songs on a CD in a random order. Just select Play, Shuffle, and WMP will shuffle randomly through the tracks on the CD.

Adjusting the Volume

If the sound is too loud (or not loud enough), you can change the volume by dragging the Volume slider to the right (louder) or left (softer). If you need to mute the sound quickly, click the Mute button to the left of the Volume slider. Click the Mute button again to unmute the sound.

CAUTION

Internet radio streamed in the RealMedia (RealAudio or RealVideo) format can't be played with WMP. For these files, you'll need to use the RealMedia player, discussed in the "Using Other Media Players" section, later in this chapter.


Listening to Internet Radio

Many real-world radio stations broadcast over the Internet using streaming audio. With streaming audio, playback can start before an entire file is downloaded. Because live radio has no files to download, it has to be streamed to your computer.

Some Internet radio programs are simulcasts of traditional radio stations. Other Internet radio programs are Web-only affairs. You can use WMP to listen to many Internet radio programs.

The first step to listening to Internet radio is finding a station you want to listen to. WMP can access the Internet and display a Web page of compatible Internet radio stations, as shown in Figure 14.8. All you have to do is click the Radio button to display this screen of listings, which is a good place to start when you want to listen to streaming audio broadcasts.

Figure 14.8. Go to the Radio page to view this listing of Internet radio stations.

[View full size image]

You can search for stations via the search box at the top of the window, or browse stations by type of programming. When you find a station you want to add to your list of presets, select the station and click the Add (+) button. Your preset stations are displayed at the top of the station list.

NOTE

You have to be connected to the Internet for WMP to find and display this DVD information and cover art.


Watching DVDs

If you have a DVD-ROM drive in your computer and the proper DVD decoder software installed, you can use WMP to play DVD movies on your computer screen.

Playing a DVD Video

When you put a DVD in your DVD drive, WMP starts playing it, automatically. You also can initiate playback by selecting Play, DVD or CD Audio.

As you can see in Figure 14.9, the DVD video displays in the video window. The individual tracks on the DVD are displayed in the Playlist area, and information about the DVD (including the DVD cover) is displayed beneath the video window.

Figure 14.9. Watching a DVD movie with Windows Media Player.

[View full size image]

Navigating DVD Menus

Almost all DVDs come with their own built-in menus. These menus typically lead you to special features on the disc, and allow you to select various playback options and jump to specific scenes.

To display the DVD's main menu, select View, DVD Features, Root Menu. To display the DVD's special features menu, select View, DVD Features, Title Menu. When the special features menu is displayed, you can click any of the options onscreen to jump to a particular feature.

TIP

You also can jump to the DVD's special features menu by clicking WMP's DVD Menu button, located just above the transport controls.

Changing Audio Options

Many DVDs come with an English-language soundtrack, as well as soundtracks in other languages. Some DVDs come with different types of audio—mono, Dolby Pro Logic surround, Dolby Digital 5.1 surround, and so on. Other DVDs come with commentary from the film's director or stars on a separate audio track.

You can select which audio track you listen to by selecting Play, Audio and Language Tracks. This displays a list of available audio options. Select the track you want to listen to, then settle back to enjoy the movie.

Playing in Slow Motion—or Fast Motion

WMP provides a variety of special playback features. You can pause a still frame, advance frame-by-frame, or play the movie in slow or fast motion.

To access these special playback features, you have to select View, Enhancements, Play Speed Settings. This displays a set of special controls in the Now Playing Tools area of the WMP window, as shown in Figure 14.10.

Figure 14.10. Use the Play Speed Settings controls for variable-speed playback.

[View full size image]

To play the movie in slow motion, drag the Variable Play Speed slider to the left. To play the movie at a faster-than-normal speed, drag the slider to the right. To return to normal speed, click the Play button. (You can also engage variable-speed playback by clicking the Slow, Normal, or Fast links above the slider.)

TIP

If you drag the slider to the left of the 0 mark, you'll actually start playing the movie backward!

To pause the movie and display a still frame, click the Pause button in the transport controls. To advance one frame at a time, click the Next Frame button. Click the Play button to return to normal playback.

Displaying Subtitles and Closed Captions

Many DVDs include subtitles in other languages. Other DVDs include closed captioning for the hearing impaired. You can view closed captions and subtitles by selecting Play, Captions and Subtitles, and then choosing the appropriate language or other option.


Organizing Your Media Files

Windows Media Player functions not only as a media player, but also as a media manager. You can use WMP's Library feature to organize all the digital media files on your computer—as well as links to other digital content on the Internet.

Note that the Library is different from WMP's playlists. The Library contains all your media files, whereas playlists contain lists of files that you personally create. (Thinking of it one way, playlists are subsets of the larger Library.)

You view and manage your files from WMP's Library screen, shown in Figure 14.11. Click the Library tab to display this screen.

Figure 14.11. Manage your digital media files from WMP's Library.

[View full size image]

Searching for Media Files

To add files to your Library, you first have to find them. One of the first places to look for files is on your PC's hard disk.

To search for media files on your computer, select Tools, Search for Media Files. When the Search for Media Files dialog box appears, select which drives and folders you want to search, then click the Search button. WMP will now begin the search, and add any digital media files it finds to either the All Audio or All Clips (for video files) categories.

If you add too many files to your Library, you may need to search the Library itself for specific files. To do this, use the search box at the top of the Library screen; enter your search criteria in the search box and click the Find Now button. The results of your search will be displayed in the Search Results playlist.

Adding Files to Your Library

You can add new files to your Library from compact discs, Internet sites, or other locations on your hard disk or network. Table 14.3 shows how to add various types of files.

Table 14.3. How to Add Files to Your Library

Type of File

Instructions

CD audio track

Select File, Add to Library, Add Currently Playing Track

File (on your PC or network)

Select File, Add to Library, Add File

File (on the Internet)

Select File, Add to Library, Add URL

After you add a file to your Library, you can play it by selecting it in the track list and then clicking the Play button. To delete a file from the Library, right-click the track and select Delete From Library from the pop-up menu.

Working with Playlists

An easier way to work with your favorite files is to create a customized playlist. You can play all the songs in a playlist with a single action, which is a lot easier than selecting all the songs individually.

To create a playlist, follow these steps:

1. | From the Library screen, select File, New Now Playing List.
2. | Click the Now Playing List button and select New List, Playlist.
3. | Click and drag songs from the Contents pane onto the List pane to create your playlist.
4. | Click New Playlist and select Save Playlist As.
5. | Enter a playlist name.
6. | Click Save.

Listening To and Creating Auto Playlists

WMP 10 also includes a feature called auto playlists. These are playlists that WMP automatically generates, based on various criteria. The built-in autoplaylists include fifteen different lists, with names such as "Favorites—Have Not Heard Recently," "Favorites—Listen to On Weekends," and "Music Tracks I Dislike." (Why you'd want to listen to a whole playlist full of stuff you don't like is beyond me.)

You also can direct WMP to create new auto playlists, based on criteria you determine. Just follow these steps:

1. | From the Library screen, click the Now Playing List button and select New List, Auto Playlist.
2. | When the New Auto Playlist dialog box appears, enter a name for your playlist.
3. | Click the first green plus sign to select your first criterion. The qualifier now appears above that criterion; click the underlined words to define your qualifications.
4. | Click the second and third green plus signs to add more criteria to the playlist.
5. | Click OK when done.

Playing a Playlist

To play a playlist, go to the Library screen and double-click the selected playlist. The playlist should start playing automatically. If not, all you have to do is click the Play button. All the tracks in your playlist will play, one at a time, in the order listed.

To skip a track within a playlist, click the Next button or select Play, Next. To repeat a track you really like, select the track and then select Play, Repeat. You can also play the tracks in a playlist in random order by selecting Play, Shuffle.


Using Other Media Players

I'll wrap up this chapter by noting that Windows Media Player isn't the only media player on the market. The reality is that Microsoft is in a bitter fight for the digital media market, and there are several strong competitors to WMP that you might want to check out. The most popular of these include:

  • Apple iTunes (www.apple.com/itunes/)

  • Musicmatch Jukebox (www.musicmatch.com)

  • RealPlayer (www.real.com)

  • Winamp (www.winamp.com)

If you have a newer version of Windows XP, or one with Service Pack 1 or 2 installed, you can reconfigure Windows so that WMP is no longer the default media player. To do this, you first have to install one of these third-party media players, then follow these steps:

1. | Click the Start button then select Control Panel.
2. | Double-click the Add or Remove Programs icon.
3. | When the Add or Remove Programs dialog box appears, click Set Program Access and Defaults, on the left side of the window.
4. | Click the down arrow next to the Custom option.
5. | Scroll to the Choose a Default Media Player section and select the media player you want to use.
6. | Uncheck the Enable Access to This Program option next to Windows Media Player.
7. | Click OK.


The Bottom Line

As users get more comfortable playing audio and video files on their PCs, Windows Media Player will become an even more essential part of Windows. (Well, I'm not convinced that it's actually a part of Windows. It still seems like a separate utility to me—even though the only way to get the latest version of WMP is by buying Windows XP.)

So you'll probably be using WMP a lot. Just be sure you remember these important points:

  • The latest version of Windows Media Player is version 10; it includes a niftier interface, MP3 compatibility, DVD playback, and the capability to burn your own CDs and copy files to portable audio players.

  • You can display WMP in Full or Skin modes, or in the new taskbar-sized Mini Player. Or, when you're watching DVD movies, you can switch to full-screen mode.

  • You can change the look-and-feel of WMP by selecting new skins.

  • To play a CD with WMP, all you have to do is insert the CD in your CD-ROM drive and click the Play button; if you're connected to the Internet, WMP will go online and download detailed information about the CD or DVD that you're playing.

  • You can use WMP to listen to Internet radio stations. Just click the Radio button and search the type of station you want to listen to.

  • If you have a DVD-ROM drive in your PC, WMP will play back DVD movies. Disc chapters are displayed in the Playlist pane, and you can jump to the disc's main menu by selecting View, DVD Features, Title Menu.

  • WMP lets you store and categorize all the digital media files on your computer—as well as CD tracks and selected files on the Internet. You organize your files in the Library; click the Library tab to display your files. (This also is where you create personalized playlists of your favorite tracks.)


Chapter fifteen. Playing and Recording MP3 and WMA Audio

IN THIS CHAPTER

Introducing Digital Audio 306

Finding and Downloading Digital Audio Files 311

Copying (Ripping) CD Tracks to Your PC 312

Burning Audio Files to a CD 315

Copying Files to a Portable Music Player 317

The Bottom Line 318

Listening to and downloading music from the Web is a big deal. Instead of buying a CD at a traditional music store, you can download the music you like from the Internet. Then you can listen to your favorite songs directly from your hard disk, burn your own custom CD compilations, or copy the music you want to a portable audio player to listen to on the go.

There are any number of media player/recorder programs that can handle all these tasks for you. Windows Media Player (WMP) is one of them. And because it's included free-of-charge with Windows XP, why not use it?

I showed you the basic operations of WMP in Chapter 14, "Using Windows Media Player." In this chapter I'll show you specifically how to use WMP to download, store, and copy digital audio files.

One of the new features of the Windows XP version of WMP is the capability to record MP3-format audio files. WMP could always play back MP3s, but this is the first Microsoft player that also can record MP3s. And, with WMP 10, the MP3 encoder is built into the play—unlike WMP 9, where you had to purchase an add-on encoder to record MP3 files. One more thing to like about WMP 10!


Introducing Digital Audio

The advent of digital audio enables anyone with a personal computer to make reasonably acceptable (and, depending on the format, bit-for-bit perfect) digital copies of songs from compact discs, and to store these copies on their computer's hard disk. Digital audio also lets any PC user with an Internet connection trade songs with other users, and download copies of songs that other users have made. In addition, digital audio lets users download their favorite songs to portable audio players and listen to them while they're away from the computers. It's ultimate user control over the music you listen to.

In the previous chapter I explained how music and movies are now recorded digitally. There are many different ways to make a digital recording, which results in many different file formats for digital audio.

Of all the available file formats, the one that has enjoyed almost universal popularity is the MP3 format. That's because MP3 was the first widely accepted format that combined good quality sound with reasonably small files.

But MP3 isn't the only digital audio file format in use today. Microsoft is waging a strong campaign for its Windows Media Audio (WMA) format, which offers similar quality to MP3 at half the file size.

I'll look at both these formats—MP3 and WMA—in the following sections.

MP3 Audio

MP3 is a digital audio file format that compresses music to fit within reasonably sized computer files—while maintaining near-CD quality sound. A typical three-minute song in MP3 format takes up about 3MB of disk space.

It's not an exaggeration to say that MP3 took the music industry by storm. Music fans love MP3—even though most record companies (and many artists) despise it. In particular, they fear that unauthorized copying of their music will deprive them of revenues from traditional CD sales. Whether or not that's the case, MP3 has quickly become the standard for music on the Web—and there's no stopping it.

Developed (and patented) by Thomson Multimedia and the Fraunhofer Institute, the MP3 digital audio format is an extension of Motion Picture Experts Group (MPEG) Layer 3 technology. (The MP3 file extension is short for MPEG Layer 3.) MP3 and other MPEG formats store music digitally, and in the process compress the original data to take up less space than it did originally. MP3's data compression reduces digital sound files by about a 12:1 ratio.

Besides compressing the data in an audio file, MP3 also lets you choose the rate at which the original music is sampled. The lower the sampling rate, the smaller the filer size—and the lower the sound quality.

As an example, normal compact discs sample music at a 44.1KHz rate. In other words, the music is sampled, digitally, 44,100 times per second. Each sample is 16 bits long. When you multiply the sampling rate by the sample size and the number of channels (two for stereo), you end up with a bit rate. For CDs, you multiply 44,100 x 16 x 2, and end up with 1,400,000 bits per second (1,400Kbps).

The space taken up by these bits can add up quickly. If you take a typical three-minute song recorded at 44.1KHz, you end up using 32MB of disk space. Although that song can easily fit on a 650MB CD, it's way too big to download over a 56Kbps dial-up Internet connection.

The appeal of the MP3 format is that it combines compression with lower bit-rate sampling. By recording at lower bit rates, you get smaller files—and faster downloads.

For example, if you choose to encode an MP3 file at a 128Kbps bit rate, that same 32MB three-minute song will compress to just 3MB of storage. That's small enough to download easily, even on a dial-up connection.

The problem with shrinking files to this degree, of course, is that the sound quality suffers. The lower the bit rate, the worse the sound. The higher the bit rate, the bigger the file. It's a trade-off.

When you're recording an MP3 file, which bit rate should you use? Table 15.1 shows some of the more popular bit rates available, and describes the sound quality of each.

Table 15.1. Popular MP3 Bit Rates

Bit Rate

Sound Quality

56Kbps

Suitable for voice recording only. Extremely compressed sound, similar to AM radio.

64Kbps

Not noticeably different than 56Kbps. Still extremely compressed, not suitable for music.

96Kbps

Comparable to worst-case FM radio. Noticeable high-end loss, heavily compressed sound, lack of full dynamic range.

112Kbps

Noticeable improvement to 96Kbps. Still has poor definition and presence, with soft attacks.

128Kbps

Soft attacks, slightly compressed sound. Similar to normal FM radio, but still sub-CD quality. This is probably the most popular bit rate for encoding.

160Kbps

Sounds slightly softer and more compressed than the original, but less noticeably so than with lower bit rates.

192Kbps

Sounds similar to the original, but with less presence and somewhat restricted dynamic range.

256Kbps

Quality is approaching that of the original, but still has a slightly compressed sound.

320Kbps

Near CD-quality. This is the highest bit rate possible with the current MP3 standard.

If you're encoding MP3 files for use at your computer or with a portable MP3 player, the 128Kbps rate is probably good enough quality. If you're encoding MP3 files for playback on a high-fidelity audio system, you'll probably want to move up to at least a 256Kbps bit rate. (Sound quality is highly subjective, as you can imagine—some "golden-eared" audiophiles like myself find it difficult to listen to MP3s recorded at any bit rate!)

Windows Media Audio

TIP

Another popular digital audio format is the AAC format, which Apple uses for music sold in its iTunes Music Store. AAC is also the native format for playback on its wildly popular iPod portable audio players. The problem is, WMP won't play AAC file—and iPods won't play WMA files. So if you have an iPod, you're locked out of the WMA/WMP universe, and if you want to use WMP (or have a lot of WMA-format files), you're locked out of the Apple iPod/iTunes universe. If this annoys you, you're not alone; blame it on stubborn corporate incompatibility.

As I mentioned earlier, several competing audio formats have been introduced with the goal of providing listeners with either better sound quality or smaller file size (or both) than the current MP3 format. Microsoft's entrée in this competition is Windows Media Audio (WMA for short). WMA files offer similar sound quality as MP3 files, but at about half the size. (Or so Microsoft claims….)

WMA definitely offers better copyright protection than the MP3 format, which is a big issue for the music industry. Unlike MP3 files, the copyright holder can use digital rights management (DRM) technology to protect WMA files from unlawful distribution, copying, and sharing. (No more downloading of your favorite songs—for free, anyway.)

The way WMA copy protection works is that each file you download from an official site has a license. When you use Windows Media Player to copy protected content from your computer to another computer, the license is copied along with the song. When you try to play the copy-protected song on another computer, it won't play; you can only play DRM-protected songs on the original computer or device.

Fortunately, most DRM schemes let you copy protected files to a limited number of portable devices, and to burn the files to a limited number of CDs. And, for what it's worth, DRM works invisibly, in the background—until you exceed the license restrictions, that is.

Digital rights management aside, when you're making WMA recordings, you have a similar choice of bit rate as you do with MP3 files. The higher the bit rate, the higher the sound quality—and the larger the file size. Lower the bit rate and you lower the sound quality, but you also reduce the necessary disk space.

WMA files can be encoded at lower bit rates than MP3 files, with comparable sound quality. Table 15.2 (next page) compares bit-rate quality between the two formats.

Table 15.2. Comparing Bit-Rate Quality Between WMA and MP3 Audio Formats

MP3 Bit Rate

Comparable WMA Bit Rate

Sound Quality

64Kbps

48Kbps

Suitable for voice only

128Kbps

96Kbps

Similar to FM radio

192Kbps

128Kbps

Similar to the original

320Kbps

192Kbps

Near-CD quality

TIP

Use lossless WMA files to rip your CD collection to hard disk for playback on a home audio or home theater system. The sound quality will be identical to the original CDs.

As with the MP3 format, you can really hear the difference between the different WMA bit rates. A 48Kbps recording sounds a lot like AM radio, while a 192Kbps recording is near CD-quality. Pick something in the middle, like 96 or 128Kbps, and you get a recording that sounds like decent FM radio.

And, starting with WMP 9, the WMA format offers two interesting and sometimes useful variations. The first type of new WMA files feature variable bit-rate recording, which lets you cut down on file size during low-fidelity sections of music, or ramp up the bit rate during high-quality sections. The second type of new WMA files utilize so-called lossless compression, which maintain the original sound quality while still compressing the file size—although not nearly as much as with traditional WMA encoding. Both options are available from within WMP.

MP3 Versus WMA: Which Format Is Best?

Microsoft would like you to think that WMA is a better format than MP3 because it delivers similar quality at half the file size. Or, looking at it another way, you can get better sound quality out of similar-sized files. After several years of living with the WMA format, I definitely prefer WMAs to MP3s; the difference is subtle, but it's there.

Of course, you also have to take into account the popularity factor. Most song files that are being traded today are in MP3 format. Millions of users can't be wrong. MP3 is the king, and that's just the way it is.

Fortunately, Windows Media Player can play back both MP3 and WMA-format files. So whichever way you go, WMP has you covered!


Finding and Downloading Digital Audio Files

With all those MP3 and WMA files floating around the Internet, how do you find the ones you want—and get them into your computer?

To download a digital audio file to your PC, connect to the Internet and follow these general steps:

1. | Use Internet Explorer to navigate to a music download site. (Some possible sites are listed below).
2. | Search the site to find the song you want to download, and then click the "download now" link or button.
3. | Specify where on your hard disk you want to store the downloaded file, then click the Save button.

On a old-fashioned 56Kbps dial-up connection, it will take about 10 to 15 minutes to download a typical MP3-format song. The same file only takes a minute or so to download via a broadband connection.

There are literally hundreds of Web sites devoted to the downloading of audio files. Most of these sites feature files in the MP3 format, and most of the songs you find are "unofficial" (re: bootleg) versions, available for free. More reliable are the newer official download sites—actually online music stores. These sites let you purchase songs for about a buck apiece, and they're very reliable—in addition to being completely legal. It's hard for me to recommend anything but these legal music download sites these days; each site offers millions of songs by just about every artist imaginable, and it's all on the up and up.

The best of these official music download sites include:

  • iTunes Music Store (www.apple.com/itunes/store/—not compatible with Windows Media Player, unfortunately)

  • MSN Music (music.msn.com, shown in Figure 15.1)

    Figure 15.1. Download music at a buck a song from the MSN Music.

    [View full size image]

  • Napster (www.napster.com)

  • Walmart Music Downloads (musicdownloads.walmart.com).

TIP

After you've downloaded the song, you'll want to add it to your WMP Library, and perhaps to a custom playlist. Follow the instructions in Chapter 14 to perform these tasks.


Copying (Ripping) CD Tracks to Your PC

The next step in the digital audio revolution is learning how to copy tracks from your favorite CDs to your computer's hard disk. If you have a large enough hard disk, you can store an entire library of CDs or individual tracks and then choose from this library to burn your own custom CDs.

This process of copying files from a CD to your hard disk, in either MP3 or WMA format, is called ripping. Windows Media Player makes it easy to rip your favorite songs.

Set the Format and Quality Level

TIP

When using the normal WMA format, a quality level of 128Kbps or or 160Kbps is typically a good choice.

Before you begin copying, you first have to tell WMP what format you want to use for your ripped files—MP3 or WMA. (Remember, the MP3 option will be there only if you've purchased and installed the MP3 Creation Pack.) You also have to choose the quality level for recording.

Here's how you set the format and quality:

1.
Select Tools, Options.

2.
When the Options dialog box appears, click the Rip Music tab (shown in Figure 15.2).

Figure 15.2. Before you copy a file, select which format and quality level you want to use.

3.
Pull down the Format list and select the file format you want. (Your choices include MP3, WMA, WMA Lossless, and WMA Variable Bit Rate.)

4.
Adjust the Audio Quality slider to select your desired bit rate. Move the slider to the left to create smaller files at lower quality; move the slider to the right to create larger files at better quality.

5.
Click OK when done.

Rip the Files

TIP

Make sure you're connected to the Internet before you start ripping, so that WMP can download album and track details. (If you don't connect, you won't be able to encode track names or CD cover art.)

After your settings are set, it's time to start recording. (Technically, recording in a digital format is called encoding—although everybody calls it ripping.)

Follow these steps:

1.
Insert the CD you want to rip into your PC's CD-ROM drive.

2.
In Windows Media Player, select the Rip tab to show the contents of the CD, a shown in Figure 15.3.

Figure 15.3. Getting ready to copy selected album tracks—just click the Rip Music button.

[View full size image]

3.
Put a check mark by the tracks you want to copy.

4.
Click the Rip Music button.

WMP now begins to copy the tracks you selected, in the format you selected, and at the quality level you selected.

Unless you specify otherwise in the Options dialog box, the tracks are recorded into your My Music folder, into a subfolder for the artist, and within that in another subfolder for this particular CD. As you can see in Figure 15.4, the folder for the album displays the CD's cover graphics. (Assuming you connected to the Internet to download the cover art, that is.)

Figure 15.4. Your ripped files are stored in a subfolder for that particular CD.

[View full size image]


Burning Audio Files to a CD

If you can copy tracks from a CD to your hard disk, what's to stop you from going in the other direction—copying files from your hard disk to a recordable/rewritable CD?

Assuming that the tracks aren't copy protected, nothing.

This process of recording your own custom CDs is called burning a CD. And Windows Media Player makes it extremely easy to burn your own music CDs.

You can copy virtually any audio file from your hard disk to a blank CD. You can copy tracks you've ripped from other CDs, as well as MP3 or WMA files you've downloaded or swapped from the Internet. As long as the files are on your hard disk, they can be burned.

TIP

WMP lets you burn MP3, WAV, and WMA format files. The process of converting these files to CDA format is called transcoding.

Naturally, to burn a CD, you need a CD-R or CD-RW drive in your PC. Many new PCs come with a CD-R/RW drive as standard. If you need to add a CD-R/RW drive, it won't cost you more than a hundred bucks.

WMP lets you burn CDs in either CD-R (recordable) or CD-RW (rewritable) formats. CD-Rs can only be recorded once, but can play on any CD player. CD-RWs can be copied onto over and over, but can only be played in compatible CD-RW drives—CD-RW discs typically won't play in normal CD players. (You probably want to record music CDs in the CD-R format.)

TIP

A quicker way to select songs is to create a playlist first, then select that single playlist on the Burn tab.

The easiest way to record is to record an entire playlist. Assemble the playlist beforehand to get the timing right, and then send the entire playlist to your CD. You can record up to 74 minutes or 650MB worth of music (or 80 minutes/700MB on higher-capacity CDs), whichever comes first.

Unlike CD ripping, CD burning doesn't require you to set a lot of format options. That's because whatever format the original file is in, when it gets copied to CD it gets encoded into the CDA (CD Audio) format. All music CDs use the CDA format, so if you're burning an MP3 file, Windows Media Player translates it to CDA before the copy is made.

There are no quality levels to set, either. All CDA-format files are encoded at the same bit rate. So you really don't have any configuration to do—other than deciding which songs you want to copy.

Here's what you have to do to burn a CD:

1.
Insert a blank CD-R disc into your computer's CD-R/RW drive.

2.
From within WMP, select the Burn tab, as shown in Figure 15.5.

Figure 15.5. Getting ready to burn a CD with files from your hard disk.

[View full size image]

3.
Pull down the Items to Burn list (on the left) and select All Music.

4.
Check those songs you want to burn to CD.

5.
Select your CD-R/RW drive from the Device list (on the right), then select Audio CD.

CAUTION

If you're trying to copy too much music to the CD, WMP will display a "May Not Fit" message in the Status column of the final tracks. WMP will try to fit these tracks on the CD, but there may not be room for them.

6.
Click the Start Burn button.

7.
WMP now inspects the files you want to copy, converts them to CDA format, and copies them to your CD.

When the entire process is done, WMP displays a Closing Disk message for the final track on your playlist. The burning is not complete until this message is displayed.


Copying Files to a Portable Music Player

You can connect any brand of portable music player to your PC. For most of these portable players (iPods excluded), you can use Windows Media Player to transfer music from your PC to your portable device. This is especially easy with WMP 10, which has updated connectivity features.

Here's all you have to do.

1. | Connect the supplied cable between your portable music player and a USB port on your PC.
2. | In Windows Media Player, click the Sync tab.
3. | Pull down the Sync list (on the left side) and select either All Music or a specific playlist, then check those songs you want to transfer to your music player.
4. | Pull down the Device list (on the right side) and select your portable audio player.
5. | Click the Start Sync button to transfer the selected files to your portable audio player.

TIP

Many portable audio players come with their own software programs for transferring files from your PC. (For example, you use Apple's iTunes software to manage music files on an iPod.) In most cases (the iPod excluded) you can use either your player's program or Windows Media Player to perform this task.


The Bottom Line

There's a ton of music on the Internet. A lot of it is available for free. Some of it will cost you. In either case, you can use Windows Media Player to manage and play your ripped and downloaded files—and to burn those files to CD. Just remember these key points:

  • MP3 has long been the most popular digital audio format, although Microsoft's Windows Media Audio (WMA) promises smaller file sizes and better copy protection at the same level of sound quality—and is the preferred format for official music download sites.

  • When you copy a song from CD to hard disk it's called ripping. When you copy a song from your hard disk to CD, it's called burning.

  • The bit rate you choose for recording an MP3 or WMA file determines the trade-off between file size and sound quality. If you're recording voices only, use MP3's 64Kbps bit rate or WMA's 48Kbps rate. If you want FM-quality music playback, use MP3's 128Kbps bit rate, or WMA's 96Kbps rate. If you want near-CD quality, go with MP3's 256Kbps rate, or WMA's 192Kbps rate.

  • You can also use WMP 10 to copy songs and playlists from your computer to a portable music player (Apple iPods excluded).


Chapter sixteen. Playing and Editing Digital Movies

IN THIS CHAPTER

Introducing Windows Movie Maker 320

Assembling Your Source Material 323

Editing Your Video 326

Saving Your Movie 333

The Bottom Line 334

If you're like most of your neighbors, you have a camcorder, and a lot of old videotapes. You use your camcorder to take what we used to call home movies. And most of your home movies sit, unwatched, somewhere in the back of your closet.

One reason Americans don't watch more home movies than they do is because the movies are—well, because they're not very good. You shoot and you shoot, and everything you shoot goes on tape. The only editing you do is "in camera," as the pros say. So you end up with a half hour's worth of good scenes scattered throughout a two-hour tape.

Wouldn't it be great if you could edit your home movies? If you could make them better?

You know, if you cut out all the dull sequences, insert some smoother transitions between scenes, maybe even add some titles and background music, you might have something worth watching. That sounds like a lot of work, though. And something that probably requires a few thousand dollars worth of professional video-editing equipment.

Except that it doesn't.

All those video-editing capabilities are now built into Windows XP. The Windows Movie Maker (WMM) utility, first introduced in Windows Me, is an easy-to-use video-editing program. All you have to do is hook up your camcorder or VCR to your PC, then you're ready to edit your home movies—on your personal computer, digitally.

The results will impress you.


Introducing Windows Movie Maker

NOTE

Early versions of Windows XP shipped with Windows Movie Maker version 1.0. The latest version of WMM is 2.0, which is shipping with all new PCs and current boxes of Windows XP. If you have the older version installed on your system, you can upgrade (for free) at www.microsoft.com/windowsxp/moviemaker/.

Windows Movie Maker really isn't a part of the operating system, in spite of what Microsoft says. It's a utility included with the OS, much the way Microsoft Calculator or Microsoft Paint have always been included with Windows. I don't think anyone could argue that video editing is a key operating system function, but because Apple started to include the iMovie video editor with all its iMacs, I'm sure Microsoft saw a competitive reason to add Windows Movie Maker to its Windows package.

In any case, if you use your camcorder a lot, you'll appreciate the fact that you have a free video-editing program sitting right on your Windows desktop. And, although it isn't the most full-featured video editor around, it has all the basic functions. For most users, it's more than good enough.

Learning the Interface

NOTE

WMM can display either the Tasks or Collections pane, but not both at the same time. Switch between them by using the Tasks and Collections buttons on the WMM toolbar.

You start Windows Movie Maker by clicking the Start button and then selecting All Programs, Accessories, Windows Movie Maker. As you can see in Figure 16.1, the Movie Maker window is divided into several main parts:

  • Tasks. Lists the common tasks you'll need to perform when creating your movie project.

  • Collections. Displays all the audio, video, and still images included in your current project.

  • Contents. Displays the individual video clips in your project.

  • Storyboard/Timeline. This area, at the bottom of the window, displays key scenes, and is used to edit your movie. The default view is the Storyboard; you also can switch to the Timeline view to edit the timing of your project's clips.

  • Monitor. Previews your movie as you're editing it.

Figure 16.1. Windows Movie Maker—all your video editing needs in one easy-to-use program

[View full size image]

TIP

Forget Microsoft's recommendations. My experience is that if you're editing digital movies, you need a lot more horsepower than they suggest. I recommend a machine with at least a 2GHz processor, at least 1GB of RAM, and a really big hard disk (100GB minimum). In fact, using a separate external hard disk for your movie files makes a lot of sense. Bottom line? If you're serious about digital movie editing, any old PC won't do; you need a state-of-the-art PC for this high-performance task.

What You Need

Windows Movie Maker has more stringent equipment requirements than Windows XP. The faster your processor, the more memory you have installed, and the larger your hard disk, the easier it will be to use Movie Maker to edit your home movies.

Here are the minimum system requirements that Microsoft specifies for WMM 2:

  • 600MHz Pentium II or equivalent processor (1.5GHz recommended)

  • 128MB RAM (256MB recommended)

  • 2GB free hard disk space

  • Audio capture device (microphone)

  • Video capture device (analog-to-digital video capture board) or digital video input

    TIP

    For best results, you should strive for a completely digital chain. Start with a digital video shot on Digital8 or MiniDV, input the video to your PC via FireWire, edit the video digitally with Windows Movie Maker, and then output the completed movie to a CD or DVD in WMV format.

  • Internet connection and an e-mail program (not necessary, but recommended for posting and sending movie files over the Internet)

If you have an older, non-digital camcorder, you'll need to install an analog-to-digital video capture card in your PC. You'll plug your recorder into the jacks in this card. It converts the analog signals from your recorder into the digital audio and video that your computer understands. You'll need to install this card if your recorder is one of the following formats: VHS, VHS-C, SVHS, 8mm, or Hi8.

If you have one of the latest digital video (DV) recorders, you don't need a video capture card at all. What you do need is an IEEE1394 FireWire interface. This type of connection is fast enough to handle the huge stream of digital data pouring from your DV recorder into your PC. You'll need a FireWire connection if your recorder is either Digital8 or MiniDV format.

Understanding File Types

As you start to edit your movies, you'll find that Windows Movie Maker uses three different types of files. These file types are:

  • Project file. This is kind of a "container" file, with the .MSWMM file extension. The project file includes all the clips and information used in the editing of the current project. It doesn't include the movie itself—that file has to be created after you've done all your editing within the project file.

  • Movie file. When you're done cutting and pasting and inserting, you assemble all the pieces and parts and save them as a single, finished movie file. Your movies are created in Windows Media Video format, with a .WMV extension.

  • Collections file. This is a database file that stores information about your collections and clips. It doesn't contain the clips themselves, but rather serves as a pointer to all those pieces and parts. This file has a .COL extension.


Assembling Your Source Material

Before you can edit your movie, you must have something to edit. This means importing whatever video and audio you want to include in your finished movie.

For most movies, your main source material will be your original video tape(s). You'll use Windows Movie Maker to record the tape as you play it back on your VCR or camcorder. You can import material from more than one videotape, in case you want to edit together several shorter tapes into a longer movie.

If you want to add background music or voiceover narration, those are other elements you need to assemble. In addition, any title cards you want to include must be created (in a graphics-editing program) and then imported into Windows Movie Maker.

Each item you assemble goes into your collection for this project. The movies you record are included as clips, which you can rearrange and delete and otherwise manipulate to edit your project. (You also can split big clips into several smaller clips, as I'll explain later.)

After you have all your elements assembled, you can proceed with editing. But before we get into the tough job of editing, I'll show you how to assemble various types of source material.

Starting a New Project

Before you import any source material, you must have something to import it into. That thing is called a project, and you start a new one by selecting File, New, Project. You can open an existing project by selecting File, Open Project.

Recording from a Camcorder or VCR

If you have an analog camcorder or VCR, you have to connect it to the video capture board installed in your PC. (If your PC doesn't have a video capture board—and few new PCs do—you'll have to purchase and install one.) If you have a DV camcorder or VCR, you connect it through your PC's FireWire connection.

After you have the camcorder or VCR connected and turned on, select File, Capture Video. This launches the Video Capture Wizard. Follow the onscreen instructions to:

1. | Select the capture device you want to use.
2. | Specify where you want the captured video (and audio) file to be saved, and enter a name for the new file.
3. | Choose the video setting (the level of recording quality). For most purposes, Best Quality for Playback on My Computer is the best option. If you're inputting from a DV source, you can choose the higher-quality Digital Device Format (DV-AVI), although this option can create some mighty big files. (Remember, the higher the quality you choose, the larger the resulting movie files.)
4. | If you're capturing video from a DV camcorder, choose the method you want to use to capture the video and audio.
5. | Click the Record button.

After you've made these selections, press the Play button on your camcorder or VCR; WMM automatically records the playback from your input device. (Recording will stop when you press the Stop button, or after two hours, whichever comes first.) The new clips you create will now appear in the Collections area of the Movie Maker window.

Importing Other Files

Although most of your projects will consist primarily of movies recorded from videotape, you can include several other types of source material. For example, you can edit in movie clips you download from the Internet, or songs you rip from your favorite CDs, or title slides you create in a graphics-editing program.

In case you're curious, Table 16.1 lists all the different file types that can be imported into Windows Movie Maker.

Table 16.1. Acceptable File Types for Importing into Windows Movie Maker

Type of File

File Types

Video

ASF, AVI, M1V, MP2, MPA, MPE, MPEG, MPG, WMV

Audio

AIF, AIFC, AIFF, AU, MP3, SND, WAV, WMA

Still images

BMP, DIB, GIF, JFIF, JPE, JPEG, JPG

There are a few eccentricities you should know about when you import some of these files into Movie Maker. These include

  • When you import a file, the file itself doesn't actually move or get copied. Instead, Movie Maker creates a clip that points to the original file. That means that if you move or delete the original file, Movie Maker won't be pointing to the right place.

  • When you import a video file, Movie Maker will break it into multiple clips based on scene transitions. So don't freak out when you import a single file and see multiple clips appear in the Movie Maker window.

  • When you import a still image that's taller than it is wide, it will be resized or framed to fit within a standard 4:3 ratio television screen.

All that said, importing a file is a piece of cake. Just follow these instructions:

1. | Select the collection into which you want to import.
2. | Select File, Import Into Collections.
3. | When the Import File dialog box appears, navigate to and select the file you want to import.
4. | Click the Open button.

The file you imported now appears as one or more clips in Movie Maker's Collections area.


Editing Your Video

You create your movie in the Storyboard area at the bottom of the Movie Maker window. You create a movie by dragging clips down into the Storyboard. You can insert clips in any order, and more than once if you want. After the clips are in the Storyboard, you can drag them around in a different order. This is how you edit the flow of your movie.

When you get the basic flow of your movie in place, you can switch from Storyboard to Timeline view, shown in Figure 16.2. In this view, you see the timing of each segment, and can overlay background music and narration.

Figure 16.2. Displaying your clips in Timeline view.

[View full size image]

(You switch views by clicking the Show Timeline/Show Storyboard button just above the Storyboard/Timeline.)

As you work, you can preview your project-in-process with the Movie Maker Monitor. Just select one or more clips in the Storyboard/Timeline, and then click the Play button on the Monitor.

Working with Clips

Working with Movie Maker's clips is fairly intuitive. Just drag things into place and move them around as you like, and you have 90% of it mastered.

ADD A CLIP

To add a clip to your project, use your mouse to drag it from the Contents pane into position in the Storyboard/Timeline. You can add a clip more than once, to repeat it in different sections of your movie.

MOVE A CLIP

To move a clip from one position to another, grab it with your mouse and drag it to the new position. The surrounding clips will be rearranged when the clip is dropped into its new position.

REMOVE A CLIP

If you end up with a clip that you no longer want to include, just select it and then select Edit, Delete.

TRIM A CLIP

Sometimes a clip contains more footage than you really want. You can remove excess parts from a clip by trimming it from the beginning or end.

You trim a clip by setting its trim points, which are effectively the left and right borders of the clip. The easiest way to set the trim points is to display the Workspace in Timeline view and then select the clip to trim. Use your mouse to drag the left or right border toward the middle of the clip; it's kind of like cropping a picture, except in this case you're selecting how much of the beginning or ending of the clip to trim.

You also can trim a clip in real time by playing the clip on the Monitor. While the clip is playing, select Clip, Set Start Trim Point to set the beginning of the area to be trimmed. Select Clip, Set End Trim Point to set the end of the area to be trimmed.

SPLIT A CLIP

As you start to edit your movie, you might find that some of the cuts and edits you want to make fall in the middle of a clip. When this is the case, you can split the clip in two and then work with each half of the clip separately.

To split a clip, follow these steps:

1. | From the Clips area, select the clip you want to split and begin playing it on the Monitor.
2. | When you reach the point where you want to make the split, click the Pause button. (You can then reverse and forward the clip to find the exact split point.)
3. | Select Clip, Split.

You've now created two separate clips. The first clip retains the name of the original clip. The second clip has the original name with the number one in parentheses (1).

COMBINE MULTIPLE CLIPS

You might want to combine two or more contiguous clips into a single clip, to make them easier to work with in the Workspace. To do this, select the clips (by holding down Ctrl while clicking each clip) and then select Clip, Combine. The combined clip retains the name of the first clip you selected.

Adding Titles and Credits

One of the fun (and useful) things you can do with WMM 2 is add titles and credits to your movies. To add text to your video, follow these steps:

1. | Select the clip where you want to add the text.
2. | Select Tools, Titles and Credits.
3. | Select where you want to add the text—at the beginning of the movie, before the selected clip, during the selected clip, after the selected clip, or (for credits) at the end of the movie.
4. | Enter the text for your title or credits.
5. | Click Change the Title Animation to select an animation effect for your text.
6. | Click Change the Title Text and Color to select a font, size, position, transparency, and color for your text.

Working with Transitions

After you've assembled all your clips, you can see how your movie plays by selecting all the clips and playing them on the Monitor. What you'll see is the "rough cut" of your movie, with very abrupt cuts between clips.

To make a more pleasing movie, you can add professional transitions between each scene in your movie. WMM 2 lets you apply a number of different transitions between scenes. Just follow these steps:

1.
Select Tools, Video Transitions.

2.
The Collections area of the WMM window now displays all the available video transitions you can use, as shown in Figure 16.3.

Figure 16.3. A few of the many transitions available with WMM 2.

3.
Use your mouse to drag the desired transition between the two clips in the Storyboard/Timeline.

Working with Special Effects

Another new feature in WMM 2 is the capability to add special visual effects to your movie. The effects include blurs, fades, film-aging effects, grayscale and sepia tones, and double-speed and half-speed effects. You can add these effects on a clip-by-clip basis, or apply the same effect to your entire movie.

To apply a special effect, follow these steps:

NOTE

If you're really lazy; you can have WMM 2 edit your movie for you. Just select Tools, AutoMovie, then select a particular type of project: Flip and Slide, Highlights Movie, Music Video, Old Movie, or Sport Highlights. Click Done, Edit Movie and WMM will assemble your clips, apply the appropriate transitions and effects, and let you know when it's done.

1.
Select Tools, Video Effects.

2.
The Collections area of the WMM window now displays the video effects you can use, as shown in Figure 16.4.

Figure 16.4. The various special effects available with WMM 2.

3.
Use your mouse to drag the desired transition to a specific clip in the Storyboard/Timeline.

To apply the same effect to multiple clips, just repeat these steps.

NOTE

To work with audio clips, you must switch to Timeline mode.

Working with Audio

Most of your video clips also will have accompanying audio. You can overlay additional audio on top of the original audio by inserting audio clips into the timeline.

INSERT AUDIO

You insert an audio clip the same way you insert a video clip. The difference is that the audio clip is displayed below the video clip in the Storyboard/Timeline, in what is called the audio bar. (You can see an audio clip in the audio bar in Figure 16.5.)

Figure 16.5. Insert background audio clips into the Workspace's audio bar.

[View full size image]

NOTE

The audio mix that you set in the Audio Levels dialog box affects the sound throughout the entire movie.

MIX AUDIO LEVELS

When you insert an audio clip, it plays simultaneously with the audio from the current video clip, mixed 50/50 with the original audio. You can even insert overlapping audio clips—as long as the two clips do not start and stop at precisely the same points. Again, the sound from each clip will be mixed 50/50 with the original audio.

If you don't like the automatic level mixing, you can adjust the sound levels for each clip manually. This way you can set your audio clip for background music or ambient sound, and set your video clip for foreground dialog.

To set audio levels manually, select Tools, Audio Levels. When the Audio Levels dialog box appears (see Figure 16.6), adjust the slider to the left or to the right. To bring the video track's audio up in the mix, move the slider to the left. To bring the audio track up in the mix, move the slider to the right. When you move the slider all the way to one end, the other track is effectively muted.

Figure 16.6. Use the Audio Levels dialog box to adjust the mix between background and foreground sound.

RECORD NARRATION

If you have a microphone connected to your computer, you can add a personal narration to your movie. Just switch to Timeline view and follow these steps:

1.
Select Tools, Narrate Timeline.

2.
When the Narrate Timeline pane appears (as shown in Figure 16.7), drag the Input Level slider to increase or decrease the volume of your narration.

Figure 16.7. Get ready to record your own narration!

3.
Click the Start Narration button and start talking. Click the Stop Narration button when you're done.

4.
When the Save Windows Media File dialog box appears, enter a name for your narration file and click Save.

Your narration is now saved as an audio clip and automatically inserted into the Storyboard/Timeline. You can now edit and move the narration track as you would any audio track.


Saving Your Movie

You save your project by selecting File, Save Project. This does not save a movie file, however—it only saves the component parts of your project.

When your project is absolutely, positively finished is when you actually make the movie. Select File, Save Movie and the Save Movie Wizard launches. From here you select where to save the movie file (your computer, a CD-R disc, an e-mail attachment, the Web, or to a tape in your DV camcorder), the name for the movie file, and the quality of the saved file. When you finish the wizard, WMM creates your movie and saves it as a WMV-format file. (Be patient—creating a movie can take some time!)

Choosing the right quality level is important. The higher the quality, the larger the file size. (And movie files can get really big, really fast!) You can create smaller files by lowering the quality, but if the quality is too low, viewers might not be able to fully enjoy the movie.

That's why it's important to match the playback quality to the intended use. For most of us, it's easier to let WMM choose the right quality, by selecting the Best Quality for Playback on My Computer option. If you want total control over the final output quality, choose the Other Settings option and select from one of the 18 different formats available. The highest-quality formats are High Quality Video (NTSC), which is good for making DVDs and VHS-format tapes, and DV-AVI (NTSC), which is good for making DV tapes. Choose one of the other available formats for Internet-based transmission.

After you've saved your movie, you can use Windows Media Player to watch it. Just open the My Videos folder and click the movie you want to watch. WMP automatically launches and begins playing the movie.


The Bottom Line

As you can see, Windows Movie Maker is a decent little digital video-editing program. It isn't as full featured as some other programs on the market, though. If your needs are more sophisticated, check out the full-featured Adobe Premiere Pro (www.adobe.com/products/premiere/), the lower-priced Adobe Premiere Elements (www.adobe.com/products/premiereel/), or the competing Ulead MediaStudio Pro (www.ulead.com/msp/). Both of these programs offer a lot more in the way of professional transitions, titling, special effects, and the like.

When you're using Windows Movie Maker, remember these key points:

  • Windows Movie Maker is a digital video-editing program that you can use to edit your home movies originally recorded on videotape. The latest version, available for free download, is version 2.0.

  • For the best results, stay all-digital throughout the entire process. This means recording your original movie in Digital8 or MiniDV format.

  • When you use a Digital8 or MiniDV camcorder, you connect the camcorder to your PC via an IEEE1394 FireWire connection. When you use an analog camcorder, you have to install an analog-to-digital video capture board in your PC, and connect to that board.

  • Besides your videotaped movies, you can also import audio files, still images, and other video files into your project.

  • The bits and pieces of your project are called clips. You put together your movie by dragging clips into the Storyboard/Timeline area at the bottom of the Movie Maker window.

  • WMM 2 lets you add professional transitions between clips, and special video effects to any specific clip.

  • You add background music by dragging an audio clip on top of the video clips. Audio from both your audio and video clips will play simultaneously, mixed 50/50.


Chapter seventeen. Using Windows XP Media Center Edition

IN THIS CHAPTER

What Media Center Is 336

Upgrading to Windows Media Center Edition 336

Using a Media Center PC 337

Setting Up Your Media Center PC 338

Using Windows XP Media Center 76

The Bottom Line 353

If you use your PC for more than just computing, there's another version of Windows XP you might be interested in. Windows XP Media Center Edition helps turn your PC into a full-fledged audio/video control center, complete with built-in hard disk video recorder and remote-control operation. The only trick is, to get this functionality you have to buy a new Media Center PC—you can't just upgrade your old PC to this specialized version of Windows XP. But if you're in the market for a new PC with all the bells and whistles, or have just purchased a new Media Center PC, then read on!


What Media Center Is

NOTE

Media Center's hard disk recording is very similar to that found on TiVo and other popular personal video recorder (PVR) devices—but without the monthly subscription fee.

In essence, Windows XP Media Center Edition (MCE) is a shell that runs on top of Windows XP. (You can easily switch back and forth between regular Windows XP and the Media Center shell.) This shell makes it easier to perform audio and video operations—everything you need is right there, big and bold on the display screen.

What kind of operations are we talking about? Here's a short list:

  • Watching television, cable, or satellite broadcasts

  • Recording television programming on your PC's hard disk for future viewing

    NOTE

    The current version of Media Center is Windows XP Media Center Edition 2005. The 2005 version is a major improvement over previous versions; the interface is a lot less clunky, and most of the bugs have been worked out. If you're running an older version of MCE, contact your PC manufacturer about how to upgrade to MCE 2005.

  • Watching DVD movies

  • Listening to audio CDs

  • Listening to digital audio files

  • Storing your CD collection on hard disk, for digital playback

  • Sending audio content from your PC to your home entertainment system

  • Viewing digital photographs on your PC screen—either singularly or in an automated slide show

Windows XP Media Center Edition lets you do all of these things via an easy-to-use, remote control-enabled interface. All the actual work is performed by the same Windows XP we all know and love, but the "pushbuttons" are provided by the new Media Center interface.


Upgrading to Windows Media Center Edition

This is an easy one—you can't. That is, Microsoft doesn't offer an upgrade path from regular Windows XP to Windows XP Media Center Edition. The only way you can get Windows XP Media Center Edition is by purchasing a new Media Center PC. So if you want to run Media Center Edition, you have to buy a new Media Center PC. Sorry.


Using a Media Center PC

NOTE

An alternative form factor, used by Shuttle and similar manufacturers, is to package the Media Center PC in a compact and somewhat portable cube. These small form factor (SFF) cabinets look a bit like the Mac Mini, and sometimes even come with a handle on top. While this design might look out of place in an audio rack, it does kind of fit in with shelf-based music systems.

When you run MCE on a PC, you get what many are calling a Media Center PC. (Or, alternately, an entertainment PC or home theater PC.) So, you're asking, why would you want a Media Center PC?

As I see it, there are two main uses for a Media Center PC:

  • In a living room, connected to your home audio or home theater system. In this instance, the Media Center PC replaces several existing components—most notably, the hard disk recorder (TiVo or otherwise), CD player, and DVD player.

  • In a dorm room, where the Media Center PC serves multiple functions—television, CD player, DVD player, and hard disk recorder. (As well as continuing to function as a personal computer, of course.)

Probably the most popular configuration is the home theater PC, as typified by Media Center PCs offered by Alienware, Hewlett Packard, NiveusMedia, and others. These PCs typically come with a big hard drive (120GB or more), built-in TV tuner (at least one, sometimes two—for recording two programs at once), wireless networking (for connection to your home network and the Internet), CD-R/RW drive, DVD drive (optionally, a DVD recorder, for burning DVDs of the programs you record), and wireless remote control (to operate the Media Center from across the living room.) Look to pay anywhere from $1,000 to $5,000 for one of these things, depending on the features and configuration.

Most of these Media Center PCs come in a form factor that isn't quite what you're used to with a desktop PC. As you can see in Figure 17.1, the perfect Media Center PC doesn't look like a PC at all; it isn't vertical, it's horizontal, typically about 17" wide and a few inches tall, in a cabinet that closely resembles that of most audio components. The goal is to have the Media Center look at home in a rack of audio and home theater components—complete with the black metal faceplate used by most of these devices.

Figure 17.1. A Media Center PC for home theater systems, from NiveusMedia—looks just like any other audio/video component, doesn't it?

TIP

Learn more about Windows XP Media Center Edition at Microsoft's Media Center Web site (www.microsoft.com/windowsxp/mediacenter/), or at the independent Web site called The Green Button (www.thegreenbutton.com), which is run by a bunch of MCE enthusiasts. It's a great place to find news, advice, plug-ins, and a lot more.

In addition, many Media Center PCs go to some lengths to reduce the noise typically associated with personal computers. That means fewer, quieter fans—or, in some instances, no fans at all, with either water cooling or large heat sinks to dissipate the normal heat buildup.


Setting Up Your Media Center PC

When you open the box for your new Media Center PC, the setup and configuration is a little different from that of a regular PC. First off, you have to connect the remote infrared sensor (via a USB port) and place the sensor in a convenient—and usable—location. (The sensor has to be in line-of-sight with your remote hand unit.) Then you have to connect your antenna, cable, or satellite cable to the RF connector on the back of your PC, and then connect another cable from the PC to your television display. And don't forget to connect the PC's speaker system; you can also connect the audio from your Media Center PC to your home audio/video system, for even bigger sound.

When you first launch Media Center, you're shown the Media Center Setup Wizard. You'll need to step through each of the screens of the wizard, answering questions as you go along, to make sure that your version of Media Center is configured appropriately. You'll be prompted to do the following:

  • Check your remote control unit

  • Choose an Internet or LAN connection

  • Select what kind of television signals you receive: cable or digital cable, satellite, or antenna

  • Tell the system if you're using a set-top box for your television reception

  • Enter your Zip code

  • Select which provider you're using for your cable or satellite TV service

When you're done inputting information, Media Center will connect to the Internet and download the appropriate Program Guide for your television provider. You'll use the Program Guide to choose television programming for both live viewing and future recording.


Using Windows XP Media Center

You can choose to use your Media Center PC just like a regular Windows XP-equipped machine, without ever seeing the Media Center interface. That's not the reason you bought a Media Center PC, however, so let's switch to the Media Center interface and examine all that's there for you to do. (You can launch Media Center by clicking the Media Center icon on the Windows desktop, or via the Windows Start menu.)

Working with the Remote Control

Since you probably don't want to have a mouse and a keyboard in your living room, most users will operate Media Center via the remote control, like the one shown in Figure 17.2. You navigate around the Media Center screen with the arrow buttons on the remote, then press the big OK button on the remote to make the selection.

Figure 17.2. A typical Media Center remote control.

The most important button on the remote is the big green Start button (with the Media Center logo) near the middle of the remote. Wherever you're at, all you have to do is press the Start button to return to the main Media Center screen.

TIP

Discover more options in Media Center by using the remote's Info button. Moving to a button onscreen and pressing Info is the Media Center equivalent of right-clicking in Windows XP to display a pop-up menu. You'll be surprised what you find when you Info around the Media Center interface.

Also important is the Back button (next to the Start button); it always takes you back a screen, no matter what you're doing. You can also go directly to the Recorded TV, Guide, Live TV, and DVD Menu functions by pressing the corresponding dedicated buttons on the remote.

Media Center's Main Screen

The main Media Center screen, shown in Figure 17.3, presents you with a number of different options, typically in this order:

  • Play DVD, which lets you view DVD movies

  • Online Spotlight, which showcases a variety of entertainment-related Web sites and services

  • My Videos, which lets you view digital video files stored on your hard disk

  • My Pictures, which lets you view digital photographs stored on your PC, as well as play a slide show of those pictures

    NOTE

    The options on the main Media Center screen may vary by manufacturer and by system setup.

  • My TV, which lets you watch live TV, watch recorded programs, view the Program Guide, search for a particular program, or select a program to record

  • My Music, which lets you play audio CDs and digital music files stored on your computer's hard disk

  • Radio, which lets you listen to FM radio stations (if your Media Center PC has a built-in FM tuner)

  • Create DVD, which lets you burn DVD copies of programming you've recorded (if your Media Center PC has a DVD burner)

  • More Programs, which lets you run additional programs from the MCE interface

  • Settings, which lets you configure various Media Center settings

Figure 17.3. The main Media Center screen—just point to a button and press OK on the remote to select.

To close the Media Center, return to the main screen and use either your mouse or remote control unit to click the button in the top-left corner of the screen; from there you can choose to exit Media Center, switch users, put your system into standby mode, or shut down your PC.

Watching and Recording TV

All Media Center PCs come with a built-in television tuner. When you connect your antenna, cable, or satellite cable to the RF connector on the rear of the PC, you can then use your Media Center PC just as you would a traditional television set.

When you select My TV from the main Media Center screen, you see the My TV screen, shown in Figure 17.4 (next page). You have the choice of watching live TV, watching programs you've recorded, browsing through the program guide (to either watch live or record), searching for specific programs (typically to record), or viewing any movies stored on your hard disk. The currently selected TV channel is displayed in the small window at the bottom of the screen; when you click the Live TV button, you can view the program full-screen. In addition, any programs you've scheduled to record are listed on this screen.

Figure 17.4. Watching television programming on the My TV screen.

MANIPULATING PLAYBACK—AND PAUSING LIVE PROGRAMMING

One of the neat things about watching TV on a Media Center PC is the ability to pause live programming. When you press the Pause button on your remote control, the program you're watching goes to a freeze frame. The program, of course, continues to be received by your PC, but now it's directed to your hard disk for temporary storage. When you press the Play button on your remote, the program picks up where you left off—as it was recorded on your hard disk.

When you're watching programming that's been recorded to your hard disk, you can utilize Media Center's Rewind and Fast Forward options. These work as you'd expect, just like the Rewind and Fast Forward buttons on a VCR. There are a couple of new playback options, however, that you might get a kick out of. When you press the Replay button on your remote the program jumps back six seconds; this is great for catching a scene or a line you might have missed. (Press Replay a second time and you jump back another six seconds, and so on.) Even neater is the Skip feature; press the Skip button on your remote and jump ahead thirty seconds—the precise length of most commercials. Which means, of course, that if you want to skip a commercial (and who doesn't?), all you have to do is press the Skip button.

SWITCHING CHANNELS AND USING THE PROGRAM GUIDE

You can switch channels by using the Channel + and – buttons on the remote control. You can also select programming from the Program Guide, which you display by selecting the Guide option onscreen. As you can see in Figure 17.5, the Program Guide displays 90 minutes' worth of programming for seven channels at a time. Click the right and left arrow buttons onscreen to view future and past time periods; click the up and down arrows onscreen to scroll through additional channels. Use your remote control's arrow keys to highlight a program, then press the OK button to change to that program.

Figure 17.5. Use the Program Guide to select television programming; the currently selected channel continues to play in the lower-left corner of the screen.

If you select a program that is scheduled at a later time or date, Media Center displays a Program Info screen. From here you can choose to record this program (press Record), record all instances of this series (press Record Series), or record selected instances of this series (press Advanced Record).

TIP

An even easier way of recording the program you're watching is to press the Record button on your remote control.

RECORDING AND PLAYING BACK PROGRAMMING

Using the Program Guide is the best way to select programming to record. You can also search for specific programs by pressing Search on the My TV screen. Media Center lets you search by category (educational, kids, movies, news, and so on), title, or keyword.

TIP

If you like what you've recorded, you can instruct Media Center to search out and record other instances of that programming. Just go to the Program Info screen and select Record Series.

When you record a program, it's stored on your PC's hard disk until you manually delete it, or the allocated disk space fills up, in which case older programs are automatically deleted. To watch a recorded program, select the Recorded TV option on the My TV screen, then choose to sort your programs either by date, category, or name. Select a program to watch and press the OK button on your remote; Media Center now displays a Program Info screen for the recorded program. Select Play and the program begins playback.

To delete a program you've recorded, go to that program's Program Info screen and select the Delete option. If you want to keep the program on your hard disk, select the Keep Until option and make one of the following selections: Keep Until I Delete, Keep Until (and then choose a date), Keep Until Space is Needed (the default), or Keep Until I Watch.

CONFIGURING RECORDING SETTINGS

Given that recording television shows can eat up a large amount of hard disk space, you should probably familiarize yourself with Media Center's recording settings. You access these settings by going to the Settings screen, selecting TV, selecting Recorder, and then selecting Recorder Storage. From here you can select which hard drive to record to, how much space on the drive to allocate for recorded programs, and what recording quality you want.

Obviously, the higher the quality you select, the more hard disk space it takes. Media Center has four quality settings: Fair, Good, Better, and Best. The higher the quality, the more hard disk space required. Table 17.1 shows how much programming will fit in 10GB of storage for each of the four quality levels.

Table 17.1. Storage Requirements/Recording Quality

Quality

Maximum Recording Time per 10GB Storage (approximate)

Fair

10 hours 45 minutes

Good

5 hours 45 minutes

Better

4 hours 45 minutes

Best

4 hours

If you're a videophile, nothing but the Best quality will do. If you're comfortable with VHS-quality playback, experiment with the lower quality settings; Fair might be good enough for you!

Playing Music

Media Center presents a nice interface for playing both CDs and digital audio files. You can even use Media Center to rip CDs to your hard drive, and to burn new CDs.

LISTENING TO CDS

If you're just playing a CD, you don't even have to open Media Center manually. Just insert the CD into your PC's CD-ROM drive, and Media Center automatically launches. The CD begins to play, and you're shown a Now Playing screen, like the one in Figure 17.6. By default, Media Center displays the album cover, but you can also choose to view a listing of all the tracks on the CD (select View Queue) or view a graphic visualization, like the ones you find in Windows Media Player (select Visualize).

Figure 17.6. Playing a CD with Media Player.

Normally, Media Center plays the tracks of the CD in proper order, but you can also choose to shuffle the playback of the CD's tracks (select Shuffle) or repeat the current track (select Repeat). And, if you're so inclined, you can also choose to buy more music from this artist online; select Buy Music and Internet Explorer launches, eventually taking you to a list of CDs and online retailers where you can buy them.

Ripping the CD to your hard drive is as easy as clicking the Copy CD button. Media Center will automatically copy all the tracks of the CD, and (assuming you're connected to the Internet) download the album cover art for future display.

LISTENING TO DIGITAL AUDIO FILES

It's almost as easy to listen to digital audio files stored on your PC's hard disk. From the main Media Center screen, select My Music. This displays the My Music screen, shown in Figure 17.7. From here you can choose to view your music collection in a number of different ways.

Figure 17.7. Viewing your digital music collecton on the My Music screen.

To view the music stored on your hard disk by album, select Albums. To view your music by artist, select Artists. To view any playlists you've created, select Playlists). To view the individual songs (in alphabetical order), select Songs. And to view your music by genre (rock, jazz, and so on), select Genres. You can even search for specific songs by selecting the Search option.

CREATING A PLAYLIST

To create a new playlist, you first have to set up a "queue" of songs. You do this by navigating to each individual song, and then clicking the Add to Queue button. Once you have your queue in place, click the inset window in the lower left of the screen. This takes you to the Queue screen, shown in Figure 17.8, where you now click the Edit Queue button. The next step is to click the Save as Playlist button, give the playlist a name, and then you're done.

Figure 17.8. Viewing and editing your queue of songs.

RIPPING AND BURNING CDS

Media Center makes it so easy to rip CDs that it doesn't even use the word "rip." Instead, you copy your CDs to your PC's hard drive. As I noted before, it's as easy as inserting the CD you want to rip, then selecting Copy CD from the Now Playing screen.

It's equally easy to burn your own CDs from the music stored on your computer's hard disk. To burn an entire album to CD, start by going to the album or song you want to burn. On the individual album page, like the one shown in Figure 17.9, click the Create CD/DVD button. Insert a blank disc, and you're off to the races.

Figure 17.9. Viewing album details—and getting ready to burn a new CD.

To burn a mix CD, you first have to create a queue of songs, as described in the Creating a Playlist section. Then you click the inset window to go to the Queue screen, click the Edit Queue button, and then click Create CD/DVD. Pretty easy.

Viewing Pictures

TIP

One of the neat things about Media Center is that you can do two things at once. One of my favorite tricks is to start playing a CD or playlist in My Music, hit the green button to return to the main screen, and then start up a slideshow in My Pictures. The music continues to play as the slide show does its thing; a great way to relax with both pictures and music.

Media Center also includes rudimentary picture-viewing capabilities. While you can't use Media Center to manage your stored photos, you can use it to view individual pictures, and to view pictures in a slide show format.

When you select the My Pictures option on the Media Center main screen, you're taken to the My Pictures screen, shown in Figure 17.10. This screen displays all the pictures stored in your My Pictures folder, as well as any subfolders within that folder. (You can choose to sort these pictures by name or by date.) Use the arrow keys on your remote to highlight a particular picture, then press the OK button to enlarge that picture to full-screen.

Figure 17.10. Viewing your digital photos on Media Center My Pictures screen.

[View full size image]

To display your pictures as a slide show (five seconds per picture, by default), select the Play Slide Show option. To change the settings for the slide show, select the Settings options.

Playing Videos

If you've used your computer to create any digital videos (using Windows Movie Maker, for example), you can play back those videos with Media Center. Just go to the main Media Center screen and select My Videos. All the videos in your My Videos folder will be displayed on the My Videos screen, as shown in Figure 17.11. Use the arrow keys on your remote to highlight the video you want to play; press the OK button to begin playback.

Figure 17.11. Getting ready to play back digital videos via Media Center.

Playing DVDs

With Media Center, playing back a DVD movie is as easy as playing back a CD; just insert the DVD into the DVD drive, and playback is automatic. While you can select the Play DVD option from the Media Center main screen, there's really no need to.

Once you've started DVD playback, you can access the menu for the DVD by pressing the DVD Menu button on the remote control. You can also use the Play, Stop, Pause, Fast Forward, and Rewind buttons on the remote to control DVD playback. (The Skip and Replay buttons take you one chapter forward and back, respectively.)

Adjusting Media Center Settings

There are a handful of settings you can adjust to personally configure your copy of Media Center. All of these settings are available when you select Settings from the Media Center main screen, and include:

  • General, including settings for Media Center sounds, appearance, and Internet connection

  • TV, including settings for the video recorder, Program Guide, TV signal, and parental controls

  • Pictures, specifically how pictures are displayed in a slide show

  • Music, primarily the settings for the playback visualizations

  • DVD, including settings for language, audio, close captioning, and so on

  • Messenger and Caller ID, in case you want to use Media Center to instant message other users, or connect to a phone line to show incoming phone calls

  • Radio, to set up Media Center's FM radio (if your system is so equipped)

  • Help, which is where you access Media Center's help system


The Bottom Line

It's taken a few years for Media Center to take off, but with MCE 2005 it's finally a big thing. As time goes by, I envision consumers adding Media Center PCs to their home theater systems, for both television recording and music playback. It's a solution to a lot of different problems.

If you're a lucky owner of a Media Center PC, keep these key points in mind:

  • Media Center is nothing more than a separate remote-controlled interface that sits on top of the regular Windows XP interface.

  • The latest version of MCE is Windows XP Media Center Edition 2005—although the only way to get it is to buy a new Media Center PC.

  • One Media Center PC can replace several different audio/video devices—including a hard disk recorder, CD player, and DVD player.

  • You can use your Media Center PC to watch television shows, as well as record shows on its hard disk for future playback.

  • A Media Center PC can also serve as a digital CD jukebox, after you've ripped all your CDs to hard disk.


    Part five: In the Home and On the Road

    18 Working with Multiple Users

    19 Playing Games

    20 Setting Up a Home or Small Business Network

    21 Using Windows XP on Portable PCs

    Previous Section < Day Day Up > Next Section


Chapter eighteen. Working with Multiple Users

IN THIS CHAPTER

Planning for Multiple Users 358

Types of Users 358

Setting Up New Users 360

Editing User Settings 361

Switching Users 365

Sharing—or Not Sharing—Files and Folders 366

The Bottom Line 368

If you're using your personal computer at home, chances are you're not the only person using it. When you're not pounding the keys, chances are that either your spouse or your children are perched in front of the screen. This makes your PC a multiple-user machine, whether or not you like it.

Unfortunately, the Windows 9X/Me operating system was built as a single-user operating system. Yes, you could use it with multiple users, but it just didn't feel right.

In contrast, Windows NT/2000 has always been a multiple-user operating system. It had to be. This industrial-grade OS was built to handle multiple users on multiple computers over a corporate network. Handling multiple users was essential for NT/2000, from day one.

Because Windows XP is built on the Windows 2000 engine, it figures that it inherits the multiple-user functionality of the corporate OS. XP even adds some new wrinkles as to how multiple users are handled, so that it's easier than ever to share one PC among several people.


Planning for Multiple Users

Why would you want to set up your computer for multiple users? Why can't each user just sit down at the keyboard and start using the computer without all this logging in business?

Well, you could have multiple users use your computer under a single user name. The problem with this approach is that all your files are accessible to everybody else using your PC—which may not be a good thing, depending. In addition, you'll have to live with any changes to the interface made by other users, or take the trouble to reconfigure things back to the way you like them. As you can see, although communal computing is possible, it isn't ideal.

A better situation is one where every user gets to configure Windows to his or her own personal tastes. When each user logs in, Windows displays the settings specific to that user. Plus, each user has his or her own private files, which other users can't access. This type of multiple-user setup is better for both personalization and privacy.

In addition, the chief user of the system (called the computer administrator) can control what the other users can do when they're logged on. For example, you might want to restrict some users (like your kids) from installing their own software on the machine. As the administrator, you have that power.


Types of Users

Windows XP lets you create multiple user accounts. Each user gets to choose his or her own account name, picture, and password. In addition, whatever interface and file personalization one user makes sticks with that user. Each user even gets his or her own My Documents folder, separate from other users' My Documents.

Each user account can be protected with a password. Anyone trying to access that user's account and files without the password is denied access. Unless, that is, the user has marked his or her files and folders as shared. Anyone can access shared folders, no password required.

NOTE

There can be more than one computer administrator account per computer.

There are three different types of user accounts you can establish on your computer:

  • Computer administrator account. This is the main account on your PC. The computer administrator is the one account that can make system wide changes to the computer, install software, and access all the files on the system—even files created by another account. The computer administrator can also create, delete, and edit other users' accounts.

  • Limited account. A limited account is for someone who uses a computer but doesn't manage it. A user with a limited account cannot install software or hardware, but can access programs that are already on the computer. A limited user can edit his or her account settings, but can't change the password.

  • Guest account. A guest account is intended for use by people who have no formal user account on your computer. Guests don't get passwords, can't install software or hardware, and don't get their own My Documents folder. They can, of course, access software already installed on the computer. Guest accounts are great for guests (of course!) who just want to check their e-mail or do a little Web surfing while they're visiting.

When you're setting up Windows XP for home use, the first thing you want to do is set yourself up with a computer administrator account. Then, after you've set up your own account, you can set up the accounts for everybody else in your household.

To avoid undue marital stress, you should probably set up your spouse with a computer administrator account, as well. Then you can set up your kids with limited accounts. (This will keep them from installing new software without your permission.) If you're one of several housemates sharing a computer, it's probably a good idea to configure each user as a computer administrator.

In either situation, any household visitors can access your PC via the guest account. They won't be able to mess around with any of Windows' settings, of course, but they can use what's there—your software, and your Internet connection.


Setting Up New Users

Only the computer administrator can add a new user to your system. Here's how it's done:

1.
From the Control Panel, click the User Accounts icon.

2.
When the User Accounts utility opens (see Figure 18.1), select Create a New Account.

Figure 18.1. Use the User Accounts utility to create and change user accounts.

[View full size image]

3.
When the next screen appears, enter a name for the account and click Next.

4.
On the next screen, check either the Computer Administrator or Limited options, then click the Create Account button.

Windows XP now creates the new account, and randomly assigns a picture that will appear next to the user name. You or the user can change this picture at any time. (See "Editing User Settings," next.)

You also can assign a password to this new account. By default, no password is assigned. But if you follow the instructions in the "Changing Another User's Settings" section of this chapter, you can create a password and force the user to enter it whenever he or she wants to use the computer.

When you turn on your computer, you're greeted with Windows XP's Welcome screen. All registered users are listed on this screen. Click your user name or picture and enter your password (if necessary), and you launch Windows as the selected user, with access to your own personal files and settings.

CAUTION

Limited users can only change their own accounts. They can't change anyone else's account.


Editing User Settings

Nothing is set in stone. If you don't like the way a user account is set up, you can change it.

NOTE

The Change a Password option only appears if this user has already created a password. If no password has yet been created, this option is changed to Create a Password.

Changing Another User's Settings

As the computer administrator, you can change anything you want about any limited user's account. You can change the account name or picture, or even the password and account type. You can even delete the account, if you want. (That'll show 'em!)

To change another user's settings, follow these steps:

1.
From the Control Panel, click the User Accounts icon.

2.
When the User Accounts utility opens, select Change an Account.

3.
When the Pick an Account to Change screen appears, select the account you want to edit.

4.
When the What Do You Want to Change screen appears (shown in Figure 18.2, next page), select one of the following options: Change the Name, Change the Password, Create a Password (if one doesn't exist, otherwise this option is not visible), Change the Picture, Change the Account Type, or Delete the Account.

Figure 18.2. The computer administrator can change anything about any other user's account.

[View full size image]

5.
Follow the onscreen instructions to change the setting that you selected.

Changing Your Own Settings

If you're not the computer administrator, you can still change certain of your own user settings. You can change the picture associated with your username, you can create or change your password, and you can create a Microsoft Passport account.

You make the changes from the User Accounts utility, which looks differ ent if you're a limited user than if you're a computer administrator. (See Figure 18.3 to see how the limited user utility looks.)

Figure 18.3. Even limited user accounts can change their basic settings.

[View full size image]

To change a setting, all you have to do is select an item on this main screen, and then follow the onscreen instructions.

CHANGE YOUR PICTURE

If you don't like the picture Windows assigned to your username, it's easy to change it. In fact, you can even choose to have your own personal photograph appear next to your name.

Here's how you do it:

1.
From the User Accounts utility, select Change My Picture.

2.
When the next screen appears, as shown in Figure 18.4, select one of the pictures listed and click the Change Picture button, or…

Figure 18.4. Don't like your user account picture? Then change it!

[View full size image]

3.
Click the Browse for More Pictures button. The Open dialog box now displays the contents of your My Pictures folder. Select any picture you want (even a picture of yourself!), then click the Open button. When you return to the previous screen, be sure this new picture is selected, then click the Change Picture button.

CREATE OR CHANGE YOUR PASSWORD

If you have multiple users accessing the same PC, it's a good idea for each user to have his or her own password. This way other users can't access another user's personal data or settings. Because users have to enter a pass word to log into their account, if you don't know a password, you can't log in.

NOTE

You have to be connected to the Internet to create your Microsoft Passport.

To create a new password for your account, follow these steps:

1.
From the User Accounts utility, select the Create a Password option.

2.
When the Create a Password for Your Account screen appears, as shown in Figure 18.5, enter your new password in the first box, then again in the second box.

Figure 18.5. Create a password to keep other users out of your account

[View full size image]

3.
In the third box, enter a hint to remind you of your password.

4.
Click the Create Password button.

To change your password, select the Change My Password option, enter your old password, then enter your new password information. Click the Change Password button to register the change.

CREATE A PASSPORT ACCOUNT

Microsoft is really pushing the notion of having a Passport account. This account assigns you a single username and password that is then used across a range of Microsoft services. For example, your Password account is used to access your Hotmail account, your Windows Messenger account, and just about any other account you have on any MSN-related Web site.

If you want to create a Passport account—and you have to, if you want to access any of Microsoft's services—all you have to do is open the User Accounts utility and click the Create a Passport option. This launches the Passport Wizard. Follow the wizard's instructions to enter the appropriate personal information and create your account.

NOTE

When you have Fast User Switching activated, programs do not automatically shut down when users log off the computer. For example, if you're working in a Word document and one of your kids wants to check her e-mail, you can switch users for a few minutes, then switch back to your account. When you switch back, your Word document will still be open on your desktop.


Switching Users

One neat new feature of Windows XP is that you don't have to reboot your computer to switch users.

Under previous versions of Windows, the only way to change users was to restart the computer and log on as a different user. Windows XP uses something called Fast User Switching to change users without rebooting. In fact, when you switch to another user and then back again, all your open programs and documents are still there, still open and running. It's almost like having multiple users logged on at the same time!

Activating Fast User Switching

For Fast User Switching to work, you have to turn it on. (And only a computer administrator can do this.) Follow these steps:

1. | From the User Accounts utility, select the Change the Way Users Log On or Off option.
2. | When the next screen appears, check both the Use the Welcome Screen and Use Fast User Switching options.
3. | Click OK.

Switching Users

To switch users under Fast User Switching, all you have to do is click the Start button, click the Log Off button, and then select Switch User from the Log Off Windows dialog box. When the Welcome screen appears, click the user to switch to and enter the password (if assigned).

That's it. Windows will now log on the next user, with all that user's settings active. Which means that this instance of Windows could look and feel quite different from what was just on the screen mere seconds ago.

CAUTION

The only downside to using Fast User Switching is that it causes your computer to run slower when multiple users are logged on. (That's because everyone's programs keep running in the background.) If your system is too sluggish, turn off Fast User Switching and make everyone log on and off like they used to in previous versions of Windows. I can't stress this point enough—Fast User Switching eats up a lot of RAM. Beyond the recommended minimum 256MB of RAM, you should plan on adding another 64MB of RAM for each user that will be using Fast User Switching.

That's because Windows XP automatically saves the settings for each user and activates that user's settings when the user logs on. So if you'd selected one wallpaper and the next user had selected another, the wallpaper would change, as would all the customization options discussed in Chapter 2, "Changing the Way Windows Looks—and Acts," including folder settings, display settings, special effects, and so on.

When you switch back to your account, all the settings change again—which is a heck of a lot better than reconfiguring Windows every time a new user logs on!

Now, if you'd rather just log off permanently, that's a different deal. When you log off permanently, all your open documents and applications close, and won't be there waiting for you when you next log on. To log off in this fashion, without necessarily switching users, click the Start button, click the Log Off button, and then select Log Off.


Sharing-or Not Sharing-Files and Folders

Sharing—or Not Sharing—Files and Folders

Just because you're sharing your PC with other users doesn't mean you want to share all your documents, too. Windows XP gives you the option of sharing your key files and folders, or not sharing them. (If your files are the least bit personal, I recommend not sharing them.)

To make a folder private, follow these steps:

1.
Using My Computer or My Documents, right-click any of the following folders: Desktop, Start Menu, Favorites, or My Documents (and any of its subfolders).

2.
Select Properties from the pop-up menu, then select the Sharing tab, as shown in Figure 18.6.

Figure 18.6. Sharing—or not sharing—folders is an important decision to make when you have multiple users on the same PC.

3.
Uncheck the Share This Folder On the Network option, or….

4.
If you want to share this folder, check the Share this Folder On the Network option. If you want the contents of the folder to be read-only, uncheck the Allow Network Users to Change My Files option. If not, check this option.

5.
Click OK.

A few things about this option. First, only certain folders can be shared—in particular, the Desktop, Start Menu, Favorites, and My Documents folders. (Any subfolder in the My Documents folder can also be shared.)

Second, when you make a folder private, all its subfolders are made private, too. For example, if you make My Documents private, then My Music and My Pictures are also private.

The same is almost true for sharing. That is, when you share the main folder, you also turn on sharing for all the subfolders. The difference is, you can then go in and turn off sharing for each subfolder, individually.


The Bottom Line

The way Windows XP handles multiple users is great. It's easy to use, it's intuitive, and it isn't terribly intrusive. You can use passwords if you want to, or not. And your personal settings are always there waiting for you whenever you log on.

All you have to remember are the following key points:

  • Unlike previous versions of Windows, Windows XP's Fast User Switching lets you switch users without rebooting your PC.

  • However, Fast User Switching uses a lot of system memory. Plan on having at least 256MB of RAM for basic use, and another 64MB for each additional user using Fast User Switching.

  • There are three types of user accounts in Windows XP: computer administrator account, limited account, and guest account.

  • Each user can choose his or her own password and user picture.

  • To switch users without logging off, click the Start button, click the Log Off button, and then select Switch User. If you want to log off permanently, click the Start button, click the Log Off button, and then select Log Off.


Chapter nineteen. Playing Games

IN THIS CHAPTER

Installing and Configuring Game Controllers 370

Building a Better Gaming System 372

Embracing DirectX 373

Troubleshooting Game Problems 374

The Bottom Line 378

You might find this hard to believe, but one of the most technically demanding applications for your personal computer is playing games.

That's right. Playing games.

There are a few very logical reasons for this.

First, the newest PC games feature sound and graphics that are nothing short of stunning. Very realistic, very high quality. It's very demanding on your hardware and operating system to create these graphics and move them around in real time.

Second, the oldest PC games were based on the old DOS platform. Maintaining compatibility with DOS-based games is a huge challenge for the operating system. Especially one, such as Windows XP, that wasn't built on that old 16-bit platform. And XP doesn't claim to have 100% perfect legacy support.

Given these challenges, I was pleasantly surprised to discover what a good job Windows XP does with both the oldest and the newest PC games. The OS incorporates all the latest DirectX standards used by the newest games, and has an extremely high compatibility with the older games.

I'll go out on a limb and say that Windows XP is the best PC-based operating system yet for game playing, which is something I didn't expect to be saying.


Installing and Configuring Game Controllers

The first step in preparing Windows XP for game playing is to plug in and set up all your favorite game controllers. Whether you use a joystick or a button controller or a steering wheel and foot pedals, getting everything connected is a relatively easy task.

USB Controllers

The easiest types of controllers to connect are those that connect via a USB port. All you have to do is plug in the controller, and Windows should recognize the new device and install the proper drivers automatically.

That's Plug and Play at work for you.

If XP doesn't recognize the new controller, then you can install the controller manually via the Add Hardware Wizard. See Chapter 6, "Adding New Hardware," for more information.

Game Port and Serial Port Controllers

Many game controllers are designed to hook up to your PC's dedicated game port, or into a spare serial port. This type of connection is a little less automatic than a USB connection, but still not a show stopper.

Just follow these steps:

1.
From the Control Panel, click the Game Controllers icon.

2.
When the Game Controllers utility opens, click the Add button.

3.
When the Add Game Controller dialog box appears (see Figure 19.1), select the type of device that you're installing. (If the device isn't listed here, click the Custom button and custom-configure Windows XP for your new device.)

Figure 19.1. Installing a new game controller, manually.

4.
Now pull down the Port list and select the port to which the controller is connected.

5.
Click OK when done.

Test a Controller

After you've installed a new game controller, you can test it by following these steps:

1. | From the Game Controllers utility, select the controller you want to test.
2. | Click the Properties button, and then select the Test tab.
3. | Follow the onscreen instructions to move or press each control, including all the pads and buttons.

If your controller doesn't check out 100%, you may need to calibrate it, which I'll discuss next.

Calibrate a Controller

To calibrate a game controller, follow these steps:

1. | From the Game Controllers utility, select the controller you want to calibrate.
2. | Click the Properties button, then select the Settings tab.
3. | Click the Calibrate button.
4. | Follow the onscreen instructions to calibrate that particular device.

This shouldn't take more than a minute or so—time well spent, IMHO.


Building a Better Gaming System

To play today's technically demanding PC games, you need a truly state-of-the-art computer system. In fact, it takes a more powerful system to play games than it does to perform more traditional computer applications, such as word processing and number crunching.

If you're buying a new PC for your game play, expect to shell out some big bucks. For the system you want, you'll probably need to shell out $2,000 or more—possibly a lot more— if you really want to go first-class.

The first thing you want is a fairly powerful processor. Think Pentium 4 or AMD Athlon running at 3GHz or more. You'll also need a bunch of memory, at least 1GB.

Because games take up a lot of disk space, go for at least an 100GB hard disk—bigger, if you can get it. You should also upgrade from a normal CD drive to a combo CD/DVD drive, because many new games are coming on single DVDs rather than multiple CDs.

You'll definitely want a high-quality 3D sound card, and at least a 256MB 3D video card with graphics accelerator. You'll also want a kick-ass speaker system with a powerful subwoofer. You should even consider going with four satellite speakers instead of two, for true surround sound.

Finally, to play the big games you'll need a big monitor. A 19-inch CRT monitor or 17" LCD display should do the trick. And don't forget a good game controller or joystick—you just can't work some of these games with a simple mouse.

Obviously, any PC with these specs is more than capable of running Windows XP without any problems. Your main concern is making sure your system has enough horsepower to run the latest and greatest games.


Embracing DirectX

Part of the horsepower comes from the technology support necessary to reproduce a game's dazzling graphics and full-range sound. Windows XP supports DirectX 9, which is a set of APIs that provide full access to the advanced features of high-performance hardware. DirectX works to create hardware-accelerated 3D images and engrossing music and sound effects.

DirectX works in the background to match the game's parameters with your PC's hardware capabilities. This way even the most multimedia-laden games can take full advantage of the latest video and audio chips and cards.

There are seven key components of DirectX:

  • DirectDraw. Works with your PC's video card to display 2D graphics.

  • Direct3D. Works with your video card to render 3D graphics.

  • DirectSound. Works with your audio card to provide sound mixing and other functions related to digital audio playback.

  • DirectMusic. Works with your audio card to deliver high-quality MIDI music for your game's background soundtrack.

  • DirectInput. Provides direct input for joysticks and other input devices, including the latest force-feedback game controllers.

  • DirectPlay. Supports game connections over a modem, LAN, or the Internet and is essential for multiple-player online/network games.

  • DirectShow. Provides capture and playback of multimedia files in a variety of formats, including ASF, AVI, DV, MPEG, MP3, WAV, WMA, and WMV; DirectShow also enables video capture, DVD playback, video editing and mixing, and the reception of broadcast television signals.

As you might suspect, these DirectX components are used for more than just playing games. Any multimedia application can tap into DirectX for improved audio and video performance. Games, however, really utilize what DirectX has to offer. And because Windows XP supports the latest version of DirectX, you should be able to run the newest games on the newest hardware with maximum effect.


Troubleshooting Game Problems

If anything is going to test the capabilities of your system, it's going to be a game. Systems that work perfectly with every other type of application will show their weaknesses when tested with the latest, most demanding PC games. In other words, if you want to try to break your system, you need to play some games!

Compatibility Issues

Every time Microsoft issues a new operating system, the same question gets asked—which games won't work on it?

Given the poor track record Windows 2000 had with playing games, I fully expected a boatload of compatibility issues with Windows XP. Imagine my surprise when I discovered that Windows XP was as strong a game platform as Windows 98—and perhaps even stronger.

This application robustness is due primarily to the efforts of Microsoft's Application Compatibility Experience (ACE) group. ACE was formed at about the same time Windows XP went into development, with the goal of making as many applications as possible run as smoothly as possible under the new operating system.

The ACE group did its job. Not only does Windows XP run every Windows 2000-compatible application, it also runs the majority of Windows 9X/Me applications, and an amazing number of older DOS-based applications.

There are several factors behind this high level of compatibility with older games and applications. First off, Microsoft added SoundBlaster-compatible sound support to Windows XP, as well as high-resolution VESA video support, which are necessary for some older games to run.

Second, XP includes a new compatibility mode, which can trick games and other applications into thinking that they're running on an older operating system. So if a game is designed to run only on Windows 95, you can rev up the compatibility mode and make the game think that Windows XP is really Windows 95. You'd be surprised at how effective this is!

If you're having trouble running an older game, here's what you should do:

1.
From within My Computer, create a shortcut to the problematic program. (Or, if a shortcut to the program already exists in the Programs menu, navigate to that shortcut.)

2.
Right-click on the shortcut icon and select Properties from the pop-up menu.

3.
When the Properties dialog box appears, select the Compatibility tab (shown in Figure 19.2).

Figure 19.2. If you're having trouble running an older game, configure it to run in compatibility mode.

4.
Check the Run This Program in Compatibility Mode for option, then pull down the list and select which operating system you want to emulate. (You can choose to emulate Windows 95, Windows 98, Windows NT4, or Windows 2000.)

5.
If you need to run the program at a lesser color depth or lower screen resolution, check the Run in 256 Colors and/or Run in 640 x 480 Screen Resolution options.

6.
Click OK.

If this doesn't get that old game up and running, all hope isn't lost—yet. You should search the Microsoft Knowledge Base (support.microsoft.com/directory/) to see if there has been a reported issue with your particular game, and if so, what kinds of fixes are available.

You also can check with Microsoft's Compatibility Center to see if a particular game is compatible with your computer. You can connect to the Compatibility Center by opening XP's Help and Support Services and clicking the Compatible Hardware and Software Link. (You'll need to open an Internet connection to check this database.)

Another good place to check for compatibility issues is at the NT Compatible Web site (www.ntcompatible.com/). This site lists hundreds of different games, and whether they're compatible with various versions of Windows.

My experience is that if you're running newer games on newer hardware, you probably won't run into any problems. For that matter, older games in and of themselves don't seem to cause a lot of problems.

Any problems you encounter are more likely to be related to older or more obscure hardware installations. If you have an old, out-of-date sound card from a defunct manufacturer, for example, you might have trouble playing some older games under Windows XP. Replace the sound card with a newer model and your problems will probably go away.

In other words, when you're playing games, hardware compatibility will probably be a bigger issue than software compatibility. Even if you think it's a game problem, it very well could be a hardware problem.

This is just one more reason why Microsoft says that Windows XP is really intended for new installations, and not to upgrade older PCs.

Hardware Issues

Speaking of hardware problems, Windows XP includes some good built-in troubleshooters to help you track down any problems that may develop with your game hardware:

  • If you have game controller problems, you should run the Windows XP Hardware Troubleshooter. (From the Help and Support Services window, click the Fixing a Problem link, then click Hardware and System Device Problems, then Hardware Troubleshooter.)

  • If you're having more general problems getting a game to run properly, you should run the Multimedia and Games Troubleshooter. (From the Help and Support Services window, click the Fixing a Problem link, then click Games, Sound, and Video Problems, then Games and Multimedia Troubleshooter.)

  • If you're having DirectX-related problems, you should run the DirectX Diagnostic Tool. (From the Help and Support Services window, click the Fixing a Problem link, then click Games, Sound, and Video Problems, then Troubleshooting DirectX.)

You also should check out Microsoft's Compatibility Center, as discussed previously, to see if there might be a compatibility issue with a particular audio, video, or controller device on your system.


The Bottom Line

The best way to see if a game works under Windows XP is to install it and try to play it. If it works—great! If not, then you can run through the various compatibility and troubleshooting options available to you.

When it's time for games, just remember these key points:

  • You can test and calibrate your game controller in the Game Controller utility, accessible from the Control Panel.

  • For best game play, you need a fairly high-powered system with a fast processor, lots of memory and hard disk space, a CD/DVD drive, and 3D sound and video cards.

  • Windows XP supports the latest version of DirectX (version 9) for hardware-accelerated game play, but for compatibility with older 16-bit games, Windows XP also includes SoundBlaster and VESA video support.

  • If you're having trouble running an older game, open its Properties dialog box and select an older compatibility mode. This tricks the game into thinking that it's running on an older version of Windows.

  • If you're unsure whether a particular game or hardware component is compatible with Windows XP, open the Help and Support Services and click the Compatible Hardware and Software link to access Microsoft's Compatibility Center.

  • If you're going to have problems, it's more likely to be caused by older or non-standard hardware than it is by the games you try to play; to track down hardware-related problems, use either the Hardware Trouble shooter, Multimedia and Games Troubleshooter, or DirectX Diagnostic Tool.


Chapter twenty. Setting Up a Home or Small Business Network

IN THIS CHAPTER

Understanding Different Types of Networks 380

Setting Up Your Network 382

Running the Network Setup Wizard 385

Setting Up Wireless Security 387

Setting Up Network Sharing 388

Accessing Files, Printers, and Other Computers on Your Network 392

The Bottom Line 394

If your home is like mine, you have more than one computer in use. Maybe you have one computer for your work, and another for your spouse to use. Maybe there's a third computer that your kids use. Maybe you even have a laptop that you plug in from time to time.

In addition to all these computers, you probably have a bunch of peripherals sitting around. Probably a printer, maybe two, possibly a scanner and a PC camera.

And then there's the Internet. You have one connection, and all those computers—and everybody wants to be online at the same time.

When you need to share files, or printers, or an Internet connection, you need to hook all your computers together into a network—a local area network (LAN), to be precise.

A LAN, whether in your house, in a small business, or in a large corporation, used to be a big, hairy, very technical thing to set up and configure. You had to deal with routers, and switches, and hubs, and all sorts of protocols and configurations. Not to mention what seemed like miles and miles of coaxial or twisted-pair cable, and network cards that you had to install in every PC.

In other words, setting up a network used to be beyond most of us.

Fortunately, things have changed.

With the advent of affordable network cards, hubs, and cables—not to mention easy-to-install networking kits—the physical part of putting a network together has become much easier than it used to be. And, thanks to Windows XP, installing each PC on the network is now a piece of cake.

Really. Anyone can do it. All you have to do is connect everything, and then run Windows XP's Network Setup Wizard. XP's Universal Plug-and-Play technology is smart enough to recognize which devices are installed where (even those installed on other PCs!), and does almost all the configuration for you. You have to answer a question or two—and you still have to plug in all the cards and cables, of course—but that's about it.

With Windows XP, there's no reason not to set up a multiple-PC network in your home or small business.


Understanding Different Types of Networks

A computer network is, quite simply, two or more computers connected to each other. When the computers are connected, they can send electronic signals back and forth. This lets them communicate with each other (via e-mail, typically), or share things. The computers on a network can share files—that is, one computer can access the files stored on another computer. They can share printers, by sending their print requests over the network to the PC that is physically connected to the printer. They can share a single Internet connection, whether that's via a traditional modem or some sort of broadband connection. They can even share software applications. (Think multiple-player games here.)

The configuration part of setting up a network is handled by the operating system. Prior to Windows XP, it wasn't terribly easy. With Windows XP, however, it is easy. Very easy. Running-a-wizard type easy.

Whether you're hooking up a wired or a wireless network, Windows XP's Network Setup Wizard guides you through the network setup and configuration. You run the wizard on each PC that's connected to the network, and tell it about anything else you have connected, such as a printer, or an Internet connection you want to share. The wizard does all the hard work, and when it's done, your network is up and running and ready to use.

NOTE

The Network Setup Wizard is compatible with computers running Windows XP, Windows Me, Windows 98, and Windows 2000. If you have a computer running any other operating system, you'll need to use third-party networking software instead.

When it comes to physically connecting your network, you can go either the wired or the wireless route. Let's look at each in turn.

Ethernet (Wired) Networks

An Ethernet network is a traditional wired network. Each computer on the network has to have a network interface card (NIC) installed and configured. If you're connecting more than two computers in your network, each network card then has to be connected to a hub, which is a simple device that functions like the hub of a wheel, and functions as the central point in your network. And each computer has to be configured to function as part of the network, and to share designated files, folders, and peripherals.

TIP

You can probably find everything you need to set up an Ethernet network in a pre-assembled "networking kit." These kits typically contain all the cards and cables and hubs you need to create your network, along with easy-to-follow instructions. (And if you don't want to open up your computer, you can even find kits that include external network "cards" that connect via USB!)

You install Ethernet NICs in each PC, and connect the cards via Ethernet cable. Although this type of network is very easy to set up and probably the lowest-cost alternative, you have to deal with all that cable, which can be a hassle if your computers are in different areas of your house. Data is transferred at either 10Mbps or 100Mbps, depending on what equipment you install.

Wi-Fi (Wireless) Networks

A wireless network uses radio frequency (RF) signals to connect one computer to another. The big advantage of wireless, of course, is that you don't have to run any cables—a big plus if you have a big house with computers on either end.

Windows XP supports both the IEEE 802.11b and 802.11g wireless networking standards—officially called Wi-Fi. The "b" version is limited to speeds of 11Mbps, while the "g" version can get up to 54Mbps.

NOTE

Wi-Fi lets you connect to wireless network access points up to 150 feet away from your PC.

Setting up a Wi-Fi network is even easier than setting up an Ethernet network, because you don't have as many cables to run. (Wireless networks still need some wires, I'm afraid.) Basically, you connect your Internet connection to a wireless hub or router, which then connects (via Ethernet cable) to your main PC. All the other PCs on your network, however, connect wirelessly, via wireless adapters. (On a desktop PC, the wireless adapter connects to the PC's USB port; on a laptop PC, the wireless adapter is typically built into the computer.)


Setting Up Your Network

The first thing to do when setting up a network is plan it out ahead of time; then you can physically connect all the pieces and parts of the network. Here are some general guidelines on how best to proceed.

1. | Sketch out a diagram of your network. Include everything that you want connected, including printers, scanners, phone lines, or DSL/cable modems.
2. | Next, to each computer on your diagram, indicate what hardware is connected to that PC. For example, one PC might be connected to a printer, another to a scanner. If any of your computers already have network cards installed, note that.
3. | If you intend to share an Internet connection, determine which PC will be the host for the connection. This will typically be the PC nearest the hub or router.
4. | Determine which type of network adapters you're going to be using: Ethernet or Wi-Fi. Then make a list of all the hardware you'll need to purchase. Include network cards, a hub or router, wireless adapters, and Ethernet cables. And be sure to look for cables that are long enough to run where they need to run. NOTE For more information on installing new hardware in your PC, see Chapter 6, "Adding New Hardware."
5. | Head out to your local computer store and buy all the hardware and cables you need. Be sure you check out the various networking kits available for purchase. You might be able to find a kit that includes some or all the equipment you need, often at a discounted price.
6. | This step is the tough one—installing all the hardware, especially the necessary network cards and wireless adapters. For a wired network, you'll need to install a network card in each of your PCs; for a wireless network, you'll only need a network card for your main PC. (Then you'll need wireless adapters for the other PCs.) With Plug and Play, installing a network card is as easy as turning off your PC, installing the card, and then turning your PC back on again. Installing a wireless adapter is as easy as plugging it into an open USB port.
7. | For a wired network, you now need to power down and turn off all your computers and printers. After the power is off, run all the cables you need to run, and connect them to each computer and hub in your network. After all the computers are connected, you can power them back on again. For a wireless network, you need to connect an Ethernet cable between your main PC and the wireless hub/router. You'll also need to connect your broadband modem to the hub/router via Ethernet cable.
8. | Make sure that your Internet connection is active, then run the Network Setup Wizard on your main PC.
9. | After the main PC is configured, run the wizard on the other PCs, one at a time.

After the last PC is configured, your network is set up and running. You can then configure individual peripherals and folders for sharing (or not) across the network, and get back to whatever it was you were doing before you embarked on this little chore.

Table 20.1 shows the specific equipment you'll need for each PC on each type of network.

Table 20.1. Equipment Needed for Each Type of Network

Type of Network

Equipment

Ethernet

Ethernet network cards (1 per PC) Ethernet network hub (1 for the entire network) Broadband modem

Wireless

Ethernet network card (1 for the main PC) Wireless network adapters (1 per each additional PC) Wireless hub or router (1 for the entire network) Broadband modem

If you're connecting an Ethernet network, you'll also need one Ethernet cable to go from the hub to the host computer, and additional cables to connect each of your other PCs (and your modem) to the hub. If you're connecting a wireless network, you'll need two Ethernet cable—one to connect your hub/router to the main PC, and another to connect your modem to the hub/router.


Running the Network Setup Wizard

After you've physically connected your computers, Windows XP's Network Setup Wizard guides you through setting up your home network. After the wizard is run, you can share resources such as files, printers, and an Internet connection with all the computers on your network.

TIP

Many wireless routers come with their own instal lation software. You should run this software before—or, in some cases, instead of—running Windows' Network Setup Wizard.

The Network Setup Wizard must be run on each computer on your network. You start by running the wizard on your host computer.

Follow these steps:

1.
Open the Control Panel and click Network Connections.

2.
Click Set Up a Home or Small Office Network.

3.
When the Network Setup Wizard opens, click the Next button to move through the introductory screens.

4.
When you come to the Select a Connection Method screen (shown in Figure 20.1), select This Computer Connects to the Internet Through a Residential Gateway or Through Another Computer on My Network, then click Next.

Figure 20.1. Selecting an Internet connection method for your network.

[View full size image]

5.
When the next screen appears (shown in Figure 20.2), enter a description for this PC (make and model is good), along with a unique name (such as "Main Computer"), then click Next.

Figure 20.2. Describing your computer for the network.

[View full size image]

6.
When the next screen appears, enter a name for your network, then click Next.

7.
On the next screen, check Turn On File and Printer Sharing, then click Next.

8.
Continue clicking Next to finish the wizard.

After you've run the Network Setup Wizard on your host PC, you have to run it on all the other PCs on your network. If a computer is running Windows XP, you can run the wizard as previously described. If a computer is running Windows 98, Windows Me, or Windows 2000, you need to run the wizard from the Windows XP installation CD. (Insert the CD and then, after the main screen appears, select Use Windows Support Tools, and then select Tools, Network Setup Wizard.)

After all your computers are configured, your network is now fully functional. You can now share files between PCs, play multiple-player games (on two PCs), send documents to your printer, and connect to the Internet—from any PC on your network.


Setting Up Wireless Security

One of the problems with a wireless network is that all your data is just out there, broadcast over the air via radio waves, for anyone to grab. Fortunately, to keep outsiders from tapping into your wireless network, you can add wireless security to your network. This is done by assigning a fairly complex encryption code to your network; in order to tap into the network, a computer must know the code.

You can assign security codes to all the PCs in your network in one of several ways. First, most wireless hubs, routers, and adapters come with configuration utilities that let you activate this type of wireless security. If your wireless equipment has this type of configuration utility, use it.

Otherwise, Windows XP SP2 adds a new utility called the Wireless Network Setup Wizard. This title is a bit of a misnomer, in that you don't use the wizard to actually set up your wireless network; instead, its purpose is to add wireless security.

You want to run the Wireless Network Setup Wizard on each of the PCs connected to your wireless network. To run the wizard, open the control panel and click the Wireless Network Setup Wizard icon.

When the wizard launches, click Next to display the main information screen, shown in Figure 20.3 (next page). From here you can give your network an SSID name (different from the name assigned in the Network Setup Wizard), and then either automatically assign or manually enter a network key. The type and length of the key you choose depends on the type of encryption you choose; the strongest encryption comes from a 26-character WEP key.

Figure 20.3. Assigning a network key via the Wireless Network Setup Wizard.

[View full size image]

Once the key is assigned, write it down. That's because you'll need to run this wizard on all the other PCs on the network, and manually enter this same key for each computer. After all the work is done, only those PCs that have been assigned this specific key can connect to your wireless network—which means no more neighbors leeching off your wireless connection.


Setting Up Network Sharing

One of the main reasons you set up a network is to share things—files, printers, even your Internet connection.

Sharing Files and Folders

To share files with other users on your network, you have to enable Windows XP's file sharing. You do this by putting the folders and files you want to share in a shared network folder. You can make these files editable by other users, or read-only.

To share a file or folder, follow these steps:

1.
From My Computer or My Documents, open the drive or folder that contains the file or folder you want to share.

2.
Right-click the file or folder that you want to share, and select Sharing and Security from the pop-up menu.

3.
When the Properties dialog box appears, select the Sharing tab (shown in Figure 20.4).

Figure 20.4. Configuring file sharing over your network.

4.
Check the Share This Folder On the Network option.

5.
If you want this file to be read-only, uncheck the Allow Network Users to Change My Files option. If you want your files to be fully editable by all users, check this option.

6.
Click OK.

You'll need to do this for each folder or file you want to share. If you choose to share a folder, all the files and subfolders within that folder are also marked for sharing.

Sharing Drives and Devices

Not only can you share individual files and folders, you can also share complete disk drives, including hard disk drives, CD-ROM or DVD drives, and removable disk drives. Just follow these steps:

1. | From within My Computer, select the drive or device you want to share.
2. | From the activity center Tasks list, select either Share This Disk Drive, Share This CD, or Share This Disk.

Sharing Printers

Sharing one printer between several computers is a cost-effective measure. Very seldom do you need dedicated printers for every PC in your home.

To share a printer with all the other computers on the network, you need to configure the PC to which the printer is connected. Follow these steps:

1.
From the Control Panel, click the Printers and Faxes icon.

2.
When the Printers and Faxes utility opens, right-click the printer you want to share, and then select Sharing from the pop-up menu.

3.
When the printer's Properties dialog box appears (shown in Figure 20.5), select the Sharing tab.

Figure 20.5. Configure the printer's host PC to share the printer with the rest of your network.

4.
Choose the Share this Printer option and enter a name for the printer in the Share Name box. (Make and model number is always good.)

5.
If any other computer on your network is running something other than Windows XP, you'll need to install printer drivers for that operating system. Click the Additional Drivers button to display the Additional Drivers dialog box, then check those operating systems in use in your network. Click OK to install the drivers.

6.
When you return to the Properties dialog box, click OK.

After the printer's host PC is configured, this printer should now appear automatically on the other PCs on your network. You can check this by opening the Printers and Faxes utility on the other PCs and looking for the newly networked printer. If the printer doesn't appear, you may have to click the Add Printer icon to add the network printer to that PC.

Sharing an Internet Connection

When you ran the Network Setup Wizard, you activated Internet Connection Sharing for your network. As long as your host computer is connected to the Internet, all your other computers have simultaneous Internet access.

To learn more about sharing an Internet connection, turn to Chapter 7, "Making the Connection."


Accessing Files, Printers, and Other Computers on Your Network

After you've set up all your computers for file, folder, and printer sharing, how do you access all those files, folders, and computers? It's really quite easy—as long as you know where to look.

Windows XP displays all the shared computers, printers, drives, folders, and other resources available on your network in the My Network Places folder. You open this folder by clicking the My Network Places icon on your desktop, or by clicking the My Network Places link in the Other Places section of any folder activity center pane.

As you can see in Figure 20.6, all the shared folders, files, and devices are automatically displayed in the My Network Places window. You can click any of these icons to open that particular resource.

Figure 20.6. Use My Network Places to access all the shared resources on your network.

[View full size image]

To view all the computers in your workgroup, click the View Workgroup Computers link in the Network Tasks panel. The next window will display all the computers that this computer is connected to.

To display all the computers on your entire network, click the Microsoft Windows Network link in the Other Places panel. The next window will display all the networks that this computer is connected to. Click a network icon to display all currently connected computers. (Your home network probably is labeled MSHOME.)

NOTE

A computer will be displayed only if it is turned on and connected to the network. Any computer connected to the network but powered down will not be displayed.

You also can create shortcuts in the My Network Places folder to files and folders within shared folders. (This makes it easier to go directly to a file or folder, rather than clicking through a bunch of subfolders.) Just click the Add a Network Place link in the Network Tasks panel, and follow the instructions in the Add Network Place Wizard.

TIP

You can use wildcard characters in the computer's name if you are not exactly sure of the computer's name. For example, to search for any combination of multiple characters, use an * (asterisk); searching for BOB* returns BOBS, BOBBIE, or BOBBY.

Finding Other Computers on Your Network

If your computer is connected to a large network, only those computers in your local workgroup are displayed in the My Network Places window. You can view all computers on the network by clicking the Entire Network icon, or you can search for specific computers by using Windows XP's Search Companion. Just follow these steps:

1. | Click the Search button on the My Network Places toolbar.
2. | When the Search Companion opens, enter the name of the computer you want to find into the Computer Name box.
3. | Click the Search button to list all computers with that name on your network.

Accessing a Shared File or Folder

CAUTION

You can't edit any files that have been marked as read-only over the network.

If a file or folder has been marked for sharing, it's really easy to access that item from another computer on the network. All you have to do is open the My Network Places folder and tunnel down through the shared drives and folders until you get to the item you want.

After you find that file or folder, you can work on it just as you would a file or folder on your own PC. You can even copy that file or folder to your own PC.

Printing to a Network Printer

If you've configured your PCs to share a specific printer, you can print to that printer from any PC on your network. The shared network printer appears as a printer choice in all the applications on all your PCs.

When you go to print a document from an application, select File, Print. When the Print dialog box appears, select the network printer from the Name list.

When you click OK to start printing, your print job will be sent from the current PC, over your network, to the PC connected to the printer, and then to the printer for printing. All with the click of a single button!


The Bottom Line

With previous versions of Windows, a chapter like this about networking would have been at least twice as long. That's because with those older Windows, you had to set up all sorts of complicated network protocols (such as TCP/IP and IPX), pretty much by hand. Windows didn't do a good job of recognizing all your network devices, and the network configuration was a long, drawn-out process. (More trial and error than anything else, to be truthful.)

One of the true joys of Windows XP is how easy it makes home networking. Network devices are recognized automatically, and configuration takes place in the background. You still have to make the physical connections, of course, as well as click a few options in the various wizards. But all things being equal, connecting a network under Windows XP is relatively painless.

When you're planning and connecting your network, keep these points in mind:

  • You can choose to create an Ethernet (wired) network or a Wi-Fi (wireless) network.

  • When you connect an Ethernet network, you have to install a network interface card in each computer, and then connect each card to a network hub.

  • When you connect a wireless network, you only need a network interface card in your main computer; all your other PCs will connect via wireless adapters.

  • You can add security to your wireless network by running Windows' Wireless Network Setup Wizard.

  • Windows XP's Network Setup Wizard greatly simplifies the process of installing and configuring your network. Just install your hardware and run the wizard (on each computer), and you'll be up and ready to go.

  • After your network is installed, you can configure individual disk drives, folders, and files to be shared with other computers on your network. (Use the Shared tab in the file/folder dialog box.)

  • To share a printer with other computers on the network, you have to turn on printer sharing on the PC to which the printer is connected. You also have to add that printer (using the Add Printer Wizard) to each PC on your network.


Chapter twenty one. Using Windows XP on Portable PCs

IN THIS CHAPTER

Improving Your Display with ClearType 398

Optimizing Battery Life 399

Connecting Two PCs with a Direct Network Connection 403

Controlling Another Computer with Remote Desktop Connection 405

Using Briefcase to Synchronize Files 407

Working with Offline Files 409

The Bottom Line 411

Windows XP includes several new or improved features that should be of interest to portable computer users. These features make it easier to see what you're doing, maximize how long your batteries last, and help you share and synchronize files with your home PC or network. There's even a new remote desktop feature included with Windows XP Professional (not Home, sorry) that lets you access your desktop PC when you're on the road.

These features may be little things, but sometimes the little things add up.

Take ClearType, for example. It's a little thing, hardly mentioned in Microsoft's marketing materials and buried a few layers deep in the Display Properties dialog box. But this feature improves the typical laptop display so much I can't even describe it. It's like somebody adjusted the fine-tuning control on my screen, automatically smoothing all the jagged edges—a little thing, but a big impact.

The only issue I find with XP's mobile features is that too many of them aren't available in the Home Edition. Two of the most useful new features, Remote Desktop Connection and offline files, are only available on Windows XP Professional. That might make some sense, as XP Professional is targeted to corporations, where the majority of road warriors work. But a lot of home and small business users have portable PCs, and they might not want to spend the extra money for XP Professional. (They probably don't need all the advanced networking and security features, either.)

So if you're a heavy notebook user, examine the Professional-only mobile features, and decide for yourself whether you can live with the Home Edition, or need to spring for XP Professional.


Improving Your Display with ClearType

NOTE

Microsoft says that Clear-Type is designed for LCD screens only, such as the ones in portable PCs and flat-screen monitors. Activating ClearType on a tube-type monitor might make text and other onscreen elements appear slightly blurry. Or, depending on your monitor, it might smooth out some of the roughness you typically get with some screen fonts. In other words, YMMV (your mileage may vary). The best thing to do is try it yourself, and see if you like it!

The LCD screen used on a typical laptop PC or flat-panel display looks pretty good— until you get up close. That's when you notice the "jaggies," those jagged edges and ragged shapes that come part and parcel with displaying text and graphics on an LCD screen.

With Windows XP, however, Microsoft has a cure for the jaggies and it's called ClearType. With ClearType enabled, the jaggies are replaced by smooth letters and perfectly rounded edges.

As I explained in Chapter 2, "Changing the Way Windows Looks—and Acts," ClearType is a new display technology that effectively triples the horizontal display resolution on LCD displays. If you're using a portable PC or flat-panel display, you'll definitely want to turn on ClearType. You'll wonder how you ever lived without it.

To turn on ClearType, follow these steps:

1.
From the Control Panel, click the Display icon.

2.
When the Display Properties utility opens, select the Appearance tab.

3.
Click the Effects button.

4.
When the Effects dialog box appears (as shown in Figure 21.1), check the Use the Following Method to Smooth Edges of Screen Fonts option, and select ClearType from the pull-down list.

Figure 21.1. Turn on ClearType from the Effects dialog box.

NOTE

The Power Options available will vary depending on your exact hardware configuration. It's also possible that the manufacturer of your portable PC has included its own power management utilities. You should use these utilities either in addition to or in place of Windows XP's power management features, as they are most often tailored to your specific hardware.

5.
Click OK, then click OK again.

That's all there is to it—and you'll never turn it off.


Optimizing Battery Life

Now that you've improved your notebook's display by about a gazillion percent, let's turn our attention to your PC's battery life. Because there's nothing more frustrating than having your portable computer go dead in the middle of a cross-country flight (or in the middle of a long meeting!), you know how important it is to squeeze every last second of life out of your PC's battery.

To extend battery life, most portable PCs have special energy-conserving features. Depending on your make and model, your monitor might go blank after a period of inactivity. Or your hard drive might power down. Or your whole PC might go into hibernation.

Windows XP includes a Power Options utility that helps you manage the power consumption of your portable computer. With the Power Options utility you can configure monitor and hard disk use, set alarms to go off when your battery power drops too low, display power meters for each battery in your PC, and set standby and hibernation settings.

To display the Power Options utility, all you have to do is click the Power Options icon in the Control Panel.

Setting Up Power Schemes

The easiest way to manage your notebook's power consumption is through the use of what Microsoft calls power schemes. A power scheme is a collection of settings that manage the activity of your computer's monitor and hard drive, as well as the computer's standby and hibernation modes. (I'll talk about standby and hibernation in a few pages—be patient!)

To change power schemes, follow these steps:

TIP

Both standby and hibernation modes are more convenient than turning your computer completely off. When you restart your PC from one of these power-saving modes, your desktop is restored exactly as you left it—open programs and all.

1.
From the Control Panel, click the Power Options icon.

When the Power Options utility opens, the Power Schemes tab will be visible (as shown in Figure 21.2).

Figure 21.2. Choose a power scheme to manage your battery usage.

2.
Pull down the Power Schemes list and select a new scheme. (The available schemes are detailed in Table 21.1.)

Table 21.1. Key Power Scheme Settings for Battery Usage

Power Scheme

Turn Off Monitor After

Turn Off Hard Disks After

Initiate Standby Mode After

Initiate Hibernation

Home/Office Desk

2 mins.

10 mins.

1 min.

10 mins.

Portable/Laptop

15 mins.

20 mins.

30 mins.

Never

Presentation

Never

5 mins.

15 mins.

Never

Always On

2 mins.

3 mins.

5 mins.

Never

Minimal Power

5 mins.

15 mins.

5 mins.

Never Management

Max Battery

1 min.

3 mins.

2 mins.

Never

3.
Click OK.

Table 21.1 shows the key settings for each power scheme.

You can edit any of these schemes, or create your own schemes. Just make the appropriate changes to the various settings, then click the Save As button.

Typically, you want to turn off your monitor or hard disk if you're not using them, to conserve battery power. If you plan to be away from your computer for a while, you put your computer into the low-power standby mode. If you're going to be away from your computer for an extended period of time, you activate hibernation mode.

Setting a Low-Battery Alarm

It helps if you know when your battery is about to run out of juice. Otherwise you'll keep working up to the point of no return, and you won't get a chance to save your work and shut down properly before your computer turns off.

TIP

This option is only available if you have a battery-operated portable computer.

You can configure Windows XP to sound one of two different low-battery alarms. The Low-Battery Alarm typically alerts you via a dialog box that your battery is running low. The Critical-Battery Alarm typically throws your system into hibernation mode, which at least preserves your current work until you can plug into a power outlet and recharge your battery.

To configure either of the two alarms, follow these steps:

1. | From the Power Options utility, select the Alarms tab.
2. | To activate either of the alarms, check the appropriate option.
3. | Adjust the sliders to determine when the alarm will sound. The sliders represent how much power your battery has left when the alarm is activated.
4. | To change what happens when an alarm is activated, click the Alarm Action button. You can choose to generate an alarm sound, display an onscreen message, send your PC into hibernation or sleep mode, shut down, or run a program.
5. | Click OK when done.

Working with Standby Mode

CAUTION

You probably want to save your work before putting your computer in standby mode. That's because information in your computer's memory is not saved to your hard disk while the computer is on standby. If there is an interruption in power, all your work will be lost.

Standby mode—sometimes called sleep mode—helps you reduce power usage without actually shutting off your computer. When your PC is in standby mode, your monitor and hard disks are turned off, even though power is kept to the rest of your system. When you come out of standby mode, your system appears exactly as you left it.

You can configure Windows XP to send your PC into standby mode whenever you close your notebook's lid or press the power button. All you have to do is select the Advanced tab in the Power Options utility (shown in Figure 21.3), and select the appropriate options in the Power Buttons section.

Figure 21.3. Make your PC go into either hibernation or standby mode when you close the lid or press the power button.

By the way, Windows XP can take advantage of BIOS tweaks found on some newer notebooks, which lets the notebooks resume from standby mode in under a second. (You can't believe how fast this is until you see it!) This is almost a good-enough reason to buy a new notebook with XP pre-installed!

Working with Hibernation Mode

CAUTION

Be sure you have enough free disk space to create the hibernation file. If you're running 256MB of memory, the hibernation file will be a little over 256MB in size.

Hibernation mode is even more extreme than standby mode. When your PC is in hibernation mode, your monitor and hard disk turn off, Windows saves everything that's currently in memory to your hard disk, and actually turns off the computer. When you come out of hibernation, the information in memory is restored to your desktop, and you're back in business just like nothing happened.

You can configure Windows XP to automatically send your computer into hibernation mode whenever you close the lid or press the power button. Open the Power Options utility, select the Advanced tab, and select the appropriate options in the Power Buttons section.


Connecting Two PCs with a Direct Network Connection

If your portable PC is part of a network, it's easy to send files back and forth. If your PC is not part of a network, you can still share files with another computer—you just have to set up a direct connection between the two PCs, manually.

With Windows XP you can connect any two PCs by using either a serial cable or a DirectParallel cable. (I recommend the DirectParallel method—it's faster.) This method also is useful for connecting Pocket PC and Windows CE devices to your desktop or portable PC.

Microsoft calls this connection a direct network connection. To make it work, you first need to connect the cable between the two PCs, and then follow these steps:

1.
From the Control Panel, click the Network Connections icon.

2.
When the Network Connections utility opens, click the Create a New Connection link in the Network Tasks panel to open the New Connection Wizard. Click the Next button to get things going.

3.
When the Network Connection Type screen appears, check the Set Up an Advanced Connection option, then click Next.

NOTE

When connecting two computers in this fashion, you typically want to configure the host computer before you configure the guest PC.

4.
When the Advanced Connection Options screen appears (as shown in Figure 21.4), check the Connect Directly to Another Computer option. Click Next.

Figure 21.4. Configure your PC to connect directly to another computer, no network required.

5.
When the Host or Guest? screen appears, check the Guest option if you're configuring the PC that will be accessing information on the other machine. Check the Host option if you're configuring the PC that contains the information you need to access. In most cases, your portable PC will be the guest, and a desktop PC will be the host. Click Next whenever you're ready.

6.
When the Connection Device screen appears, select how the two computers will be connected, then click Next.

7.
When the Default Connection screen appears, ignore everything and click Next.

8.
When the final screen appears, enter a name for this connection and then click the Finish button.

After your two PCs are connected, you can transfer files back and forth as if you were on a regular network.


Controlling Another Computer with Remote Desktop Connection

What do you do if you're on the road but need to access a file on your home or office PC? If you have Windows XP Professional installed on your notebook you can open a Remote Desktop Connection, and use your main PC by remote control—over a standard dial-up connection, or via the Internet.

CAUTION

The PC doing the remote controlling has to be running Windows XP Professional. This feature is not available in Windows XP Home Edition—although the machine being controlled can be running either the Home Edition or Professional.

Configure the Remote Computer

Before you can use Remote Desktop Connection, you have to configure your home computer—what Microsoft calls the remote computer—to accept this type of remote control. You do this by opening the System Properties utility (click the System icon in the Control Panel), selecting the Remote tab, and checking the Allow Remote Assistance option.

Establish a Remote Connection

Now you have to create a new connection on the controlling PC. (Microsoft calls this the local computer.) Here's how you do it:

1.
Click the Start button, then select All Programs, Accessories, Communications, Remote Desktop Connection.

2.
When the Remote Desktop Connection utility opens, as shown in Figure 21.5, enter the name or IP address of the remote computer into the Computer box. (If you've already created a connection, pull down this list and select the computer you want to connect to.)

Figure 21.5. Configure your local computer to connect to a remote PC.

3.
Click the Connect button. If you're trying to connect to a computer over the Internet and you're not yet connected, you'll be prompted to do so.

4.
Windows XP will now locate the computer you specified, and then initiate the log on process. When the Log On to Windows dialog box appears, enter your user name, password, and domain (if required).

NOTE

Remote Desktop Connection also is used by technical support personnel to troubleshoot PC problems remotely, as discussed in Chapter 22, "Getting Help."

5.
Click OK.

The screen from the remote computer now appears on your local PC. You can now use your local machine to do anything you want on the remote computer.

Configure the Local Computer

Exactly how the remote computer appears on your local PC is up to you. There are a number of viewing and control options you can configure, all from the Remote Desktop Connection utility. Just click the Options button to expand the window, then select the appropriate tab and setting.

Here's what you can configure with each tab:

  • General. Use this tab to automate your logon to the remote computer, as well as to save your configuration settings.

  • Display. Use this tab to configure how much screen space the remote desktop takes up on your local PC, as well as the number of colors displayed. (You can run the remote PC in full-screen mode, or have it take up only a portion of your local screen.)

  • Local Resources. Use this tab to determine whether you hear the sound from the remote computer, which Windows hotkeys you can use, and whether you want to make your local devices (printers, disk drives, and so on) available to the remote computer.

  • Run. Use this tab to set a program you want to automatically run when you connect to the remote PC.

  • Advanced. This tab lets you set bitmap caching and compression options that can speed up your remote connection.


Using Briefcase to Synchronize Files

Whether you're bringing work home from the office or writing some personal letters at your local coffee shop, the time will come when you need to share files between your portable PC and a desktop computer. When you're working on the same file from multiple PCs, figuring out which is the most recent version of the file can be a challenge.

One way to deal with this problem is to use Windows XP's Briefcase feature to synchronize your files. Briefcase has been around for several versions of Windows, and remains essentially unchanged in Windows XP. With Briefcase you simply pop the files from your primary PC into a Briefcase folder. You can copy the Briefcase folder to another PC or work on its files from a notebook. When you copy the Briefcase back to your main PC or reconnect your notebook to the network, Briefcase automatically updates the original files with your latest changes.

To be honest, I've never much used Briefcase. It's kind of awkward, and not very intuitive. Still, it works as promised, and is there if you need it. (It's also available in Windows XP Home Edition, although the offline files feature—discussed later in this chapter—is not.)

Using Briefcase with Removable Drives

If you're not connected to a network, you can copy the files you want to share to any removable drive (including floppy disks and flash drives), and then use that removable drive on another PC. It's the old-fashioned way to do it, but it's also a darned convenient way to take a few files home from the office without a lot of hassle.

To use Briefcase with a removable drive of any type, follow these steps:

1.
Create a Briefcase icon on your desktop (or in a specific folder) by right-clicking the desktop and selecting New, Briefcase from the pop-up menu.

2.
To add a file to your Briefcase, use My Computer or My Documents to navigate to the folder that contains the file you want. Drag the file from its current location and drop it onto the Briefcase icon. Repeat this step to add multiple files to your briefcase.

CAUTION

Do not copy the briefcase folder to your second PC! The folder must remain on the floppy disk for the synchronization feature to work.

3.
Copy your Briefcase to the removable drive by opening My Computer, dragging the Briefcase icon from your desktop, and dropping it onto the selected drive. (The desktop icon won't disappear.)

4.
To use your Briefcase folder on another computer, simply connect the removable drive that contains Briefcase to your secondary PC. Open the Briefcase folder (shown in Figure 21.6) directly from the Briefcase drive. You can then open, work on, and save the files in the Briefcase folder.

Figure 21.6. Copy files to your Briefcase folder to use them on another PC.

[View full size image]

5.
To synchronize your Briefcase files with the originals on your primary PC, connect the Briefcase drive to your main PC. Start My Computer and open the specified drive. Drag the Briefcase icon from the removable drive and drop it onto the Briefcase icon on your desktop. Briefcase automatically synchronizes your files so that you are always using the most current version.

Using Briefcase on a Network

If your laptop is connected to a network, you can use Briefcase to copy files from another computer to your laptop. You can then work on the files when you're on the road, and use Briefcase to synch up the files when you get back to the office.

Here's what you do:

1. | Create a Briefcase icon on your portable PC's desktop (or in a specific folder) by right-clicking the desktop and selecting New, Briefcase from the pop-up menu.
2. | To add a file to your Briefcase, use My Network Places to navigate to the PC and folder that contains the file you want. Drag the file from its current location and drop it onto the Briefcase icon on your notebook. Repeat this step to add multiple files to your Briefcase.
3. | Disconnect from the network and go on the road. You can work on the files that are stored in the Briefcase folder as you would any other files.
4. | When you return to your office, connect to the network. Open the Briefcase folder and select Briefcase, Update All. This updates the original files with the changes you made while you were on the road.


Working with Offline Files

As clunky as Briefcase is, it's no surprise that Microsoft came up with a new way to work with network files when you're on the road. Windows XP Professional lets you store shared network files on your portable PC (or any PC, for that matter) so that they're available even when you're not connected to the network. The next time you reconnect, any changes you've made to the files are synchronized with the version of the files still on the network.

Microsoft calls this working with offline files. I call it a neat way to do what you need to do when you're on the road.

The big disappointment is that this new method is available only if you're running Windows XP Professional. (And even then, you can't use offline files if you have Fast User Switching turned on—you have to choose one or the other, not both.)

CAUTION

If you're using Windows XP Home Edition, you're stuck with using Briefcase. Offline files are available only on XP Professional.

Configure Your PC for Offline Files

To set up your computer to use offline files, follow these steps:

1. | From the Control Panel, click the Folder Options icon. NOTE If you and another user both make offline changes to the same file, you can choose to save your version, the other version, or both versions.
2. | When the Folder Options utility opens, select the Offline Files tab.
3. | Be sure that the Enable Offline Files option is checked.
4. | Check the Synchronize All Offline Files Before Logging Off option.
5. | Click OK.

Make a File Available Offline

After your computer is properly set up, you can select which files or folders you want to work on offline. Follow these steps:

1. | From My Computer, open the network drive and folder that contains the file or subfolder you want to take offline.
2. | Select the file or folder, then select File, Make Available Offline.

Manually Synchronize Offline Files

By default, your offline files will be automatically synchronized the next time you connect to your network. If you want to manually synchronize a file—or configure the basic synchronization settings—you use Windows XP's Synchronization Manager. (You open the Synchronization Manager by clicking the Start button, then selecting All Programs, Accessories, Synchronize.) All you have to do is select the item(s) you want to synchronize, and then click the Synchronize button.


The Bottom Line

When you're getting ready to hit the road, be sure the battery on your portable PC is charged up, and that you remember these key points:

  • You can dramatically improve the look of your laptop's display by turning on ClearType. (Open the Display Properties utility, select the Appearance tab, and click the Effects button.)

  • You can manage the power usage of your laptop by using one of Windows XP's preselected power schemes—or by creating one of your own. (Windows' power schemes control how long your computer sits inactive before it shuts down your monitor and hard drive.)

  • When you're going to be away from your computer for a few minutes, send it into standby mode. If you're going to be away for quite a while, send it into hibernation mode.

  • If your laptop isn't connected to a network, you can connect it to another PC with a DirectParallel cable and Windows' Direct Network Connection. Once connected, you can transfer files just as you would over a network.

  • If you want to access your home computer while you're on the road, set up your system for a Remote Desktop Connection (if you're running XP Pro, that is). This new utility lets you completely run another computer by remote control—just as if you were sitting behind the keyboard.

  • If you're running Windows XP Home Edition, you can use Briefcase to transfer files to another PC; Briefcase will then synchronize the changes you make with the original files on the main PC. If you're running Windows XP Professional (with Fast User Switching turned off), you can use offline folders to work on files when you're away from the network, and then resynchronize the files when you next connect.


    Part six: Maintenance and Troubleshooting

    22 Getting Help

    23 Updating Windows

    24 Keeping Windows Healthy and Happy

    25 Troubleshooting Common Problems

    Previous Section < Day Day Up > Next Section


Chapter twenty two. Getting Help

IN THIS CHAPTER

Introducing Windows XP's New Help and Support Center 416

Finding More Help Online 424

Getting Remote Assistance 427

The Bottom Line 430

The Help system in Windows has never been great. In fact, Windows Help has typically been about the weakest part of the entire operating system. Not only was it hard to find answers to any particular question, but when the Help system finally displayed a useful page, it was written in something just this side of techie geek-speak—made me wonder if the guys and gals out in Seattle ever took a high school or college English class.

I'd like to say that the Help system in Windows XP is light years ahead of all those older Help systems.

I'd like to say that, but I can't.

What I can say is that the Help system (now called the Help and Support Center) is much improved, and actually useful in places. The underlying Help text, however, is still somewhat cryptic, and it's still not terribly easy to find the exact information you're looking for.

But I'll give Microsoft credit for trying. The new Help and Support Center interface is much friendlier than the old Help system. Microsoft also has done a good job incorporating various troubleshooting tools alongside the standard Help contents. They've even made it relatively easy to go online for more help, which is great for all those times when the built-in Help system doesn't help.

Best of all, Microsoft added a feature called Remote Assistance, which lets you turn over control of your computer to another user. This way you can have a friend or a tech support person take a look at your system and see if he or she can figure out what's wrong. This feature alone might be worth the price of admission—especially if you have a hard-to-track-down problem.


Introducing Windows XP's New Help and Support Center

The Windows XP Help and Support Center is accessed directly from the Start menu. Just click the Start button and select Help and Support.

As you can see in Figure 22.1, the Help and Support Center doesn't look anything at all like the intimidating Help system found on older versions of Windows. This Help Center looks and acts just like a Web page, so you can click Back and Forward through the relevant resources. (See the buttons at the top of the window—the same ones you have on Internet Explorer.)

Figure 22.1. Microsoft's new and improved Help and Support Center.

[View full size image]

Know, however, that the Help and Support Center on your PC might look different than this. That's because Microsoft now lets computer manufacturers customize their own help systems. So if you click the Help and Support option and see a "Sony Help Center"or something similar, don't be surprised. These manufacturer help systems typically take the basic Microsoft help center and add some manufacturer-specific information; everything I describe in this chapter should still be there, although perhaps in a slightly different format.

That said, the default Microsoft Help and Support Center is divided into five main areas, each offering a slightly different type of help.

Search for Help

At the top of the window, below the browser toolbar, is a Search box. You can use this Search box to search XP's built-in Help database—and more.

When you enter a query, you not only search Windows XP's built-in Help, you also (if you're connected to the Internet) search the Microsoft Knowledge Base. (I'll discuss the Knowledge Base a little later in this chapter. Suffice to say that it's Microsoft's premier online database of technical information.)

The results of your search, as shown in Figure 22.2, are displayed in a Search Results pane. There are three categories of results:

  • Click the Suggested Topics header and you see those topics in the built-in Help system that directly pertain to your query.

  • Click the Full-Text Search Matches header and you see all articles that contain a reference to the words in your query.

  • Click the Microsoft Knowledge Base header and you'll see those Knowledge Base articles that are relevant to your query.

Figure 22.2. The results of a typical Help search in Windows XP.

[View full size image]

NOTE

For more information on figuring out Windows XP problems, turn to Chapter 25, "Troubleshooting Common Problems."

Click a Search Results link to read the entire Help article in the pane on the right side.

Browse for Help

The entire left side of the Help and Support Center window is titled Pick a Help Topic. This is where you can browse through specific topics, such as Networking and the Web and Customizing Your Computer. The help in this area consists of the typical shorter Help files, as well as a few longer overview articles.

Of particular note in this section is the link for Fixing a Problem. Click this link and you access all of Windows XP's Troubleshooters. These are semi-interactive procedures that walk you through troubleshooting specific problems.

For example, if you have a problem with your home network, you'd start the Networking Troubleshooter (shown in Figure 22.3). The Troubleshooter asks you a series of questions, suggesting various things to try at each step. You continue stepping through the screens and answering the questions until you fix your problem or you run out of options, whichever comes first.

Figure 22.3. Use Windows XP's troubleshooter to step through potential solutions to common problems.

[View full size image]

Go Online for Help

At the top right of the Help and Support Center window is a section labeled Ask for Assistance. There are two links in this section, each of which calls up a different type of help.

The first link invites you to invite a "friend" to connect to your computer with Remote Assistance. This is how you let other users take over your computer via remote control to look for hard-to-find problems. I'll talk a lot more about this feature in the "Getting Remote Assistance" section, later in this chapter.

The second link, when clicked, opens the Support part of the Help and Support Center—which is, essentially, online support. From here you can go online to Microsoft's Web site for additional information, or link to one of Microsoft's official newsgroups.

Supplementing the built-in help with various online resources is an important feature of Windows XP. Despite the improved interface, the amount of text-based help that Microsoft builds into Windows XP isn't a whole lot more (or better) than the help in previous versions of the operating system. This means that what's available is fairly thin, hard to understand, and not always the most up-to-date information.

NOTE

Microsoft's online support isn't the only help you can find on the Internet. I'll talk more about online help resources in the "Finding More Help Online" section, later in this chapter.

If you want more—and more up-to-date—information, you need to go online. There are a wealth of useful resources available at Microsoft's Web site. (Third-party sites and various Usenet newsgroups are also useful, as you'll shortly see.)

After you open the Support window (from the link in the main Help and Support Center window, or by clicking the Support button in the window's toolbar), you have three options in the Support pane. The first option opens the Remote Assistance utility (discussed later in this chapter). The second option takes you online to the Microsoft, where you can query the tech support staff. The third option takes you to one of Microsoft's official newsgroups.

GET HELP FROM MICROSOFT

Your first choice should always be the Get Help From Microsoft option. Assuming that you're connected to the Internet, clicking this option turns the right side of the Help window into a Web browser, and directs you to the Microsoft Online Assisted Support Web site. This site, shown in Figure 22.4, lets you ask questions of a Microsoft Support professional. Click the appropriate link to submit your query.

Figure 22.4. Microsoft Online Assisted Support lets you query tech support professionals.

[View full size image]

You also can use your Web browser to go directly to the Microsoft Help and Support Web site, located at support.microsoft.com. This site serves as the gateway to all of Microsoft's support services, including the indispensable Microsoft Knowledge Base. It's also a great clearinghouse for a ton of FAQs, service releases, patches, and program updates. (The updates are found in the Microsoft Download Center, accessible from the main Support Center page or directly at www.microsoft.com/downloads/.)

Here's some of what you can find on Microsoft's product support site:

  • Product FAQs (Frequently Asked Questions)

  • Software updates, patches, and service packs

  • New and updated device drivers

  • Utilities and add-ons for Microsoft software

  • Links to Microsoft's Usenet newsgroups

  • Webcasts of product presentations by Microsoft support professionals

  • Forms to send support questions direct to Microsoft technical support

  • Listing of Microsoft technical support phone numbers

Plus, of course, the Microsoft Knowledge Base.

THE MICROSOFT KNOWLEDGE BASE

The Microsoft Knowledge Base is a database of thousands of articles describing various technical problems and issues for all Microsoft's software products. It is the place to look for solutions to your most troubling Windows XP problems.

If you can't find it anywhere else, it's probably in the Knowledge Base.

You search the Knowledge Base from the main Microsoft Help and Support Web page (support.microsoft.com), shown in Figure 22.5. Just enter your query into the search box at the top of the page, then click the Go button. Microsoft now displays a list of Knowledge Base articles that match your query. Click an article's header to read the full article.

Figure 22.5. Search the Microsoft Knowledge Base from the main Microsoft Help and Support page on the Web.

[View full size image]

The articles in the Knowledge Base are written by and for technical professionals. As such, they can sometimes be a little dry and jargony. Try to ignore the geek speak and drill down to the specific solutions suggested. Because these solutions come direct from Microsoft's staff, they're of particularly high quality.

I'd go so far as to say that the Knowledge Base is your best bet for finding solutions for most Windows problems. This is particularly true if you're somewhat familiar with technical issues, and don't mind getting your hands dirty with technical solutions to these technical problems.

Access Windows System Tools

In the middle of the right side of the Help and Support Center Window is the Pick A Task section. This section doesn't offer the traditional text-based help that you're used to. Instead, it links to various Windows XP system tools that you can use to troubleshoot and fix problems, as well as restore and configure your system. See Chapter 24, "Keeping Windows Healthy and Happy," for more information on these useful utilities.

Read News and Alerts

Finally, we come to the bottom right of the Help and Support Center window. This section doesn't offer help, per se, but rather displays the latest news and announcements regarding the operation of Windows XP. These listings get updated whenever you connect to the Internet, and link to various online stories and resources. Click a link to read the article or alert.


Finding More Help Online

As good as Microsoft's online technical support is (and it's pretty good, I must admit), it's not the only technical support available on the Internet. Read on and I'll tell you about my favorite sites for online help.

Technical Support on the Web

There are quite a few computer-related sites on the Web that can prove useful when you need help with Windows XP. Some of these sites offer news and reviews, while others incorporate discussion forums where you can post questions, get answers, and maybe even help out someone else. Still more sites offer drivers and utilities for downloading, deliver online tutorials and how-tos, or provide free or fee-based technical support from experts (both real and self-professed).

Here's a short list of some of the best technical sites on the Web:

  • Active-Hardware ( www.active-hardware.com ). This is a PC hardware-oriented site, complete with tech news, reviews, and a large selection of downloadable device drivers.

  • CNET ( www.cnet.com ). CNET is one of the best tech portals on the Web, with a network of sites that offer tech news, file and driver downloads, hardware and software reviews, and how-to and help information.

  • Computing.Net ( www.computing.net ). This site does a good job of centralizing technical support for all operating systems and types of computers. The best part of the site is the support forums, organized by operating system (Windows 9x, Windows XP, Linux, and so on). Also useful are the numerous FAQs that contain answers to the most common questions asked in the forums, a huge listing of downloadable hardware drivers, a number of how-tos for solving common problems, and a section just for novices.

  • DriverGuide.com ( www.driverguide.com ). This is the place to look for updated device drivers—which you'll need if you're upgrading an older system to Windows XP. The site consists of a massive database of drivers, compiled from the site's users.

  • Experts Exchange ( www.experts-exchange.com ). This site is billed as "the #1 professional collaboration network." It works on a type of bonus system, where you answer questions on a topic for another user, and then earn points toward getting your questions answered by other experts.

  • Karbosguide.com ( www.karbosguide.com ). This easy-to-use site offers hundreds of illustrated guides and tutorials for all manner of technical topics, from adapters to Wi-Fi.

  • SuperSite for Windows ( www.winsupersite.com ). Hosted by technical author Paul Thurrott, this is one of the top sites for news, reviews, tips, and advice regarding all versions of Microsoft's Windows operating system.

  • Tom's Hardware Guide ( www.tomshardware.com ). This is simply one of the best PC hardware sites on the Internet. It features tons of information you can use to either troubleshoot or soup up your system.

  • WinDrivers.com ( www.windrivers.com ). The main feature of this site is its huge library of downloadable Windows device drivers from practically every vendor in existence. Also features Windows-related hardware support.

  • ZDNet ( www.zdnet.com ). This tech portal, now owned by CNET, combines all the technology news and information from PC Magazine, Macworld, and other Ziff-Davis magazines.

Technical Newsgroups

When you have a particular technical question you need answered, you can try searching through Windows XP's Help system, or browsing through the various technical Web sites I just listed. You may have better luck, however, in a Usenet newsgroup devoted to your particular technical issue. Usenet is where the real techno-geeks hang out, and posting a question in a newsgroup can bring surprisingly fast (and surprisingly insightful) answers.

Here's a list of individual newsgroups and hierarchies that could be helpful if you need technical information or support. A wildcard (*) at the end of a name indicates that some or all the groups in that particular hierarchy might be worthwhile.

  • alt.comp

  • alt.comp.hardware.*

  • alt.comp.periphs.*

  • alt.computer

  • comp.misc

  • comp.os.ms-windows.*

  • comp.periphs

  • comp.periphs.*

  • comp.sys.ibm.pc.hardware.*

  • microsoft.public.windowsxp.*

The final hierarchy in this list might not be found on every public newsgroup server. These are the newsgroups that Microsoft hosts on its own msnews.microsoft.com newsgroup server. You also can access these newsgroups by clicking the Go to a Windows Web Site Forum link in the Support window.

You can sometimes find the answers to your questions in older newsgroup articles. When you want to search the Usenet archives, go to Google Groups (groups.google.com). This site archives Usenet articles from many years past to today; if somebody posted it, you can find it here!


Getting Remote Assistance

For many users, the best source of technical help isn't found within Windows, nor is it found online. The best help, more often than not, is provided by someone you know—someone more technical than you who can help you walk through the steps it takes to solve your PC problems.

I know about this kind of help because I'm often a provider of it. I've mentioned earlier in this book that my dad depends on me to help him fix any computer problems he runs into. Well, my dad isn't the only one—and I'm not the only guy who serves the role of unofficial technical support specialist.

Asking a friend for help is great if your friend is nearby and can stop by for a few beers and a little keyboard punching. But what do you do if your technical friend lives halfway across town—or halfway across the country?

Microsoft added a neat little feature to Windows XP that lets your own personal tech support guy do his thing, from wherever he happens to be today. Remote Assistance, as Microsoft calls it, essentially lets you hand over control of your computer to another user. Assuming that you're both connected to the Internet (or to the same local area network), the tech support person can fully operate your computer from his own desktop, which makes it easier to track down and solve truly vexing problems.

Naturally, this feature can be used not only by technical friends and family, but also by professional technical support staff. If your computer is part of a large corporate network, your corporate tech support folks can now do their thing remotely. If you need a Microsoft support person to troubleshoot a Windows-specific problem, that can also be arranged.

Any Windows XP user (Home Edition or Professional) can be the recipient of Remote Assistance. The user performing Remote Assistance, however, has to have Windows XP Professional installed on his machine.

The first step to using Remote Assistance is to ask for help—literally. You have to open the Help and Support Center and click the Remote Assistance link in the Ask for Assistance section. When the Remote Assistance screen appears, click the Invite Someone to Help You link. When the next screen appears (as shown in Figure 22.6), you get to pick how you want to contact your "assistant." (That's Microsoft's word. I like to think of myself as a "technoslave.").

Figure 22.6. Ask a more technical user to help you via Remote Assistance.

[View full size image]

CAUTION

Be extremely careful when handing out permissions and passwords to access your system remotely. Be sure it's either someone you know, or a certified professional from Microsoft or some similar responsible organization.

You can choose to contact your assistant with Windows Messenger, or via e-mail. Messenger is good if your assistant is also a Messenger user and happens to be online at the time. E-mail is a more sure-fire way to get in touch with him or her.

As you proceed through the screens, you'll be asked to set a time where your invitation can be accepted. (In other words, when you want your helper to perform his or her magic.) You'll also provide your assistant with a password, which is necessary to gain remote access to your system.

When the time comes, be sure your computer is connected to the Internet. (Or, if you're getting corporate help, that it's connected to the office LAN.) Your assistant will use the Windows XP Professional version of Remote Assistance (called Remote Access, as discussed in Chapter 21, "Using Windows XP on Portable PCs") to gain access to your PC. You must be logged out at the time, as Remote Assistance treats your remote assistant as a separate user—and only one user can be logged in at a time.

Your remote assistant now has total control over your computer. Your desktop appears on his screen, and his keyboard and mouse provide input to your system. He can launch programs, run system diagnostic tools, and upgrade and install device drivers.

If you picked the right assistant, you'll have your problems fixed in short order. If not—well, there are other technoslaves out there….


The Bottom Line

Probably the most important thing Microsoft did in regards to improving user help in Windows XP was to make the operating system itself more robust. Fewer crashes and fewer problems mean less need for technical support of all types. If it doesn't break, you don't need help to fix it.

Still, Windows XP is a Microsoft product, so it probably will break, at some point in time. When you need help with Windows, then, remember these key points:

  • Microsoft has totally revamped its old Help system, which is now called the Help and Support Center; for traditional text-based help, you can search for specific information (using the Search box) or browse through general topics (in the Pick a Help Topic section).

  • If you don't know the cause of a problem, click the Fixing a Problem link to open one of Windows XP's interactive Troubleshooters. Walk through the questions and suggestions to try and isolate the cause of your current problem.

  • The Help and Resource Center also functions as a central access point for Windows XP's key system maintenance and troubleshooting utilities. The best of these utilities are listed in the Pick a Task section.

  • If you can't find your answer in the built-in Help files, click the Support button to go online and search Microsoft's vast repository of Internet-based help resources.

  • If there's no way you can figure out your problems on your own, use XP's Remote Assistance feature to let a technical professional (or just a savvy friend) take control of your entire system by remote control. While connected, a remote assistant can launch programs, run troubleshooting utilities, and even download and install new and updated device drivers.


Chapter twenty three. Updating Windows

IN THIS CHAPTER

Picking and Choosing Windows Components 432

Downloading and Extracting Device Drivers 433

Updating Windows Online 434

Upgrading to Service Pack 2 437

Transferring Files and Settings 437

The Bottom Line 440

Keeping Windows updated is a full-time job. Up until recently, Microsoft saved up all its bug fixes, program patches, and driver updates and threw them all into annual "service packs." Microsoft still updates Windows via big-deal service packs, but it has also instituted smaller, more frequent updates to the operating system. Microsoft apparently assumes that every single customer has a persistent (and high speed!) Internet connection, so Windows XP now goes online and updates itself on a regular basis, downloading much smaller files and fixing bugs much quicker than was possible before.

In this chapter I'll cover a lot of odds and ends that all have something to do with supplementing the basic Windows XP installation. If you pick up anything from this chapter it should be this: Hang on to your Windows XP installation CD!


Picking and Choosing Windows Components

There may come an occasion where you go to use a particular aspect of Windows XP, and find that it isn't installed on your system. Windows may ask you to install the missing component automatically, or you may have to manually install these components that weren't part of the default installation.

Back in the old millennium, every new PC came with its own Windows installation CD. Well, that cost money, so Microsoft no longer requires PC manufacturers to supply this to their customers. This means that you now don't have any physical backup copy of the Windows operating system; if your computer crashes and you need to reinstall Windows, you're out of luck. Or are you?

Even though you don't have a physical Windows installation CD, you still might have a spare copy of Windows sitting around. That's because many PC manufacturers devote a bit of hard disk space to storing Windows instal lation files—and, in some cases, some sort of restoration utility. (Good thing hard disk space is so plentiful—and so cheap.) If you need to restore your operating system to its original condition, it's a simple matter of running the manufacturer's restoration utility. As always with this sort of thing, consult your PC manufacturer for more details and instructions.

If your manufacturer was nice enough to include the Windows installation files somewhere on your PC's hard disk, you can also install additional Windows components, as necessary. Here's how to do it:

1.
From the Control Panel, click the Add or Remove Programs icon.

2.
When the Add or Remove Programs utility opens, click the Add/Remove Windows Components button.

3.
This launches the Windows Components Wizard, shown in Figure 23.1. Components already installed are marked with a check mark. Components not installed are not checked.

Figure 23.1. Use the Windows Components Wizard to install any components not installed as part of the default Windows XP installation.

[View full size image]

4.
Check those new components you want to install. If a component has optional subcomponents, click the Details button to check or uncheck those individual items.

5.
Click the Next button and follow the onscreen instructions to complete the installation.

Naturally, this procedure also works if you actually have a physical Windows installation CD. Be prepared to insert the CD when prompted, typically in step 5.


Downloading and Extracting Device Drivers

Sometimes the new component you need isn't actually part of Windows, but rather a device driver. This is particularly true if you install a new piece of hardware, and Windows can't locate a driver for the hardware through its normal means.

If you need a new device driver for a particular piece of hardware, there are several places you can look for that driver.

  • Windows might have its own driver for that device.

  • A driver might exist on any installation CD or disk that came with the hardware.

  • The hardware manufacturer might have new drivers available for downloading from its official Web site.

  • Microsoft might have drivers available at its Web site.

  • There may be other sites on the Web that might have the necessary file.

When it comes to finding drivers online, you can't go wrong with DriverGuide.com (www.driverguide.com). This site, which requires (free) membership, offers you several different ways to find the drivers you need, including links to the manufacturer's official site, as well as links to other official and unofficial sites. Even better is the mammoth user-created driver database. All you have to do is search for a particular manufacturer and model number, and you'll see a list of drivers that helpful users have uploaded for your downloading pleasure.

Even though going to the official site is certainly the recommended way to proceed, I've found that I can almost always find the right drivers faster on DriverGuide.com.


Updating Windows Online

Windows is like a lot of big government projects—it's never actually finished, and it often needs to be fixed. Microsoft recognizes this, and provides a constant barrage of bug fixes, patches, and other updates to its users, via the Windows Update utility.

Windows Update is the online extension of Windows XP that helps you to keep your operating system up-to-date. When Windows Update is activated, it will periodically go online and check in with the main Windows Update Web site. It will notify if you if any new updates are available. You can choose to download the updates, and install them.

Getting Automatic Updates

By default, Windows Update will run in the background and use the Internet to check for updated system files. It will then automatically download and install those files on your PC.

Windows Update runs once a day, when it goes online and checks the Microsoft Web site for updates to the basic operating system. If it finds an update, it downloads the files automatically. Once the files are downloaded, they'll be installed automatically (unless you've configured Update otherwise). Obviously, this whole process screams for a fast Internet connection, but then it works fairly invisibly in the background.

If your version of Windows XP incorporate Service Pack 2, Windows Update is turned on by default. To check your Windows Update configuration, open the Control Panel and click the System icon. When the System Properties dialog box appears, click the Automatic Updates tab, shown in Figure 23.2. Check the Automatic option, then select how often and what time you want the updates to take place. (The default is every day at 3:00 a.m.) Alternately, you can choose to download the updates but not install them automatically, or simply to be notified that updates are available (no downloading). You can also choose to turn off the whole thing completely, which might be a good idea if you have a slow dial-up connection. Otherwise, check the Automatic option and forget about it.

Figure 23.2. Configuring the Windows Update feature.

Updating Manually

You also can choose to use Windows Update manually. All you have to do is make sure you're connected to the Internet, then click the Start button and select All Programs, Windows Update. You'll now be connected to the Internet and taken to the Windows Update Web site, shown in Figure 23.3.

Figure 23.3. Use Windows Update to keep your copy of Windows XP up-to-date.

[View full size image]

The site installs the latest version of its software on your PC, and then proceeds to scan your computer. Click the Scan for Updates option and you'll then be provided with a list of updates that are available for your particular system. Follow the onscreen instructions to install specific updates.

TIP

Since the world never stands still, it's fair to expect Microsoft to release even more service packs in the future. New service packs should be automatically installed as part of the Windows Update process, but it never hurts to check Microsoft's Web site from time to time just to see if there's anything new you should be aware of.


Upgrading to Service Pack 2

Since Windows XP was first released, Microsoft has upgraded the operating system with two major service packs, dubbed Service Pack 1 (or just SP1, for short) and Service Pack 2 (SP2). You don't have to install both service packs; SP2 includes all the bug fixes and new features of SP1, plus its own fixes and features. (My favorite fix is for the extremely rare problem of "Calendar Type May Change to Japanese Emperor Era When Outlook Runs." But then again, maybe that's not as big a problem if you live in Japan…)

If your PC already has SP2 installed, it will say so when you open My Computer and select Help, About Windows. If you don't have SP2 installed, you need to do so at your earliest possible convenience.

You have the choice of downloading SP2 (okay if you have a broadband connection; out of the question if you have a dial-up connection) or ordering it on CD-ROM. You can learn more about SP2—and either download it or order the CD—from Microsoft's Windows XP Service Pack 2 Web page, located at www.microsoft.com/windowsxp/sp2/.


Transferring Files and Settings

Have you ever bought a new PC, and then spent days—and days—trying to get your new PC configured the same way your old one was? Have you ever had to manually add all your Internet Explorer favorites and Address Book contacts to a new installation? Have you ever searched all through your old hard disk, hunting for all the document files you created in the past few years that absolutely, positively have to be copied to your new system? Have you ever wished you'd just stuck with the old PC, because you'd spent so much time getting it configured just so?

Microsoft felt your pain.

Windows XP includes a new Files and Settings Transfer Wizard. This wizard lets you pick and choose which files and configuration settings you want to keep when you move to a new machine. It then copies those files, templates, and settings to some form of removable storage (you can burn a CD or use a Zip disk, or beam the files and settings across a network), which you can take with you to your new machine. Then you run the wizard on the new machine, and copy your old files and settings to the new PC.

So, with a minimum of fuss and muss, your new PC will assume all the personalization of your old PC—complete with all your personal files.

Not a bad deal, eh?

You can run the Files and Settings Transfer Wizard from within Windows XP, or from the Windows XP installation CD (for those older systems running a different version of Windows). Within Windows XP, you launch the wizard by clicking the Start button and then selecting All Programs, Accessories, System Tools, Files and Settings Transfer Wizard.

Copying Your Old Files and Settings

Here's how you copy the files and settings from your old PC.

1.
When the wizard launches, click the Next button.

2.
When the Which Computer Is This? screen appears, check the Old Computer option, then click Next.

3.
When the Select a Transfer Method window appears, select how you want to transfer the files—over a home network, on multiple floppy disks, or from some other removable drive (such as a Zip disk). Click Next.

4.
When the What Do You Want to Transfer? screen appears (as shown in Figure 23.4), select whether you want to copy settings, files, or both.

Figure 23.4. Use the Files and Settings Transfer Wizard to copy all the important stuff from your old PC to your new PC.

[View full size image]

5.
If you want to select specific files and settings to copy, check the Let Me Select a Custom List of Files and Settings option. When you click Next, you'll be able to select specific items to copy.

6.
The wizard now collects everything it needs to copy to the new PC. This takes several minutes.

7.
You'll now be prompted to insert a disk in your disk drive, or connect to the network, or do whatever is necessary to begin the transfer. Follow the onscreen instructions to complete the procedure.

Transferring Your Files and Settings to a New PC

Now you have to transfer all those files and settings to your new computer. Launch the Files and Transfer Settings Wizard on your new PC, then follow these steps:

1. | When the wizard launches, click the Next button.
2. | When the Which Computer Is This? screen appears, check the New Computer option, then click Next.
3. | When the Where Are the Files and Settings? screen appears, select how you've stored the files, then click Next.

The wizard now transfers the files and settings to your new computer. If you're asked to insert disks, do so. Otherwise, sit back and wait for the whole thing to finish. When it's done you might have to reboot your computer, but then it will be up-and-running—and looking and acting just like you're used to!


The Bottom Line

As you've no doubt realized, just because you've completed the formal installation procedure doesn't mean that you're done installing Windows. Keeping Windows XP fresh and up-to-date is a constant process!

Just keep these key points in mind, and you'll always have the latest, greatest version of Windows XP installed on your computer:

  • Not all of Windows is installed in a default installation. There are other, less-used, components available on either the Windows XP installation CD or on Windows XP installation files stored somewhere on your hard disk; you install new Windows components by using the Add or Remove Programs utility and the Windows Components Wizard.

  • Windows XP includes the Windows Update utility, which automatically goes online to find updates and patches for your operating system. (You can activate the utility manually by clicking the Windows Update link in the Help and Support Center window.)

  • The original version of Windows XP has since been upgraded with Service Packs 1 and 2, which fix a lot of bugs and adds a few new features; if you haven't yet installed SP2 on your system, you should do so as soon as possible.

  • When you're moving to a new PC, you can transfer all your personal files and settings from your old PC by using the Files and Settings Transfer Wizard. (Be sure you pick a storage medium that's large enough to hold all the files—or hook up your two computers to a network to transfer files directly.)


Chapter twenty four. Keeping Windows Healthy and Happy

IN THIS CHAPTER

Cleaning Up Unnecessary Files 442

Defragging Your Disk 443

Performing a Hard Disk Checkup with ScanDisk 445

Viewing System Performance 446

Viewing More System Information 447

Displaying Key System Properties 449

Managing Your Devices 450

Accessing More System Information—and Utilities 453

Scheduling Your Maintenance 457

Backing Up and Restoring Critical Files 457

Managing the Windows Registry 458

The Bottom Line 461

Windows XP includes several utilities to help you keep your system running smoothly. These utilities are mainly unchanged since Windows 98, when Microsoft completely overhauled almost all of Windows' system maintenance features.

One thing that has changed in XP is that some of these system tools are a little easier to get to. Although you can still find most of these tools by clicking Start, All Programs, Accessories, System Tools, you can also find some of the key tools in the Help and Support Center (as discussed in Chapter 22, "Getting Help"). When you click the Use Tools to View Your Computer Information link in the main Help and Support window, Windows displays a list of the most popular support tools. Click any of these links to launch the tool.

(In fact, the Help and Support Center is the only place to find some of the most popular tools. If you're looking for a tool or utility that used to be on the System Tools menu and isn't there anymore, open the Help and Support Center and look for it there.)

In this chapter I'll discuss the most important system maintenance utilities found in Windows XP. You should use these tools not only when your system is having problems, but also as part of a regular maintenance routine. A little preventive medicine now can save you from costly computer problems in the future!


Cleaning Up Unnecessary Files

Even with today's humongous hard disks, you can still end up with too many useless files taking up too much hard disk space. Fortunately, Windows XP includes a utility that helps you identify and delete unused files on your hard disk.

Disk Cleanup is a great tool to use when you want to free up extra hard disk space for more frequently used files. When you run Disk Cleanup it identifies unused files and, with your permission, deletes them.

To use Disk Cleanup, click the Start button, and then select All Programs, Accessories, System Tools, Disk Cleanup. Disk Cleanup will now start and automatically analyze the contents of your hard disk drive. When it is finished analyzing, it presents the dialog box shown in Figure 24.1.

Figure 24.1. Use Disk Cleanup to identify and delete unused files from your hard disk.

Start by selecting the Disk Cleanup tab. You can have Disk Cleanup delete the following types of files:

  • Downloaded Program Files. These are ActiveX controls and Java applets associated with Web pages you've recently visited. It's normally okay to delete these files. If you need them again, they'll be automatically downloaded at that time.

  • Temporary Internet Files. These are Web pages cached by your Web browser for faster reloading. It's normally okay to delete these.

    TIP

    Disk Cleanup is the easiest, most efficient way to delete unused files from your hard disk—which makes it one of my fav orite utilities. I run Disk Cleanup on the first of every month, without hesitation.

  • Offline Web Pages. These are Web pages you've downloaded for offline viewing. If you're done with them, you might as well delete them.

  • Recycle Bin. This clears all recently deleted files from the Windows Recycle Bin. Check this one if you're sure you won't need to undelete any of these files. (Remember—once you clear a file from the Recycle Bin, it's really truly deleted. You can't get it back!)

  • Temporary Files. These are hidden files that Windows creates while running various programs. It's normally okay to delete these.

  • Catalog Files for the Content Indexer. These are files left over from a previous indexing operation that are no longer necessary.

If you want to remove infrequently used programs, Windows components, or older restore points for the System Restore utility, select the More Options tab and make those choices. Otherwise, click OK to begin cleaning up your hard disk.


Defragging Your Disk

If you think your computer is taking longer than usual to open files, or notice that your hard drive light stays on longer than usual, you may need to defragment your hard drive.

Any time you run an application or when you edit, move, copy, or delete a file, you create file fragments on your hard drive. This type of file frag men tation makes your hard drive work harder to find specific files, and slows down the operation of your entire system.

Fragmentation is sort of like taking the pieces of a jigsaw puzzle and storing them in different boxes along with pieces from other puzzles. The more dispersed the pieces are, the longer it takes to put the puzzle together. So if you notice your system takes longer and longer to open and close files or run applications, you probably need to defragment your drive—in effect, putting all the pieces of each puzzle in its own box.

Windows XP's Disk Defragmenter not only defragments your hard drive, it also rearranges files on the drive according to how often you use them. In essence, Disk Defragmenter places those files you use most frequently together near the front of your hard drive, so that they can be accessed more quickly.

CAUTION

You should close all applications and stop working on your system while Disk Defragmenter is running. This includes disabling your screen saver, deactivating your antivirus program, and turning off power management's standby mode.

To defragment your hard drive, click the Start button, and then select All Programs, Accessories, System Tools, Disk Defragmenter. When the Disk Defragmenter utility opens (as shown in Figure 24.2), choose the drive you want to defragment and then click the Defragment button.

Figure 24.2. Use Disk Defragmenter to improve the efficiency of your hard disk drive.

[View full size image]

Defragmenting your drive can take awhile, especially if you have a large hard drive or your drive is really fragmented. So you might want to start the utility and let it run while you're at lunch—or overnight.


Performing a Hard Disk Checkup with ScanDisk

NOTE

The Backup option is only available if you're running XP Professional, or if you've manually installed the Backup utility. See the "Backing Up and Restoring Critical Files" section later in this chapter for more info.

Any time you run an application, move or delete a file, or accidentally turn the power off while the system is running, you run the risk of introducing errors to your hard disk. You can find and fix most of these errors from within Windows XP.

Previous versions of Windows included a utility called ScanDisk, which was available in the System Tools folder. This utility has now been built into the tasks available for your system's hard drive. (So don't go looking for it on the System Tools folder—and don't look for it by the ScanDisk name!)

To find and fix errors on any hard drive, open My Computer and right-click on the drive you want to work from. When the pop-up menu appears, select the Properties option, and then select the Tools tab. As you can see in Figure 24.3, there are three tools available to you—Error-Checking, Defragmentation (the Disk Defragmenter utility), and Backup.

Figure 24.3. Right-click a hard drive to check it for errors.

Click the Check Now button and you'll see the Check Disk dialog box. Check both the options (Automatically Fix File System Errors and Scan For and Attempt Recover of Bad Sectors), and then click Start. Windows now scans your hard disk and tries to fix any errors it encounters.

You should run this utility any time you think you're having difficulty with a hard drive. What kind of difficulties should you look for? Some of the more common symptoms are slow disk access, the inability to open a file, and when your system hangs if you're opening or saving a file.


Viewing System Performance

The Windows Task Manager, which you now use to shut down unruly applications, also can be used to view the performance of your system. (You open the Task Manager by right-clicking any open portion of the Taskbar, then selecting Task Manager from the pop-up menu.)

As you can see in Figure 24.4, the Task Manager has five tabs. The first tab, Applications, is the one you use when you need to shut down a frozen application. The second tab, Processes, shows every system process that is currently running in memory.

Figure 24.4. Use the Windows Task Manager to view your system's processor and memory usage.

The third tab, Performance, is the one that's really interesting—visually, at least. This tab displays graphs of your system CPU and memory usage. It also displays numerical information about various system parameters, such as physical and kernel memory. It's a fun little tab to watch, if nothing else.

The fourth tab, Networking, displays similar usage graphs for the connections on your network. The fifth tab, Users, simply lists the users currently logged on to your PC. (It also lets you log them off or disconnect them.)


Viewing More System Information

For even more detailed information about your system, check out the tools available in Windows XP's Help and Support Center. There are two tools here, each offering a different level of system detail.

My Computer Information

Begin by opening the Help and Support Center, clicking the Use Tools link (in the Pick a Task section), and then clicking the My Computer Information link. The My Computer Information tool lets you look at four different reports:

  • General system information

  • System hardware and software status

  • Installed hardware

  • Installed Microsoft software

Figure 24.5 shows the General System Information report. The other reports appear in a similar format, and provide similar information.

Figure 24.5. View the status of your computer's hardware and software with the My Computer Information tool.

[View full size image]

Advanced System Information

When you click Advanced System Information (in the Tools panel), you're presented with five options:

  • View detailed system information

  • View running services

  • View Group Policy settings applied

  • View the error log

  • View information for another computer

The first option opens the System Information utility, discussed later in this chapter. The other options provide more specific reports regarding the selected function.


Displaying Key System Properties

Another place to turn when you want to know more about the pieces and parts of your system is the System Properties utility. You can open this utility from the Control Panel (click the System icon) or by right-clicking My Computer on your desktop and then selecting Properties from the pop-up menu.

CAUTION

You should avoid changing your computer's name if you're connected to a network. If you change the name, the other computers on the network won't be able to recognize your computer!

In Windows XP there are now seven tabs in the System Properties window. Here's what you'll find on each:

  • General. This tab (shown in Figure 24.6) displays basic information about your system—what type of computer you're using, what version of Windows you're running, and your user name.

    Figure 24.6. Access a variety of system properties and information from the System Properties dialog box.

  • Computer Name. This tab displays the name and description of your PC as it appears to other computers on your network. Click the Change button to change this information.

  • Hardware. This tab serves as a gateway to a variety of hardware-related tools and utilities, including the Add New Hardware Wizard, the Device Manager (discussed next), and Hardware Profiles.

  • Advanced. This tab serves as a gateway to performance, user profile, and startup and recovery settings.

    NOTE

    If you're familiar with the Device Manager from Windows 9X/Me, you might be surprised at its slightly different look in Windows XP—as well as its new location. (It used to be a tab on the System Properties dialog box, now you have to click a button to get to it.)

  • System Restore. This tab lets you turn off and on and configure the System Restore tool.

  • Automatic Updates. This tab lets you configure how Windows Update works in the background to find and download updates to the operating system.

  • Remote. This tab is where you configure the settings for the Remote Assistance feature.


Managing Your Devices

When you open the System Properties dialog box, select the Hardware tab, and click the Device Manager button, you open one of Windows' most important utilities—the Device Manager. You use the Device Manager to view key properties for any device installed on your PC, and change those properties as necessary.

As you can see in Figure 24.7, the Device Manager lists all the devices currently installed on your system. Click a listed device type that has a plus sign beside it, and it displays a list of all the devices that are in that category.

Figure 24.7. Use the Device Manager to display and change the properties of any device installed on your system.

For example, when you click the Ports category, you'll see a list of all the ports on your system, including your serial ports and parallel ports. The serial ports are called Communications ports, and the parallel ports are called Printer ports.

Viewing Device Properties—and Conflicts

There are two ways you can organize the devices in the Device Manager—by device type or by connection. Generally, it's easier to organize them by type because it organizes the devices by what they are, not where they are. You can change the way your devices are displayed by clicking the View menu and selecting an alternate view.

If Windows is reporting a problem with a specific device driver, you'll see a special symbol next to that device. A black exclamation point (!) on a yellow background indicates that the device is in what Microsoft calls a "problem state." A red "X" indicates that the device is currently disabled—probably because the correct driver isn't loaded. A blue "i" on a white background indicates that the device is using a manual configuration instead of the default settings (this isn't necessarily a bad thing).

To look at the properties of a device, double-click the device's icon. This opens a Properties window that shows the device specifications and the driver that's running it.

For some devices, you can look at and set which port, IRQ, and memory it uses. However, it's generally a bad idea to mess with those settings because it prevents Windows from reassigning resources should you decide to add or remove devices later.

Resolving Conflicts

If you have a device conflict, open that device's Properties window and select the General tab. You'll now see a message that explains the basic problem and presents the steps Windows recommends to solve it. The message may also display a problem code and number that can be useful when consulting with a technical support specialist.

Sometimes you can resolve a resource conflict by choosing an alternate IRQ and/or memory configuration for the problem device. For example, suppose you have two devices that both want to use IRQ11, and one of them isn't working because of it. You can display the properties for one of the devices by double-clicking it in Device Manager and displaying its Resources tab. At the bottom of the screen, it will report the conflict with the other device.

To fix the conflict, deselect the Use Automatic Settings check box and choose a different configuration from the Settings Based On list. Be sure to choose a configuration that results in No Conflicts being reported in the Conflicting Device List.

If there aren't any suitable configurations to choose from in the Settings Based On list, you can assign an IRQ or memory address manually. To do so, click the one you want (IRQ or Input/Output Range) and then click Change Setting. A box appears in which you can make your selection.

If you see a message that the resource cannot be modified, try the other side of the equation. That is, try to change the resources for the other device involved in the conflict.

Updating Drivers

In some cases you may need to update to a newer version of a device driver. To do this, go to the device's Properties window, select the Driver tab, and then click the Update Driver button. This starts the Update Device Driver Wizard. Click the Next button and then select Search for a Better Driver. Click Next and you'll now be prompted as to where you want to search for an upgraded driver. If you have the driver on disk (hard, floppy, or CD-ROM), select the appropriate option. If you prefer to go out on the Internet and search Microsoft's Web site for an updated driver, select Microsoft Windows Update. After a new driver is found, you can use the rest of the Wizard to install and configure the new driver.

If you install a new driver and things all of a sudden stop working properly, there's something wrong with the new driver. Maybe it's the wrong driver, or maybe the driver file is corrupt. Whatever the cause, you need to abandon the new driver and revert to the previous one—the one that was working okay. You can do this easily by clicking the Roll Back Driver button. This "rolls back" the driver to the previous version, which should get your system up and running again.


Accessing More System Information-and Utilities

Accessing More System Information—and Utilities

There's one more utility you need to be familiar with. That's because it displays even more valuable system information—and serves as a gateway to even more system tools that you can't find anyplace else.

System Information

The utility I'm talking about is called System Information. You open it by clicking the Start button, and then selecting All Programs, Accessories, System Tools, System Information.

As you can see in Figure 24.8, the left pane of the System Information window displays information about the five key parts of your system:

Figure 24.8. Use System Information to view more detailed information about your system—and to access a variety of technical tools.

[View full size image]

Hardware Resources, Components, Software Environment, Internet Settings, and Office Applications. Click the "+" next to one of the categories to display additional subcategories. When you highlight a specific subcategory, information about that topic appears in the right pane.

System Information is particularly useful for finding device conflicts. Open the Hardware Resources category and then select Conflicts/Sharing. The right pane now displays a list of all shared IRQs—one of which is probably causing your current problem. Identify the problem IRQ, and then use the Device Manager to either reconfigure or reinstall the device to use a different IRQ.

Windows XP uses System Information not only as a utility onto itself, but also as a kind of gateway to a number of other system utilities. Many of the so-called "hidden" tools (which I discuss next) are accessible from the Tools menu in the System Information window. Some of these utilities are a bit technical in terms of what they monitor or do, but if you're having problems with some new piece of hardware you've installed, you'll probably find at least some of these utilities useful when you go to troubleshoot your problem.

Net Diagnostics

The Network Diagnostics utility scans your system and gathers information about the network connections you've set up. This tool is designed to provide technical personnel with the information necessary to troubleshoot a variety of network-related problems.

System Restore

This starts the System Restore utility that I discuss in Chapter 25, "Troubleshooting Common Problems."

File Signature Verification Utility

Windows XP's File Signature Verification Utility locates signed and unsigned files on your system. Digitally signed files have been granted a Microsoft digital signature that states that the file is an unaltered copy of the original file. Unsigned files are less trustworthy.

To be honest, I can't find a lot of use for this particular utility, outside the occasional hunt for files altered by computer viruses. Because antivirus programs do a much better job of hunting down these files, I don't know when you'd actually use this utility.

DirectX Diagnostic Tool

The DirectX Diagnostic Tool provides information about any DirectX components and drivers installed on your system. It also provides a way to test their sound and graphics output, and you also use the tool to disable or adjust particularly problematic hardware acceleration features.

Like many of Windows' so-called hidden tools, this one is probably more useful to tech support personnel than it is to normal users. The information gathered by this utility can provide useful technical information about any problems you encounter when running DirectX applications.

Information about different DirectX components and drivers are displayed on separate tabs in the DirectX Diagnostic Tool window. For example, the System tab displays basic system information, while the DirectX Files tab displays the properties for each DirectX file installed on your system.

If you're having trouble running DirectX applications on your system, examine the file listings on these tabs for any obvious discrepancies. For example, if an input device (such as a joystick) isn't working, go to the Input tab and make sure that particular device is listed. You might also want to go to the DirectX Files tab and look in the Attributes column for any file that is not labeled Final Retail. (It's possible that a specific application has gotten out the door without all the final files in place, which can cause the application to run slower than normal, erratically, or not at all.) In other words, examine the listings on each tab, and look for any items that aren't like the others—chances are that's the file that's causing your current problem.

Dr. Watson

Dr. Watson, shown in Figure 24.9, is a familiar tool to experienced Windows users. It takes a snapshot of your system whenever a system fault occurs, which aids in the diagnosis of tricky problems.

Figure 24.9. Use Dr. Watson to help you diagnose problems with your system.

By intercepting software faults, Dr. Watson identifies the software that failed, and offers a general description of the cause. In some cases, Dr. Watson will diagnose the problem and offer a suggested course of action. You also can feed the information that Dr. Watson collects to tech support personnel; it will often provide the detailed technical information they need to find and fix tricky system problems.


Scheduling Your Maintenance

CAUTION

For a scheduled task to run, your computer has to be turned on during the scheduled maintenance periods. Windows XP will not turn on your PC for you! If your PC is turned off when maintenance is scheduled, the Scheduled Task utility simply skips that scheduled activity.

If you can never seem to find time to run basic system maintenance, you should be glad that Windows XP includes a Scheduled Tasks utility. This utility lets you automatically run various system maintenance tasks—including Disk Defragmenter and Disk Cleanup—while you're away from your computer.

To use this utility, click the Start button, then select All Programs, Accessories, System Tools, Scheduled Tasks. When the Scheduled Tasks window opens, click the Add Scheduled Task icon. This launches the Scheduled Task Wizard. Follow the onscreen instructions to add a scheduled task.


Backing Up and Restoring Critical Files

I always tell my friends that they need to back up the critical files on their PC on a regular basis. They don't always listen to me (to be honest, they seldom—if ever—listen to me!), but it's still good advice. Even if it's advice I don't always follow myself.

In previous editions of this book I talked about using the Microsoft Backup utility to perform your backup needs. There are two problems with Microsoft Backup, however. First, it's not installed by default in Windows XP Home Edition. (It is installed by default in XP Professional.) Second, it really isn't that good for backing up today's extra-large hard drives. (It's a rather old and now outdated utility, to be honest.)

So I won't talk about Microsoft Backup anymore.

Instead, I recommend you invest in an external hard disk drive, one that's designed specifically for system backups. These drives, such as the Maxtor OneTouch, come with their own backup software that makes backing up your hard disk a totally automated process. And, given the rapidly dropping price of hard disk storage, you can get an external hard disk big enough to back up your entire main hard disk for $200 or less. Going this route is a lot easier and safer than doing incremental backups to diskette or CD-ROMs using Microsoft Backup. Trust me on this one; an external backup hard disk is money well spent.


Managing the Windows Registry

CAUTION

Back in the prehistoric days of Windows, before Windows 95, there were two system files that kept track of much of this information—win.ini and system.ini. But as more objects became installed, and All Programs added, these files became huge and unwieldy—and contributed significantly to slowing Windows. Starting with Windows 95, all the information formerly stored in these two files (and more) was moved to the Registry, which is much more organized and easier to manage than the previous files. (By the way, both win.ini and system.ini still exist in Windows XP, mainly for compatibility with any older programs that still write to those files.)

The majority of your system's configuration is stored in a huge database of information called the Windows Registry. The Registry contains all the properties you set via the Control Panel, settings for each of the applications installed on your system, and configuration information for all your system's hardware and peripherals.

The Registry is updated automatically whenever you change a configuration through normal means. You also can make changes directly to the Registry, using a utility called the Registry Editor.

You need to know, however, that editing the Registry directly is a tricky proposition. If you do something wrong, you could make your system totally inoperable. For that reason, you should only edit the Registry if it's absolutely necessary to correct an otherwise hard-to-fix problem—and you should back it up before attempting any edits.

Understanding the Registry

Why have a Registry? Well, in the old days of computing, when you wanted to install a new software program, you just copied the files for the program onto your hard disk and ran them. The problem is, as programs got larger, they had to be broken into task-specific modules. As time went by, programmers found they could maintain a library of certain modules that did certain tasks, so they could reuse a module over and over in different programs.

Eventually, this led to the concept of object-oriented programming, or OOP. With OOP, each object in a program has a set of qualities or capabilities that defines it, as well as a number of component modules or resources. In many cases, these resources are stored in different folders on your hard disk. The Registry keeps track of all the pieces of your programs so Windows can find them when it needs them.

Backing Up and Restoring the Registry

TIP

If you want to be extra safe, you can make a copy of your Registry and store it on some form of removable media, such as a Zip disk or CD-R/RW. The Registry is actually composed of two hidden files, SYSTEM.DAT and USER.DAT, located in the windows folder. All you have to do is unhide these files and copy them to another location. (You can copy them back later if you totally trash your system in the meantime.)

Because editing the Registry is risky—even for experienced computer users—you should back up the Registry files before you commence making any changes. This will give you the option of restoring the pre-edited Registry, just in case anything goes wrong.

Fortunately, Windows XP's System Restore feature automatically backs up your Registry whenever a restore point is created. If you're going to edit your Registry, be sure you create a new restore point prior to making any changes. If anything goes wrong in the editing process, you can use System Restore to restore your system back to the previous restore point. (See Chapter 25 for more information about System Restore and restore points.)

Editing the Registry

Most of the time you won't need to bother with the Registry—it operates in the background, automatically updated whenever you change a Windows setting or install a new piece of software or hardware. However, there will come the occasion when you experience a particularly vexing system problem that can be fixed only by editing a particular value in the Registry.

Typically, you'll be instructed to edit the Registry by a tech support person working for the company whose product is causing you problems. (Trust me, it happens.) When worse comes to worst, you need to know how to edit the Registry, which you do via the Registry Editor utility.

The Registry Editor is a powerful utility that lets you edit individual values in the Registry. You start Registry Editor by clicking the Start button and selecting Run to display the Run window. Enter regedit in the Open box and then click OK.

The Registry Editor window has two panes, as shown in Figure 24.10. The left pane displays the different parameters or settings, called keys. All keys have numerous subkeys. The right pane displays the values, or configuration information, for each key or subkey.

Figure 24.10. When worse comes to worst, you can also edit the (highly technical) values in the Windows Registry.

[View full size image]

CAUTION

Registry settings are changed as you make the changes. There is no "save" command in the Registry Editor. There is also no "undo" command. So be very careful about the changes you make—they're final!

You display the different levels of subkeys by clicking on the "+" next to a specific item. You edit a particular value by highlighting the subkey in the left pane and then double-clicking the value in the right pane. This displays the Edit Value (or Edit String) window. Enter a new value in the Value Data box, then click OK.

To add a new value to a subkey, right-click the subkey and select one of the New, Value options from the pop-up menu. Type a name for the new value, then double-click the value to display the Edit Value (or Edit String) window. Enter the new value in the Value Data box, then click OK.

You also can add new subkeys to the Registry. Just right-click the key where you want to add the subkey, then select New, Key from the pop-up menu. A new subkey (with a temporary name) appears. Type a name for the new subkey, and then press Enter.

To delete a subkey or value, right-click the item and select Delete. Remember, however, that all changes are final. Once a subkey is deleted, it's gone!


The Bottom Line

Most users don't like to mess with system maintenance and troubleshooting tools. I don't blame you. This stuff really isn't any fun, and it's often too technical and confusing to truly understand.

Still, you need to perform periodic maintenance on your system. And you may eventually run into a problem that requires the use of some of the more technical system tools. For those reasons, it pays to familiarize yourself with these tools and utilities. If nothing else, remember these key points:

  • Microsoft has moved a lot of its maintenance utilities from the System Tools folder to the Help and Support Center. If you can't find a specific tool in one place, look in the other!

  • The two essential hard disk maintenance activities are cleaning up unused files and defragmenting the disk.

  • Even though ScanDisk no longer exists as a stand-alone program, the function of finding and fixing hard disk errors is still around. In Windows XP this disk fixing is accessible by right-clicking a hard disk icon in My Computer, selecting Properties, selecting the Tools tab, and clicking the Check Now button.

  • A lot of key information is displayed in the System Properties dialog box; this dialog box serves as a gateway to other tools and utilities—including the Device Manager.

  • You use the Device Manager to view and reconfigure all the devices that are attached to or installed in your computer. (You also can use the Device Manager to install new device drivers, or roll back your system to use a previously installed version of a driver.)

  • If you think you have a device conflict, use the System Information utility to display all the shared resources on your system. (You also use System Information to access several "hidden" utilities, including the DirectX Diagnostic Tool and Dr. Watson.)

  • The Windows Registry is where Windows stores all its configuration information. You can edit the Registry with the Registry Editor utility.


Chapter twenty five. Troubleshooting Common Problems

IN THIS CHAPTER

Basic Troubleshooting Tips 464

Starting in Safe Mode 465

Undoing Something Bad with System Restore 467

Troubleshooting Technical Problems with Windows' Diagnostic Tools 470

Simple Solutions to Common Problems 475

The Bottom Line 498

Well, you've made it this far. Now it's time to get down to the nitty-gritty, and talk about what to do if your copy of Windows XP starts causing you problems.

The reality is that Windows XP is a much more robust operating system than Windows 9X/Me. It's built on the 32-bit Windows NT/2000 engine, which is designed to take a licking and keep on ticking. This means that it should crash a whole lot less than what you're used to—even frozen and crashed applications shouldn't bring down the whole operating system.

Still, things don't always run as they're supposed to. If you start experiencing problems after you've installed Windows XP, use the advice in this chapter to try and track down your problem. Chances are it's something simple, and something you can fix yourself—without calling in a technical support person.


Basic Troubleshooting Tips

No matter what kind of computer-related problem you're experiencing, there are basic steps you should take to track down the cause of the problem (while remembering to stay calm and positive). Several of these steps occur before you even power down.

1. | Check for operator errors—something you've done wrong. Maybe you've clicked the wrong button, or pressed the wrong key, or plugged something into the wrong jack or port. Retrace your steps and try to duplicate your problem. Chances are the problem won't recur if you don't make the same mistake twice.
2. | Check that everything is plugged in to the proper place, and that the PC itself is getting power. Take special care to ensure that all your cables are securely connected—loose connections can cause all sorts of strange results!
3. | Be sure that you have the latest versions installed for all the software on your system. While you're at it, be sure you have the latest versions of device drivers installed for all the peripherals on your system.
4. | Run the appropriate Windows diagnostic tools. If you have them, use third-party tools, as well.
5. | Try to isolate the problem by when and how it occurs. Walk through each step of the startup process to see if you can identify which driver or service might be causing the problem.
6. | If you can't quickly and easily track down the problem, drop back ten and punt—and restore your system to its earlier working condition with the System Restore utility (discussed later in this chapter).
7. | When all else fails, call in professional help. Contact Microsoft's technical support department and tell them about your problem. Use Windows XP's Remote Assistance utility to let a remote technician examine your system. Or just break down and take your machine into the shop. The pros are there for a reason. When you need technical support, go and get it!

I should probably add an eighth step, before step number one: Don't panic!

Just because there's something wrong with your PC is no reason to fly off the handle. Keep your wits about you and proceed logically, and you can probably find what's causing your problem, and get it fixed. React irrationally, and you'll never figure out what's wrong—and you'll get a few gray hairs in the bargain!


Starting in Safe Mode

The most frightening problem you can experience is when Windows simply fails to start. While most startup problems are related to bad drivers or misconfigured settings, how do you get into Windows to fix what's wrong when you can't even start Windows in the first place?

The answer is deceptively simple. You have to hijack your computer before Windows gets hold of it, and force it to start without whatever is causing the problem.

You hijack your computer by watching the screen as your computer boots up, and pressing the F8 key just before Windows starts to load. (You'll probably see some onscreen message about Windows starting, or pressing F8 for startup options, or selecting the operating system to start.)

When you press F8 your computer will display the Windows Startup menu. This menu lists a number of different ways that you can start Windows. I'll discuss all these modes in a minute. For now, use your up- and down-arrow keys to select Safe mode, and then press Enter.

Understanding Safe Mode

Safe mode is a special mode of operation that loads Windows in a minimal configuration, without a bunch of pesky device drivers. This means the screen will be low-resolution VGA, and you won't be able to use a lot of your peripherals (such as your modem or your printer). But Windows will load, which it might not have, otherwise.

Any time you can't load Windows normally, you should revert to Safe mode. In fact, Windows will automatically start in Safe mode if it encounters major problems while loading. Safe mode is a great mode for troubleshooting, because Windows still works and you can make whatever changes you need to make to get it up-and-running again in normal mode.

NOTE

Depending on your system configuration, you may have more, fewer, or just different options available on the Windows Startup menu. The basic Safe mode option is available on all systems, however.

Once in Safe mode, you can look for device conflicts, restore incorrect or cor rupted device drivers, troubleshoot your startup with the System Configuration Utility (discussed later in this chapter), or restore your system to a prior working configuration (using the System Restore utility, also discussed later).

Other Startup Options

When you press the F8 key when Windows is starting, Safe mode is just one of the options available on the Windows Startup menu. Here are some of the other options you may encounter:

  • Normal. This starts Windows in its normal mode—as if you hadn't pressed F8 to begin with.

  • Safe Mode. Starts Windows with a minimal number of device drivers loaded.

  • Safe Mode with Networking. A version of Safe mode that also loads key network drivers; you can still connect the ailing computer to your network.

  • Safe Mode with Command Prompt. Boots to the old DOS command prompt instead of to the Windows interface.

  • Enable Boot Logging. This logs all remaining startup operations to the BOOTLOG.TXT file.

  • Enable VGA Mode. Loads Windows as normal, but with a generic VGA video driver. (This is a good mode if you think you're having trouble with your video driver.)

  • Last Known Good Configuration. Uses the Windows Registry information and drivers that were saved the last time you shut down your system—presumably before your system got screwed up.


Undoing Something Bad with System Restore

CAUTION

Because System Restore only monitors system files and Registry settings, you cannot use it to restore changed or damaged data files. For complete protection, you'll still need to back up your important data files manually.

Perhaps the best course of action when your system crashes is to use Microsoft's System Restore utility. This is a relatively new utility, first introduced in Windows Me, which can automatically restore your system to the state it was in before your problems cropped up.

System Restore is probably the most useful utility for users who experience major system problems. (I'm almost ashamed to admit how many times I've used it to restore my system after botching some upgrade or another.) Prior to Windows Me, it wasn't uncommon to run into problems that required you to reinstall your entire operating system. With System Restore, reinstallations are a thing of the past—because it can automatically restore your system to a prior working state.

Think of System Restore as a safety net for your essential system files. It isn't a backup program per se, because it doesn't make copies of your personal files. It simply keeps track of all the system-level changes that are made to your computer, and (when activated) reverses those changes.

Setting System Restore Points

How does System Restore work?

It's quite simple, actually. System Restore actively monitors your system and notes any changes that are made when you install new applications. Each time it notes a change, it automatically creates what it calls a restore point. A restore point is a "snapshot" of the Windows Registry and selected system files just before the new application is installed.

Just to be safe, System Restore also creates a new restore point after every 10 hours of system use. You also can choose to manually create a new restore point at any point in time. Which is a good idea whenever you make any major system change, such as installing a new peripheral or piece of hardware.

To set a manual restore point, click the Start menu and then select All Programs, Accessories, System Tools, System Restore. When the System Restore window opens (shown in Figure 25.1), select Create a Restore Point and click Next. You'll be prompted to enter a description for this new restore point. Do this and then click the Create button.

Figure 25.1. Use System Restore to create a new restore point before you install a new piece of hardware or software.

[View full size image]

That's all you have to do. Windows notes the appropriate system settings, and stores them in its System Restore database.

Restoring Your System

If something in your system goes bad, you can run System Restore to set things right. Pick a restore point before the problem occurred (such as right before a new installation), and System Restore will then undo any changes made to monitored files since the restore point was created. It also replaces the current Registry with the one captured at the restore point. This will restore your system to its pre-installation—that is, working—condition.

To restore your system from a restore point, all you have to do is follow these steps:

1.
Click the Start button, and then select All Programs, Accessories, System Tools, System Restore.

2.
When the System Restore window opens, check the Restore My Computer to an Earlier Time option, and then click Next.

3.
When the Select a Restore Point screen appears (as shown in Figure 25.2), you'll see a calendar showing the current month. (You can move backward and forward through the months by clicking the left and right arrows.) Any date highlighted in bold contains a restore point. Select a restore point, and then click the Next button.

Figure 25.2. Pick a restore point to restore your system to the way it used to be—before it started acting up.

[View full size image]

4.
When the confirmation screen appears, click Next.

Windows now starts to restore your system. Be sure that all open programs are closed down, because Windows will need to be restarted during this process.

When the process is complete, your system should be back in tip-top shape. Note, however, that it might take a half-hour or more to complete a system restore—so you'll have time to order a pizza and eat dinner before the operation is done!


Troubleshooting Technical Problems with Windows' Diagnostic Tools

Remember all those technical tools I told you about earlier in the book? Well, now's the time to use them.

Find and Fix Easy Problems with Windows Troubleshooters

As you learned back in Chapter 22, "Getting Help," Windows XP includes several Troubleshooters that can walk through various problems with your system. These Troubleshooters are like wizards, in that you're led step-by-step through a series of questions. All you have to do is answer the interactive questions in the Troubleshooter, and you'll be led to the probable solution to your problem.

In most cases, Windows XP's Troubleshooters can help you diagnose and fix common system problems. It's a good idea to try the Troubleshooters before you pick up the phone and dial Microsoft's Technical Support line—or start trying to track down problems manually.

To run a Troubleshooter, open the Help and Support Center and click the Fixing a Problem link. When the next page appears, click the link for the type of problem you're having, and then click the link to start a specific Troubleshooter. All you have to do now is follow the interactive directions to troubleshoot your particular hardware problems.

Tracking Down Startup Problems with the System Configuration Utility

The System Configuration Utility is the tool you turn to when you know you have a startup problem but you don't know what's causing it. This utility troubleshoots your system by duplicating the procedures used by Microsoft's tech support staff when they try to diagnose system configuration problems. This utility leads you through a series of steps that, one-by-one, disable various components of your system on startup, until you're able to isolate the item that's causing your specific problem. You find the System Configuration Utility in the Tools section of the Help and Support Center.

The easiest way to check your system with the System Configuration Utility is to perform a diagnostic startup. This routine enables you to interactively load specific device drivers and software when you start your system.

You perform a diagnostic startup by selecting the General tab (shown in Figure 25.3) and selecting the Diagnostic Startup option. When you click OK, your computer will restart and you'll be shown the Windows Startup menu. Select Step-by-Step Confirmation, and then choose to process all files.

Figure 25.3. Use the System Configuration Utility to track down startup problems.

[View full size image]

Windows will now start, but with only the most basic devices and services loaded. If you find that your problem is no longer present, you know that the problem was caused by one of the drivers or services that you didn't load.

From here you need to return to the General tab and check the Selective Startup option. Then, starting with the first available option, enable each option (one at a time) and restart your system. By going through this admittedly time-consuming process, you should be able to determine which file or service is causing your problem.

Your job isn't done yet, however. You now have to find the item within that file—the specific driver, in most cases—that is causing your problem. Click the tab that corresponds to the problematic file or service, and work through one item at a time, rebooting your computer after enabling each item.

Again, working through one item at a time is very time-consuming, but this is the exact same procedure that the tech professionals use. Working meth odically, you can isolate the precise item that is causing your problem.

If, after working through these steps, your computer still acts up, select the Startup tab. Here you see a list of all the programs that get launched every time you start Windows. Work through this list, line-by-line (rebooting your computer after each change, of course), to determine if one of these programs is causing your system problem.

Even though this process is time-consuming, more often than not it will help you isolate your problem. Of course, once the problem is isolated, you still have to fix it—normally by reinstalling a missing or corrupted driver file.

Find and Fix Shared IRQs with System Information

Sometimes a new piece of hardware will inadvertently try to share an IRQ with another previously-installed component, with predictably bad results. In Windows XP you can use the System Information utility to examine any and all shared IRQs on your system.

To open this utility, click the Start button, then select All Programs, Accessories, System Tools, System Information. When the System Information window opens, open the Hardware Resources section of the System Summary, then select Conflicts/Sharing. This displays a list of all shared IRQs on your system. Identify the device causing your problem, and either reconfigure or reinstall the device to use a different IRQ.

Find and Fix Driver Problems with the Device Manager

For any piece of hardware to work with Windows, Windows has to install and configure a device driver file. Windows XP includes drivers for most popular hardware devices. If you have a newer or less widely used peripheral, however, the manufacturer may have to provide its own drivers for Windows to use.

In most cases, Windows XP automatically recognizes your new device and installs the proper drivers. Even when that doesn't work, the Add Hardware Wizard can be used to install the proper drivers for new devices. Still, these methods can't add new and improved drivers if those drivers aren't available.

Windows XP's Device Manager (select the Hardware tab in the System Properties utility and click the Device Manager button) is where you can review your various hardware settings. You also can use the Device Manager to determine which devices may have conflicts or other problems.

When you open the Device Manager, any resource conflict on your system will be highlighted within the problematic Class group. Click the "+" next to the hardware device type to view all corresponding devices. If there is a problem with a specific device, it will be identified with one of the following symbols:

  • A black exclamation point (!) on a yellow field indicates that the device is in what Windows calls a "problem state." Note that a device in a problem state can still be functioning, even though it has some sort of problem. The problem will be explained by the accompanying problem code.

  • A red "X" indicates that the device is currently disabled. This usually means that the device is physically present in your system, but doesn't have a driver loaded—although it could also mean that a driver is loaded but not functioning properly.

  • A blue "i" on a white field indicates that the device is not using the automatic settings, but has a manual configuration instead. (This icon isn't necessarily bad, because it doesn't indicate a problem, only a different type of configuration.)

If you have a device conflict, right-click that device and select Properties from the pop-up menu. This displays the Properties dialog box. When you select the General tab you'll see a message indicating the basic problem and the steps Windows recommends to solve the problem. The message may also display a problem code and number that can be useful when consulting with a technical support specialist.

To reconfigure a device, select the Resources tab in the Properties dialog box. (If this device doesn't have a Resources tab, either you can't change its resources or it isn't using any resource settings.) Select the resource you want to change, uncheck the Use Automatic Settings option, and then click the Change Setting button. When the Edit Resource dialog box appears, edit the system resources as necessary. Click OK when done.

To update a device driver, select the Driver tab in the Properties dialog box, and then click the Update Driver button. When the Hardware Update Wizard appears, select where you want to search for an upgraded driver. If you have new driver software from your hardware's manufacturer, check the Install From a List or Specific Location option, then insert the disk or CD-ROM and follow the onscreen instructions to install the specific driver.

If you'd rather have Windows search for a better driver, check the Install the Software Automatically option. Windows will now search for an updated device driver. If it finds one, follow the onscreen instructions to install it. If it doesn't find one, choose to keep your present driver. (And then go online yourself to try to find an updated version, if one exists.)

Find and Fix Memory Problems with Virtual Memory

Windows XP augments your system's random access memory (RAM) with virtual memory. Virtual memory is hard disk space that Windows treats as RAM. When Windows runs low on conventional memory, it simply begins to store temporary data on your hard drive.

Most of the time you don't have to worry about virtual memory, because Windows does the configuration automatically. If you're running low on hard drive space, however, you can decrease the amount of hard drive space used for virtual memory and give yourself more storage room for your permanent data.

To change Windows' virtual memory settings, go to the Control Panel and click the System icon. When the System Properties dialog box appears, select the Advanced tab and click the Settings button in the Performance section.

When the Performance Options dialog box appears, select the Advanced tab and then click the Change button. When the Virtual Memory dialog box appears, choose the hard disk you want to use for virtual memory, and then specify the Initial and Maximum number of megabytes you want Windows to use for virtual memory. Click the OK button when done.


Simple Solutions to Common Problems

Now that the preliminaries are out of the way, let's get down to the main event.

You have a problem, and you need it fixed!

The following sections present the most common Windows-related problems you're likely to encounter. I've provided some advice on the probable causes of each problem, and the steps you can take to fix the problem.

I can't guarantee that I've presented every possible problem or solution. I only hope that your particular problem is included, and that my advice is sound!

Your Computer Doesn't Start—You Hear No Noises and See No Lights

(To be fair, this isn't likely to be a Windows-related problem. I'm presenting it here just to be helpful!)

First things first—don't panic!

Now, very calmly, look at the back of your system unit. Is the power cable plugged in to the right connector? Follow the power cord to the other end. Is it firmly connected to a power outlet? Check the wall switch. Is it turned on? Walk to your fuse or circuit-breaker box. Is the fuse good or the circuit breaker set? Go back to your computer. If it still isn't working, unplug the computer and plug in something that you know works—a lamp or a radio, perhaps. If the appliance doesn't work, you have a bad power outlet. If the appliance does work, you really do have computer problems.

If you're positive that your computer is getting power and that you're turning it on correctly, you probably have a hardware problem. The most likely suspect is the power supply in the system unit. To determine the culprit and fix the problem, however, you'll need to call in professional help. Take your system to a certified repair center and let its technicians get to work.

Your Computer Doesn't Start, But It Makes the Normal Startup Noises

(Also not likely to be a problem caused by Windows—but it's still important enough to mention here.)

If your system is making noise, at least you know that it's getting power. Because you can rule out a bad power cord, the most common things to look for are poorly connected cables or a nonfunctioning monitor.

Begin by checking your monitor. Is it turned on? Is it plugged into a power outlet? Is the power outlet turned on? Is the monitor connected to the correct port on your system unit? Is the connection solid? Is the connection solid in the back of the monitor? Are the brightness and contrast controls turned up so that you can actually see a picture?

If everything is connected and adjusted properly, you might have a monitor that needs repair. Is the monitor's power light on? If not, your monitor may have power supply problems that need attention from a professional. If your monitor's little green light is on but nothing shows onscreen, the video card in your system unit may be loose or set up incorrectly. Turn off your system, open the computer case, and check the video card to make sure it's installed, seated, and connected properly.

It's also possible that your keyboard isn't plugged in properly, or that you have some other internal problem that causes your system to halt during start-up. Check all your connections before you try rebooting.

Your Computer Starts, But the Monitor Displays an Error Message (Before Loading Windows)

(The last non-Windows problem, I promise. How do I know this isn't caused by Windows? Because Windows hasn't loaded yet, that's why!)

Your system uses error messages to communicate with you when it encounters certain problems. Table 25.1 details some of the most common error messages you may encounter on startup (before Windows loads), their causes, and how to fix each problem.

Table 25.1. Startup Error Messages

Error Message

Causes/Solutions

Non-system disk or disk error Replace and press any key when ready

You see this message when you have a nonbootable disk in drive A. (Assuming your system has a floppy disk drive A, of course.) Check the floppy disk drive and remove the disk, and then press any key to restart your computer using your hard disk drive.

Keyboard error, press F2 to continue

It sounds kind of silly to ask you to use your keyboard to confirm that your keyboard isn't working, doesn't it? This message is generated when the rest of your system works but the PC can't find the keyboard. If you receive this message, your keyboard prob ably is disconnected, has a loose connection, or has a stuck key. Check the connecting cable (at both ends) and reboot. If you still receive this message, you have a keyboard problem. Verify this fact by plugging in a keyboard from a friend's machine. If you do have a keyboard problem, it's probably cheaper to buy a new keyboard than to get your old one fixed.

File allocation table bad, drive x:

This message is not good. Something has messed up your FAT (File Allocation Table), the part of your hard disk that holds vital information necessary for your system to operate. One of the most common causes of this problem is a computer virus. Another cause is some sort of physical damage to your hard disk, caused by contaminants or plain old wear and tear. If you have actual physical damage to your disk, you may need to use a third-party utility program, such as Norton Disk Doctor, to repair the damage—or you may want to drop back ten and punt by letting a technical professional handle the situation from here.

General failure reading drive x General failure writing drive x

These very serious messages mean that something is wrong with your computer—but it has no idea what the trouble is. Try shutting down your system for a few minutes and then rebooting; sometimes this message is generated when your system gets a little cranky. More likely, however, is that you have something seriously wrong with your hard disk, which means it's time to hop in the car and drop off your PC at your local computer repair center. The pros there have diagnostic software and equipment that can pinpoint problems much easier than you or I can.

Invalid drive specification Drive not ready

Either of these error messages indicates that you're having problems with the drive you're trying to boot from. If you're booting from a floppy disk drive, your bootable floppy may be bad. Try using another bootable disk. If you're booting from a hard disk drive, the problem may reside in the drive mechanism itself. Sometimes an older drive can operate too slowly to always boot properly; try rebooting your system. If the problem persists, have a professional check out your system. The drive in question may need to be replaced.

CMOS RAM error

This message appears when something is bad in the setup held in memory by your system's CMOS RAM chip. (This chip holds important system information in permanent, battery-powered memory.) When you see this or any similar message, you are given the opportunity to press the F1 key to continue. Do this, and adjust your CMOS setup accordingly. (See your system's documentation for information on how to do the latter.) If this message persists, you may have a dead CMOS battery; see your repair center to replace the battery.

Memory size error Memory size mismatch Not enough memory Insufficient memory Parity check xxx Parity error x

Any of these messages indicate that something is wrong with your computer's memory. Your CMOS setup may be incorrect, or you could have some bad or improperly seated memory chips. It's also possible that you recently added extra memory to your system and it isn't configured correctly. If this is the case, enter your CMOS setup menu and reconfigure your system for the new memory. If you can't fix this problem via the setup rou- tine, you should probably consult a computer professional for further assistance.

Your Computer Starts, But Windows Doesn't—and You Receive an Error Message

(Okay, this one really is a Windows problem!)

If Windows doesn't load—if your system, after the standard boot procedure, just "hangs" in place—then there is probably something wrong with the way Windows is installed or configured. This typically happens after you add something new (hardware or software) to your system. The new thing changes the settings to a configuration that doesn't work.

It's also possible for Windows to have trouble loading even when you've done nothing new or different to your system. Even the 32-bit Windows XP can be finicky at times, and can surprise you with what it does or doesn't do.

If you receive an error message while Windows is loading, it's likely that Windows is trying to load a bad or incorrect device driver of some sort. In fact, the error message will more often than not tell you exactly which driver it's having trouble with. After you know which driver is causing problems, you can either reinstall that driver, or eliminate that driver from the loading process—by using the options in the System Configuration utility.

If the error message doesn't tell you which driver is causing the problem, you can determine that yourself by using the System Configuration utility to perform a selective startup. Restart Windows in Safe mode, then run the System Configuration utility and follow the instructions I gave earlier in this chapter.

If you'd rather not go through the entire selective startup business, just launch the System Restore utility. Choose to restore your system to some prior restore point, and get on with your business. (Of course, you might not figure out what was actually causing the problem—but at least you'll be up and running!)

Your Computer Starts, But Windows Doesn't—and You Don't Receive an Error Message

What if you can't load Windows and don't receive an error message? In this instance you want to start Windows in Safe mode, and then disable any other programs that may be loading when Windows starts up. Click the Start button and select All Programs, Startup. Use your mouse to move all items in the Startup menu to another menu (any menu will do, as long as you remember which one it is!). Now restart Windows and see what happens.

If Windows now starts properly, that means that one of the programs that used to start up when Windows started is causing you problems. One at a time, drag those programs back to the Startup menu (using the same procedure as before), then restart Windows. Each time Windows starts properly, you know that particular program is okay. When Windows doesn't start properly, you know that particular program is a problem—so leave it out of your Startup folder.

If, on the other hand, removing the programs from your Startup folder didn't fix your problem, then you have a problem with a specific device driver. If you're technically minded (and very patient), you can use the System Configuration utility's startup diagnostics to try and isolate the problem driver.

A better bet is to run the System Restore utility and restore your system back to an earlier state—presumably before you installed or updated the driver that is causing your problems.

If even this doesn't work, it's time to reinstall Windows. If you have a Windows XP installation CD, use it. If your computer manufacturer provided some sort of hard disk-based complete system restore utility, use that instead. If you don't have any type of Windows installation or restore disks or utilities, contact your computer manufacturer's tech support department and ask them how the heck you're supposed to restore Windows without any disks or utilities. (This is a particular beef of mine, sorry.)

And if restoring Windows doesn't fix your problem, then it's definitely time to contact a technical professional.

Your Computer Starts, But Windows Doesn't—and You Can't Enter Safe Mode

Sometimes Safe mode isn't safe enough. Any number of conditions can cause Windows not to start in Safe mode:

  • Your system is infected with a computer virus. You may need to reinstall Windows to eliminate the effect of the virus, then use an antivirus program to initiate a more complete cleansing of your system.

  • Your computer's CMOS settings are incorrect. During boot-up, check your CMOS settings, and make corrections as necessary. If your CMOS battery is weak and not holding its settings, replace the battery.

  • You have a hardware conflict. Some device in your system is conflicting with some other device; the most common conflicts are IRQ conflicts. Ask a technical professional (or just an old geek who knows how to use DOS) to hunt down the errant device with the Safe Mode with Command Prompt option.

If you have persistent problems starting in Safe mode, try choosing the Last Known Good Configuration startup option. If even this doesn't work, you may need to reinstall Windows XP from scratch.

Your Computer Starts, and Windows Enters Safe Mode Automatically

Windows starts up in Safe mode automatically when it senses a major driver problem or conflict. Follow the steps in the "Your Computer Starts, But Windows Doesn't—and You Receive an Error Message" section to track down the source of the problem. (Or just launch System Restore and restore your system to some prior condition.)

Your Computer Starts, Windows Starts—and So Does Another Program or Utility That You Don't Want to Start

Many programs, when first installed, have the audacity to think that you want them to run whenever you start up your PC. So they configure themselves to launch when Windows launches—whether or not you want them to.

If you want to stop a program from launching automatically when Windows starts, you first have to find out from where it is being launched. The first place to check is the Startup menu. Click the Start button, then select All Programs, Startup. If the offending program is here, right-click it and select Delete from the pop-up menu. (This doesn't delete the program itself—it just removes it from the Startup menu.)

If the offending program isn't in the Startup menu, it's probably being loaded via a setting in the Windows Registry. There are several keys in the Registry that can contain autoload instructions. If you find the offending program in any one of these, delete it!

Here are the keys to check, using the Registry Editor:

  • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\ CurrentVersion\RUN

  • HKEY_USERS\DEFAULT\SOFTWARE\Microsoft\Windows\ CurrentVersion\RUN

  • HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\ CurrentVersion\RUN

Windows Freezes—Your System Unit Has Power, But Your Keyboard and/or Mouse Isn't Working

If no error messages appear onscreen but you can't type a thing, you probably face a simple problem: Your keyboard is unplugged. So plug it back in.

Same thing if your mouse quits working. Check to see if it's firmly connected, then try rolling it again.

In fact, you may have both your mouse and keyboard plugged in, but to the wrong jacks. It's all too easy to plug your mouse into the keyboard jack, and vice versa. (That's why many PC manufacturers are now color-coding their mouse and keyboard connectors and jacks.) Even if it looks like both your mouse and keyboard are plugged in, trace the cables to make sure they're not mixed up.

Of course, the solution might not be quite that simple. If replugging your keyboard or mouse doesn't work, you might have to reboot your computer to recognize the replug. (You'll probably have to turn off your system with the main power switch or button— if you can't click or type, you can't exit Windows normally!)

If you still experience difficulties after rebooting, you actually may be the not-so-proud possessor of a bad keyboard or mouse. Try plugging in another keyboard or mouse to your PC, or your keyboard or mouse into another PC, to determine whether device failure is at the root of your problem.

Windows Freezes—and Displays an Error Message

Windows XP can sometimes exhibit perplexing behavior. Computer people refer to this as "unstable" behavior. I prefer to call it "screwy."

When Windows freezes up, it sometimes displays some sort of error message. These messages are just nice ways to say that something (who knows what) has bombed.

More often than not, it's just your current program that has frozen, and not all of Windows. In this case you get a Program Not Responding error message. Try pressing Ctrl+Alt+Del to bring up the Windows Task Manager, and then manually shut down any unresponsive program.

If the error message you get is displayed on a blue screen (known in the industry as the "blue screen of death"), follow the onscreen instructions to get rid of the blue screen. You may have to press Enter to close the program causing the error, or press Ctrl+Alt+Del to reboot your computer. After you encounter the blue screen, your system typically gets unstable, so I recommend rebooting your entire system, even if you're able to close that particular program manually.

Blue screen messages are often caused when you start running out of space on your hard disk. This might sound odd, but Windows uses a disk cache to supplement conventional memory. (That's the virtual memory that I talked about earlier in this chapter.) If you don't have enough free hard disk space, Windows thinks that it's low on memory, and starts acting flaky.

The blue screen error messages also can be caused by errors on your hard disk. If you get a lot of these error messages, it wouldn't hurt to check for disk errors before proceeding.

Windows Freezes—and No Error Message Appears

Sometimes Windows freezes without displaying an error message. One of two things has happened: (1) Windows itself has locked up, or (2) Your current Windows application has locked up.

In either case, the solution is the same: Press Ctrl+Alt+Del.

If Windows itself has frozen, either nothing will happen or you'll start hearing a beep every time you press a key on your keyboard. In which case you'll need to press Ctrl+Alt+Del again to fully reboot, or you may have to turn off your PC at the On/Off button (or at the power source).

If, on the other hand, it's an errant program that freezes up, you should see the Windows Task Manager when you first press Ctrl+Alt+Del. Select the "not responding" program and click End Task. If and when the Wait/Shutdown dialog box appears, go ahead and shut down the offending program.

If the Task Manager doesn't appear, or if you try to shut down a program but your system is still locked up, it's time to fully reboot by pressing Ctrl+ Alt+Del twice in a row.

What causes Windows to freeze? There can be many different causes of a Windows freeze, including the following:

  • You may be running an application that isn't compatible with Windows XP. If so, upgrade the program.

  • You may not have enough memory to run Windows effectively. Upgrade the amount of RAM in your PC.

  • A memory conflict may exist between applications or between an application and Windows itself. Try running fewer programs at once, or running problematic programs one at a time to avoid potential memory conflicts.

  • You may not have enough free hard disk space for Windows to use for temporary files. Delete any unnecessary files from your hard drive.

  • Your hard disk may be developing errors or bad sectors. Check your hard disk for errors.

If your system crashes or freezes frequently, call in a pro. These kinds of problems can be tough to track down by yourself when you're dealing with Windows.

Windows Won't Let You Exit

The most common cause for this situation is that you have a misbehaving program. Try closing all your open programs, one at a time. If any individual program is frozen, use Ctrl+Alt+Del to close that "not responding" program.

Beyond a single misbehaving problem, a number of things can cause Windows to not shut down. Believe it or not, one of these things can be a bad sound file! It's that sound you hear every time you go to shut down Windows. If that file is corrupted, the shutdown sequence stops there, leaving Windows running. To fix this problem open the Control Panel and select the Sounds and Audio Devices icon. When the Sounds and Audio Devices Properties utility appears, select the Sounds tab, then pull down the Sounds list and select None. Now click OK and try shutting down your system again. (If you do have a corrupted sound file, you can reinstall this particular file from your Windows installation CD.)

It's also possible that Windows Power Management technology is keeping you from closing Windows. Disable Power Management by opening the Control Panel and selecting the Power Options icon. When the Power Options Properties utility appears, select the Power Schemes tab, pull down the Power Schemes list, and select Always On. You can even go the extra step and configure each setting to always stay on.

If you still can't shut down Windows after trying all these actions, there is probably a "fragment" of a program still running somewhere in your system's memory. It's near impossible to track down that fragment. Instead, you need to reboot via the double Ctrl+Alt+Del procedure.

Windows Won't Wake Up from Standby Mode

What do you do when Windows doesn't wake up from standby mode? Normally you "wake up" your computer by moving your mouse, or pressing any key on your keyboard. Some keyboards have special "wake up" keys that need to be pressed to exit sleep mode. In any event, if you move and click your mouse a bit and then type furiously on your keyboard and Windows stays fast asleep, you have problems. (Make sure, however, that your monitor is actually plugged in and turned on. A switched-off monitor looks suspiciously like standby mode!)

The solution here is to reboot your computer—somehow. Try the Ctrl+Alt+Del method first. However, if your system is in a really deep sleep, it might not recognize any keyboard input. So you'll probably have to turn off your system at the main power switch/button, wait a few seconds, and then turn it back on again.

If you're using a notebook computer and this happens, you may have to remove all your power sources. This means unplugging the computer from the wall and removing the battery. Wait a few seconds, and then plug your notebook back in. That should do the trick!

Besides this type of oversleeping, standby mode can sometimes cause other problems. I've had standby mode screw up my video display (dropping me down to a lower-resolution mode!) and cause some programs not to run at all post-wake up. It's fair to say that I've found standby mode to be the most bug-ridden of all Windows features.

If you experience constant standby mode-related problems—disable it! Go to the Power Options Properties dialog box, select the Power Schemes tab, and set every option so that all the parts of your computer will always be on. Then take the extra step and disable your system's screen savers, too. They're another big cause of wake-up problems.

It's possible that your system has a different kind of "sleep" function built into the PC's BIOS. If so, you'll need to enter the CMOS BIOS setup during system startup and disable the sleep mode there.

Finally, it's possible that your system woke up but your monitor stayed asleep! Yes, some monitors have their own sleep modes, and if they get stuck in that mode, you won't know whether or not your system is awake. It doesn't hurt to turn your monitor off and then back on (which definitely wakes it up!) just in case the sleep problem is the fault of your monitor, not your PC. (If this problem persists, of course, you may need to repair or replace your monitor.)

Windows Runs Slower Than Normal

TIP

I find that Windows XP runs best when you get up to 256MB of memory—and even better when you have 512MB or more. Anything below the 256MB level can cause lots of problems, especially if you have multiple users logged in simultaneously.

The most likely culprit behind a system slowdown is memory—or rather, the lack of it.

Are you running any new applications—or upgrades of older applications—that may consume more memory? Are you running more programs than usual at the same time? Are you running any programs in the "background" during a heavy computing session—programs such as Windows Messenger or ICQ? Do you have any "hidden" utilities taking up space in the system tray? Any of these factors consumes more memory and forces Windows to slow down. If you're dissatisfied with the performance of Windows on your system, the answer is simple: Add more memory!

You Accidentally Deleted an Important File

Deleting an important file can be one of the most disconcerting errors you will make in the course of using your computer. How could you do that?

In Windows XP, all deleted files are temporarily stored in the Recycle Bin. To undelete a file in the Recycle Bin, select the Recycle Bin icon on your desktop, then when the Recycle Bin window opens, select the item you want to undelete and select Restore This Item from Recycle Bin Tasks panel.

If a file has been "permanently" deleted from the Recycle Bin, there still might be a way to bring the missing file back from the dead. You see, just because a file isn't accessible doesn't mean that it's been physically deleted from your hard disk. In fact, all deleted files continue to reside on your hard disk, although all reference to the data in the file allocation table (FAT) has been removed—at least until the reference data has been overwritten by newer data. There are several third-party programs—including Norton Utilities, my favorite—that include special "undelete" utilities. These utilities will recover any existing data from the FAT that hasn't been overwritten and thus "restore" the deleted file to your hard disk.

You Can't Delete a File

You tried to delete a file, but it won't delete. This problem can occur for one of three reasons:

  • The file is currently in use by another program. Try closing that program and then deleting the file.

  • You're trying to delete a file from a floppy disk that is write-protected. If you're trying to delete a file on a floppy disk, slide the tab in the lower-left corner so that the hole is closed, then try the procedure again.

  • The attributes of the file have been set so that you can't delete it. Every file has multiple attributes. One such attribute makes a file read-only, meaning that you can't delete it or write to it. To change a file's attributes, right-click the file's icon and select Properties from the pop-up menu. When the Properties dialog box appears, uncheck the Read-Only attribute, then click OK.

You Attempt a File Operation and Get a Windows Error Message

Windows error messages often appear to let you know that you incorrectly clicked or typed something. So if you get such a message, the first action is always to try the operation again, more carefully this time. However, even when you do whatever it is you're doing more carefully, you can still get error messages. Table 25.2 (next page) presents those you're most likely to encounter when working with files.

Table 25.2. Windows File-Related Error Messages

Error Message

Probable Cause and Solution

Cannot find file

The most common cause for this message is that the file in question is either missing or corrupted. Use the Search utility to search for the file. Reinstall the file in question if necessary.

Cannot read from drive x

Windows is looking for a file on drive x: (probably drive A:) and there isn't a disk in the drive. Insert any disk to end the Windows look loop. If a disk is in drive x: and you get this error message, you either have a bad (or unformatted) disk, or something wrong with your disk drive.

Folder xxx does not exist

You have specified a folder that does not exist. Check the spelling of the folder and path name. You might also try selecting View, Refresh to refresh the file/folder display.

File already exists. Overwrite?

You're trying to create or save a file with a name that already exists. Windows is asking if you wish to overwrite the existing file. If so, answer yes. If no, answer no, and assign a new name to your file.

File is missing

When Windows loads, it tries to load any programs that are included in the Startup folder. This message is generated when one of these files no longer exists or has been entered incorrectly. Use My Computer to open the Startup folder and check all programs and associations, removing or editing those that are not correct.

Not a valid filename

You typed an invalid filename. Try again.

The specified path is invalid

You typed an incorrect path for a file operation. Check the path and retype the command.

Write protected disk

You're trying to perform a file operation on a disk that is write protected (probably a floppy). Change disks, or slide the write-protect tab into the down position.

A Particular Software Application Won't Run

Several factors can cause a Windows application to refuse to run:

  • The program may not be compatible with your version of Windows. Some older Windows programs are incompatible with Windows XP. If an older Windows application won't run and gives you an error message, you probably have an incompatible program. You'll need to upgrade this software to a Windows 2000 or Windows XP version—or activate Windows XP's Compatibility Mode. Right-click the program's icon and select Properties, then select the Shortcut tab. Check the Run In Compatibility Mode option, then select another version of Windows that you know the program is compatible with. This will trick the program into thinking it's running on an older version of Windows, and might just fix your problem.

  • Your system may not have enough memory available to run the program. Try closing other Windows applications before you start this one, or try adding more memory to your system.

  • Your computer may not have enough disk space to run the program. Windows employs extra disk space as virtual memory. If there isn't enough free disk space available, you may not be able to run some programs. Try deleting unused files from your hard disk before you restart the program.

If you can't get a certain program to run, first be sure that the program is referenced properly from the menu item or icon you selected. Right-click on the item or icon and select Properties from the pop-up menu. When the Properties dialog box appears (see Figure 25.4, next page), select the Shortcut tab and note the file and path entered in the Target box. Now use My Computer to go to that location, and confirm that the target file actually is where it's supposed to be. If the target file isn't there, use the Search utility command to find the file, and then enter the correct location in the shortcut's Target box.

Figure 25.4. Use the Properties dialog box to be sure the right target file is referenced by any given shortcut— or to run this program in Compatibility Mode.

If the file is where it's supposed to be but doesn't launch when selected, exit Windows, restart your computer, and try relaunching the program. This "fixes" your problem quite often, surprisingly.

If your program still doesn't launch, be sure that the program is installed correctly. If you have your doubts, uninstall the program (by selecting the Add or Remove Programs icon from the Control Panel) and then reinstall it. (You'd be surprised how many problems get solved by reinstalling the software!)

You should also be certain that this particular program is compatible with your computer's particular hardware configuration. Your machine may need more memory, a faster microprocessor, or a higher-resolution video card before your finicky new program consents to run on it.

If all else fails, consult the instruction manual or Web site for this particular piece of software, or call the software publisher's technical support line.

A Software Application Crashes or Freezes

Everything works fine, but then—all of a sudden—your software bombs!

Fortunately, Windows XP is an exceptionally safe environment. When an individual application crashes or freezes, it seldom messes up your entire system. You can use the Windows Task Manager to close the problem application without affecting other Windows programs.

When a Windows application blows up, follow these steps:

1. | Press Ctrl+Alt+Del.
2. | When the Windows Task Manager opens, select the Applications tab, and then select the application that is frozen from the list. Now click the End Task button.
3. | After a few seconds, a Wait/Shutdown window appears; confirm that you want to shut down the selected application.
4. | Click the End Task button.

This closes the offending application and lets you continue your work in Windows.

Some programs crash with annoying frequency in Windows. The causes are myriad and often difficult to pin down. They include the following:

  • Your system may have run out of memory. Try running the program while no other Windows programs are running, or add more memory to your system.

  • The program may be getting caught in a memory conflict with another Windows program. Try running the program by itself.

  • The program may be an older version that's incompatible with your version of Windows. Upgrade the program to its latest version, or activate Windows XP's Compatibility Mode for that program.

  • Windows was just feeling cantankerous. Start the program again and hope for the best.

  • You have a bug in your software—or even a corrupted program file. If nothing else pans out, try reinstalling your program from scratch. If this doesn't fix the problem, call the knowledgeable folks at the software publisher's technical support line for assistance. After all, that's what they're there for.

If you have multiple applications that crash on a regular basis, the situation probably can be attributed to insufficient memory. See your computer dealer about adding more RAM to your system.

You Can't Launch a Document File

The likely cause for this problem is that the document's file type is not associated with a program type—or with the correct program type. When you select a document file, it should launch the associated program, with the selected document preloaded. If, instead of launching the program, Windows displays the Open With dialog box, you need to select an application to associate with the file.

You also can associate files with applications manually. See Chapter 3, "Managing Files," for more information.

A Newly Installed Peripheral Doesn't Work

This could be one of a number of things. If you installed a new card, it may not be properly seated in the slot. You may not have all your cables connected properly. You may have broken something while you were diddling about inside your PC. You may have a bad part. You may not have completed the installation or setup. Windows XP might not have recognized your new hardware—or may have installed the wrong driver by mistake. The driver installed may be corrupted, or may need to be updated.

Whew! That's a lot that can go wrong!

It's also possible that your system doesn't recognize your new component. Depending on what you installed, you may have to do one of several things:

  • Change CMOS settings (most common for memory and disk drives).

  • Load new drivers via the Add Hardware Wizard.

  • Adjust specific jumpers or switches on your motherboard or other specific component.

Remember, after you make any of these changes, you'll need to reboot your system in order for the changes to take effect.

The important thing to remember is to retrace your steps backward through your installation, and try to determine if everything was done correctly. If all else fails, call the technical support line for your new component, or consult with a technical professional.

After You Add a New Peripheral, Something Else on Your System No Longer Works Properly

This is probably caused by some sort of resource conflict between your new and old components. The most common resource conflicts involve IRQ and/or port settings.

The fastest and easiest solution to this problem is to run System Restore, and restore all your drivers and settings to a point before you added the new peripheral. You also can use the Device Manager to roll back a driver that you think may have been overwritten by the latest installation.

If you want to troubleshoot the cause of this problem, I'd recommend that you start by changing ports. (Many of these types of problems are actually port or IRQ conflicts.) If this doesn't fix it (or if you installed an internal device), you'll need to change IRQ settings for one or both of the devices in conflict.

Also know that conflicts can occur when devices hooked up to two nonconsecutive ports are used at the same time. In other words, if you have two devices trying to use COM1 and COM3 (or COM2 and COM4) simultaneously, both could freeze up. (I've had this happen with a mouse hooked up to COM1 and a modem hooked up to COM3.) If this is your problem, change the port for one of the devices.

Still, it's easier to restore your system and then work out these problems.

Your Computer Acts Oddly Soon After You've Downloaded a File or Opened an E-mail Attachment

What now? You've just pulled several files—including a great new game—from this new Internet site you found, and now your computer acts as though it needs to be decked out in an electronic straitjacket. It doesn't seem to have any problems with loose connections, incorrect settings, or excess line noise. In fact, your online session went without a hitch. So what's wrong?

Well, along with your nice new files, you have probably downloaded a not-so-nice computer virus! Any time you download a file, run the file, and then find your computer starting to do strange things (running more slowly, mysteriously losing files, displaying unusual messages onscreen), you may have accidentally infected it with a virus. If the symptoms seem to match, refer to the section on viruses in Chapter 11, "Managing Online Security."

You Can't Find Another Computer on Your Network

You open up My Network Places looking for another computer on your network, but it isn't there. Where did it go?

First, try looking a little harder. Click the View Network Computers link in the Network Tasks panel. This should display all connected computers.

If the missing computer isn't there, click the Search button in the My Network Places toolbar. When the Search Companion appears, enter the name of the computer, then click Search. If you don't know the name of the computer, enter an asterisk (*). This should search for (and then display) all the computers on the network.

If you still can't see the missing computer, it's time to check the obvious. Is the other computer turned on? (Sleeping computers don't show up on the network.) Is it connected to the network? (Double-check both ends of the cable.) If you're on an Ethernet network, are both your computers connected to the hub, and does the hub have power? If you're on a wireless network, is the other computer connected to a wireless adapter—and is the adapter within receiving range of the wireless hub/router?

Here's another simple thing to try—reboot your computer. For whatever reason, "lost" computers on a network will often get found when you reboot the computer that can't see them.

More basics: Have you run the Network Setup Wizard on the second computer? If not, run it now, from the Windows XP installation PC. (And don't assume that because your network worked pre-XP everything will show up after you install XP on your main PC. You'll probably have to run the XP Network Setup Wizard on all your networked PCs.) Try running the wizard again. (Sometimes it takes two tries to get everything recognized.) Now reboot both your PCs and see if they recognize each other.

Now for some serious troubleshooting. Open the Help and Support Center, click the Fixing Problem link, click Networking Problems, and then run the Home and Small Office Networking Troubleshooter. Chances are this will fix most simple networking problems.

You may have a bad network connection on either one of the two computers. To repair a host of connection problems, open the Network Connections utility (from the Control Panel). Right-click the problem connection, then select Repair from the pop-up menu.

If worse comes to worst, delete the problematic connection from the second PC, and then rerun the Network Setup Wizard to reinstall the network. You also may have to rerun the wizard on your host PC (to recognize the new PC).


The Bottom Line

Well, that just about does it. I hope you've enjoyed this book, and learned at least a little more about Windows XP than you knew before you started.

From this chapter, you should have learned how to systematically track down any Windows XP problems you might encounter. When worse comes to worst (as it often will), remember these key points:

  • The main cause for most computer problems is—you! Be sure that you haven't clicked the wrong button, hit the wrong key, or connected something to the wrong port. Whatever you were doing, try it again—and get it right, this time!

  • Be sure that all your cables are plugged in firmly—and to the right place.

  • Make sure that your software is compatible with Windows XP. If not, try running the program in Windows XP's Compatibility Mode, or upgrade the program to a Windows XP version. While you're at it, be sure that you have the latest versions of all your key device drivers. Old or bad drivers can cause a lot of problems.

  • Think through your problems logically. What happened when? Did you do something new or different just before the problem occurred? Is the problem somehow related to a new piece of hardware or software you just installed? Think calmly and systematically to figure out what may be causing your current problems.

  • If you want a simple solution, run Windows XP's System Restore utility. This tool can restore your system to a point before your problem popped up. (It's great for when a new peripheral causes new problems!)

  • To track down bigger problems, press F8 while your computer is booting (and before Windows loads) to restart Windows in Safe mode, with minimal drivers and services loaded. You can use Safe mode to reinstall bad drivers, reset incorrect settings, and troubleshoot startup problems using Windows XP's various diagnostic tools.


    Part seven: Appendixes

    A Upgrading to Windows XP

    B Windows Accessories

    C Accessibility Options

    Previous Section < Day Day Up > Next Section


Appendix a. Upgrading to Windows XP

IN THIS CHAPTER

The Typical Upgrade Installation 502

The "Clean" Installation 504

Activating and Registering Windows 505

Uninstalling Windows XP 507

Installing Windows XP is much easier than installing any previous version of Windows. If you received Windows XP as part of a new computer purchase, you don't have to worry about installing it at all—it's already installed. If you're upgrading an existing computer to Windows XP, you have the choice of an upgrade installation or a clean installation. For most users, the upgrade installation is the easiest way to go. I'll discuss both types of installations over the next few pages.

Whichever type of installation you choose, you'll find that it takes an hour or so to install the Windows XP software. You don't have to stand by your PC for the entire process, fortunately. After you get past the initial decision-making, you can walk away and let the installation program do its thing.

To install Windows XP, you'll need a working CD-ROM drive hooked up to your PC, because the entire installation is done from CD. It also helps if you're connected to the Internet, as the software needs to activate itself to operate. (See "Activating and Registering Windows" later in this appendix.)


The Typical Upgrade Installation

The upgrade installation is the easiest way to convert an old PC to Windows XP. Not every previous version of Windows has the same upgrade path, however. Check Table A.1 to see if and how you can upgrade from your current operating system.

Table A.1. Upgrade Options for Windows XP

If you have this version of Windows

You can upgrade to this version of Windows XP

Windows 3.1

No upgrade possible; clean install required

Windows 95

No upgrade possible; clean install required

Windows 98 (first edition)

Windows XP Home Edition or Windows XP Professional

Windows 98 Special Edition (SE)

Windows XP Home Edition or Windows XP Professional

Windows Millennium Edition (Me)

Windows XP Home Edition or Windows XP Professional

Windows NT 3.51 Workstation

No upgrade possible; clean install required

Windows NT 4 Workstation

Windows XP Professional

Windows 2000 Professional

Windows XP Professional

In addition, you can easily upgrade from Windows XP Home Edition to Windows XP Professional.

Before You Upgrade

Before you upgrade, make the effort to download the latest version of all your key hardware drivers. Go to the manufacturer's Web site, or to DriverGuide.com, and grab the Windows 2000 or Windows NT version of all your drivers. (Because XP is based on Windows NT/2000, it uses those drivers—not the drivers used in Windows 9X/Me.) Store these drivers in a handy folder on your hard drive, in case you need to install those drivers post-installation. (Trust me on this one. The only problems I ran into during numerous XP upgrades were with 9X/Me drivers that had to be upgraded to 2000/NT versions.)

When you first start the Windows XP installation program, it runs a utility called the Windows Upgrade Advisor. This little program analyzes all the hardware and software on your system and prepares a report that lists any items that might cause problems under Windows XP.

TIP

It's always a good idea to close all running programs before attempting any new software installation. In addition, be sure to turn off any antivirus program that may be running in the background.

Examine this report carefully before proceeding with the installation. If you see a critical component that Windows thinks might cause problems, cancel the installation and download any new drivers that might alleviate the problem. (Remember to get the Windows 2000 or NT drivers—unless specific Windows XP drivers are already available.) If it looks like there will be more problems than you can deal with, delay the installation until you can discuss your situation with Microsoft technical support.

During the Installation

When you've prepared yourself as best you can for any potential problems, then you can proceed with the installation.

After running the Windows Update Advisor, the Windows XP installation program makes a backup copy of your previous operating system. This way if the installation goes bad, you can uninstall XP and reinstall your previous version of Windows.

From here on out, the installation proceeds automatically. It's slow and plodding, but rather solid. You shouldn't run into too many (if any) problems. Just be patient and wait for the entire operation to finish. Then you'll be up-and-running and ready to start using Windows XP.


The "Clean" Installation

As you saw in Table A.1, some users have no choice but to do a "clean" installation of Windows XP. Other users might choose to install clean, to avoid any baggage (in terms of settings, and so on) associated with their previous OS.

A clean installation wipes everything off your hard disk and installs XP to what is now a completely clean disk. This is a rather drastic installation, as it also deletes any programs and personal files that are on the disk. It also means that you'll have to reinstall all your programs after you install Windows.

When is a clean installation a good idea? If your old system wasn't running right or was messed up in one way or another, a clean install makes sure that your old problems won't follow you to a new OS. A clean installation is also called for if you were running Windows 3.1, Windows 95, or Windows NT 3.51. These versions of Windows can't be easily upgraded, so you have to start from scratch if you want to run Windows XP.

There's one other reason you might want to consider a clean installation. When you do an upgrade, you retain many of the files from the old operation. When you do a clean install, you don't have these old files sticking around to clutter up your hard disk. Compare the average 2.9GB size of Windows XP installed via upgrade to the 1.7GB size after a clean installation. That's a lot of wasted disk space you can recover by doing a clean install.

After you decide to perform a clean installation, the process is very similar to that of an upgrade install. Just follow the onscreen instructions and be sure you have a few thick magazines to read while the installation program does its thing. (Although that's another advantage of a clean installation—it should take about half the time as an upgrade install.)


Activating and Registering Windows

After the installation is complete, you'll be prompted to activate your copy of Windows XP. This is something new, and totally separate from the normal registration process.

In an attempt to discourage what Microsoft calls "casual" software piracy, the company now requires that each individual copy of XP be activated before it can be used. (You do have a 30-day grace period, but after that the operating system quits working if it's not activated.) The activation process can be done online or over the phone, although doing it online is much, much easier.

Window Product Activation (or WPA, as the process is called) essentially marries your copy of Windows to your personal computer system. If you try to install that copy of Windows on another PC, it won't work. This limits you to one PC per copy, which is different from past versions of Windows (and most software programs), which allowed you to install on two machines (a desktop and a laptop).

If you've been following along, you've realized that you need to purchase a separate copy of Windows XP for each computer in your home. That can get expensive, but there's no easy (or legal) way around. Because you have to activate each copy before it can work, and because you can't activate a copy twice, you're stuck.

I'm not a fan of WPA. I think it's an overly complex solution to a minor problem. I also think it's too punitive. (If you break the rules, Windows won't start, which means you can't use your entire computer!)

WPA also promises to introduce a ton of user problems. Because the activation is married to your specific hardware configuration, what happens when you add to, remove, or change the components of your system? Imagine installing a new hard drive and finding that Windows no longer works! Microsoft says that WPA will figure out most common system changes, but the operative word here is most. If you're like me and install and uninstall a lot of peripherals—as well as perform the occasional reinstall of the complete operating system—WPA is almost guaranteed to be a real headache. Again, Microsoft says that you can call its support number and receive a case-by-case override if WPA shuts down your system, but it's still an unnecessary annoyance that punishes innocent computer users more than it does any hard-core pirates.

Some critics are afraid that because WPA records information about your hardware setup and sends it along to Microsoft to create your unique product activation code, Microsoft will have private knowledge about your personal computer system. Experts tend to discount this issue, as does Microsoft, of course. It appears that product activation is totally anonymous, and completely separate from the product registration procedure.

Like it or not, you have to activate Windows XP to use it. You're prompted to activate XP at the end of the installation process, although you can delay the activation for up to thirty days if you want to. To activate XP after the installation process, click the Start button, then select All Programs, Accessories, System Tools, Activate Windows.

When you follow the onscreen instructions, you'll have a choice of activating online or by phone. If you have a modem or Internet connection, choose the online option, because this automates the entire procedure. No further action will be required on your part.

If you choose to activate by phone, you'll be given a 24/7 toll-free phone number to call. You'll have to provide Microsoft with the activation number that Windows XP has generated. In return, the operator will give you another number to enter into XP to complete the activation. As these numbers are extremely long, this process is a big pain in the rear. Again, choose the online activation option, if you can.

After you've activated Windows XP, you can then register the program. As with previous versions of Windows, registration is optional, and really doesn't gain you much—other than access to Microsoft's technical support department. Unlike activation, if you don't register your copy of XP, it doesn't quit working.

To sum up, activation is a different process from registration. Activation is required to use your copy of Windows, and totally anonymous. Registration is optional, and requires you to submit some personal information. You have to activate, but you don't have to register.


Uninstalling Windows XP

It doesn't happen often, but once in a while a problem comes up that is so severe it requires you to uninstall Windows XP. This is actually a fairly easy process in Windows XP, as a copy of your previous operating system is kept on your hard disk, just for this purpose.

CAUTION

Any software applications that you added or modified since the Windows XP installation may not work properly when you revert to the previous operating system. Windows XP will warn you of most potential issues before the uninstallation process begins.

To uninstall Windows XP, follow these steps:

1. | From the Control Panel, click the Add or Remove Programs icon.
2. | When the Add or Remove Programs utility opens, press the Change or Remove Programs button.
3. | Scroll down the list of programs, select Windows XP, and click the Change/ Remove button.
4. | When prompted, select Uninstall Windows XP, then follow the onscreen instructions to remove the operating system.

This process removes Windows XP and reverts to your previous version of Windows. It should work fine, except in the following conditions:

  • You changed hard disk configuration from what it was at the time of installation. (For example, if you switched from FAT32 to NTFS.)

  • If you upgraded from Windows NT 4.0 or Windows 2000 Professional.


Appendix b. Windows Accessories

IN THIS CHAPTER

Calculator 510

Character Map 510

Games 510

HyperTerminal 510

Notepad 511

Paint 511

Sound Recorder 511

WordPad 511

Windows XP, like all previous versions of Windows, includes a number of built-in accessory programs that you can use for various incidental computing tasks. Most of these programs have been around for several versions, so you're probably already familiar with how they work. Just in case you've forgotten about them, I'll run down those accessories that I didn't get a chance to mention elsewhere in the book.

(To learn more about the other accessories, such as Windows Movie Maker, look them up in the index to reference their coverage elsewhere in this book.)


Calculator

This is a basic onscreen calculator, with an attractive interface overhaul for Windows XP. Launch it by clicking the Start button and selecting All Programs, Accessories, Calculator. (I use this one so much I've created a shortcut to it on my Quick Launch bar!)


Character Map

This accessory lets you add special characters to your documents. Launch it by clicking the Start button and selecting All Programs, Accessories, System Tools, Character Map.


Games

Windows XP provides a variety of simple games you can play on your own, or in some cases over the Internet with other users. In addition to that old standby, Solitaire, the new XP games include Spider Solitaire (I'm hooked on it!) and Internet versions of Backgammon, Checkers, Hearts, Reversi, and Spades. Access these games by clicking the Start button and selecting All Programs, Accessories, Games.


HyperTerminal

This is a Windows-based modem dialer. You can use it to connect to any online services that aren't yet connected to the Internet. (I used Hyper Terminal a lot back in the old pre-Web BBS days, but it doesn't get much use anymore.) Launch it by clicking the Start button and selecting All Programs, Accessories, Communications, HyperTerminal.


Notepad

This is the original text editor, good for very small, very plain documents. Launch it by clicking the Start button and selecting All Programs, Accessories, Notepad.


Paint

Microsoft Paint is a very, very basic graphics-editing program. It's been upgraded for Windows XP, and can now handle more file types than before. It's still very limited in functionality, and useful only for editing bitmapped images. Launch it by clicking the Start button and selecting All Programs, Accessories, Paint.


Sound Recorder

This is a barebones digital recording program. You can use it to record your own .WAV files, as long as you have a microphone hooked up to your system. (It can also record from any device currently playing on your system.) Launch it by clicking the Start button and selecting All Programs, Accessories, Entertainment, Sound Recorder.


WordPad

WordPad was meant to replace Notepad, because it can handle larger documents, provide some basic text formatting, and save documents in Rich Text Format (RTF). It's a poor man's word processor, more unwieldy than the elegant Notepad and less fully featured than a real word-processing program, such as Microsoft Word. Launch it by clicking the Start button and selecting All Programs, Accessories, WordPad.


Appendix c. Accessibility Options

IN THIS CHAPTER

Control Panel Accessibility Options 514

Other Accessibility Tools 515

Using the Accessibility Wizard 516

Windows XP can be configured to enhance accessibility for vision-impaired, hearing-impaired, or mobility-impaired users. You don't need any additional hardware or software to take advantage of these accessibility options.

You can access these accessibility options from the Windows Control Panel, or by running the Accessibility Wizard.


Control Panel Accessibility Options

Windows XP's main accessibility options are found in the Accessibility Options utility, which is accessed from the Control Panel. Just click the Accessibility Options icon in the Control Panel to display the Accessibility Options dialog box.

This dialog box includes five tabs. Each tab serves as a gateway for specific accessibility tools.

Keyboard Options

The Keyboard tab lets you turn on or off three different tools:

  • StickyKeys. Lets you perform multiple-key operations (such as Ctrl+key or Alt+key) by pressing one key at a time.

  • FilterKeys. Adjusts the response of your keyboard, making it less sensitive to accidentally repeated keystrokes.

  • ToggleKeys. Produces a sound when the Caps Lock, Num Lock, and Scroll Lock keys are activated.

This tab also provides the option of displaying extra keyboard help in programs.

Sound Options

The Sound tab lets you turn on or off two different tools:

  • SoundSentry. Displays a visual warning when your computer makes a sound.

  • ShowSounds. Instructs software applications to display captions for the sounds that they make.

Display Options

The Display tab lets you turn on or off the High Contrast option, which can make it easier for the vision-impaired to read the screen. It also lets you change the width and blink rate of the Windows cursor.

Mouse Options

The Mouse tab lets you turn on or off the MouseKeys tool, which lets you control the mouse from your PC's numeric keypad.

General Options

The General tab lets you configure how the accessibility options are employed on your computer.


Other Accessibility Tools

There are other accessibility tools that are found elsewhere than the Accessibility Options dialog box. These include

  • Magnifier. Which enlarges a selected portion of the screen. You open Magnifier by clicking the Start button, then selecting All Programs, Accessories, Accessibility, Magnifier.

  • Narrator. Which uses text-to-speech technology to read the contents of the screen aloud. You launch Narrator by clicking the Start button, then selecting All Programs, Accessories, Accessibility, Narrator.

  • On-Screen Keyboard. Which lets users with limited mobility type onscreen with a mouse or other pointing device. You activate the onscreen keyboard by clicking the Start button, then selecting All Programs, Accessories, Accessibility, On-Screen Keyboard.


Using the Accessibility Wizard

The easy way to activate many of these accessibility options is to use the Accessibility Wizard. Like most wizards, this one guides you through a selection process and then activates the tools appropriate to your particular situation.

You start the Accessibility Wizard by clicking the Start button, then selecting All Programs, Accessories, Accessibility, Accessibility Wizard.


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Previous Section < Day Day Up >


index_SYMBOL

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

32-bit operating systems 2nd
64-Bit Edition

Previous Section < Day Day Up >


index_A

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

AAC format
About Windows dialog box
Accessibility command (Accessories menu) 2nd 3rd
accessibility options 2nd 3rd 4th
Accessibility Options item (Control Panel)
Accessibility Wizard
accessories 2nd 3rd
Accessories command (All Programs menu)
Accessories menu commands, Accessibility 2nd 3rd
accounts, transferring ISPs
activating Windows 2nd
Active-Hardware Web site
ActiveX, IE6 2nd
activity center pane 2nd 3rd
Ad-Aware
Add Favorites dialog box
Add Fonts dialog box
Add Game Controller dialog box
Add Hardware item (Control Panel)
Add or Remove Programs dialog box
Add or Remove Programs item (Control Panel)
Add or Remove Programs utility 2nd 3rd 4th
Add Printer Wizard 2nd 3rd
Address Bar (Outlook Express)
Address Book 2nd
Address box (My Computer)
Address toolbar
administrators
Adobe Photoshop CS2
Adobe Photoshop Elements
Advanced Appearance dialog box 2nd
Advanced Connection Options screen
Advanced Display Properties dialog box
Advanced property (shortcuts)
Advanced System Information
Advanced tab
AIM (AOL Instant Messenger)
alerts section, Help and Support Center
Align to Grid command, arranging Desktop icons
All Programs menu commands, Accessories 2nd
AntiSpam (Norton) 2nd
AntiSpyware
antivirus software
AOL Instant Messenger (AIM)
Apple
AAC format
iTunes
applets, grouping
applications
associating files
defaults
changes
Set Program Access and Defaults tool
Approved Sites tab
archives, Web-based
Arrange Icons By command (View menu)
ASR (Automated System Recovery)
attachments
e-mail
newsgroups
attributes, files 2nd
audio
burning files to CDs 2nd 3rd
copying files to portable music player 2nd
DVDs
files, playing WMP (Windows Media Player) 2nd
Media Center Edition 2nd
video 2nd 3rd
WMM (Windows Movie Maker), video 2nd 3rd
WMP (Windows Media Player) 2nd 3rd 4th 5th 6th 7th
downloading 2nd
finding 2nd
MP3 2nd 3rd
Windows Media Audio 2nd
Audio Levels command (Tools menu)
Auto Arrange command, arranging Desktop icons
auto playlists, WMP (Windows Media Player) 2nd
Automated System Recovery (ASR)
automatic updates 2nd 3rd
Automatic Updates item (Control Panel)
AutoPlay feature
Autosearch (IE6)

Previous Section < Day Day Up >


index_B

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Back button, IE6
backgrounds, Desktop 2nd 3rd
Backup utility
backups 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th
battery life optimization
hibernation mode
low-battery alarm setting
power scheme set up 2nd 3rd
standby mode
bit rates 2nd 3rd
BlackICE PC Protection
Blocked Senders tab
blocking
pop-ups, IE6
spam
Web site access, Content Advisor 2nd 3rd
Briefcase 2nd 3rd
broadband Internet connections 2nd
Browse for Help, Help and Support Center 2nd
Browse for Printer screen
browsers
changing 2nd
Firefox
Internet Explorer [See interfaces;IE6]
Opera
burning
audio files to CDs 2nd 3rd
CDs, Media Center Edition

Previous Section < Day Day Up >


index_C

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

cable modems
cache, IE6
Calculator
camcorders, recording WMM (Windows Movie Maker) movies 2nd
cameras
configuring
installing
PC
pictures in
uploading pictures from 2nd 3rd
Cascade Windows option
Cascading Style Sheets (CSS)
Category View 2nd
CD-ROMs
drive installation
system requirements
CD-Rs 2nd
CD-RWs 2nd
CDA (CD Audio)
CDs
burning
audio files to CDs 2nd 3rd
Media Center Edition
Media Center Edition 2nd
ripping tracks to PCs 2nd 3rd
starting Network Setup Wizard from
Change a Password option
Change Icon dialog box 2nd
Change Icon property (shortcuts)
Change View of items button (My Computer)
channels, Media Center Edition televisions 2nd
Character Map
chat rooms, protecting against viruses
Check Disk dialog box
Choose Details command (View menu)
classic interfaces, reverting from Windows XP 2nd 3rd
clean installations, upgrading to Windows XP
clearing browser caches
ClearType
enabling 2nd
portable PC users 2nd
ClearType Tuning item (Control Panel)
clicks, customizing 2nd
clips, WMM (Windows Movie Maker) 2nd 3rd 4th 5th 6th 7th
clocks
closed captions, DVDs
CMOS RAM error
CNET Download Web site
CNET Web site
collections, WMM (Windows Movie Maker) interface
color schemes, Desktop 2nd
Command Prompt utility 2nd
Comment property (shortcuts)
common problems [See troubleshooting]
Compact mode [See Skin mode (WMP]
Compatibility Center
compatibility issues, playing games 2nd 3rd
Compatibility Mode
components, updates 2nd
compression
files 2nd
folders 2nd
third party programs
computers
administrators 2nd
finding all on network
name changes
portable PC users
battery life optimization 2nd 3rd 4th 5th
Briefcase to synchronize files 2nd 3rd
ClearType display improvement 2nd
direct network connections 2nd
offline files 2nd
remote desktop connection 2nd
Computing.Net Web site
configuration
cameras
IE6 2nd 3rd 4th 5th
Advanced options
Connections options
Content options
General options
Privacy options
Programs options
Security options
speed 2nd 3rd
Internet connectivity 2nd 3rd
Outlook Express 2nd 3rd 4th
e-mail virus protection 2nd 3rd
interface 2nd
setting up e-mail accounts
Usenet accounts
scanners
shared Internet connections 2nd 3rd 4th
WMP (Windows Media Player) 2nd 3rd 4th 5th 6th
audio 2nd
changing skins 2nd
changing visualizations 2nd
player options
size 2nd
video 2nd
Confirm File Delete dialog box
Connection Device screen
connections
Internet 2nd
broadband 2nd
configuration 2nd 3rd
sharing 2nd 3rd 4th 5th 6th 7th
viewing
Web Mail
Windows Messenger
Connections tab
contacts
e-mail, Outlook Express 2nd
Windows Messenger 2nd 3rd
Content Advisor 2nd 3rd
Content Advisor dialog box
Content tab
Contents pane, Windows Explorer
contents, WMM (Windows Movie Maker) interface
context-sensitive activity center panes
Control Panel
accessibility options 2nd
keyboard options
new features
opening 2nd
Security Center
typical items 2nd 3rd
controllers, games 2nd
Conversation window, Windows Messenger 2nd
cookies
Copy Items dialog box
Copy Profile dialog box
Copy to Folder command (File menu)
copying
CD tracks to PCs 2nd 3rd 4th
files to portable music player 2nd
pictures, from memory cards
CorelDraw Essentials
CorelDraw Graphics Suite
Create a Password for Your Account screen
Create DVD option (Media Center Edition)
Create Folder dialog box
Create New Shortcut Wizard
Create Shortcut command (File menu)
credits, editing video
Critical-Battery Alarm dialog box
CSS (Cascading Style Sheets)
cursors, customizing
customization options
click changes 2nd
Control Panel 2nd 3rd 4th 5th
converting to classic interface 2nd 3rd
cursors
default application changes
Desktop
color scheme changes 2nd
personalizing background 2nd
shortcuts 2nd 3rd 4th 5th 6th
special effects 2nd 3rd 4th
theme change 2nd
Web page as background
windows and button appearance
display
enabling ClearType 2nd
resolution changes 2nd
two monitor set up 2nd
fonts 2nd
IE6 2nd 3rd
interfaces 2nd
screen saver 2nd
Start menu
adding program permanently
browser icon change 2nd
e-mail icon change 2nd
icon display selection 2nd
icon sizes 2nd
program display
special effects 2nd
switch to classic version
system
settings 2nd
sounds
System Tray 2nd
Taskbar 2nd 3rd 4th
toolbars 2nd
Tweak UI 2nd
Customize Notifications dialog box
Customize Start Menu dialog box
Customize This Folder command (View menu)
Customize Toolbar dialog box 2nd 3rd
CuteFTP Web site

Previous Section < Day Day Up >


index_D

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Date and Time item (Control Panel)
Date and Time Properties utility
date, resetting
default applications, Set Program Access and Defaults tool
defragmention, hard disks 2nd
Delete Files button (General tab)
Desktop
backgrounds, converting pictures into
color scheme changes 2nd
icons
new features
personalizing background 2nd
remote connection 2nd
shortcuts
arranging icons
creating
Desktop Cleanup Wizard 2nd
icon changes
launching programs
name changes
properties 2nd
special effects 2nd 3rd 4th
theme change 2nd
toolbar
Web page as background
windows and button appearance
Desktop Cleanup Wizard 2nd 3rd 4th
Desktop Items dialog box
Detail Settings dialog box
Details option (Views button)
Details view, My Pictures folder
details, pictures, tracking 2nd
Device Manager 2nd 3rd 4th 5th 6th 7th 8th
devices
drivers 2nd
network sharing set up
peripherals
CD-ROM drive
digital cameras 2nd
digital media card readers
DVD drive
flash drives 2nd
game controllers
hard drives 2nd
installation 2nd 3rd
joysticks
keyboards
modems 2nd
mouse
PC cameras
scanners 2nd
sound cards 2nd
troubleshooting 2nd
video cards
ports 2nd 3rd
profiles 2nd 3rd
solving conflicts
support 2nd
updating drivers
Devices tab (WMP)
diagnostic tools
Device Manager 2nd 3rd
System Configuration utility 2nd 3rd
System Information
Troubleshooters
virtual memory
digital audio
Media Center Edition 2nd
WMM (Windows Movie Maker), video 2nd 3rd
WMP (Windows Media Player) 2nd 3rd 4th 5th
burning files to CDs 2nd 3rd
copying files to portable music player 2nd
downloading 2nd
finding 2nd
Windows Media Audio 2nd
digital cable
digital cameras [See cameras]
digital images, management 2nd 3rd 4th
digital media card readers
digital media files [See media files]
digital movies [See movies]
digital photos [See pictures]
digital rights management (DRM)
digital satellite
Digital Subscriber Line (DSL)
directories
DIRECTV
DirectX 2nd
DirectX Diagnostic Tool
DIRECWAY
Disk Cleanup 2nd
Disk Defragmenter 2nd
disks
defragmention 2nd
navigating
ScanDisk 2nd
Display Folders pane (My Computer)
Display item (Control Panel)
Display options
Display Properties dialog box
Display Properties utility 2nd 3rd 4th 5th 6th 7th
Display Settings dialog box
displaying thumbnails 2nd
displays
customizing 2nd 3rd 4th
resolution, ClearType
Document Object Model (DOM)
DOM (Document Object Model)
DOS commands, Command Prompt
downloading
digital audio files 2nd
newsgroup articles
Dr. Watson
DriverGuide.com Web site 2nd 3rd
drivers
Device Manager 2nd 3rd
devices 2nd
updates with Device Manager 2nd
drives
invalid drive specification error
network sharing set up
DRM (digital rights management)
DSL (Digital Subscriber Line)
DVD command (Play menu)
DVD tab (WMP)
DVD-RAMs, XP support
DVDs
audio [See movies]
closed captions [See movies]
drive installation [See movies]
drive requirements [See movies]
menu navigation [See movies]
playing, Media Center Edition [See movies]
subtitles [See movies]
support [See movies]
watching [See movies]
Dynamic Disk Support

Previous Section < Day Day Up >


index_E

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

e-mail
Address Book 2nd
creating 2nd
folders 2nd 3rd
Outlook Express 2nd
preventing spam
protecting against viruses
sending
attachments
HTML
signatures
stationery
Windows Messenger
setting up accounts
viruses, Outlook Express 2nd 3rd
Web Mail
Edit File Type dialog box
editing
pictures 2nd
user settings 2nd 3rd 4th
video
clips 2nd 3rd
credits
special effects 2nd
titles
transitions
WMM (Windows Movie Maker) 2nd 3rd 4th 5th 6th 7th
Effects dialog box 2nd 3rd 4th 5th 6th
EFS (Encrypting File System)
emptying recycle bin
encoding MP3
Encrypting File System (EFS)
Enhancements command (View menu)
error messages 2nd
Essential folders
Ethernet
networks 2nd
sharing Internet connections 2nd
Experts Exchange Web site
Explorer bars, moving
extensions, files
external drives
Extraction Wizard 2nd 3rd

Previous Section < Day Day Up >


index_F

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Fast Forward option, Media Center Edition televisions 2nd
fast motion DVDs
Fast User Switching 2nd 3rd
FAT
FAT32
Favorites button
favorites, IE6
faxing
features, Windows XP Professional 2nd
File and Folder Tasks list
File and Folder Tasks panel
File and Settings Transfer Wizard
file extensions, e-mail viruses 2nd 3rd
File menu commands
Copy to Folder
Create Shortcut
Format
Move to Folder
New 2nd
New Folder
Print
Print Preview
Properties
File Signature Verification utility
File Types tab (WMP)
filenames 2nd
files
access control
basics
copying from old PC 2nd
details
management
Command Prompt
compressing files 2nd
copying files/folders
deleting files/folders
extracting files
icon changes
moving files/folder
My Computer 2nd
My Documents 2nd
Recycle Bin
renaming files/folders
restoring deleted files
unprotecting read-only files 2nd
Windows Explorer 2nd
multiple user sharing
navigation
creating folders
Search Companion 2nd 3rd
selecting single file 2nd
network sharing set up 2nd
offline 2nd
opening, Windows Messenger 2nd
sending, Windows Messenger 2nd
sharing, viruses
synchronizing
Briefcase, removable drives 2nd
networks
transferring to new PC
types
associating with applications
displaying 2nd
hiding 2nd
icon changes 2nd
removing
unable to delete
views
display changes 2nd
grouping
individual customizing
personalizing Send To menu
sorting 2nd
universal changes
WMM (Windows Movie Maker)
Files and Settings Transfer Wizard 2nd 3rd 4th
Filmstrip command (View menu)
filmstrips, pictures
FilterKeys option
Find Target property (shortcuts)
finding
digital audio files 2nd
Windows Messenger contacts 2nd 3rd
Firefox
Firewall 2nd 3rd
firewalls
BlackICE PC Protection
McAfee Firewall
Personal Firewall
Sygate Personal Firewall
Windows Firewall 2nd
ZoneAlarm
FireWire
peripheral installation
ports
XP connection support
flash drives 2nd
Folder Options command (Tools menu) 2nd
Folder Options dialog box 2nd 3rd
Folder Options item (Control Panel)
folders
basics
compression 2nd
copying
creating
deleting
e-mail 2nd 3rd
grouping
individual versus universal views
moving
multiple user sharing 2nd
My Pictures
converting pictures into desktop backgrounds
displaying thumbnails 2nd
printing pictures
uploading pictures from digital cameras 2nd 3rd
viewing filmstrips
viewing slide shows
views 2nd 3rd 4th
navigating
network sharing set up 2nd
renaming
selecting 2nd
sorting 2nd
Folders pane, Windows Explorer
Fonts item (Control Panel)
fonts, customizing 2nd
Format command (File menu)
Format Disk dialog box
formatting drives
Forward button, IE6
Freeware
FTP servers
Web-based archives
frozen programs 2nd
FTP servers, Shareware

Previous Section < Day Day Up >


index_G

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Game Controllers dialog box
Game Controllers item (Control Panel)
Game Controllers utility 2nd
games 2nd
controllers 2nd 3rd
DirectX 2nd
system requirements
troubleshooting problems 2nd 3rd 4th
General options 2nd
General System Information report
Get Help From Microsoft option, Help and Support Center 2nd
Go!Zilla Download Manager
Google Desktop Search
graphical user interface (GUI)
graphics, IE6 speed
group chats, Windows Messenger
Group Policy settings
grouping
applets
folders
Taskbar buttons
guest accounts
GUI (graphical user interface)

Previous Section < Day Day Up >


index_H

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

hard disks
defragmention 2nd
ScanDisk 2nd
space, system requirements
hard drives 2nd
hardware
peripherals
CD-ROM drive
digital cameras 2nd
digital media card readers
DVD drive
flash drives 2nd
game controllers
hard drives 2nd
installation 2nd 3rd
joysticks
keyboards
modems 2nd
mouse
PC cameras
scanners 2nd
sound cards 2nd
video cards
ports 2nd 3rd
profiles
configuring 2nd
creating 2nd
solving conflicts
support 2nd
troubleshooting games 2nd
updating drivers
Hardware Properties dialog box
Hardware Update Wizard
Hardware Wizard 2nd
Headspace skin (WMP)
Help and Support Center 2nd
Browse for Help 2nd
news and alerts
online assistance 2nd 3rd 4th 5th
Search box 2nd
system tools access
Troubleshooters
Windows XP 2nd
help system
about Windows versions
Help and Support Center 2nd
Browse for Help 2nd
news and alerts
online assistance 2nd 3rd 4th 5th
Search box 2nd
system tools access
Windows XP 2nd
Internet support 2nd 3rd
Remote Assistance 2nd 3rd
hibernation mode
hiding files 2nd
High setting (IE6 Privacy preference)
History button (IE6)
History, IE6 2nd
history, Windows XP 2nd
Home button, IE6
Home Edition
home pages, IE6, changing
home theater systems (Media Center Edition)
HTML, e-mail
HyperTerminal

Previous Section < Day Day Up >


index_I

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

icons
changing for folders
Desktop
arranging
changing
launching programs
file type changes 2nd
Start menu 2nd 3rd 4th
Icons option (Views button)
ICS (Internet Connection Sharing) 2nd 3rd 4th 5th
IE6 (Internet Explorer 6) 2nd 3rd
ActiveX 2nd
Administration Kit
configuration 2nd 3rd 4th 5th 6th 7th 8th
customization 2nd 3rd
Explorer Bars
History 2nd
home pages, changing
interface 2nd
managing favorites
moving Explorer bars
printing Web pages
privacy 2nd
searching Web sites 2nd
security
blocking pop-ups
Content Advisor 2nd 3rd
cookies
privacy preferences
security zones 2nd
speed 2nd 3rd
Web surfing
IEEE 1394 standard
Firewire ports
peripheral installation
XP support
IEEE 802-11a standard, XP support
IEEE 802-11b standard, Wi-Fi networks
IEEE 802-11g standard, Wi-Fi networks
IIS (Internet Information Services)
Image Mastering (IMAPI), XP support
images
digital management 2nd 3rd 4th
online finishing
previewing
IMAPI (Image Mastering), XP support
importing files, WMM (Windows Movie Maker) 2nd
Infrared Data Association (IrDA), XP support
Insert Attachment dialog box
Install Program from Floppy Disk or CD-ROM dialog box
installation
internal cards 2nd
scanners
Windows XP
instant voice conferencing, system requirements
Intel Itanium 64-bit processor, XP support
IntelliMirror
interfaces
customizing 2nd
IE6 2nd
WMM (Windows Movie Maker)
internal cards, installation 2nd
Internet
access requirements
automatic updates 2nd
connections 2nd
broadband 2nd
configuration 2nd 3rd
sharing 2nd 3rd 4th
viewing
downloads, virus checks
features 2nd 3rd 4th
manual updates
network sharing set up
phone calls, Windows Messenger
program downloads 2nd 3rd
security
technical newsgroups 2nd
technical support Web sites 2nd
telephony, system requirements
Internet Accounts dialog box 2nd
Internet Connection Sharing (ICS) 2nd 3rd 4th 5th
Internet Connection Wizard, setting up Usenet accounts
Internet Explorer [See interfaces;IE6]
Internet Information Services (IIS)
Internet Options command (Tools menu)
Internet Options dialog box
Internet Options item (Control Panel)
Internet Properties dialog box
Internet Radio
Internet Zone (IE6 security zone)
invalid drive specification error
iPod
IPSecurity, user interface
IrDA (Infrared Data Association), XP support
IrfanView
ISPs 2nd 3rd
iTunes
iTunes Music Store

Previous Section < Day Day Up >


index_J

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

JASC Paint Shop Photo Album
JASC Paint Shop Pro
joysticks
Jumbo Web site

Previous Section < Day Day Up >


index_K

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Kerberos authentication
Kerbosguide.com Web site
Keyboard item (Control Panel)
Keyboard Properties utility
keyboards
options
keychain drives

Previous Section < Day Day Up >


index_L

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

languages, changing
LANs (local area networks) 2nd
accessing resources 2nd 3rd
bridge capability
file sharing
Network Setup Wizard 2nd
printer connection 2nd
printing
security 2nd
set up 2nd 3rd
sharing set up 2nd 3rd 4th
system requirements
types 2nd 3rd
XP bridging support
Laplink FTP Web site
libraries, WMP (Windows Media Player), adding files to
Library tab (WMP)
limited accounts 2nd
Links bar (Internet Explorer)
Links toolbar
List option (Views button)
local area networks [See LANs]
Local Internet Zone (IE6 security zone)
local printers, adding 2nd
locality changes
Lock Web Items command, arranging Desktop icons
Log Off Windows dialog box
Logon screen
Longhorn
Low setting (IE6 Privacy preference)
Low-Battery Alarm dialog box
low-battery alarm settings
Luna interface 2nd

Previous Section < Day Day Up >


index_M

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Magnifier tool
maintenance, Scheduled Task utility
manual updates, online
MAXScript Editor
Maxtor OneTouch
McAfee Firewall
media card readers
Media Center Edition
burning CDs
digital audio 2nd
My Pictures screen
PCs 2nd 3rd
playing
DVDs
music 2nd 3rd 4th
videos
playlists
remote
ripping CDs
screen 2nd
settings
televisions
channels 2nd
playing back programming
program guide 2nd
recording 2nd 3rd 4th 5th
upgrading to
viewing pictures
watching television 2nd 3rd 4th 5th
media files
organization 2nd 3rd 4th
WMP (Windows Media Player)
adding files to library
searching 2nd
media players [See Privacy tab;WMP]
Medium setting (IE6 Privacy preference)
memory
assigning to cache
error messages
system requirements
virtual
memory cards, copying pictures from
menus (DVDs), navigation 2nd
Message pane (Outlook Express)
Message Rules dialog box
messages, Windows Messenger
receiving
rules (e-mail) 2nd
sending 2nd
microprocessors, system requirements
Microsoft
AntiSpyware
Compatibility Center
Knowledge Base 2nd
Passport accounts 2nd 3rd 4th
Picture It! Digital Image Pro
Picture It! Premium
Mini Player
mixed audio, videos
modems 2nd
Modified command, arranging Desktop icons
monitors
customizing for two 2nd
resolution, system requirements
WMM (Windows Movie Maker) interface
More Programs option (Media Center Edition)
mouse
Mouse item (Control Panel)
Mouse options
Mouse Properties utility 2nd
Move Items dialog box
Move to Folder command (File menu)
movies
WMM (Windows Movie Maker)
assembling source files [See DVDs]
editing video [See DVDs]
files [See DVDs]
interface [See DVDs]
interface requirements [See DVDs]
recording from camcorders [See DVDs]
saving movies [See DVDs]
transitions [See DVDs]
moving
clips, WMM (Windows Movie Maker)
Explorer bars
MP3 2nd 3rd 4th
MSN Messenger
MSN Music
multi-language support
multi-processor support
Multimedia and Games Troubleshooter
multimedia features
CD burning
digital image management 2nd 3rd 4th
DVD support
MP3 support
online photo finishing
Windows Media Player (WMP) 2nd
Windows Movie Maker (WMM)
multiple users 2nd 3rd 4th
editing settings 2nd 3rd 4th 5th
planning
set up 2nd
sharing files/folders
switching users 2nd
types of 2nd
music, playing (Media Center) 2nd 3rd 4th
Musicmatch Jukebox
My Computer
file management 2nd
launching programs
new features
system information 2nd
My Documents
file management 2nd
multiple users 2nd
My Music folder, file management 2nd
My Music option (Media Center Edition screen)
My Network Places window 2nd 3rd
My Pictures folder 2nd
converting pictures into desktop backgrounds
Details view
displaying thumbnails 2nd
file management 2nd
printing pictures
uploading pictures from digital cameras 2nd 3rd
views 2nd 3rd 4th
My Pictures option (Media Center Edition screen)
My Pictures screen, Media Center Edition
My TV option (Media Center Edition screen)
My TV screen 2nd 3rd 4th 5th
My Videos option (Media Center Edition screen)

Previous Section < Day Day Up >


index_N

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Name command, arranging Desktop icons
naming computers
Napster
Narrate Timeline command (Tools menu) 2nd
narration, recording 2nd
Narrator tool
navigating
files 2nd 3rd 4th
Web pages, IE6
NetWare client service
Network Connection Type screen
Network Connections item (Control Panel)
Network Connections utility 2nd
Network Diagnostics utility
network interface card (NIC)
Ethernet networks
system requirements
Network Monitor
Network Setup Wizard 2nd 3rd 4th 5th 6th
Network Setup Wizard item (Control Panel)
Network tab (WMP)
networking kits
networks 2nd
accessing resources 2nd 3rd
bridge capability
computer name changes
file sharing
Network Setup Wizard 2nd
printer connection 2nd
printing
security 2nd
set up 2nd 3rd
sharing set up
devices
drives
files and folders 2nd
Internet connection
printers 2nd
system requirements
two PC direct connection 2nd
types 2nd 3rd
XP bridging support
New Active Desktop Item dialog box
New command (File menu) 2nd
New Connection Wizard 2nd 3rd 4th
new features
ClearType
Control Panel
Desktop
My Computer
Start menu
System Tray
Taskbar 2nd
user interface 2nd
Welcome Screen
New Folder command (File menu)
New Icon dialog box
New Mail button (Outlook Express)
New menu commands, Project
New Message dialog box
New Post button
New Schedule dialog box
New Toolbar dialog box
news section, Help and Support Center
Newsgroup Subscriptions dialog box
newsgroups
Outlook Express 2nd 3rd 4th 5th
attachments
creating articles
downloading articles
posting articles
reading articles
selecting 2nd
subscribing 2nd
protecting against viruses
NIC (network interface card)
Ethernet networks
system requirements
Normal Playback (WMP)
Norton AntiSpam 2nd
Notepad
NTFS

Previous Section < Day Day Up >


index_O

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

object-oriented programming (OOP)
OE6 (Outlook Express 6)
offline files 2nd
On-Screen Keyboard
one-to-one messaging, Windows Messenger 2nd
online assistance, Help and Support Center 2nd 3rd 4th 5th
online photo finishing
Online Print Ordering Wizard
online security [See also security]
Online Spotlight option (Media Center Edition screen)
OOP (object-oriented programming)
Open dialog box 2nd
Open With dialog box
opening files, Windows Messenger 2nd
Opera
ordering prints 2nd
Other Places section (My Computer)
Outlook Express 2nd 3rd 4th
Address Book 2nd
blocking spam
configuration 2nd 3rd 4th
e-mail virus protection 2nd 3rd
interface 2nd
setting up e-mail accounts
Usenet accounts
creating e-mail 2nd
e-mail folders 2nd 3rd
message rules 2nd
newsgroups 2nd 3rd 4th 5th
reading e-mail
receiving e-mail
replying to e-mail
sending e-mail 2nd 3rd 4th
Outlook Express window, configuring

Previous Section < Day Day Up >


index_P

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

P3P (Platform for Privacy Preferences)
Paint
parallel connections, peripheral installation 2nd
parallel ports
passport accounts 2nd 3rd
Passport Wizard
passwords
editing user settings 2nd 3rd
multiple users
PCMCIA (Personal Computer Memory Card International Association), ports
PCs
battery life optimization
hibernation mode
low-battery alarm setting
power scheme set up 2nd 3rd
standby mode
Briefcase to synchronize files
networks
removable drives 2nd
cameras
ClearType display improvement 2nd
direct network connections 2nd
Media Center Edition 2nd 3rd
offline files 2nd
remote desktop connection 2nd
Performance Options dialog box 2nd
Performance tab (WMP)
peripherals
CD-ROM drive
digital cameras 2nd
digital media card readers
DVD drive
flash drives 2nd
game controllers
hard drives 2nd
installation 2nd 3rd
joysticks
keyboards
modems 2nd
mouse
PC cameras
scanners 2nd
sound cards 2nd
troubleshooting 2nd
video cards
Personal Computer Memory Card International Association (PCMCIA), ports
Personal Firewall
Personal Web Server
Phone and Modem Options item (Control Panel)
Phone and Modem Options utility
phone calls, Internet, Windows Messenger
photographs [See pictures]
Pick an Account to Change screen
Picture and Fax Viewer 2nd
Picture tasks
pictures
converting into desktop backgrounds
copying, from memory cards
editing 2nd
in cameras
My Pictures
ordering prints 2nd
previewing images
printing 2nd 3rd
scanning
sorting by details
tracking details 2nd
uploading from digital cameras 2nd 3rd
viewing
filmstrips
Media Center Edition
slide shows
pictures (usernames), editing
Platform for Privacy Preferences (P3P)
Play DVD option (Media Center Edition screen)
Play menu commands, DVD
Play Speed Settings control
playback
options, Media Center Edition televisions 2nd
programming, Media Center
player options, WMP (Windows Media Player) configuration
Player tab (WMP)
playing
audio files, WMP (Windows Media Player) 2nd
Media Center Edition
DVDs
music 2nd 3rd 4th
videos
playing games
controllers 2nd
DirectX 2nd
system requirements
troubleshooting problems 2nd 3rd 4th
playlists
Media Center Edition
WMP (Windows Media Player) 2nd
Plug-and-Play (PnP) technology
Plug-ins tab (WMP)
PnP (Plug-and-Play) technology
pop-ups blocking
function
IE6
Portable Media Devices item (Control Panel)
portable PC users
battery life optimization 2nd 3rd 4th 5th
Briefcase to synchronize files 2nd 3rd
ClearType display improvement 2nd
direct network connections 2nd
offline files 2nd
remote desktop connection 2nd
ports 2nd 3rd 4th
posting newsgroups 2nd
Power Options item (Control Panel)
Power Options utility 2nd 3rd 4th 5th
power scheme set up 2nd 3rd
previewing images
Print command (File menu)
Print dialog box
Print Preview command (File menu)
Printer Manager
Printer Troubleshooter
printers
adding 2nd 3rd
default selection
deleting
network sharing set up 2nd
process management 2nd 3rd
renaming 2nd
selection from multiple 2nd
setting properties 2nd 3rd
Printers and Faxes item (Control Panel)
printing
pictures 2nd 3rd
Web pages, IE6
prints, ordering 2nd
Privacy options, configuring IE6
privacy preferences, IE6
Privacy tab
Windows Messenger
WMP
privacy, IE6 2nd
Product Activation 2nd
Professional
profiles, hardware 2nd 3rd
program guides, Media Center Edition televisions 2nd
programs
closing stalled 2nd
installation 2nd
Internet downloads
Freeware 2nd
major software publishers 2nd
Shareware 2nd
virus checks
launching
at startup
Desktop shortcut icon
My Computer
Run command
Start menu 2nd
removing 2nd 3rd
switching between
window arrangement
Programs tab
Project command (New menu)
projects, WMM (Windows Movie Maker)
properties
Desktop shortcuts 2nd
printers 2nd 3rd
Properties command (File menu)
Properties dialog box 2nd 3rd

Previous Section < Day Day Up >


index_Q

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

quality, WMP (Windows Media Player)
Queue screen, Media Center Edition
Quick Launch toolbar 2nd
Quicksilver skin (WMP)

Previous Section < Day Day Up >


index_R

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

radio frequency (RF) signals
Radio option (Media Center Edition screen)
RAM (random access memory)
error messages
system requirements
virtual memory
random access memory [See RAM]
read-only files, unprotecting 2nd
reading
e-mail, Outlook Express
newsgroup articles
RealAudio
RealMedia
RealPlayer
receiving
e-mail, Outlook Express
messages, Windows Messenger
recording
Media Center Edition televisions 2nd
narration 2nd
recording Media Center Edition televisions 2nd 3rd 4th 5th
Recycle Bin, management
Refresh command (View menu)
Regional and Language Options item (Control Panel)
Regional and Language Options utility
regional settings properties
registration 2nd
Windows 2nd
Windows XP 2nd
Registry 2nd 3rd 4th
Registry Editor utility
Remote Assistance utility 2nd 3rd 4th 5th
Remote Desktop
remote desktop connection 2nd
Remote Desktop Connection utility 2nd
Remote Installation Services (RIS)
remotes, Media Center Edition
Removable Disk dialog box
removing clips, WMM (Windows Movie Maker)
Reply button (Outlook Express)
replying to e-mail, Outlook Express
requirements
Windows Messenger
WMM (Windows Movie Maker) interface 2nd
resolution
customizing display 2nd
displays, ClearType
monitors, system requirements
resolving conflicts, Device Manager 2nd
restoring system [See System Restore utility]
Restricted Sites Zone (IE6 security zone)
rewind option, Media Center Edition televisions 2nd
RF (radio frequency) signals
ripping CDs
Media Center Edition
tracks to PCs 2nd 3rd
RIS (Remote Installation Services)
roaming user profiles
routers, installation software
Roxio PhotoSuite
Run command, launching programs
Run dialog box
Run in Compatibility Mode option
Run In property (shortcuts)
Run Installation Program dialog box
Run property (shortcuts)

Previous Section < Day Day Up >


index_S

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Safe mode 2nd
SAP Agent
satellite services
Save Attachments dialog box
saving
attachments, newsgroups
movies
ScanDisk 2nd
Scanner and Camera Installation Wizard
Scanner and Camera Wizard 2nd 3rd 4th
scanners 2nd 3rd 4th 5th
Scanners and Cameras item (Control Panel)
Scanners and Camers utility
Scheduled Task utility
Scheduled Tasks item (Control Panel)
Screen Resolution slider
screens
Media Center Edition 2nd
saver customizing 2nd
SCSI (Small Computer System Interface), ports
Search box, Help and Support Center 2nd
Search Companion (IE6) 2nd 3rd 4th 5th
Search for files button (My Computer)
searching, WMP (Windows Media Player) media files 2nd
security
Firewall 2nd
IE6
blocking pop-ups
Content Advisor 2nd 3rd
cookies
privacy preferences
security zones 2nd
zones 2nd
Internet
networks 2nd
online
protecting
against Spyware 2nd
against viruses 2nd 3rd 4th 5th
recovering from virus attacks 2nd
Security Center
Security Center item (Control Panel)
Security options, configuring IE6
Select Recipients dialog box
Select Stationery dialog box
Send a File dialog box
Send and Receive button (Outlook Express)
Send button (Outlook Express)
Send To menu, personalizing
sending
e-mail
attachments
HTML
signatures
stationery
Windows Messenger
Windows Messenger
files 2nd
messages 2nd
serial connections
game controllers
peripheral installation 2nd
serial ports
Service Pack 1 (SP1) 2nd
Service Pack 2 (SP2) 2nd
Service Packs
changing Web browsers 2nd
updates
Windows updates
Set Program Access and Defaults tool
Set Up a Home or Small Office Network option
Set Up My Connection Manually option
settings
Media Center Edition
Settings dialog box
Settings option (Media Center Edition)
setup, Media Center Edition PCs 2nd
SFF (small form factor)
Shareware 2nd
sharing
files
folders with multiple users
Internet connections 2nd 3rd 4th
network set up
devices
drives
files and folders 2nd
Internet connection
printers 2nd
viruses
Shortcut Key property (shortcuts)
Shortcut Properties dialog box
shortcuts
Desktop
arranging icons
creating
Desktop Cleanup Wizard 2nd
icon changes
launching programs
name changes
properties 2nd
renaming files
Show All Connections command (Start menu)
Show Desktop command, arranging Desktop icons
Show Only Subscribed Newsgroups button
ShowSounds option
signatures, sending e-mail
Size command, arranging Desktop icons
Skin Chooser command (View menu)
Skin mode (WMP), switching to 2nd
skins, WMP (Windows Media Player) 2nd
sleep mode
slide shows, viewing
slow motion, DVDs
Small Computer System Interface (SCSI), ports
small form factor (SFF)
SnapFiles Web site
SNMP support
software
closing stalled 2nd
crashes 2nd
Dr. Watson
installation 2nd
Internet downloads
Freeware 2nd
major software publishers 2nd
Shareware 2nd
virus checks
launching
at startup
Desktop shortcut icon
My Computer
Run command
Start menu 2nd
removing 2nd 3rd
switching between
troubleshooting 2nd
window arrangement
XP compatibility 2nd
sorting files 2nd
sound cards 2nd
sound options
Sound Recorder
SoundBlaster, compatible sound support
Sounds and Audio Devices item (Control Panel)
Sounds and Audio Devices Properties utility 2nd
SoundSentry option
SP1 (Service Pack 1) 2nd
SP2 (Service Pack 2) 2nd 3rd
spam
blocking
preventing
special characters, filenames
special effects
Desktop 2nd 3rd 4th
Start menu 2nd
video 2nd
Specify a Printer screen
Speech item (Control Panel)
speed
DVDs
IE 2nd 3rd 4th
splitting clips, WMM (Windows Movie Maker)
Spybot Search & Destroy
spyware, protecting against 2nd
stalled programs 2nd
standby mode 2nd
Start button
Start In property (shortcuts)
Start menu
adding program permanently
browser icon change 2nd
commands, Show All Connections
e-mail icon change 2nd
icon display selection 2nd
icon sizes 2nd
launching programs 2nd
new features
options
program display
Safe mode 2nd
special effects 2nd
switch to classic version
Start Menu Properties dialog box
startup
Network Setup Wizard from CD
options
Safe mode 2nd
System Configuration utility 2nd 3rd
stationary, e-mail
StickyKeys option
storyboard, WMM (Windows Movie Maker) interface
subfolders
subtitles (DVDs)
SuperSite for Windows Web site
Switch to Classic View link, Control Panel
Switch to Classic View option
switching users 2nd
Sygate Personal Firewall
symbols, Device Manager
Synchronization Manager
synchronizing files 2nd 3rd
sysprep (System Preparation) utility
system
clocks
customizing settings 2nd
maintenance utilities
defragmenting hard drive 2nd
Device Manager 2nd 3rd 4th
DirectX Diagnostic Tool
Disk Cleanup 2nd
Dr. Watson
File Signature Verification
Microsoft Backup
Network Diagnostics
new features 2nd
ScanDisk 2nd
Scheduled Task
system information 2nd 3rd 4th
System Properties 2nd
System Restore
Task Manager 2nd
Windows Registry 2nd 3rd 4th
requirements 2nd 3rd
sound customizing
tools access
System Configuration utility 2nd 3rd
System Information utility 2nd 3rd 4th
Advanced System Information
My Computer 2nd
System item (Control Panel)
System Preparation (sysprep) utility
System Properties dialog box
System Properties utility 2nd
System Restore utility 2nd
restoring system 2nd
setting points 2nd
System Tray
management 2nd
new features

Previous Section < Day Day Up >


index_T

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Target property (shortcuts)
Task Manager 2nd 3rd
task-based operating system 2nd
Taskbar
adding toolbars 2nd
grouping buttons
hiding
moving 2nd
new features 2nd
resizing
Taskbar and Start Menu item (Control Panel)
Taskbar and Start Menu Properties dialog box 2nd
tasks
lists 2nd
Scheduled Tasks utility
WMM (Windows Movie Maker) interface
televisions, Media Center Edition
channels 2nd
playing back programming
program guide 2nd
recording 2nd 3rd 4th 5th
watching 2nd 3rd 4th 5th
themes, Desktop 2nd
Thumbnails command (View menu)
Thumbnails option (Views button)
thumbnails, displaying 2nd
Tile Windows Horizontally option
Tile Windows Vertically option
Tiles option (Views button)
time resetting
timeline, WMM (Windows Movie Maker) interface
titles, editing video
TiVo
ToggleKeys option
Tom's Hardware Guide Web site
Toobars command (View menu)
toolbars
adding to Taskbar 2nd
configuring
creating new
My Computer
Quick Launch, adding icons to
Tools menu commands
Audio Levels
Folder Options 2nd
Internet Options
Narrate Timeline 2nd
Video Effects
transferring ISP accounts
transitions, WMM (Windows Movie Maker)
trim points
trimming clips, WMM (Windows Movie Maker)
Troubleshooters
troubleshooting
basic tips 2nd
common problems
accidental file deletion
can't exit Windows 2nd
computer not starting
computer starts and can't enter Safe mode
computer starts without Windows 2nd
download causing computer issues
errors message before Windows loading 2nd
file operation and get Windows error message
installed peripheral not working 2nd
network issues 2nd
new peripheral causes other problems
noises without computer start
slow running Windows
software crashes 2nd
software won't run 2nd
Standby mode not waking 2nd
startup with Windows and another utility
startup with Windows entering Safe mode
unable to delete file
Windows freezes 2nd 3rd
diagnostic tools
Device Manager 2nd 3rd
System Configuration utility 2nd 3rd
System Information
Troubleshooters
virtual memory
game problems
compatibility issues 2nd 3rd
hardware 2nd
Safe mode 2nd
startup options
System Restore utility 2nd 3rd
Trusted Sites Zone (IE6 security zone)
Tucows Web site
Tweak UI 2nd
Type command, arranging Desktop icons

Previous Section < Day Day Up >


index_U

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

UDF (Universal Disk Format), XP support
uninstalling Windows XP
Universal Disk Format (UDF), XP support
Universal Plug and Play (UPnP), XP support
universal serial bus [See USB]
Unused Desktop Icons folder
unused files, Disk Cleanup
Update Device Driver Wizard
updates
automatic
components 2nd
device drivers 2nd
drivers, Device Manager 2nd
Files and Settings Transfer Wizard 2nd 3rd
IE6
online 2nd 3rd
Service Pack 2 (SP2)
Windows XP 2nd 3rd
upgrading
to Media Center Edition
to Windows XP 2nd 3rd 4th 5th
uploading pictures from digital cameras 2nd 3rd
UPnP (Universal Plug and Play), XP support
USB (universal serial bus)
games controller installation
peripheral installation
ports
XP support
Use the CD I Got From an ISP option
Usenet accounts
User Accounts item (Control Panel)
User Accounts utility 2nd 3rd 4th
users
accounts
interface 2nd
utilities
defragmenting hard drive 2nd
Device Manager 2nd 3rd 4th
DirectX Diagnostic Tool
Disk Cleanup 2nd
Dr. Watson
File Signature Verification
Microsoft Backup
Network Diagnostics
new features 2nd
ScanDisk 2nd
Scheduled Task
System Configuration 2nd 3rd
system information
Advanced System Information
My Computer 2nd
System Information 2nd
System Properties 2nd
System Restore
restoring system 2nd
setting points 2nd
Task Manager 2nd
Windows Registry 2nd 3rd 4th

Previous Section < Day Day Up >


index_V

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

VCRs, recording WMM (Windows Movie Maker) movies 2nd
versions
feature comparison 2nd
help about Windows
Windows 2nd
Windows XP 2nd 3rd
VESA, video support
video cards 2nd
video conferencing
system requirements
Windows Messenger
Video Effects command (Tools menu)
videos
audio 2nd 3rd
editing
clips 2nd 3rd
credits
special effects 2nd
titles
transitions
WMM (Windows Movie Maker) 2nd 3rd 4th 5th 6th 7th
playing, Media Center Edition
recording narration 2nd
WMP (Windows Media Player) 2nd
View menu commands
Arrange Icons By
Choose Details
Customize This Folder
Enhancements
Filmstrip
Refresh
Skin Chooser
Thumbnails
Toobars
Zoom
View next level up button (My Computer)
viewing
attachments, newsgroups
Internet connections
pictures, Media Center Edition
Windows Messenger contacts 2nd
views, My Pictures folder 2nd 3rd 4th
virtual memory
Virtual Memory dialog box
viruses
e-mail, Outlook Express 2nd 3rd
Internet program downloads
protecting against 2nd 3rd 4th 5th 6th
risks of catching
safe computing practices 2nd
recovering from attacks 2nd
Visual MAXScript (VMXS) utility
visualizations, WMP (Windows Media Player) 2nd
VMXS (Visual MAXScript) utility
voice over IP, system requirements
volume, Windows Media Player

Previous Section < Day Day Up >


index_W

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Walmart Music Downloads
warez sites
watching
DVDs 2nd 3rd
Media Center Edition televisions 2nd 3rd 4th 5th
Web
browsers
changing 2nd
Firefox
Internet Explorer [See interfaces;IE6]
Opera
pages, printing
sites
Active-Hardware
CNET
CNET Download
Computing.Net
cookies
CuteFTP
DriverGuide.com 2nd
Experts Exchange
favorites, IE6
Go!Zilla Download Manager
Google Desktop Search download
Help and Support Center 2nd
Internet Explorer 6 download
Jumbo
Kerbosguide.com
Laplink FTP
Microsoft Download Center
Service Pack 2 download
SnapFiles
SuperSite for Windows
Tom's Hardware Guide
Tucows
Tweak UI download
Windows Update
WinDrivers.com 2nd
WS_FTP
ZDNet
ZDNet Downloads
surfing, Internet Explorer [See interfaces;IE6]
Web Mail
Web-based archives, Shareware
Welcome Screen
Whistler
Wi-Fi 2nd
required equipment
sharing Internet connections 2nd 3rd
XP wireless networking support
WIA (Windows Image Acquisition)
standard, multimedia features
XP support
wildcard characters
locating shared resources
searching for files
Winamp
Windows 2nd
Windows 2000, drivers
Windows 98, version feature comparison 2nd
Windows Address Book 2nd
Windows Components Wizard
Windows Control Panel [See Control Panel]
Windows Explorer, file management 2nd
Windows Firewall [See Firewall]
Windows Firewall dialog box
Windows Firewall item (Control Panel)
Windows Image Acquisition (WIA)
standard, multimedia features
XP support
Windows Layout Properties dialog box
Windows ME, version feature comparison 2nd
Windows Media Audio (WMA) 2nd
Windows Media Center Edition [See Media Center Edition]
Windows Media Player [See Privacy tab;WMP]
Windows Messenger 2nd 3rd
adding 2nd
connections
contacts 2nd 3rd
finding 2nd 3rd
group chats
Internet phone calls
one-to-one messaging 2nd
opening files 2nd
requirements
sending files 2nd
video conferencing
viewing others' contacts 2nd
Windows Movie Maker [See WMM]
Windows NT, reliability
Windows Picture and Fax Viewer 2nd
Windows Product Activation (WPA) 2nd
Windows Registry 2nd 3rd 4th
Windows Security Center 2nd
Windows Task Manager [See Task Manager]
Windows Update utility 2nd 3rd
Windows Update Web site
Windows Upgrade Advisor
Windows XP
32-bit operating system 2nd
comparison to previous versions 2nd
future versions
hardware support 2nd
help features 2nd
history 2nd
Internet features 2nd 3rd 4th
multimedia features 2nd 3rd 4th 5th 6th
multiuser features 2nd 3rd
new features 2nd 3rd 4th 5th 6th
new look 2nd
registration 2nd
software compatibility 2nd
stability improvements
system requirements 2nd 3rd
system utilities 2nd
task efficiency 2nd 3rd
task-base 2nd
uninstalling
updates 2nd 3rd
upgrading to 2nd 3rd 4th
versions 2nd 3rd
Windows XP 64-Bit Edition
Windows XP Home Edition
Windows XP Professional 2nd 3rd
WinDrivers.com Web site 2nd
wired networks 2nd
Wireless Network Connection Properties dialog box
Wireless Network Setup Wizard 2nd 3rd
Wireless Network Setup Wizard item (Control Panel)
wireless networks 2nd
adapters requirements
required equipment
Wizards
Accessibility
Add Printer 2nd 3rd
Create New Shortcut
Desktop Cleanup 2nd 3rd 4th
Extraction 2nd 3rd
Files and Settings Transfer 2nd
Hardware 2nd
Hardware Update
Internet Connection
Network Setup 2nd 3rd
New Connection 2nd 3rd 4th
Online Print Ordering
Passport
Scanner and Camera 2nd 3rd 4th
Scanner and Camera Installation
Update Device Driver
Windows Components
Wireless Network Setup 2nd 3rd
WMA (Windows Media Audio) 2nd
WMM (Windows Movie Maker) 2nd 3rd
assembling source files 2nd 3rd
files
importing files 2nd
interface 2nd 3rd 4th
projects, starting
recording from camcorders 2nd
saving movies
transitions
video 2nd 3rd 4th 5th 6th 7th
WMP (Windows Media Player) 2nd 3rd 4th
configuring 2nd 3rd 4th 5th 6th
audio 2nd
changing skins 2nd
changing visualizations 2nd
player options
size 2nd
video 2nd
digital audio 2nd 3rd 4th 5th
burning files to CDs 2nd 3rd
copying files to portable music player 2nd
downloading 2nd
finding 2nd
MP3 2nd 3rd
Windows Media Audio 2nd
Internet Radio
library, adding files to
media files
adding files to library
organization 2nd 3rd 4th
searching 2nd
Mini Player
playing audio files 2nd
playlists 2nd
quality
visualizations
watching DVDs 2nd 3rd
WordPad
WPA (Windows Product Activation) 2nd
WS_FTP Web site
WWW [See Web]

Previous Section < Day Day Up >


index_Z

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

ZDNet Downloads Web site
ZDNet Web site
ZoneAlarm
Zoom command (View menu)

Previous Section < Day Day Up >